jQuery(document).ready(function ($) {

	$(document).on('click','.woo_tab_product_details',function(event) {
        event.preventDefault();

       $("#qcld_wootab-product").html('<h5 style="padding-top: 30px; padding-left: 30px">Loading..</h5>');

        $.magnificPopup.open({items: {src: '#qcld_wootab-product-modal'},type: 'inline'}, 0);

        var product_id=$(this).attr('product-id');
        var data = {
            'action':'qcld_wootab_product_details',
            'product_id':product_id,
        };

        jQuery.post(ajaxurl, data, function (response) {

            //console.log(response);
            $("#qcld_wootab-product-modal").css({'width':'100vw','height':'100vh'});
            $("#qcld_wootab-product").html(response);
            $('.qcld-express-quick-right [rel="tag"]').attr("href", "#");

            $('.wc-variation-selection-needed').attr('disabled', 'disabled');

             $('#image-gallery').lightSlider({
                gallery:true,
                item:1,
                thumbItem:6,
                slideMargin: 0,
                speed:500,
                auto:true,
                loop:true,
                onSliderLoad: function() {
                    $('#image-gallery').removeClass('cS-hidden');
                }
            });

        });

    });


    function showCartInfo(){
        var data = {
            'action': 'show_cart_info',
        };

        jQuery.post(ajaxurl, data, function (response) {
            //showing cart first
            $('.qcld-woo-tabbed-shop-float-cart').addClass('active-float-cart');
            $('.qcld-woo-tabbed-shop-right-float-cart').addClass('active-float-cart');
            //Then appending datta.
            $(".qcld-woo-tabbed-show-cart-data").html(response.html);
            $(".qcld-woo-tabbed-cart-item-num").html(response.items);
            //display the top cart as block
            $('#qcld-woo-tabbed-cart-container').css({'display':'block'});
            //push the body to right
            if(cart_mode_info=='float') {
                $('body').css({'margin-left': '350px',  'transition': '0.8s'});
                qclad_express_preloader.off();
            } else if(cart_mode_info=='top'){
                $("html, body").animate({ scrollTop:100 }, 1000);
                return false;
            }
             //if on the product details fancy box display none.
            $.magnificPopup.close();
        });

    }


    //Add to cart for simple product popup modal quick view.
    $(document).on("click",".woo_tab_s_p_add_to_cart",function(event) {
        event.preventDefault();
        //Change button text
        var currentDom=$(this);
        var pId=$(this).attr('data-p-id');
        var qnty=currentDom.parent().parent().parent().find("input[name='qcld_quantity']").val();

        var pPrice=$(this).attr('data-p-price');
        var data = {
            'action': 'sp_add_to_cart',
            'p_id': pId,
            'quantity': qnty,
            'p_price': pPrice,
        };
        // Fly image to cart  start
        if(cart_mode_info=='float'){
        var itemImg = currentDom.parent().parent().parent().children('.qcld-woo-tabbed-thumb-cell').find('img');
            //flyToElement($(itemImg), $('.qcld-woo-tabbed-cart-item-num'));
        } 
        //Fly image to cart  end
        jQuery.post(ajaxurl, data, function (response) {
            //Change button text
            if(response=="simple"){
               showCartInfo();
                

                $('.qcld-woo-tabbed-shop-right-float-cart').addClass('active-float-cart');
                if($('.qcld-woo-tabbed-shop-right-float-cart').hasClass('active-float-cart')){
                    $('body').css({'margin-right':'350px','transition': '0.8s'});
                }

                $('.qcld-woo-tabbed-shop-float-cart').addClass('active-float-cart');
                if($('.qcld-woo-tabbed-shop-float-cart').hasClass('active-float-cart')){
                    $('body').css({'margin-left':'350px','transition': '0.8s'});
                }

                if(qc_woo_tabbed_cart_summary_style == 'off'){

                }

                if(currentDom.hasClass('ajax_add_to_cart')){
                    //$(document.body).trigger('added_to_cart');
                }else{
                    $(document.body).trigger('added_to_cart');
                }


                if (cart_option != 'ajax') {
                    window.location.href = qcld_get_cart_url;
                }
                
            } else{
              // alert('Try again!');
            }

            return false;

        //$(document.body).trigger('added_to_cart');
    	});

    });

    //Add to cart for simple product popup modal quick view.
    $(document).on("click",".qcld_express_s_p_pop",function(event) {
        event.preventDefault();
        //Change button text
        var currentDom=$(this);
        currentDom.html('<i class="fa fa-spinner" aria-hidden="true"></i> ADD TO CART');
        var pId=$(this).attr('p-id');
        var qnty=$('.qcld-woo-tabbed-quantity').find("input[name='qcld_quantity']").val();
        var pPrice=$(this).attr('p-price');

        var data = {
            'action': 'sp_add_to_cart',
            'p_id': pId,
            'quantity': qnty,
            'p_price': pPrice,
        };
        
        //Fly image to cart  start
        if(cart_mode_info=='float'){
        var itemImg = currentDom.parent().parent().parent().children('.qcld-woo-tabbed-thumb-cell').find('img');
        } 

        //Fly image to cart  end
        jQuery.post(ajaxurl, data, function (response) {
            //Change button text
            currentDom.html('ADD TO CART');
             if(response == "simple"){
                $(document.body).trigger('added_to_cart');
                showCartInfo();

                $('.qcld-woo-tabbed-shop-right-float-cart').addClass('active-float-cart');
                if($('.qcld-woo-tabbed-shop-right-float-cart').hasClass('active-float-cart')){
                    $('body').css({'margin-right':'350px','transition': '0.8s'});
                }

                $('.qcld-woo-tabbed-shop-float-cart').addClass('active-float-cart');
                if($('.qcld-woo-tabbed-shop-float-cart').hasClass('active-float-cart')){
                    $('body').css({'margin-left':'350px','transition': '0.8s'});
                }
                
	       } else{
	              alert('Try again!');
	       }

    	});

       // setTimeout(function(){ showCartInfo(); }, 2000);
    });

    $(document.body).on('added_to_cart', function(e){
        e.preventDefault();
        showCartInfo();

        if(enable_alert_message != 'enable'){
            return false;
        }

        var device_width = ($(window).width());

        if(enable_alert_message_mobile != 'enable' && (device_width <= 767) ){
            return false;
        } 

        swal({
            title: title_text,
            text: success_message,
            type: 'success',
            timer: 2000
        }).then(

            function(){

            },

            // handling the promise rejection
            function (dismiss) {
                if (dismiss === 'timer') {
                    //console.log('Promise rejected');
                }
            }

        );

         return false;
     

    });


    
    //remove the cart item from global cart.
    $(document).on("click", ".qcld-remove-cart-item", function () {
         qclad_express_preloader.on();
         var cart_item=$(this).attr('data-cart-item');
            var data = {
                'action': 'global_cart_item_remove',
                'cart_item': cart_item
            };
            
            jQuery.post(ajaxurl, data, function (response) {
                showCartInfo();
            });

            qclad_express_preloader.off();

    });






});