<?php

namespace Quantumcloud_wootabbed\PathConverter;

/**
 * Convert file paths.
 *
 * Please report bugs on https://github.com/Quantumcloud_wootabbed/path-converter/issues
 *
 * @author QuantumCloud <pathconverter@mullie.eu>
 * @copyright Copyright (c) 2015, QuantumCloud. All rights reserved
 * @license MIT License
 */
interface ConverterInterface
{
    /**
     * Convert file paths.
     *
     * @param string $path The path to be converted
     *
     * @return string The new path
     */
    public function convert($path);
}
