<?php

defined('ABSPATH') or die("No direct script access!");
/**
 * 
 */
if( !class_exists('QC_woo_tabbed_Help_License_Sub_Menu') ){

	class QC_woo_tabbed_Help_License_Sub_Menu
	{


		function qcld_woo_tabbed_help_license_callback(){
?>
			<div id="wrap">
				<div id="licensing">
						<h1><?php esc_html_e( 'Please Insert your license Key', 'woo-tabbed-category' ); ?></h1>
					<div class="qcld-woo_tabbed-section-block">

						<?php
							$total_active_domain = 0;
							$active_domain_lists = array();
							$track_domain_request = wp_remote_get(woo_tabbed_LICENSING_PRODUCT_DEV_URL."wp-json/qc-domain-tracker/v1/getdomain/?license_key=".get_woo_tabbed_licensing_key(), array('timeout' => 300));
							if( !is_wp_error( $track_domain_request ) || wp_remote_retrieve_response_code( $track_domain_request ) === 200 ){
								$track_domain_result = json_decode($track_domain_request['body']);
								
								$current_domain_url =  site_url() ;
								$current_domain = str_replace(
														array( 'https://', 'http://', 'www.' ),
														array('', '', ''),
														$current_domain_url
													);
								if( !empty($track_domain_result) ){
									$max_domain_num = $track_domain_result[0]->max_domain + 1;
									$total_domains = json_decode($track_domain_result[0]->domain, true);
									$total_domains_num = count($total_domains);

									foreach ($total_domains as $key => $value) {
										if( !isset($value['status']) || $value['status'] == 'active' ){
											$total_active_domain++;
											$active_domain_lists[] = $value['domain_name'];
										}
									}

									if($total_active_domain == $max_domain_num){
									//if( $max_domain_num < $total_active_domain ){
										//$first_domain_name = $total_domains[0]['domain_name'];
										if( !in_array($current_domain, $active_domain_lists) ){
											set_woo_tabbed_invalid_license();
	   										delete_woo_tabbed_invalid_license();
								?>
											<div class="qcld-error-notice">
												<p>You have activated this key for maximum number of sites allowed by your license. Please <a href='https://www.quantumcloud.com/products/'>purchase additional license.</a></p>
											</div>
								<?php
										}
									}
								}
								
							}
						?>

						<?php if( get_woo_tabbed_valid_license() ){ ?>
							<div class="qcld-success-notice">
								<p><?php esc_html_e( 'Thank you, Your License is active', 'woo-tabbed-category' ); ?></p>
							</div>
						<?php } ?>
						
						<form onsubmit="return false" id="qc-license-form" method="post" action="options.php">
							<?php
								delete_woo_tabbed_update_transient();
								delete_woo_tabbed_renew_transient();
								
								delete_option('_site_transient_update_plugins');
								settings_fields( 'qcld_woo_tabbed_license' );
								do_settings_sections( 'qcld_woo_tabbed_license' );

								// if( isset($_POST['submit']) ){
								// 	echo 'qcld_woo_tabbed_buy_from_where '.$_POST['qcld_woo_tabbed_buy_from_where'];
								// }
							?>
							<table class="form-table">

								<tr id="quantumcloud_portfolio_license_row" style="display: none">
									<th>
										<label for="qcld_woo_tabbed_enter_license_key"><?php esc_html_e( 'Enter License Key:', 'woo-tabbed-category' ); ?></label>
									</th>
									<td>
										<input type="<?php echo (get_woo_tabbed_licensing_key()!=''?'password':'text'); ?>" id="qcld_woo_tabbed_enter_license_key" name="qcld_woo_tabbed_enter_license_key" class="regular-text" value="<?php echo get_woo_tabbed_licensing_key(); ?>">
										<p><?php esc_html_e( 'You can copy the license key from', 'woo-tabbed-category' ); ?> <a target="_blank" href="<?php echo esc_url( 'https://www.quantumcloud.com/products/account/', 'woo-tabbed-category' ); ?>"><?php esc_html_e( 'your account', 'woo-tabbed-category' ); ?></a></p>
									</td>
								</tr>

								<tr id="show_envato_plugin_downloader" style="display: none">
									<th>
										<label for="qcld_woo_tabbed_enter_envato_key"><?php esc_html_e( 'Enter Purchase Code:', 'woo-tabbed-category' ); ?></label>
									</th>
									<td colspan="4">
										<input type="<?php echo (get_woo_tabbed_envato_key()!=''?'password':'text'); ?>" id="qcld_woo_tabbed_enter_envato_key" name="qcld_woo_tabbed_enter_envato_key" class="regular-text" value="<?php echo get_woo_tabbed_envato_key(); ?>">
										<p><?php esc_html_e( 'You can install the', 'woo-tabbed-category' ); ?> <a target="_blank" href="<?php echo esc_url( 'https://envato.com/market-plugin/', 'woo-tabbed-category' ); ?>"><?php esc_html_e( 'Envato Plugin', 'woo-tabbed-category' ); ?></a> <?php esc_html_e( 'to stay up to date.', 'woo-tabbed-category' ); ?></p>
									</td>
								</tr>

							<!-- //start new-update-for-codecanyon -->
			                    <tr>
			                        <th>
			                            <label for="qcld_woo_tabbed_enter_license_or_purchase_key"><?php esc_html_e( 'Enter License Key or Purchase Code:', 'woo-tabbed-category' ); ?></label>
			                        </th>
			                        <td>
			                            <input type="<?php echo (get_woo_tabbed_license_purchase_code()!=''?'password':'text'); ?>" id="qcld_woo_tabbed_enter_license_or_purchase_key" name="qcld_woo_tabbed_enter_license_or_purchase_key" class="regular-text" value="<?php echo get_woo_tabbed_license_purchase_code(); ?>" required>
			                        </td>
			                    </tr>
			                <!-- //end new-update-for-codecanyon -->

							</table>

							<!-- //start new-update-for-codecanyon -->
			                <input type="hidden" name="qcld_woo_tabbed_buy_from_where" value="<?php echo get_woo_tabbed_licensing_buy_from(); ?>" >
			                <!-- //end new-update-for-codecanyon -->
							<?php submit_button(); ?>
						</form>
					</div>


					<script type="text/javascript">
				        jQuery(document).ready(function(){
				            //start new-update-for-codecanyon
				            jQuery('#qcld_woo_tabbed_enter_license_or_purchase_key').on('focusout', function(){
				            	qc_woo_tabbed_set_plugin_license_fields();
				            });

				            jQuery('#qcld_woo_tabbed_enter_license_or_purchase_key').on('keypress',function (e) {
				            	  qc_woo_tabbed_set_plugin_license_fields();
							});

							jQuery('#qc-license-form input[type="submit"]').on('click', function(){
								qc_woo_tabbed_set_plugin_license_fields();
								jQuery('#qc-license-form').removeAttr('onsubmit').submit();
							});

				            function qc_woo_tabbed_set_plugin_license_fields(){
				                var license_input = jQuery('#qcld_woo_tabbed_enter_license_or_purchase_key').val();
				                if( /^(\w{8})-((\w{4})-){3}(\w{12})$/.test(license_input) ){
				                    jQuery('input[name="qcld_woo_tabbed_buy_from_where"]').val('codecanyon');
				                    jQuery('input[name="qcld_woo_tabbed_enter_envato_key"]').val(license_input);
				                }else{
				                    jQuery('input[name="qcld_woo_tabbed_buy_from_where"]').val('quantumcloud');
				                    jQuery('input[name="qcld_woo_tabbed_enter_license_key"]').val(license_input);
				                }
				            }

				        });
				    </script>
				</div>
			</div>
<?php
		}
	}

	$qc_woo_tabbed_helps_variable = new QC_woo_tabbed_Help_License_Sub_Menu();

	return $qc_woo_tabbed_helps_variable->qcld_woo_tabbed_help_license_callback();
}

