<?php defined('ABSPATH') or die("No direct script access!"); ?>

<div id="qcld_wootab-product-modal" class="mfp-hide white-popup-block animated flipInX">
    <div id="qcld_wootab-product">
        <h1>Loading...</h1>
    </div>
</div>

<link rel="stylesheet" type="text/css" href="<?php echo QC_WOO_TAB_PLUGIN_URL . "templates/hot-deals-tabs/template.css"; ?>"/>


<style>
    .qc_theme_eight > li {
        color: <?php echo get_option('product_category_text_font_color');?> !important;
        font-size: <?php echo get_option('product_category_text_font_size');?>px !important;

    }

    .qc_theme_eight > li:hover {
        color: <?php echo get_option('product_category_text_font_color');?> !important;
        font-size: <?php echo get_option('product_category_text_font_size');?>px !important;
    }

    .qc-tabs-style13 ul.tabs li {
        color: <?php echo get_option('product_category_text_font_color');?> !important;
        font-size: <?php echo get_option('product_category_text_font_size');?>px !important;
    }

    .qc-tabs-style13 ul.qc_nav_style_1 > li {
        background-color: <?php echo get_option('product_category_filter_button_color');?> !important;
        color: <?php echo get_option('product_category_text_font_color');?> !important;
        font-size: <?php echo get_option('product_category_text_font_size');?>px !important;
        border: 1px solid <?php echo get_option('category_filters_border_color');?> !important;
    }

    .qc-tabs-style13 ul.qc_nav_style_1 > li {
        border: 1px solid <?php echo get_option('category_filters_border_color');?> !important;
    }

    .qc-tabs-style13 ul.qc_nav_style_1 > li:hover {
        background: <?php echo get_option('product_category_filter_button_color_hover');?> !important;
    }

    .qc-tabs-style13 ul.qc_nav_style_1 > li.current {
        background: <?php echo get_option('product_category_button_active_color');?> !important;
    }

    .qc-tabs-style13 ul.qc_nav_style_1 > li::after {
        background: <?php echo get_option('product_category_filter_button_color_hover');?> !important;
    }

    .qc-tabs-style13 ul.slick-slider > li {
        background-color: <?php echo get_option('product_category_filter_button_color');?> !important;
        color: <?php echo get_option('product_category_text_font_color');?> !important;
        font-size: <?php echo get_option('product_category_text_font_size');?>px !important;
    }

    .qc-tabs-style13 ul.slick-slider > li:hover {
        background: <?php echo get_option('product_category_filter_button_color_hover');?> !important;
    }

    .qc-tabs-style13 ul.slick-slider > li.current {
        background: <?php echo get_option('product_category_button_active_color');?> !important;

    }

    .qc-tabs-style13 ul.slick-slider > li::after {
        background: <?php echo get_option('product_category_filter_button_color_hover');?> !important;
    }


</style>

<?php 
 $qcld_rtl_support = '';
 $qc_woo_tabbed_display_rtl_support = get_option('qc_woo_tabbed_display_rtl_support');

 if(!empty($qc_woo_tabbed_display_rtl_support)){

    $qcld_rtl_support = 'dir=rtl';
 }

?>

<div class="qc-tabs-style13" <?php echo esc_attr($qcld_rtl_support); ?>>
    <div class="container woo_tab_container">

        <?php
        //ob_start();
        global $qc_shortcode_parameters;
        $qc_shortcode_parameters = $atts;

        if(empty($qc_shortcode_parameters)){
            $qc_shortcode_parameters = array();
        }

        $category_ids = '';
        $show_sale = '';
        $link_title_to_modal = '';
        $shortcode_params = ($qc_shortcode_parameters);


        if (array_key_exists('featured-only', $shortcode_params)) {
            $featured_only = $shortcode_params['featured-only'];
        } else {
            $featured_only = '';
        }

        if (array_key_exists('category-ids', $shortcode_params)) {
            $category_ids = $shortcode_params['category-ids'];

            // convert the string into php array
            $category_ids = explode(',', $category_ids);

        } else {
            $category_ids = '';
        }

        if (array_key_exists('sale-only', $shortcode_params)) {
            $show_sale = $shortcode_params['sale-only'];
        } else {
            $show_sale = '';
        }
        if (array_key_exists('link_title_to_modal', $shortcode_params)) {
            $link_title_to_modal = $shortcode_params['link_title_to_modal'];
        } else {
            $link_title_to_modal = '';
        }

        $product_categories = unserialize(get_option('selected_categories'));
        $product_number = get_option('hot_deals_product_number');

        $category_orders = get_option('category_order');

        if($category_orders == 'menu_order'){
                  
            $args = array(
                'hide_empty'    => 1,
                'order'         => 'asc',
                'orderby'       => 'term_order',
                'exclude'       => $product_categories,
                'include'       => $category_ids,
                'hierarchical'  => 0,
                'parent'        => 0
            );      

        }else{
             $args = array(
                'hide_empty'    => 1,
                'order'         => get_option('category_order'),
                'orderby'       => 'title',
                'exclude'       => $product_categories,
                'include'       => $category_ids,
            );
        }
        $product_categories = get_terms('product_cat', $args);

        $categories_parameter = array();
        foreach($product_categories as $termsss){
            array_push($categories_parameter,$termsss->term_id);
        }
        $categories_all_pera = implode(',', $categories_parameter);


        ?>
        <ul class="tabs theme-eight-uls qc_theme_eight tabs-widget-light qc_nav_style_1 is_cat_stickyed <?php if (get_option('category_style') == 1) echo " slick-class"; ?>">
            <?php if (get_option('show_all')): ?>
         
            <?php endif; ?>
            <?php foreach ($product_categories as $cat): 

                $post_per_page = 30;
                $show_featured_only = array('relation' => 'OR', array(
                    array(
                        'taxonomy' => 'product_cat',
                        'field' => 'term_id',
                        'terms' => $cat->term_id,
                        'operator' => 'IN'
                    ),
                    array(
                        'taxonomy' => 'product_visibility',
                        'field' => 'name',
                        'terms' => 'featured',
                        'operator' => 'IN'
                    )
                ));

                $show_sale_products_only = array('relation' => 'OR', array( // Simple products type
                    'key' => '_sale_price',
                    'value' => 0,
                    'compare' => '>',
                    'type' => 'numeric'
                ),
                    array( // Variable products type
                        'key'       => '_min_variation_sale_price',
                        'value'     => 0,
                        'compare'   => '>',
                        'type'      => 'numeric'
                    ));

                $sorting = '';
                $orderBy = get_option('qc_product_sort_type');
                if( get_option('qc_product_sort_type') == 'meta_value_num' ){
                    $sorting = '_price';
                }
                if( get_option('qc_product_sort_type') == 'total_sales' ){
                    $sorting = 'total_sales';
                    $orderBy = 'meta_value_num';
                }

                $product_args = array(
                    'post_type'         => 'product',
                    'posts_per_page'    => $product_number,
                    'meta_key'          => $sorting,
                    'orderby'           => $orderBy,
                    'order'             => get_option('qc_product_sort_order'),
                    'tax_query' => array(
                        'relation' => 'OR',
                        array(
                            'taxonomy'  => 'product_cat',
                            'field'     => 'term_id',
                            'terms'     => $cat->term_id,
                            'operator'  => 'IN'
                        ),
                    )
                );

                if ($show_sale == 1) {
                    $product_args = array_merge($product_args, array('meta_query' => $show_sale_products_only));
                }


                if ($featured_only == 1) {
                    $product_args = array_merge($product_args, array('tax_query' => $show_featured_only));
                }

                            
                $product_visibility = array('relation' => 'OR', array(
                    array(
                        'taxonomy' => 'product_cat',
                        'field' => 'term_id',
                        'terms' => $cat->term_id,
                        'operator' => 'IN'
                    ),
                     array(
                        'taxonomy' => 'product_visibility',
                        'field'    => 'name',
                        'terms'    => 'exclude-from-catalog',
                        'operator' => 'NOT IN',
                    ),
                ));

                $args = array_merge($args, array('tax_query' => $product_visibility));

                $products_num = new WP_Query($product_args);
                $product_num = $products_num->post_count;

                if($product_num<1){ continue; }

                ?>
            <?php endforeach; ?>

             <li class="catalog-sort-by-eight current" data-value="price" data-feature-only="<?php echo $featured_only; ?>" data-show-sale="<?php echo $show_sale; ?>"  data-cat-id="all" data-offset="<?php echo get_option('hot_deals_product_number'); ?>" data-cat-attr="<?php echo $categories_all_pera; ?>" title-modal="<?php echo $link_title_to_modal; ?>"><?php _e(!empty(get_option('qcld_hot_deal_tab_lan_hot')) ? get_option('qcld_hot_deal_tab_lan_hot') : 'Hot'); ?></li>
             <li class="catalog-sort-by-eight" data-value="date" data-feature-only="<?php echo $featured_only; ?>" data-show-sale="<?php echo $show_sale; ?>"  data-cat-id="all" data-offset="<?php echo get_option('hot_deals_product_number'); ?>" data-cat-attr="<?php echo $categories_all_pera; ?>" title-modal="<?php echo $link_title_to_modal; ?>"><?php _e(!empty(get_option('qcld_hot_deal_tab_lan_new')) ? get_option('qcld_hot_deal_tab_lan_new') : 'New'); ?></li>
             <li class="catalog-sort-by-eight" data-value="rating" data-feature-only="<?php echo $featured_only; ?>" data-show-sale="<?php echo $show_sale; ?>"  data-cat-id="all" data-offset="<?php echo get_option('hot_deals_product_number'); ?>" data-cat-attr="<?php echo $categories_all_pera; ?>" title-modal="<?php echo $link_title_to_modal; ?>"><?php _e(!empty(get_option('qcld_hot_deal_tab_lan_best_buy')) ? get_option('qcld_hot_deal_tab_lan_best_buy') : 'Best Buy'); ?></li>
             <li class="catalog-sort-by-eight" data-value="popularity" data-feature-only="<?php echo $featured_only; ?>" data-show-sale="<?php echo $show_sale; ?>"  data-cat-id="all" data-offset="<?php echo get_option('hot_deals_product_number'); ?>" data-cat-attr="<?php echo $categories_all_pera; ?>" title-modal="<?php echo $link_title_to_modal; ?>"><?php _e(!empty(get_option('qcld_hot_deal_tab_lan_feature')) ? get_option('qcld_hot_deal_tab_lan_feature') : 'Featured'); ?></li>


        </ul>

        <div class="qc_tab_css_bg" style="background-color:<?php echo get_option('container_background_color') ?>">
             <?php

                $qc_quick_sorting_on_off = get_option('qc_quick_sorting_on_off');
                if($qc_quick_sorting_on_off == 'on'){
            
            ?>

        <?php } ?>

            
                <div id="tab-1" class="tab-content current">
                    <div class="qc-wootabs-section">
                        <div class="qc-wootabs-content-section">
                            <?php
                            $tax_query_all = array(
                                array(
                                    'taxonomy' => 'product_visibility',
                                    'field' => 'name',
                                    'terms' => 'featured',
                                    'operator' => 'IN'
                                ),);


                            $show_sale_products_only_all = array('relation' => 'OR', array( // Simple products type
                                'key' => '_sale_price',
                                'value' => 0,
                                'compare' => '>',
                                'type' => 'numeric'
                            ),
                                array( // Variable products type
                                    'key' => '_min_variation_sale_price',
                                    'value' => 0,
                                    'compare' => '>',
                                    'type' => 'numeric'
                                ));


                            $args_all = array(
                                'post_type' => 'product',
                                'posts_per_page' => -1,
                            );

                            if ($show_sale == 1) {
                                $args_all = array_merge($args_all, array('meta_query' => $show_sale_products_only_all));
                            }


                            if ($featured_only == 1) {
                                $args_all = array_merge($args_all, array('tax_query' => $tax_query_all));
                            }


                            $tax_query = array(
                                array(
                                    'taxonomy'  => 'product_visibility',
                                    'field'     => 'name',
                                    'terms'     => 'featured',
                                    'operator'  => 'IN'
                                ),);


                            $show_sale_products_only = array('relation' => 'OR', array( // Simple products type
                                    'key'       => '_sale_price',
                                    'value'     => 0,
                                    'compare'   => '>',
                                    'type'      => 'numeric'
                            ),
                                array( // Variable products type
                                    'key'       => '_min_variation_sale_price',
                                    'value'     => 0,
                                    'compare'   => '>',
                                    'type'      => 'numeric'
                                ));

                            $categories_all = array();
                            foreach($product_categories as $termss){
                                array_push($categories_all,$termss->term_id);
                            }



                            $sorting = '';
                            $orderBy = get_option('qc_product_sort_type');
                            if( get_option('qc_product_sort_type') == 'meta_value_num' ){
                                $sorting = '_price';
                            }
                            if( get_option('qc_product_sort_type') == 'total_sales' ){
                                $sorting = 'total_sales';
                                $orderBy = 'meta_value_num';
                            }

                            $args = array(
                                'post_type'         => 'product',
                                'posts_per_page'    => $product_number,
                                'meta_key'          => $sorting,
                                'orderby'           => $orderBy,
                                'order'             => get_option('qc_product_sort_order'),
                                'tax_query'         => array(
                                    'relation'      => 'OR',
                                    array(
                                        'taxonomy'  => 'product_cat',
                                        'field'     => 'term_id',
                                        'terms'     => $categories_all,
                                        'operator'  => 'IN'
                                    ),
                                )
                            );

                            if ($show_sale == 1) {
                                $args = array_merge($args, array('meta_query' => $show_sale_products_only));
                            }


                            if ($featured_only == 1) {
                                $args = array_merge($args, array('tax_query' => $tax_query));
                            }
                            $product_query = new WP_Query($args);
                            $product_count = new WP_Query($args_all);

                            $product_num = $product_count->post_count;


                            $products_num = new WP_Query($args_all);
                            $product_num = $products_num->post_count;
                            $product_query = new WP_Query($args);
                            $wc_pf = new WC_Product_Factory(); ?>
                            <ul class="qc_tabs_10_style theme-eight ">
                                <?php while ($product_query->have_posts()) :
                                    $product_query->the_post(); ?>
                                    <?php $product = wc_get_product(get_the_ID());
                                    $product_stock_status = $product->get_stock_status(); ?>
                                    <li class="">
                                        <div class="qc_tabs_10_style_box">
                                            <div class="pro_img"><?php echo $product->get_image('shop_catalog') ?></div>
                                            <?php if ($product->is_on_sale()): ?>
                                                <label class="qc_on_sale" for="qc_on_sale"><img src="<?php echo QC_WOO_TAB_IMAGE_URL; ?>/sale.png"></label>
                                            <?php endif; ?>
                                            <div class="qc-tabs-style13-hover">
                                                <div class="pro_img"><?php echo $product->get_image('shop_catalog') ?></div>
                                                <?php if ($product->is_on_sale()): ?>
                                                    <label for="qc_on_sale"><img src="<?php echo QC_WOO_TAB_IMAGE_URL; ?>/sale.png"></label>
                                                <?php endif; ?>
                                                <?php if (get_option('product_title') == 1): ?>
                                                    <?php
                                                    if(isset($link_title_to_modal) && ($link_title_to_modal == '1' || $link_title_to_modal == '01')){ 
                                                    ?>
                                                        <h2><a style="color: <?php if (get_option('product_title_text_color') != '') echo get_option('product_title_text_color') . ';'; ?>; font-size: <?php if (get_option('change_title_text_size') != '') echo get_option('change_title_text_size') . 'px;'; ?>" href="#" class="woo_tab_product_details" product-id="<?php echo get_the_ID(); ?>"><?php echo $product->get_title(); ?></a></h2>
                                                    <?php }else{ ?>
                                                        <h2><a style="color: <?php if (get_option('product_title_text_color') != '') echo get_option('product_title_text_color') . ';'; ?>; font-size: <?php if (get_option('change_title_text_size') != '') echo get_option('change_title_text_size') . 'px;'; ?>" href="<?php echo $product->get_permalink(); ?>"><?php echo $product->get_title(); ?></a></h2>
                                                    <?php } ?>
                                                <?php endif; ?>

                                                <div style="font-size: <?php echo get_option('product_content_text_size'); ?>px; color: <?php echo get_option('product_content_text_color'); ?> !important;"
                                                         class="qc_price">

                                                <?php if (get_option('display_price') == 1): ?>
                                                    <?php echo $product->get_price_html(); ?>
                                                <?php endif; ?>
                                               
                                                <?php if(get_option('qc_quick_view_on_off') != 'off'): ?>
                                                <a href="#" class="woo_tab_product_details" product-id="<?php echo $product->get_id(); ?>">
                                                    <i class="fa fa-info-circle" aria-hidden="true"></i>
                                                </a>
                                                <?php endif; ?>
                                                    </div>

                                                <?php if (get_option('display_rating') == 1): ?>

                                                    <div class="qc_ratting">
                                                        <?php $average = $product->get_average_rating(); ?>
                                                        <?php if ($average == 1) { ?>
                                                            <img src="<?php echo QC_WOO_TAB_IMAGE_URL; ?>/1_star.png"
                                                                 alt="">
                                                        <?php } else if ($average == 0) { ?>
                                                            <img src="<?php echo QC_WOO_TAB_IMAGE_URL; ?>/no_star.png"
                                                                 alt="">
                                                        <?php } else if ($average <= 2) { ?>
                                                            <img src="<?php echo QC_WOO_TAB_IMAGE_URL; ?>/2_star.png"
                                                                 alt="">
                                                        <?php } else if ($average <= 3) { ?>
                                                            <img src="<?php echo QC_WOO_TAB_IMAGE_URL; ?>/3_star.png"
                                                                 alt="">
                                                        <?php } else if ($average <= 4) { ?>
                                                            <img src="<?php echo QC_WOO_TAB_IMAGE_URL; ?>/4_star.png"
                                                                 alt="">
                                                        <?php } else if ($average <= 5) { ?>
                                                            <img src="<?php echo QC_WOO_TAB_IMAGE_URL; ?>/5_star.png"
                                                                 alt="">
                                                        <?php } ?>

                                                    </div>
                                                <?php endif; ?>


                                                <div class="qc_quantity qc_qat_style_eight">
                                                    <?php if (get_option('add_quantity_select') == 1): ?>
                                                        <?php if ($product_stock_status != 'outofstock'): ?>
                                                            <?php if ($product->get_type() != 'variable'): ?>
                                                            <input class="qc_minus" type="button" value="-">
                                                            <input type="text" class="qc_product_quantity"
                                                                   name="qcld_quantity"
                                                                   value="1">
                                                            <input class="qc_plus" type="button" value="+">

                                                            <?php endif; ?>
                                                        <?php endif; ?>
                                                    <?php endif; ?>

                                                    <?php if (get_option('add_cart_link') == 1): ?>

                                                        <?php if ($product_stock_status != 'outofstock') { ?>
                                                            <?php if ($product->get_type() != 'variable'): 

                                                                $qc_woo_tabbed_cart_summary = get_option('qc_woo_tabbed_cart_summary_position');
                                                                if(isset($qc_woo_tabbed_cart_summary) && $qc_woo_tabbed_cart_summary == 'wooinstantcart' ):
                                                                ?>
                                                            <a class="woo_tab_s_p_add_to_cart ajax_add_to_cart add_to_cart_button product_type_simple"
                                                               data-quantity="1" 
                                                               data-product_id="<?php echo $product->get_id(); ?>"
                                                               data-p-price="<?php echo $product->get_price(); ?>"
                                                               data-p-id="<?php echo $product->get_id(); ?>"
                                                               href="<?php echo $product->add_to_cart_url(); ?>"><?php $add_to_cart_text = get_option('change_add_to_cart_button_text');
                                                                if (!empty($add_to_cart_text)) {
                                                                    esc_html_e( $add_to_cart_text, 'woo-tabbed-category' );
                                                                } else {
                                                                    esc_html_e( 'Add To Cart', 'woo-tabbed-category' );
                                                                } ?></a>
                                                            <?php else: ?>
                                                            <a class="woo_tab_s_p_add_to_cart"
                                                               data-p-price="<?php echo $product->get_price(); ?>"
                                                               data-p-id="<?php echo $product->get_id(); ?>"
                                                               href="<?php echo $product->add_to_cart_url(); ?>"><?php $add_to_cart_text = get_option('change_add_to_cart_button_text');
                                                                if (!empty($add_to_cart_text)) {
                                                                    esc_html_e( $add_to_cart_text, 'woo-tabbed-category' );
                                                                } else {
                                                                    esc_html_e( 'Add To Cart', 'woo-tabbed-category' );
                                                                } ?></i></a>
                                                            <?php endif; ?>

                                                                <?php else: ?>
                                                                <a class="woo_tab_product_details"
                                                                   href="#" product-id="<?php echo $product->get_id(); ?>"> <?php esc_html_e( 'Product Details', 'woo-tabbed-category' );  ?></a>
                                                                <?php endif; ?>
                                                        <?php } else { ?>
                                                            <a class="product_out_of_stock"
                                                               data-p-price="<?php echo $product->get_price(); ?>"
                                                               data-p-id="<?php echo $product->get_id(); ?>"
                                                               href="#"><i class="fa" aria-hidden="true"></i></a>
                                                        <?php } ?>
                                                    <?php endif; ?>


                                                </div>


                                            </div>
                                        </div>
                                    </li>
                                <?php endwhile; ?>
                            </ul>
                        </div>

                        <!-- Load more -->
                        <div class="qcld-wootab-more-scroll-container" style="text-align:center">
                            <div class="loader_container"></div>
                            <button type="button"
                                    id="qcld-wootab-more-eight-all"
                                    data-theme-name="theme-eight"
                                    data-show-sale="<?php echo $show_sale; ?>"
                                    data-feature-only="<?php echo $featured_only; ?>"
                                    data-cat-attr="<?php echo $categories_all_pera; ?>"
                                    data-sort-order=""
                                    title-modal="<?php echo $link_title_to_modal; ?>"
                                    data-offset="<?php echo get_option('hot_deals_product_number'); ?>">
                                    <?php $load_more = get_option('change_load_more_text');
                                        if (!empty($load_more)) {
                                            esc_html_e( $load_more, 'woo-tabbed-category');
                                        } else {
                                            esc_html_e('Load More', 'woo-tabbed-category');
                                        } 
                                    ?>
                            </button>

                        </div>

                    </div>
                </div>
           

        </div>



    </div>
    <!-- container -->

</div>


