<?php defined('ABSPATH') or die("No direct script access!"); ?>

<div id="qcld_wootab-product-modal" class="mfp-hide white-popup-block animated flipInX">
    <div id="qcld_wootab-product">
        <h1>Loading...</h1>
    </div>
</div>

<link rel="stylesheet" type="text/css"
      href="<?php echo QC_WOO_TAB_PLUGIN_URL . 'templates/template-' . $qc_shortcode_parameters['theme'] . "/template.css"; ?>"/>


<style>
    .qc_theme_four {
        color: <?php echo get_option('product_category_text_font_color');?> !important;
        font-size: <?php echo get_option('product_category_text_font_size');?>px !important;
        background-color: <?php echo get_option('product_category_filter_button_color');?> !important;
    }

    .qc_theme_four:hover {
        background: <?php echo get_option('product_category_filter_button_color_hover');?> !important;

    }

    .qc_theme_four h1 {
        color: <?php echo get_option('product_category_text_font_color');?> !important;
        font-size: <?php echo get_option('product_category_text_font_size');?>px !important;
    }

    .qc_theme_four.qcld_theme_four_active {
        background: <?php echo get_option('product_category_button_active_color');?> !important;
    }


</style>


<?php 
 $qcld_rtl_support = '';
 $qc_woo_tabbed_display_rtl_support = get_option('qc_woo_tabbed_display_rtl_support');

 if(!empty($qc_woo_tabbed_display_rtl_support)){

    $qcld_rtl_support = 'dir=rtl';
 }

?>
<div class="qc-tabs-style8" <?php echo esc_attr($qcld_rtl_support); ?>>

     <?php

            $category_ids = '';
            $show_sale = '';
            $link_title_to_modal = '';
            $shortcode_params = ($qc_shortcode_parameters);


            if (array_key_exists('featured-only', $shortcode_params)) {
                $featured_only = $shortcode_params['featured-only'];
            } else {
                $featured_only = '';
            }

            if (array_key_exists('category-ids', $shortcode_params)) {
                $category_ids = $shortcode_params['category-ids'];

                // convert the string into php array
                $category_ids = explode(',', $category_ids);

            } else {
                $category_ids = '';
            }

            if (array_key_exists('sale-only', $shortcode_params)) {
                $show_sale = $shortcode_params['sale-only'];
            } else {
                $show_sale = '';
            }
            if (array_key_exists('link_title_to_modal', $shortcode_params)) {
                $link_title_to_modal = $shortcode_params['link_title_to_modal'];
            } else {
                $link_title_to_modal = '';
            }

            $product_categories = unserialize(get_option('selected_categories'));
            $product_number = get_option('product_number');

            $args = get_products_template_one_query_function_first($product_categories, $category_ids);


            $product_categories = get_terms('product_cat', $args);

            $categories_parameter = array();
            foreach($product_categories as $termsss){
                array_push($categories_parameter,$termsss->term_id);
            }
            $categories_all_pera = implode(',', $categories_parameter);


            ?>
    <?php if (get_option('show_all') == 1): ?>


        <div class="qc-tabs-container">
           


            <div class="qc-tabs-btn qc_theme_four" data-cat-id="all" data-show-sale="<?php echo $show_sale; ?>"
                data-offset="<?php echo get_option('product_number'); ?>"
                data-feature-only="<?php echo $featured_only; ?>" data-cat-attr="<?php echo $categories_all_pera; ?>"
                title-modal="<?php echo $link_title_to_modal; ?>">

                <h1 class="selected"><?php $all_categories = get_option('change_all_category_button_text');
                                    if (!empty($all_categories)) {
                                        echo esc_html($all_categories, 'woo-tabbed-category' );
                                    } else {
                                        _e('All', 'woo-tabbed-category');
                                    } ?> <i class="fa fa-plus pull-right"></i></h1>
            </div>
            <div class="qc-tabs-contant">
                <div class="qc-tabs-contant-inner">
                    <div class="qc-product-box">
                        <?php

                        $tax_query_all = array(
                            array(
                                'taxonomy' => 'product_visibility',
                                'field' => 'name',
                                'terms' => 'featured',
                                'operator' => 'IN'
                            ),);


                        $show_sale_products_only_all = array('relation' => 'OR', array( // Simple products type
                            'key' => '_sale_price',
                            'value' => 0,
                            'compare' => '>',
                            'type' => 'numeric'
                        ),
                            array( // Variable products type
                                'key' => '_min_variation_sale_price',
                                'value' => 0,
                                'compare' => '>',
                                'type' => 'numeric'
                            ));


                        $args_all = array(
                            'post_type' => 'product',
                            'posts_per_page' => -1,
                        );

                        if ($show_sale == 1) {
                            $args_all = array_merge($args_all, array('meta_query' => $show_sale_products_only_all));
                        }


                        if ($featured_only == 1) {
                            $args_all = array_merge($args_all, array('tax_query' => $tax_query_all));
                        }


                        $tax_query = array(
                            array(
                                'taxonomy' => 'product_visibility',
                                'field' => 'name',
                                'terms' => 'featured',
                                'operator' => 'IN'
                            ),);


                        $show_sale_products_only = array('relation' => 'OR', array( // Simple products type
                            'key' => '_sale_price',
                            'value' => 0,
                            'compare' => '>',
                            'type' => 'numeric'
                        ),
                            array( // Variable products type
                                'key' => '_min_variation_sale_price',
                                'value' => 0,
                                'compare' => '>',
                                'type' => 'numeric'
                            ));


                        $args = array(
                            'post_type' => 'product',
                            'posts_per_page' => $product_number,
                        );

                        if ($show_sale == 1) {
                            $args = array_merge($args, array('meta_query' => $show_sale_products_only));
                        }


                        if ($featured_only == 1) {
                            
                            $args = array_merge($args, array('tax_query' => $tax_query));
                        }

                        $args =  array_merge($args, array( 'tax_query' => array(
                                            array(
                                                'taxonomy' => 'product_visibility',
                                                'field'    => 'name',
                                                'terms'    => 'exclude-from-catalog',
                                                'operator' => 'NOT IN',
                                            ),
                                    )));


                        if(get_option('qc_woo_tabbed_disable_product_out_of_stock') == 'enable'){

                            $args = array_merge($args, array( 'meta_query' => array(
                                        array(
                                            'key'       => '_stock_status',
                                            'value'     => 'instock',
                                        ),
                                )));
                        }


                        $product_query = new WP_Query($args);
                        $product_count = new WP_Query($args_all);

                        $product_num = $product_count->post_count;

                        $product_query = new WP_Query($args);
                        $wc_pf = new WC_Product_Factory(); ?>
                        <ul class="theme-four">
                            <?php while ($product_query->have_posts()) : $product_query->the_post(); ?>
                                <?php $product = wc_get_product(get_the_ID()); ?>
                                <li class="<?php echo qcld_product_product_has_gallery( get_the_ID() ); ?>"
                                    style="background-color:<?php echo get_option('container_background_color') ?>">
                                    <div class="qc-product-list">
                                        <?php if ($product->is_on_sale()): ?>
                                            <label for="qc_on_sale"><img src="<?php echo QC_WOO_TAB_IMAGE_URL; ?>/sale.png"></label>
                                        <?php endif; ?>
                                        <div class="qc-product-details-left"><?php echo get_the_post_thumbnail($product->get_id(), 'shop_catalog') ?> <?php echo qcld_product_second_product_thumbnail($product->get_id()); ?></div>
                                        <div class="qc-product-details-right">

                                            <?php if (get_option('product_title') == 1): ?>
                                                <?php
                                                if(isset($link_title_to_modal) && ($link_title_to_modal == '1' || $link_title_to_modal == '01')){ 
                                                ?>
                                                    <h2>
                                                        <a style="color: <?php if (get_option('product_title_text_color') != '') echo get_option('product_title_text_color') . ';'; ?>; font-size: <?php if (get_option('change_title_text_size') != '') echo get_option('change_title_text_size') . 'px;'; ?>"
                                                           href="#" class="woo_tab_product_details" product-id="<?php echo get_the_ID(); ?>"><?php echo $product->get_title(); ?></a>
                                                    </h2>
                                                <?php }else{ ?>
                                                    <h2>
                                                        <a style="color: <?php if (get_option('product_title_text_color') != '') echo get_option('product_title_text_color') . ';'; ?>; font-size: <?php if (get_option('change_title_text_size') != '') echo get_option('change_title_text_size') . 'px;'; ?>"
                                                           href="<?php echo $product->get_permalink(); ?>"><?php echo $product->get_title(); ?></a>
                                                    </h2>
                                                <?php } ?>
                                            <?php endif; ?>

                                            <div class="tpl_nine_short_desc"
                                                     style="font-size: <?php echo get_option('product_content_text_size'); ?>px; color: <?php echo get_option('product_content_text_color'); ?> !important;"><?php echo strip_tags($product->get_short_description()); ?></div>

                                            
                                            <?php 

                                            if(get_option('qc_woo_tabbed_display_product_tag') == 'enable'){
                                            woo_tabbed_product_tags_by_id(get_the_ID());
                                            } 
                                            ?>
                                            <?php $average = $product->get_average_rating(); ?>

                                            <?php if (get_option('display_rating') == 1): ?>
                                                <div class="qcld_woo_product_rating">
                                                    <?php if ($average == 1) { ?>
                                                        <img src="<?php echo QC_WOO_TAB_IMAGE_URL; ?>/1_star.png"
                                                             alt="">
                                                    <?php } else if ($average == 0) { ?>
                                                        <img src="<?php echo QC_WOO_TAB_IMAGE_URL; ?>/no_star.png"
                                                             alt="">
                                                    <?php } else if ($average <= 2) { ?>
                                                        <img src="<?php echo QC_WOO_TAB_IMAGE_URL; ?>/2_star.png"
                                                             alt="">
                                                    <?php } else if ($average <= 3) { ?>
                                                        <img src="<?php echo QC_WOO_TAB_IMAGE_URL; ?>/3_star.png"
                                                             alt="">
                                                    <?php } else if ($average <= 4) { ?>
                                                        <img src="<?php echo QC_WOO_TAB_IMAGE_URL; ?>/4_star.png"
                                                             alt="">
                                                    <?php } else if ($average <= 5) { ?>
                                                        <img src="<?php echo QC_WOO_TAB_IMAGE_URL; ?>/5_star.png"
                                                             alt="">
                                                    <?php } ?>
                                                </div>

                                            <?php endif; ?>

                                            <?php if (get_option('display_price') == 1): ?>
                                                <h3 style="font-size: <?php echo get_option('product_content_text_size'); ?>px; color: <?php echo get_option('product_content_text_color'); ?>;"><?php echo $product->get_price_html(); ?></h3>


                                            <?php endif; ?>
                                            <?php  if(get_option('qc_quick_view_on_off') != 'off'): ?>
                                            <a href="#"  class="woo_tab_product_details" product-id="<?php echo $product->get_id(); ?>">
                                                <i class="fa fa-info-circle" aria-hidden="true"></i>
                                            </a>
                                            <?php endif; ?>


                                            <?php if (get_option('add_cart_link') == 1): ?>

                                                <?php if ($product->get_type() != 'variable'): ?>
                                            <a data-p-price="<?php echo $product->get_price(); ?>"
                                               data-p-id="<?php echo $product->get_id(); ?>"
                                               href="<?php echo $product->add_to_cart_url(); ?>"
                                               class="qc-cart-btn woo_tab_s_p_add_to_cart"><?php $add_to_cart_text = get_option('change_add_to_cart_button_text');
                                                if (!empty($add_to_cart_text)) {
                                                    esc_html_e( $add_to_cart_text, 'woo-tabbed-category' );
                                                } else {
                                                    esc_html_e( 'Add To Cart', 'woo-tabbed-category' );
                                                } ?>           
                                                 <?php else: ?>
                                                <a href="#" class="woo_tab_product_details" product-id="<?php echo get_the_ID(); ?>"><i class="fa fa-cart-arrow-down" aria-hidden="true"></i></a>
                                                <?php endif; ?>

                                                <div class="qc_quantity">
                                                    <input type="text" class="qc_quantity" name="qcld_quantity"
                                                           min="1" max="600" value="1">
                                                </div>

                                            </a>

                                            <?php
                                            $qcld_woo_pro_minmax_dynamic_pricing_setting = get_option('qcld_woo_pro_minmax_dynamic_pricing_setting');

                                            if(function_exists('qcld_woo_pro_minmax_install') && (isset($qcld_woo_pro_minmax_dynamic_pricing_setting['qcld_woo_pro_minmax_price_table_on_off']) && $qcld_woo_pro_minmax_dynamic_pricing_setting['qcld_woo_pro_minmax_price_table_on_off'] == 'enable') ){

                                              $result_show = qcld_woo_pro_minmax_tabbed_dynamic_discount_price_table_show(get_the_ID());
                                              echo $result_show;
                                            }
                                            ?>
                                        </div>
                                    <?php endif; ?>

                                    </div>
                                </li>
                            <?php endwhile; wp_reset_query(); ?>
                        </ul>
                    </div>


                    <?php if ($product_num > get_option('product_number')): ?>
                        <div class="qcld-wootab-more-scroll-container" style="text-align:center">
                            <div class="loader_container"></div>
                            <button type="button"
                                    id="qcld-wootab-more-four-all"
                                    data-theme-name="theme-four"
                                    data-show-sale="<?php echo $show_sale; ?>"
                                    data-feature-only="<?php echo $featured_only; ?>"
                                    data-cat-attr="<?php echo $categories_all_pera; ?>"
                                    title-modal="<?php echo $link_title_to_modal; ?>"
                                    data-offset="<?php echo get_option('product_number'); ?>"><?php $load_more = get_option('change_load_more_text');
                                    if (!empty($load_more)) {
                                        esc_html_e($load_more, 'woo-tabbed-category' );
                                    } else {
                                        esc_html_e('Load More', 'woo-tabbed-category');
                                    }  ?>
                            </button>

                        </div>
                    <?php endif; ?>


                </div>
            </div>

        </div>
    <?php endif; ?>
    <div class="qc-tabs-container">
        <?php

        $product_categories = unserialize(get_option('selected_categories'));

        $args = get_products_template_one_query_function_first($product_categories, $category_ids);

        $products_num = new WP_Query($args);
        $product_num = $products_num->post_count;


        $product_categories = get_terms('product_cat', $args);
        ?>

        <?php foreach ($product_categories as $cat): 

            // $cat_id = $cat->term_id;
            $post_per_page = 30;
            $show_featured_only = array('relation' => 'OR', array(
                array(
                    'taxonomy' => 'product_cat',
                    'field' => 'term_id',
                    'terms' => $cat->term_id,
                    'operator' => 'IN'
                ),
                array(
                    'taxonomy' => 'product_visibility',
                    'field' => 'name',
                    'terms' => 'featured',
                    'operator' => 'IN'
                )
            ));

            $show_sale_products_only = array('relation' => 'OR', array( // Simple products type
                'key' => '_sale_price',
                'value' => 0,
                'compare' => '>',
                'type' => 'numeric'
            ),
                array( // Variable products type
                    'key' => '_min_variation_sale_price',
                    'value' => 0,
                    'compare' => '>',
                    'type' => 'numeric'
                ));
                            
            $sorting = '';
            $orderBy = get_option('qc_product_sort_type');
            if(get_option('qc_product_sort_type') == 'meta_value_num'){
                $sorting = '_price';
            }
            if( get_option('qc_product_sort_type') == 'total_sales' ){
                $sorting = 'total_sales';
                $orderBy = 'meta_value_num';
            }


            $product_args = array(
                'post_type'         => 'product',
                'posts_per_page'    => $product_number,
                'meta_key'          => $sorting,
                'orderby'           => $orderBy,
                'order'             => get_option('qc_product_sort_order'),
                'tax_query'         => array(
                    'relation' => 'OR',
                    array(
                        'taxonomy'  => 'product_cat',
                        'field'     => 'term_id',
                        'terms'     => $cat->term_id,
                        'operator'  => 'IN'
                    ),
                )
            );

            if ($show_sale == 1) {
                $product_args = array_merge($product_args, array('meta_query' => $show_sale_products_only));
            }


            if ($featured_only == 1) {
                $product_args = array_merge($product_args, array('tax_query' => $show_featured_only));
            }

            $product_visibility = array('relation' => 'OR', array(
                array(
                    'taxonomy' => 'product_cat',
                    'field' => 'term_id',
                    'terms' => $cat->term_id,
                    'operator' => 'IN'
                ),
                 array(
                    'taxonomy' => 'product_visibility',
                    'field'    => 'name',
                    'terms'    => 'exclude-from-catalog',
                    'operator' => 'NOT IN',
                ),
            ));

            $args = array_merge($args, array('tax_query' => $product_visibility));

            if(get_option('qc_woo_tabbed_disable_product_out_of_stock') == 'enable'){

                $args = array_merge($args, array( 'meta_query' => array(
                            array(
                                'key'       => '_stock_status',
                                'value'     => 'instock',
                            ),
                    )));
            }


            $products_num = new WP_Query($product_args);
            $product_num = $products_num->post_count;

            $i = 0;
            $c = 1;
            if($product_num<1){ continue; }

            ?>

            <div class="qc-tabs-btn qc_theme_four" data-offset="<?php echo get_option('product_number'); ?>"
                 data-feature-only="<?php echo $featured_only; ?>"
                 data-show-sale="<?php echo $show_sale; ?>"
                 data-cat-id="<?php echo $cat->term_id; ?>" title-modal="<?php echo $link_title_to_modal; ?>">
               
                <h1 class="selected ">
                <?php 
                if(!empty(get_option('qc_woo_tabbed_enable_category_image'))){
                    qcld_get_category_image($cat->term_id); 
                }
                ?>
                <?php echo substr($cat->name, 0, get_option('max_char_per_cat')); ?> <i class="fa fa-plus pull-right"></i></h1>
            </div>

            <div class="qc-tabs-contant">
                <div class="qc-tabs-contant-inner">
                    <div class="qc-product-box">
                        <?php

                        $args = array(
                            'post_type' => array('product', 'product_variation'),
                            'post_status' => 'publish',
                            'posts_per_page' => $product_number,
                            'tax_query' => array(
                                'relation' => 'OR',
                                array(
                                    'taxonomy' => 'product_cat',
                                    'field' => 'term_id',
                                    'terms' => $cat->term_id,
                                    'operator' => 'IN'
                                ),
                            )
                        );


                        $args_two = array(
                            'post_type' => array('product', 'product_variation'),
                            'post_status' => 'publish',
                            'posts_per_page' => -1,
                            'tax_query' => array(
                                'relation' => 'OR',
                                array(
                                    'taxonomy' => 'product_cat',
                                    'field' => 'term_id',
                                    'terms' => $cat->term_id,
                                    'operator' => 'IN'
                                ),
                            )
                        );


                        $products_num = new WP_Query($args_two);
                        $product_num = $products_num->post_count;


                        $product_query = new WP_Query($args);
                        $wc_pf = new WC_Product_Factory(); 
                        ?>
                        <ul class="theme-four ">
                           
                        </ul>


                        <!-- Load more -->
                        <?php if ($product_num > get_option('product_number')): ?>
                            <div class="qcld-wootab-more-scroll-container" style="text-align:center">
                                <div class="loader_container"></div>
                                <button type="button"
                                        id="qcld-wootab-more-four"
                                        data-show-sale="<?php echo $show_sale; ?>"
                                        data-cat-id="<?php echo $cat->term_id; ?>"
                                        data-feature-only="<?php echo $featured_only; ?>"
                                        title-modal="<?php echo $link_title_to_modal; ?>"
                                        data-offset="<?php echo get_option('product_number'); ?>"><?php $load_more = get_option('change_load_more_text');
                                    if (!empty($load_more)) {
                                        esc_html_e($load_more, 'woo-tabbed-category' );
                                    } else {
                                        esc_html_e('Load More', 'woo-tabbed-category');
                                    }  ?>
                                </button>

                            </div>

                        <?php endif; ?>

                        <br>
                    </div>

                </div>


            </div>
        <?php endforeach; ?>
    </div>
</div>


