<?php defined('ABSPATH') or die("No direct script access!"); ?>

<div id="qcld_wootab-product-modal" class="mfp-hide white-popup-block animated flipInX">
    <div id="qcld_wootab-product">
        <h1>Loading...</h1>
    </div>
</div>

<link rel="stylesheet" type="text/css"
      href="<?php echo QC_WOO_TAB_PLUGIN_URL . 'templates/template-' . $qc_shortcode_parameters['theme'] . "/template.css"; ?>"/>
<?php if(!empty(get_option('qc_woo_tabbed_enable_theme_10_navbar_menu_tab'))): ?>
<style type="text/css">
    .qc_carousel_demo1 .mi-slider nav {
        top: 0px !important;
    }
    .qc_carousel_demo1 .mi-slider>ul {
        top: 110px !important;
        bottom:0px !important;
    }
    .qc_carousel_demo1 .mi-slider>ul.mi-current {
        pointer-events: initial !important;
        cursor: pointer !important;
    }
    .qc_carousel_demo1 .mi-slider > ul > li,.qc_carousel_demo1 {
        cursor: pointer !important;
    }

    .qc_carousel_demo1 .mi-slider {
        height: 480px !important;
    }

    .qc_carousel_demo1 .qc_pro_details {
        top: 80px !important
    }

    .qc_carousel_demo1 .qc_pro_details {
        margin: 0 0 -53px 0  !important;
    }
</style>
<?php endif; ?>

<?php


        $product_per_group = 4;
        $product_categories = unserialize(get_option('selected_categories'));
        $product_number = get_option('product_number');


        $category_ids = '';
        $show_sale = '';
        $link_title_to_modal = '';
        $shortcode_params = ($qc_shortcode_parameters);


        if (array_key_exists('featured-only', $shortcode_params)) {
            $featured_only = $shortcode_params['featured-only'];
        } else {
            $featured_only = '';
        }

        if (array_key_exists('category-ids', $shortcode_params)) {
            $category_ids = $shortcode_params['category-ids'];

            // convert the string into php array
            $category_ids = explode(',', $category_ids);

        } else {
            $category_ids = '';
        }

        if (array_key_exists('sale-only', $shortcode_params)) {
            $show_sale = $shortcode_params['sale-only'];
        } else {
            $show_sale = '';
        }
        
        if (array_key_exists('link_title_to_modal', $shortcode_params)) {
            $link_title_to_modal = $shortcode_params['link_title_to_modal'];
        } else {
            $link_title_to_modal = '';
        }

        if (array_key_exists('slider-id', $shortcode_params)) {
            $slider_id = $shortcode_params['slider-id'];
        } else {
            $slider_id = 'mi-slider';
        }

        $product_categories = unserialize(get_option('selected_categories'));
        $product_number = get_option('product_number');

        $category_orders = get_option('category_order');

        
        $args = get_products_template_one_query_function_first($product_categories, $category_ids);
        
        $product_categories = get_terms('product_cat', $args);

        $categories_parameter = array();
        foreach($product_categories as $termsss){
            array_push($categories_parameter,$termsss->term_id);
        }
        $categories_all_pera = implode(',', $categories_parameter);

?>


<?php 
 $qcld_rtl_support = '';
 $qc_woo_tabbed_display_rtl_support = get_option('qc_woo_tabbed_display_rtl_support');

 if(!empty($qc_woo_tabbed_display_rtl_support)){

    $qcld_rtl_support = 'dir=rtl';
 }

?>

<div class="qcld_wootab_style10 qc_carousel_demo1" id="currentTheme" data-theme="theme10" <?php echo esc_attr($qcld_rtl_support); ?>>
        <div id="<?php echo $slider_id ?>" class="mi-slider">
        <?php

        foreach ($product_categories as $cats) {
            $cats_id = $cats->term_id;
            $post_per_page = 30;
            $show_featured_only = array('relation' => 'OR', array(
                array(
                    'taxonomy' => 'product_cat',
                    'field' => 'term_id',
                    'terms' => $cats->term_id,
                    'operator' => 'IN'
                ),
                array(
                    'taxonomy' => 'product_visibility',
                    'field' => 'name',
                    'terms' => 'featured',
                    'operator' => 'IN'
                )
            ));

            $show_sale_products_only = array('relation' => 'OR', array( // Simple products type
                'key' => '_sale_price',
                'value' => 0,
                'compare' => '>',
                'type' => 'numeric'
            ),
                array( // Variable products type
                    'key' => '_min_variation_sale_price',
                    'value' => 0,
                    'compare' => '>',
                    'type' => 'numeric'
                ));

            $sorting = '';
            $orderBy = get_option('qc_product_sort_type');
            if(get_option('qc_product_sort_type') == 'meta_value_num'){
                $sorting = '_price';
            }
            if( get_option('qc_product_sort_type') == 'total_sales' ){
                $sorting = 'total_sales';
                $orderBy = 'meta_value_num';
            }


            $product_args = array(
                'post_type'         => 'product',
                'posts_per_page'    => $product_number,
                'meta_key'          => $sorting,
                'orderby'           => $orderBy,
                'order'             => get_option('qc_product_sort_order'),
                'tax_query'         => array(
                    'relation'      => 'OR',
                    array(
                        'taxonomy'  => 'product_cat',
                        'field'     => 'term_id',
                        'terms'     => $cats->term_id,
                        'operator'  => 'IN'
                    ),
                )
            );

            if ($show_sale == 1) {
                $product_args = array_merge($product_args, array('meta_query' => $show_sale_products_only));
            }


            if ($featured_only == 1) {
                $product_args = array_merge($product_args, array('tax_query' => $show_featured_only));
            }



           /* $product_args =  array_merge($product_args, array( 'tax_query' => array(
                            array(
                                    'meta_query' => array (
                                    'key' => '_stock_status',
                                    'value' => 'instock'
                                )
                            ),
                    )));*/

            /*
                $product_args =  array_merge($product_args, array( 'tax_query' => array(
                        array(
                            'taxonomy' => 'product_visibility',
                            'field'    => 'name',
                            'terms'    => 'exclude-from-catalog',
                            'operator' => 'NOT IN',
                        ),
                )));

                $args = wp_parse_args( array(
                    'posts_per_page' => 4,
                    'meta_query' => array (
                       'key' => '_stock_status',
                       'value' => 'instock'
                )
                ), $args );
            */


            $products_num = new WP_Query($product_args);
            $product_num = $products_num->post_count;

            $product_query = new WP_Query($product_args);
            $wc_pf = new WC_Product_Factory();
            $prodGroup = ceil($product_num / $product_per_group);
            $extraLinkCount = $prodGroup - 1;

            $i = 0;
            $c = 1;
            if($product_num<1){ continue; }
            ?>
            <ul class="qc_carousel_list qcld_wooTabCarousel" id="qcld_wooTabCarousel_<?php echo $cats_id . '_' . $c; ?>">
                <?php
                if ($extraLinkCount >= 1) {
                    echo '<li href="#" class="wooTabCatMore wooTabCatMoreNext '.$slider_id.'wooTabCatMoreNext callAjax" data-offset="4" cat_id="' . $cats_id . '"></li>';
                }

                if ($product_num < 1) {
                    echo '<li class="noProd">' . get_option('no_product_found_text') . '</li>';
                }

                while ($product_query->have_posts()) {

                    $product_query->the_post();
                    $product = wc_get_product(get_the_ID());
                    $product_stock_status = $product->get_stock_status();


                    if ($i >= ($product_per_group)) {
                        $c++;
                        //echo '</ul><ul class="qc_carousel_list qcld_wooTabCarousel hasMoreGroups" id="qcld_wooTabCarousel_' . $cat_id . '_' . $c . '">';
                        echo '</ul><ul class="qc_carousel_list qcld_wooTabCarousel " id="qcld_wooTabCarousel_' . $cats_id . '_' . $c . '">';
                        echo '<li href="#" class="wooTabCatMore wooTabCatMorePrev '.$slider_id.'wooTabCatMorePrev" cat_id="' . $cats_id . '"></li>';
                        if ($c <= $extraLinkCount) {
                            echo '<li href="#" class="wooTabCatMore wooTabCatMoreNext '.$slider_id.'wooTabCatMoreNext" cat_id="' . $cats_id . '"></li>';
                        }

                        $i = 0;
                    }
                    $i++;
                    ?>
                    <li>
                        <?php if ($product_stock_status != 'outofstock'){ ?>
                            <?php if ($product->get_type() != 'variable'): ?>
                            <div class="qc_pro_details">
                            <?php else: ?>
                            <div class="qc_pro_details qc_pro_variable_details">
                            <?php endif; ?>
                                <ul>
                                    <?php if (get_option('product_title') == 1): ?>
                                        <?php if(isset($link_title_to_modal) && ($link_title_to_modal == '1' || $link_title_to_modal == '01')){  ?>
                                            <li><a href="#" class="woo_tab_product_details" product-id="<?php echo get_the_ID(); ?>"><i class="fa fa-link" aria-hidden="true"></i></a></li>
                                        <?php }else{ ?>
                                            <li><a href="<?php echo $product->get_permalink() ?>"><i class="fa fa-link" aria-hidden="true"></i></a></li>
                                        <?php } ?>
                                    <?php endif; ?>
                                        <?php if (get_option('add_quantity_select') == 1): ?>
                                    <?php if ($product->get_type() != 'variable'): 
                                                                    

                                                    $qcld_woo_pro_minmax_enable_plugin = get_option( 'qcld_woo_pro_minmax_enable_plugin' );
                                                    if(function_exists('qcld_woo_pro_minmax_install') && isset($qcld_woo_pro_minmax_enable_plugin) && $qcld_woo_pro_minmax_enable_plugin  == 'yes'){
                                                        $response_min_max = qcld_woo_pro_minmax_tabbed_add_rules_text(get_the_ID(),0);

                                                        $min_qty  = $response_min_max['min'];
                                                        $max_qty  = $response_min_max['max'];
                                                        $step_qty = $response_min_max['step'];

                                                    ?>
                                    <li>
                                    <div class="qc_quantity qc_qat_style_three">
                                            <input class="qc_minus" type="button" value="-">
                                            <input type="text" class="qc_product_quantity" name="qcld_quantity" value="<?php echo ($min_qty ? $min_qty : 1); ?>" step="<?php echo ($step_qty ? $step_qty : ''); ?>" min="<?php echo ($min_qty ? $min_qty : ''); ?>" max="<?php echo ($max_qty ? $max_qty : ''); ?>">
                                            <input class="qc_plus" type="button" value="+">
                                    </div>
                                </li>
                                                    <?php }else{ ?>

                                    <li>
                                    <div class="qc_quantity qc_qat_style_three">
                                            <input class="qc_minus" type="button" value="-">
                                            <input type="text" class="qc_product_quantity" name="qcld_quantity"
                                                   value="1">
                                            <input class="qc_plus" type="button" value="+">
                                    </div>
                                </li>
                                                    <?php } ?>
                                            <?php endif; ?>
                                        <?php endif; ?>
                                        <?php if (get_option('add_cart_link') == 1): ?>
                                            <?php if ($product->get_type() != 'variable'): 

                                                $qc_woo_tabbed_cart_summary = get_option('qc_woo_tabbed_cart_summary_position');
                                                if(isset($qc_woo_tabbed_cart_summary) && $qc_woo_tabbed_cart_summary == 'wooinstantcart' ):

                                                                     $qcld_woo_pro_minmax_enable_plugin = get_option( 'qcld_woo_pro_minmax_enable_plugin' );
                                                        if(function_exists('qcld_woo_pro_minmax_install') && isset($qcld_woo_pro_minmax_enable_plugin) && $qcld_woo_pro_minmax_enable_plugin  == 'yes'){

                                                            $response_min_max = qcld_woo_pro_minmax_tabbed_add_rules_text(get_the_ID(),0);
                                                            $min_qty  = $response_min_max['min'];
                                                          }else{
                                                            $min_qty  = 1;

                                                          }
                                                ?>
                                            <li><a class="woo_tab_s_p_add_to_cart ajax_add_to_cart add_to_cart_button product_type_simple"
                                               data-quantity="<?php echo ($min_qty ? $min_qty : 1); ?>" 
                                               data-product_id="<?php echo $product->get_id(); ?>"
                                               data-p-price="<?php echo $product->get_price(); ?>"
                                               data-p-id="<?php echo $product->get_id(); ?>"
                                               href="<?php echo $product->add_to_cart_url(); ?>"><i class="fa fa-cart-plus" aria-hidden="true"></i></a></li>
                                            <?php else: ?>
                                            <li><a class="woo_tab_s_p_add_to_cart"
                                               data-p-price="<?php echo $product->get_price(); ?>"
                                               data-p-id="<?php echo $product->get_id(); ?>"
                                               href="<?php echo $product->add_to_cart_url(); ?>"><i class="fa fa-cart-plus" aria-hidden="true"></i></a></li>
                                            <?php endif; ?>
                                            <?php else: ?>
                                                <li>
                                                <a class="woo_tab_product_details" href="#" product-id="<?php echo $product->get_id(); ?>"><i class="fa fa-cart-arrow-down" aria-hidden="true"></i></a>
                                            </li>
                                            <?php endif; ?>
                                        <?php endif; ?>
                                </ul>
                            </div>
                        <?php }else {?>
                            <div class="qc_strock_out_ex_box qc_pro_details">
                                <ul>
                                    <?php if (get_option('product_title') == 1): ?>

                                        <li><a href="<?php echo $product->get_permalink(); ?>"><i class="fa fa-link" aria-hidden="true"></i></a></li>

                                    <?php endif; ?>
                                        <?php if (get_option('add_cart_link') == 1): ?>
                                            <li>
                                    <div class="qc_out_of_stock_container qc_quantity qc_qat_style_three">
                                            <a class="woo_tab_product_details" href="#"  product-id="<?php echo $product->get_id(); ?>"><i class="fa fa-cart-arrow-down" aria-hidden="true"></i></a>


                                    </div>
                                </li>
                                        <?php endif; ?>
                                </ul>
                            </div>
                        <?php } ?>
                        <a href="<?php echo $product->get_permalink(); ?>" class="<?php echo qcld_product_product_has_gallery( get_the_ID() ); ?>">
                            <?php echo $product->get_image('shop_catalog'); ?>
                            <?php echo qcld_product_second_product_thumbnail(get_the_ID()); ?>
                        </a>
                        <?php if (get_option('product_title') == 1): ?>
                            <?php
                            if(isset($link_title_to_modal) && ($link_title_to_modal == '1' || $link_title_to_modal == '01')){ 
                            ?>
                                <a href="#" class="woo_tab_product_details" product-id="<?php echo get_the_ID(); ?>"><h4 style="color: <?php if (get_option('product_title_text_color') != '') echo get_option('product_title_text_color') . ';'; ?> font-size: <?php if (get_option('change_title_text_size') != '') echo get_option('change_title_text_size') . 'px;'; ?>"><?php echo $product->get_title(); ?></h4></a>
                            <?php }else{ ?>
                                <a href="<?php echo $product->get_permalink(); ?>"><h4 style="color: <?php if (get_option('product_title_text_color') != '') echo get_option('product_title_text_color') . ';'; ?> font-size: <?php if (get_option('change_title_text_size') != '') echo get_option('change_title_text_size') . 'px;'; ?>"><?php echo $product->get_title(); ?></h4></a>
                            <?php } ?>

                        <?php endif; ?>
                        <h5 style="color: <?php if (get_option('product_title_text_color') != '') echo get_option('product_title_text_color') . ';'; ?> font-size: <?php if (get_option('change_title_text_size') != '') echo get_option('change_title_text_size') . 'px;'; ?>">
                        <?php if (get_option('display_price') == 1): ?>
                            <?php echo $product->get_price_html(); ?>
                        <?php endif; ?>
                        <?php if(get_option('qc_quick_view_on_off') != 'off'): ?>
                        <a href="#" class="woo_tab_product_details" product-id="<?php echo $product->get_id(); ?>">
                            <i class="fa fa-info-circle" aria-hidden="true"></i>
                        </a>
                        <?php endif; ?>

                        </h5>
                        <?php
                        $qcld_woo_pro_minmax_dynamic_pricing_setting = get_option('qcld_woo_pro_minmax_dynamic_pricing_setting');

                        if(function_exists('qcld_woo_pro_minmax_install') && (isset($qcld_woo_pro_minmax_dynamic_pricing_setting['qcld_woo_pro_minmax_price_table_on_off']) && $qcld_woo_pro_minmax_dynamic_pricing_setting['qcld_woo_pro_minmax_price_table_on_off'] == 'enable') ){

                          $result_show = qcld_woo_pro_minmax_tabbed_dynamic_discount_price_table_show($product->get_id());
                          echo $result_show;
                        }
                        ?>
                        <?php if ($product->is_on_sale()): ?>
                            <label for="qc_on_sale"><img src="<?php echo QC_WOO_TAB_IMAGE_URL; ?>/sale.png"></label>
                        <?php endif; ?>
                    </li>
                <?php } wp_reset_query();?>
            </ul>
        <?php } wp_reset_query(); //end each category ?>
        <nav class="<?php echo $slider_id; ?>wooTabCarasolLinks">
            <?php
            $i = 0;
            $c = 1;
            foreach ($product_categories as $cat) {
                $cat_id = $cat->term_id;
               

                $post_per_page = 30;
                $show_featured_only = array('relation' => 'OR', array(
                    array(
                        'taxonomy' => 'product_cat',
                        'field' => 'term_id',
                        'terms' => $cat->term_id,
                        'operator' => 'IN'
                    ),
                    array(
                        'taxonomy' => 'product_visibility',
                        'field' => 'name',
                        'terms' => 'featured',
                        'operator' => 'IN'
                    )
                ));

                $show_sale_products_only = array('relation' => 'OR', array( // Simple products type
                    'key' => '_sale_price',
                    'value' => 0,
                    'compare' => '>',
                    'type' => 'numeric'
                ),
                    array( // Variable products type
                        'key' => '_min_variation_sale_price',
                        'value' => 0,
                        'compare' => '>',
                        'type' => 'numeric'
                    ));



            $sorting = '';
            $orderBy = get_option('qc_product_sort_type');
            if(get_option('qc_product_sort_type') == 'meta_value_num'){
                $sorting = '_price';
            }
            if( get_option('qc_product_sort_type') == 'total_sales' ){
                $sorting = 'total_sales';
                $orderBy = 'meta_value_num';
            }

            $product_args = array(
                'post_type'         => 'product',
                'posts_per_page'    => $product_number,
                'meta_key'          => $sorting,
                'orderby'           => $orderBy,
                'order'             => get_option('qc_product_sort_order'),
                'tax_query'         => array(
                    'relation'      => 'OR',
                    array(
                        'taxonomy'  => 'product_cat',
                        'field'     => 'term_id',
                        'terms'     => $cat->term_id,
                        'operator'  => 'IN'
                    ),
                )
            );

            if ($show_sale == 1) {
                $product_args = array_merge($product_args, array('meta_query' => $show_sale_products_only));
            }


            if ($featured_only == 1) {
                $product_args = array_merge($product_args, array('tax_query' => $show_featured_only));
            }


                /* 
                $product_visibility = array('relation' => 'OR', array(
                    array(
                        'taxonomy' => 'product_cat',
                        'field' => 'term_id',
                        'terms' => $cat->term_id,
                        'operator' => 'IN'
                    ),
                     array(
                        'taxonomy' => 'product_visibility',
                        'field'    => 'name',
                        'terms'    => 'exclude-from-catalog',
                        'operator' => 'NOT IN',
                    ),
                ));
                */
                //$args = array_merge($args, array('tax_query' => $product_visibility));

                $products_num = new WP_Query($product_args);
                $product_num = $products_num->post_count;
                $prodGroup = ceil($product_num / $product_per_group);
                $extraLinkCount = $prodGroup - 1;

                if($product_num<1){ continue; }

                ?>
                <a href="#" class="<?php echo $slider_id; ?>wooTabCatLinks wooTabRealCat"
                   id="qcld_wooTabCarouselCat_<?php echo $cat_id . '_' . $c; ?>"
                   cat_id="<?php echo $cat_id; ?>"><?php echo mb_substr($cat->name, 0, get_option('max_char_per_cat')); ?>
                    <?php 
                    if(!empty(get_option('qc_woo_tabbed_enable_category_image'))){
                        $thumbnail_id = get_term_meta($cat->term_id, 'thumbnail_id', true);
                        $image = wp_get_attachment_image($thumbnail_id, array(30, 30), "", array("class" => "qc_category_image"));
                        if ($image) {
                            echo $image;
                        }
                    }
                    ?>    
                </a>
                <?php
               
                $l = 1;

                while($l <= $extraLinkCount){
                    $l++;
                    echo '<a href="#" class="'.$slider_id.'wooTabCatLinks wooTabFakeCat" id="qcld_wooTabCarouselCat_' . $cat_id . '_' . $l . '" cat_id="' . $cat_id . '">' . substr($cat->name, 0, get_option('max_char_per_cat')) . ' ' . ($l) . '</a>';

                }
            } wp_reset_query();?>
        </nav>
    </div>
    <div class="loader" style="display:none"></div>
</div>
<script>
    //jQuery(document).ready(function ($) {
    jQuery(document).on('ready', function ($) {
        var slider_id = '<?php echo $slider_id; ?>';

        // if(slider_id){

        // }

        var device_width = jQuery(window).width();
        //jQuery('#mi-slider').catslider();
        jQuery('#' + slider_id ).catslider();

         function createSlick(){
            jQuery('.' + slider_id + "wooTabCarasolLinks").not('.slick-initialized').slick({
                
                slide:  'a.'+ slider_id +'wooTabCatLinks',
                infinite: false,
                slidesToShow: 4,
                slidesToScroll: 4,
                responsive: [
                    {
                    breakpoint: 680,
                        settings: {
                        slidesToShow: 2,
                        slidesToScroll: 2,
                        swipe: false
                        }
                    }
                ]
                });
        }
        createSlick();

        //Now it will not throw error
        //jQuery(window).on( 'resize', createSlick);


        setTimeout(function () {
            //jQuery('.wooTabFakeCat').removeClass(slider_id +'wooTabCatLinks slick-slide slick-active');
          //  jQuery('.wooTabFakeCat').removeAttr('data-slick-index aria-hidden role aria-describedby');

            var fakeNumItems = jQuery('.wooTabFakeCat').length;
            var eachFakeItemWidth = jQuery('.slick-slide').css('width');
           // eachFakeItemWidth = eachFakeItemWidth.replace('px', '');
            var allFakeItemWidth = parseInt(eachFakeItemWidth * fakeNumItems);
            var slickTrackWidth = jQuery('.slick-track').width();
            var slickTrackWidthNew = parseInt(slickTrackWidth - allFakeItemWidth);
            jQuery('.slick-track').width(slickTrackWidthNew);
        }, 1000);


        jQuery('.qcld_wootab_style10 .slick-arrow').click(function (event) {
            event.preventDefault();

            var fullSlideWidth = jQuery('.qcld_wootab_style10 .slick-track').width();
            var realItemsNum = jQuery('.wooTabRealCat').length;
            // var groupNum =parseInt(realItemsNum);
            
            if (device_width <= 680) {
                var groupNum = parseInt(realItemsNum / 2);
            } else {
                var groupNum = parseInt(realItemsNum / 4);
            }
            
            var perGroupWidth = parseInt(fullSlideWidth / groupNum);

            var targetMove = perGroupWidth * (groupNum - 2);
            var slideMoved = jQuery('.qcld_wootab_style10 .slick-track').css('transform');
            slideMoved = slideMoved.split(',');
            
            //   slideMoved = slideMoved[4];
            if (device_width <= 680) {
                slideMoved = slideMoved[2];
            }else{
                slideMoved = slideMoved[4];
            }

            slideMoved = parseInt(slideMoved.replace('-', ''));

            if (jQuery(this).hasClass('slick-prev')) {
                slideMoved = parseInt(slideMoved - perGroupWidth);
            } else {
                slideMoved = parseInt(slideMoved + perGroupWidth);
            }

            if (slideMoved == targetMove) {
                jQuery('.qcld_wootab_style10 .slick-next').addClass('slick-disabled');
            } else {
                jQuery('.qcld_wootab_style10 .slick-next').removeClass('slick-disabled');
            }

        });


        jQuery('.' + slider_id + 'wooTabCatMorePrev').click(function (event) {
            event.preventDefault();
            var iAm = jQuery(this);
            var offset = jQuery(this).attr('data-offset');
            var theme_id = jQuery("#currentTheme").attr('data-theme');
            var cat_id = jQuery(this).attr('cat_id');
            jQuery('.loader').addClass('active');
            jQuery("#qcld_wooTabCarouselCat_" + cat_id + "_1").addClass("mi-selected-main");

            if (iAm.hasClass('callAjax')) {
                var data = {
                    'action': 'get_products_by_cat_theme_ten',
                    'cat_id': cat_id,
                    'offset': offset,
                    'theme_id': theme_id
                };
                jQuery.post(ajaxurl, data, function (response) {
                   
                    setTimeout(function () {
                        jQuery('.mi-selected').prev('a').trigger('click');
                        jQuery('.loader').removeClass('active');
                    }, 500);
                    iAm.removeClass('callAjax');
                })
            } else {
                jQuery('.loader').removeClass('active');
                jQuery('.mi-selected').prev('a').trigger('click');

            }
        });


        jQuery('.' + slider_id + 'wooTabCatMoreNext').click(function (event) {
            event.preventDefault();
            var iAm = jQuery(this);
            var offset = jQuery(this).attr('data-offset');
            var theme_id = jQuery("#currentTheme").attr('data-theme');
            var cat_id = jQuery(this).attr('cat_id');
            jQuery('.loader').addClass('active');

            jQuery("#qcld_wooTabCarouselCat_" + cat_id + "_1").addClass("mi-selected-main");
            jQuery("#qcld_wooTabCarouselCat_" + cat_id + "_1.wooTabRealCat").addClass("mi-selected-fack");

            if (iAm.hasClass('callAjax')) {
                var data = {
                    'action': 'get_products_by_cat_theme_ten',
                    'cat_id': cat_id,
                    'offset': offset,
                    'theme_id': theme_id
                };
                jQuery.post(ajaxurl, data, function (response) {
                    //iAm.parent().after(response.html)
                    setTimeout(function () {
                        jQuery('.'+slider_id+'wooTabCatLinks.mi-selected').next('a').trigger('click');
                        jQuery('.loader').removeClass('active');
                    }, 500);
                    iAm.removeClass('callAjax');
                })
            } else {
                jQuery('.loader').removeClass('active');
               // jQuery('.mi-selected').next('a').trigger('click');
                jQuery('.'+slider_id+'wooTabCatLinks.mi-selected').next('a').trigger('click');
            }

            return false;
        });


        jQuery('.' + slider_id + 'wooTabCatLinks').click(function (event) {
            event.preventDefault();
            if (jQuery(this).hasClass('wooTabRealCat')) {
                jQuery('.' + slider_id + "wooTabCatLinks").removeClass("mi-selected-main");
                jQuery(".wooTabRealCat").removeClass("mi-selected-fack");
                //jQuery(this).removeClass("mi-selected-fack");
            }

            var myId = jQuery(this).attr('id');
            var myTarget = myId.replace('Cat_', '_');
            jQuery('#' + slider_id + '#' + myTarget).addClass('mi-current');
            return false;
        });


    });
</script>

<?php 

