(function($) {
   "use strict";

jQuery(document).ready(function () {



    	$('.tabs-category-showcase.qcld_slide').not('.slick-initialized').slick({
                    slide: 'li',
                    autoplay: false,
                    infinite: true,
                    slidesToShow: 4,
                    slidesToScroll: 1,
                    rtl:false,
                    responsive: [{
			          breakpoint: 1024,
			          settings: {
			            slidesToShow: 3,
			            slidesToScroll: 1,

			          }

			        }, {
			          breakpoint: 800,
			          settings: {
			            centerMode: false,
			            slidesToShow: 2,
			            slidesToScroll: 2,
			            dots: false,
			            infinite: true,

			          }
			        },  {
			          breakpoint: 481,
			          settings: {
			            centerMode: false,
			            slidesToShow: 1,
			            slidesToScroll: 1,
			            dots: false,
			            infinite: true,
			            autoplay: false,
			            autoplaySpeed: 2000,
			          }
			        }]

                });

  

	    setTimeout(function () {
	    		$('ul.tabs-category-showcase li.current').trigger('click');
        }, 500 );


	/**
	* Template Thirteen
	*/

    $(document).on('click', 'ul.tabs-category-showcase li', function (event) {
      
   		var currentDom = $(this);
   		var currentAttr = event.target;
    	$(event.target).addClass('current');
        var content_warppers = currentDom.closest('.woo_tab_container');

    	content_warppers.find('.qc-product-left-sidebar').html('<div class="qc_loader_wrap"><div class="loader">');
        if( $( '.qc-product-left-sidebar .loader' ).length && qcld_woo_tabbed_change_loading_image == 1 ) {
     
            var css = '<style>.qc-product-left-sidebar .loader::after,.loader::before{content: none !important;} </style>';
            document.head.insertAdjacentHTML( 'beforeEnd', css );
            content_warppers.find('.qc-product-left-sidebar .loader').css({"background":" url("+qcld_woo_tabbed_board_bg_path+") no-repeat center center","background-size": "cover", "width": "200px", "height": "200px", "padding": "0px 0px 0px 0px"});

        }

        var cat_id = currentDom.attr('data-cat-id');
        var offset = currentDom.attr('data-offset');
        var show_sale = currentDom.attr('data-show-sale');
        var feature_only = currentDom.attr('data-feature-only');
        var cat_parameter = currentDom.attr('data-cat-attr');
        var link_title_to_modal = currentDom.attr('title-modal');

    	localStorage.setItem("link_title_to_modal",  link_title_to_modal );
        var data = {
            'cat_id': cat_id,
            'offset': offset,
            'show_sale': show_sale,
            'feature_only': feature_only,
            'data_cat_parameter': cat_parameter,
            'link_title_to_modal' : link_title_to_modal,
            'action': 'get_products_by_cat_theme_thirteen',
        };

        jQuery.post(ajaxurl, data, function (response) {

            if (response.html == '') {
                content_warppers.find('.qc-product-left-sidebar').html('<p style=" text-align:center; color: #F57E80; font-weight: bold; padding: 0 0 0 0; margin: 0 auto;">' + product_not_found_text +
                    '</p>');
            } else {
                content_warppers.find('.qc-product-left-sidebar').html(response.html);
            }

            setTimeout(function () {
            	$('.qc-product-content-wrapper ul li:first-child').trigger('click');
            }, 300 );

        });

	    return false;

    });

    $(document).on('click', '.qc-product-content-wrapper ul li', function (event) {
      
   		var currentDom = $(this);
   		var currentAttr = event.target;
    	$(event.target).addClass('current');

        var content_warppers = currentDom.closest('.woo_tab_container');

    	content_warppers.find('.qc-product-single-wrap').html('<div class="qc_loader_wrap"><div class="loader">');
        if( $( '.qc-product-single-wrap .loader' ).length && qcld_woo_tabbed_change_loading_image == 1 ) {
     
            var css = '<style>.qc-product-single-wrap .loader::after,.loader::before{content: none !important;} </style>';
            document.head.insertAdjacentHTML( 'beforeEnd', css );
            content_warppers.find('.qc-product-single-wrap .loader').css({"background":" url("+qcld_woo_tabbed_board_bg_path+") no-repeat center center","background-size": "cover", "width": "200px", "height": "200px", "padding": "0px 0px 0px 0px"});

        }

        var product_id = currentDom.attr('product-id');
        var link_title_to_modal = localStorage.getItem("link_title_to_modal");

        var data = {
            'product_id': product_id,
            'link_title_to_modal': link_title_to_modal,
            'action': 'get_products_by_thirteen_single_product',
        };

        jQuery.post(ajaxurl, data, function (response) {

            if (response == '') {
                content_warppers.find('.qc-product-single-wrap').html('<p style=" text-align:center; color: #F57E80; font-weight: bold; padding: 0 0 0 0; margin: 0 auto;">' + product_not_found_text +
                    '</p>');
            } else {
                content_warppers.find('.qc-product-single-wrap').html(response);
            }

            //load_more_long_desc();

        });


	    return false;

    });

   /* $(document).on('click', '.qcld_excerpt_read_more', function (event) {
      
        var currentDom = $(this);
        var currentAttr = event.target;
        $('.qcld_excerpt').css({ 'display': 'none' });
        $('.qcld_the_content').css({ 'display': 'block' });

        

        return false;

    });*/

   /* function load_more_long_desc() {

        setTimeout(function () {
    
            var show_char = 250;
            var ellipses = "... ";
            var content = $(".qcld_the_content").html();
            if (content.length > show_char) {
                var a = content.substr(0, show_char);
                var b = content.substr(show_char - content.length);
                var html = a + "<span class=\'qcld_desc_truncated\'>" + ellipses + "<a class=\'qcld_read_more\'>Read more</a></span><span class=\'qcld_desc_truncated\' style=\'display:none\'>" + b + "</span>";
                $(".qcld_the_content").html(html);
            }

        }, 300 );

    }*/

    $(document).on('click', '.qcld_read_more', function (e) {
        e.preventDefault();
        //$(".qcld_the_content .qcld_desc_truncated").toggle();
        $('.qcld_read_more_wrap').css({ 'display': 'none' });
        $('.qcld_the_content_wrap').css({ 'display': 'block' });
    });
    
    


});

})(jQuery);