<?php defined('ABSPATH') or die("No direct script access!"); ?>

<div id="qcld_wootab-product-modal" class="mfp-hide white-popup-block animated flipInX">
    <div id="qcld_wootab-product">
        <h1>Loading...</h1>
    </div>
</div>

<?php 

wp_register_style('template-thirteen', QC_WOO_TAB_PLUGIN_URL . 'templates/template-' . $qc_shortcode_parameters['theme'] . "/template.css" );
wp_enqueue_style('template-thirteen');

wp_enqueue_script('template-thirteen', QC_WOO_TAB_PLUGIN_URL . 'templates/template-' . $qc_shortcode_parameters['theme'] . "/template.js", array('jquery'));

 $qcld_rtl_support = '';
 $qc_woo_tabbed_display_rtl_support = get_option('qc_woo_tabbed_display_rtl_support');

 if(!empty($qc_woo_tabbed_display_rtl_support)){

    $qcld_rtl_support = 'dir=rtl';
 }

?>

 <div class="qc-tabs-style1 qc-tabs-style1_new" <?php echo esc_attr($qcld_rtl_support); ?>>
    <div class="container-qc woo_tab_container">

        <?php


        $category_ids = '';
        $show_sale = '';
        $link_title_to_modal = '';
        $shortcode_params = ($qc_shortcode_parameters);


        if (array_key_exists('featured-only', $shortcode_params)) {
            $featured_only = $shortcode_params['featured-only'];
        } else {
            $featured_only = '';
        }

        if (array_key_exists('category-ids', $shortcode_params)) {
            $category_ids = $shortcode_params['category-ids'];

            // convert the string into php array
            $category_ids = explode(',', $category_ids);

        } else {
            $category_ids = '';
        }

        if (array_key_exists('sale-only', $shortcode_params)) {
            $show_sale = $shortcode_params['sale-only'];
        } else {
            $show_sale = '';
        }
        if (array_key_exists('link_title_to_modal', $shortcode_params)) {
            $link_title_to_modal = $shortcode_params['link_title_to_modal'];
        } else {
            $link_title_to_modal = '';
        }

        if(array_key_exists('cat-image-on-top', $shortcode_params)) {
            $cat_image_on_top = $shortcode_params['cat-image-on-top'];
            if($cat_image_on_top == 'on'){
                $cat_image_on_top = 'enable';
            }
        } else {
            $cat_image_on_top = get_option('qc_woo_tabbed_display_category_image_top');
        }

        if (array_key_exists('cat-image-on-bg', $shortcode_params)) {
            $cat_image_on_bg = $shortcode_params['cat-image-on-bg'];
            if($cat_image_on_bg == 'on'){
                $cat_image_on_bg = 'enable';
            }
        } else {
            $cat_image_on_bg = get_option('qc_woo_tabbed_display_category_image_bg');
        }

        if (array_key_exists('slider-tabs', $shortcode_params)) {
            $category_style = $shortcode_params['slider-tabs'];
            if($category_style == 'on'){
                $category_style = '1';
            }
        } else {
            $category_style = get_option('category_style');
        }

        if (array_key_exists('filter-on-top', $shortcode_params)) {
            $category_filter_search_sort_top = $shortcode_params['filter-on-top'];
            if($category_filter_search_sort_top == 'on'){
                $category_filter_search_sort_top = 'enable';
            }
        } else {
            $category_filter_search_sort_top = get_option('qc_woo_tabbed_display_category_search_sort_top');
        }

        $product_categories = unserialize(get_option('selected_categories'));
        $product_number = get_option('product_number');




        $sorting = '';
        $orderBy = get_option('qc_product_sort_type');
        if(get_option('qc_product_sort_type') == 'meta_value_num'){
            $sorting = '_price';
        }
        if( get_option('qc_product_sort_type') == 'total_sales' ){
            $sorting = 'total_sales';
            $orderBy = 'meta_value_num';
        }


        $args = get_products_template_thirteen_query_function_first($product_categories, $category_ids);

        $product_categories = get_terms('product_cat', $args);

        $categories_parameter = array();
        foreach($product_categories as $termsss){
            array_push($categories_parameter,$termsss->term_id);
        }
        $categories_all_pera = implode(',', $categories_parameter);

        // thirteen_category_btn_mode

        $thirteen_category_btn_mode = get_option('thirteen_category_btn_mode') == 2 ? 'qcld_stack' : 'qcld_slide';

        ?>
        <ul class="tabs tabs-category-showcase <?php echo $thirteen_category_btn_mode; ?>">

            <?php if (get_option('show_all')): ?>
                <li class="qc_theme_one current"
                    data-show-sale="<?php echo $show_sale; ?>"
                    data-offset="<?php echo get_option('product_number'); ?>" class="tab-link"
                    data-cat-id="all"
                    data-feature-only="<?php echo $featured_only; ?>"
                    class="tab-link" 
                    data-cat-attr="<?php echo $categories_all_pera; ?>"
                    title-modal="<?php echo $link_title_to_modal; ?>"
                    data-tab="tab-<?php echo get_option('show_all'); ?>"> 
                    <a href="">
                    <?php if(!empty(get_option('qc_woo_tabbed_enable_category_image')) || ( $cat_image_on_top == 'enable' ) ){ ?>
                        <img src="<?php echo QC_WOO_TAB_IMAGE_URL; ?>/product-image-png-1.png" alt="All">
                    <?php } 
                    
                        $all_categories = get_option('change_all_category_button_text');
                        if (!empty($all_categories)) {
                            echo esc_html($all_categories, 'woo-tabbed-category' );
                        } else {
                            _e('All', 'woo-tabbed-category');
                        } 

                    ?>
                    </a>
                    </li>
            <?php endif; ?>

            <?php 

            $first_key = 0;

            foreach ( $product_categories as   $cat ): 

                $first_key = $first_key + 1;

                $post_per_page = 30;
                $show_featured_only = array('relation' => 'OR', array(
                    array(
                        'taxonomy' => 'product_cat',
                        'field' => 'term_id',
                        'terms' => $cat->term_id,
                        'operator' => 'IN'
                    ),
                    array(
                        'taxonomy' => 'product_visibility',
                        'field' => 'name',
                        'terms' => 'featured',
                        'operator' => 'IN'
                    )
                ));

                $show_sale_products_only = array('relation' => 'OR', array( // Simple products type
                    'key' => '_sale_price',
                    'value' => 0,
                    'compare' => '>',
                    'type' => 'numeric'
                ),
                array( // Variable products type
                    'key' => '_min_variation_sale_price',
                    'value' => 0,
                    'compare' => '>',
                    'type' => 'numeric'
                ));

                $sorting = '';
                $orderBy = get_option('qc_product_sort_type');
                if(get_option('qc_product_sort_type') == 'meta_value_num'){
                    $sorting = '_price';
                }
                if( get_option('qc_product_sort_type') == 'total_sales' ){
                    $sorting = 'total_sales';
                    $orderBy = 'meta_value_num';
                }


                $product_args = array(
                    'post_type'     => 'product',
                    'posts_per_page'=> $product_number,
                    'meta_key'      => $sorting,
                    'orderby'       => $orderBy,
                    'order'         => get_option('qc_product_sort_order'),
                    'tax_query'     => array(
                        'relation' => 'OR',
                        array(
                            'taxonomy'  => 'product_cat',
                            'field'     => 'term_id',
                            'terms'     => $cat->term_id,
                            'operator'  => 'IN'
                        ),
                    )
                );

                if ($show_sale == 1) {
                    $product_args = array_merge($product_args, array('meta_query' => $show_sale_products_only));
                }

                if ($featured_only == 1) {
                    $product_args = array_merge($product_args, array('tax_query' => $show_featured_only));
                }

                $products_num = new WP_Query($product_args);
                $product_num = $products_num->post_count;

                $category_id = $cat->term_id;
                $current_cat =$cat->slug;

                if($product_num<1){ continue; }


                ?>
                <li class="qc_theme_one <?php echo ( ( get_option('show_all') == 0  &&  $first_key == 1 )  ? ' current ': ' ' ); ?> qcld-con-tooltip "
                    data-show-sale="<?php echo $show_sale; ?>"
                    data-offset="<?php echo get_option('product_number'); ?>"
                    data-cat-id="<?php echo $cat->term_id; ?>"
                    data-feature-only="<?php echo $featured_only; ?>"
                    class="tab-link"
                    data-cat-attr="<?php echo $cat->term_id; ?>"
                    title-modal="<?php echo $link_title_to_modal; ?>"
                    data-tab="tab-<?php echo $cat->term_id; ?>">
                    <a href="">
                    <?php 
                    if(!empty(get_option('qc_woo_tabbed_enable_category_image')) || ( $cat_image_on_top == 'enable' ) ){
                        qcld_get_category_image_thirteen($cat->term_id); 
                    }
                    ?>
                    <?php echo substr($cat->name, 0, get_option('max_char_per_cat')); ?>
                    </a>
                   
                </li>
            <?php endforeach; ?>
        
        </ul>

        <div class="qc-product-left-sidebar">
            
          
        </div>
        <div class="qc-product-right-box">

          <div class="qc-product-single-wrap">

          </div>
          
        </div>

    </div>
  </div>