<?php defined('ABSPATH') or die("No direct script access!"); ?>

<div id="qcld_wootab-product-modal" class="mfp-hide white-popup-block animated flipInX">
    <div id="qcld_wootab-product">
        <h1>Loading...</h1>
    </div>
</div>

<link rel="stylesheet" type="text/css" href="<?php echo QC_WOO_TAB_PLUGIN_URL . 'templates/template-' . $qc_shortcode_parameters['theme'] . "/template.css"; ?>"/>
<link rel="stylesheet" type="text/css" href="<?php echo QC_WOO_TAB_PLUGIN_URL . "css/qcld-woo-tabbed-search-tooltip.css"; ?>"/>
<style>
    .qc_theme_three {
        color: <?php echo get_option('product_category_text_font_color');
?> !important;
        font-size: <?php echo get_option('product_category_text_font_size');
?>px !important;
        background-color: <?php echo get_option('product_category_filter_button_color');?> !important;
    }

    .qc_theme_three.current {
        background: <?php echo get_option('product_category_filter_button_color_hover');
?>;
        color: <?php echo get_option('product_category_text_font_color');
?> !important;
        font-size: <?php echo get_option('product_category_text_font_size');
?>px !important;
    }

    .qc-tabs-style2 ul.qc_nav_style_1 > li:hover {
        background: <?php echo get_option('product_category_filter_button_color_hover');
?> !important;
    }

    .qc-tabs-style2 ul.qc_nav_style_1 > li {
        border: 1px solid <?php echo get_option('category_filters_border_color');?> !important;
    }

    .qc-tabs-style2 ul.qc_nav_style_1 > li.current {
        background: <?php echo get_option('product_category_filter_button_color_hover');
?> !important;
    }

    .qc-tabs-style2 ul.qc_nav_style_1 li:hover {
        background: <?php echo get_option('product_category_filter_button_color_hover');
?> !important;
    }

    .qc-tabs-style2 ul.qc_nav_style_1 li.current {
        background: <?php echo get_option('product_category_button_active_color');?> !important;
    }

    .qc-tabs-style2 ul.qc_nav_style_1 li::after {
        background: <?php echo get_option('product_category_filter_button_color_hover');
?> !important;
    }


    .qc-tabs-style2 ul.qc_nav_style_1 li ul.qcld_children li a{
        <?php if(!empty(get_option('qcld_dropdown_menu_font_color'))){ ?>
        color:<?php echo get_option('qcld_dropdown_menu_font_color');?> !important;
        <?php }else{ ?>
        /*color: #000 !important;*/
        <?php } ?>
        <?php if(!empty(get_option('qcld_dropdown_menu_background_color'))){ ?>
        background: <?php echo get_option('qcld_dropdown_menu_background_color');?> !important;
        <?php }else{ ?>
        background: #fff !important;
        <?php } ?>

    }

  
    .qc-tabs-style2 ul.qc_nav_style_1 li .qcld_menu_status{
        box-shadow: 4px 0px <?php echo get_option('qcld_dropdown_active_menu_background_color') ? get_option('qcld_dropdown_active_menu_background_color'): '#222'; ?> inset !important;
    }
</style>


<?php 
 $qcld_rtl_support = '';
 $qc_woo_tabbed_display_rtl_support = get_option('qc_woo_tabbed_display_rtl_support');

 if(!empty($qc_woo_tabbed_display_rtl_support)){

    $qcld_rtl_support = 'dir=rtl';
 }

?>
<div class="qc-tabs-style2" <?php echo esc_attr($qcld_rtl_support); ?>>
    <div class="container woo_tab_container">
        <?php


        $category_ids = '';
        $show_sale = '';
        $link_title_to_modal = '';
        $shortcode_params = ($qc_shortcode_parameters);


        if (array_key_exists('featured-only', $shortcode_params)) {
            $featured_only = $shortcode_params['featured-only'];
        } else {
            $featured_only = '';
        }

        if (array_key_exists('category-ids', $shortcode_params)) {
            $category_ids = $shortcode_params['category-ids'];

            // convert the string into php array
            $category_ids = explode(',', $category_ids);

        } else {
            $category_ids = '';
        }

        if (array_key_exists('sale-only', $shortcode_params)) {
            $show_sale = $shortcode_params['sale-only'];
        } else {
            $show_sale = '';
        }
        if (array_key_exists('link_title_to_modal', $shortcode_params)) {
            $link_title_to_modal = $shortcode_params['link_title_to_modal'];
        } else {
            $link_title_to_modal = '';
        }

        if(array_key_exists('cat-image-on-top', $shortcode_params)) {
            $cat_image_on_top = $shortcode_params['cat-image-on-top'];
            if($cat_image_on_top == 'on'){
                $cat_image_on_top = 'enable';
            }
        } else {
            $cat_image_on_top = get_option('qc_woo_tabbed_display_category_image_top');
        }

        if (array_key_exists('cat-image-on-bg', $shortcode_params)) {
            $cat_image_on_bg = $shortcode_params['cat-image-on-bg'];
            if($cat_image_on_bg == 'on'){
                $cat_image_on_bg = 'enable';
            }
        } else {
            $cat_image_on_bg = get_option('qc_woo_tabbed_display_category_image_bg');
        }

        if (array_key_exists('slider-tabs', $shortcode_params)) {
            $category_style = $shortcode_params['slider-tabs'];
            if($category_style == 'on'){
                $category_style = '1';
            }
        } else {
            $category_style = get_option('category_style');
        }

        if (array_key_exists('filter-on-top', $shortcode_params)) {
            $category_filter_search_sort_top = $shortcode_params['filter-on-top'];
            if($category_filter_search_sort_top == 'on'){
                $category_filter_search_sort_top = 'enable';
            }
        } else {
            $category_filter_search_sort_top = get_option('qc_woo_tabbed_display_category_search_sort_top');
        }

        $product_categories = unserialize(get_option('selected_categories'));
        $product_number = get_option('product_number');


        $category_orders = get_option('category_order');

        $sorting = '';
        if(get_option('qc_product_sort_type') == 'meta_value_num'){
            $sorting = '_price';
        }

       if($category_orders == 'menu_order'){
            if(!empty(get_option('qc_woo_tabbed_enable_dropdown_menu_tab'))){ 

                if(!empty($category_ids)){
                    $args = array(
                        'hide_empty'    => 1,
                        'order'         => 'asc',
                        'orderby'       => 'term_order',
                        'exclude'       => $product_categories,
                        'include'       => $category_ids,
                        //'hierarchical'  => 0,
                        //'parent'        => 0,
                        );

                }else{

                    $args = array(
                        'hide_empty'    => 1,
                        'order'         => 'asc',
                        'orderby'       => 'term_order',
                        'exclude'       => $product_categories,
                        'include'       => $category_ids,
                        'hierarchical'  => 0,
                        'parent'        => 0,
                        );
                }

            }else{
                $args = array(
                    'hide_empty'    => 1,
                    'order'         => 'asc',
                    'orderby'       => 'term_order',
                    'exclude'       => $product_categories,
                    'include'       => $category_ids,
                    );

            }

        }else{

            if(!empty(get_option('qc_woo_tabbed_enable_dropdown_menu_tab'))){ 
               
                if(!empty($category_ids)){
                    $args = array(
                        'hide_empty'    => 1,
                        'order'         => get_option('category_order'),
                        'orderby'       => 'title',
                        'exclude'       => $product_categories,
                        'include'       => $category_ids,
                        //'hierarchical'  => 0,
                        //'parent'        => 0,
                        );

                }else{

                    $args = array(
                        'hide_empty'    => 1,
                        'order'         => get_option('category_order'),
                        'orderby'       => 'title',
                        'exclude'       => $product_categories,
                        'include'       => $category_ids,
                        'hierarchical'  => 0,
                        'parent'        => 0,
                        );
                }

            }else{

                $args = array(
                    'hide_empty'    => 1,
                    'order'         => get_option('category_order'),
                    'orderby'       => 'title',
                    'exclude'       => $product_categories,
                    'include'       => $category_ids,
                    );

            }

        }

        $product_categories = get_terms('product_cat', $args);

        $categories_parameter = array();
        foreach($product_categories as $termsss){
            array_push($categories_parameter,$termsss->term_id);
        }
        $categories_all_pera = implode(',', $categories_parameter);

        ?>


             
            <?php  if( $category_filter_search_sort_top == 'enable' ){ ?>
            <div class="qc-wootabs-sorting-sections qc-wootabs-sorting-sections-top">
                <?php 
                    if(!empty(get_option('qcld_product_search_box_for_quick_search'))):
                       qcld_woo_tabbed_product_search_by_category('theme-three', $show_sale, $featured_only, $categories_all_pera,get_option('product_number'), $link_title_to_modal);
                    endif;
                ?> 
                <?php
                    $qc_quick_sorting_on_off = get_option('qc_quick_sorting_on_off');
                    if($qc_quick_sorting_on_off == 'on'){
                ?>
                <select class="qc-wootabs-sortings" id="catalog-sort-by-three" name="qc_wootabs_sortings" >
                    <option value="menu_order" data-cat-id="all" data-offset="<?php echo get_option('product_number'); ?>" data-feature-only="<?php echo $featured_only; ?>" data-show-sale="<?php echo $show_sale; ?>" data-cat-attr="<?php echo $categories_all_pera; ?>" title-modal="<?php echo $link_title_to_modal; ?>">
                        <?php esc_html_e( get_option('qcld_lan_default_sorting'), 'woo-tabbed-category' ); ?> </option>
                    <option value="popularity" data-feature-only="<?php echo $featured_only; ?>" data-show-sale="<?php echo $show_sale; ?>"  data-cat-id="all" data-offset="<?php echo get_option('product_number'); ?>" data-cat-attr="<?php echo $categories_all_pera; ?>" title-modal="<?php echo $link_title_to_modal; ?>">
                        <?php esc_html_e( get_option('qcld_lan_sort_by_popularity'), 'woo-tabbed-category' ); ?></option>
                    <option value="rating" data-feature-only="<?php echo $featured_only; ?>" data-show-sale="<?php echo $show_sale; ?>"  data-cat-id="all" data-offset="<?php echo get_option('product_number'); ?>" data-cat-attr="<?php echo $categories_all_pera; ?>" title-modal="<?php echo $link_title_to_modal; ?>">
                        <?php esc_html_e( get_option('qcld_lan_sort_by_average_rating'), 'woo-tabbed-category' ); ?> </option>
                    <option value="date" data-cat-id="all" data-show-sale="<?php echo $show_sale; ?>" data-feature-only="<?php echo $featured_only; ?>" data-offset="<?php echo get_option('product_number'); ?>" data-cat-attr="<?php echo $categories_all_pera; ?>" title-modal="<?php echo $link_title_to_modal; ?>">
                        <?php esc_html_e( get_option('qcld_lan_sort_by_newness'), 'woo-tabbed-category' ); ?> </option>
                    <option value="price" data-cat-id="all" data-show-sale="<?php echo $show_sale; ?>" data-feature-only="<?php echo $featured_only; ?>" data-offset="<?php echo get_option('product_number'); ?>" data-cat-attr="<?php echo $categories_all_pera; ?>" title-modal="<?php echo $link_title_to_modal; ?>">
                        <?php esc_html_e( get_option('qcld_lan_sort_by_price_low_to_high'), 'woo-tabbed-category' ); ?> </option>
                    <option value="price-desc" data-cat-id="all"  data-show-sale="<?php echo $show_sale; ?>" data-feature-only="<?php echo $featured_only; ?>" data-offset="<?php echo get_option('product_number'); ?>" data-cat-attr="<?php echo $categories_all_pera; ?>" title-modal="<?php echo $link_title_to_modal; ?>">
                        <?php esc_html_e( get_option('qcld_lan_sort_by_price_high_to_low'), 'woo-tabbed-category' ); ?> </option>
                </select>
                <?php } ?>
            </div>
            <?php } ?>  
        <ul class="wotabs_style2 qc_nav_style_1 is_cat_stickyed <?php if ( $category_style == 1) echo " slick-class"; ?> <?php if ( !empty( get_option('qc_woo_tabbed_enable_cat_sub_cat_filter') ) ) echo " qcld_category_sep_wrap"; ?> <?php echo (( $cat_image_on_top == 'enable' ) ? 'qc_nav_style_1_top' : ''); ?>">
            <?php if ( get_option('show_all') && empty( get_option('qc_woo_tabbed_enable_cat_sub_cat_filter') ) ): ?>
                <li class="tab-link qc_theme_three" 
                        data-cat-id="all" 
                        data-show-sale="<?php echo $show_sale; ?>" 
                        data-feature-only="<?php echo $featured_only; ?>" 
                        data-cat-attr="<?php echo $categories_all_pera; ?>"
                        title-modal="<?php echo $link_title_to_modal; ?>"
                        data-tab="tab-<?php echo get_option('show_all'); ?>"> 

                    <?php if($cat_image_on_top == 'enable'){ ?>
                    <img width="25" height="25" src="<?php echo QC_WOO_TAB_IMAGE_URL; ?>/product-image-png-1.png" class="qcld_category_image qcld_category_image_top" alt="All">
                    <?php } ?>
                        <?php $all_categories = get_option('change_all_category_button_text');
                                    if (!empty($all_categories)) {
                                        echo esc_html($all_categories, 'woo-tabbed-category' );
                                    } else {
                                        _e('All', 'woo-tabbed-category');
                                    } ?><span></span></li>
            <?php endif; ?>
            <?php $query_stop_cat =0;

            foreach ($product_categories as $cat): 
                $query_stop_cat +=1;
                $post_per_page = 30;
                $show_featured_only = array('relation' => 'OR', array(
                    array(
                        'taxonomy' => 'product_cat',
                        'field' => 'term_id',
                        'terms' => $cat->term_id,
                        'operator' => 'IN'
                    ),
                    array(
                        'taxonomy' => 'product_visibility',
                        'field' => 'name',
                        'terms' => 'featured',
                        'operator' => 'IN'
                    )
                ));

                $show_sale_products_only = array('relation' => 'OR', array( // Simple products type
                    'key' => '_sale_price',
                    'value' => 0,
                    'compare' => '>',
                    'type' => 'numeric'
                ),
                    array( // Variable products type
                        'key' => '_min_variation_sale_price',
                        'value' => 0,
                        'compare' => '>',
                        'type' => 'numeric'
                    ));


                $sorting = '';
                $orderBy = get_option('qc_product_sort_type');
                if(get_option('qc_product_sort_type') == 'meta_value_num'){
                    $sorting = '_price';
                }
                if( get_option('qc_product_sort_type') == 'total_sales' ){
                    $sorting = 'total_sales';
                    $orderBy = 'meta_value_num';
                }

                $product_args = array(
                    'post_type'         => 'product',
                    'posts_per_page'    => $product_number,
                    'meta_key'          => $sorting,
                    'orderby'           => $orderBy,
                    'order'             => get_option('qc_product_sort_order'),
                    'tax_query'         => array(
                        'relation' => 'OR',
                        array(
                            'taxonomy'  => 'product_cat',
                            'field'     => 'term_id',
                            'terms'     => $cat->term_id,
                            'operator'  => 'IN'
                        ),
                    )
                );




                if ($show_sale == 1) {
                    $product_args = array_merge($product_args, array('meta_query' => $show_sale_products_only));
                }


                if ($featured_only == 1) {
                    $product_args = array_merge($product_args, array('tax_query' => $show_featured_only));
                }

                if(get_option('qc_woo_tabbed_disable_product_out_of_stock') == 'enable'){

                    $args = array_merge($args, array( 'meta_query' => array(
                                array(
                                    'key'       => '_stock_status',
                                    'value'     => 'instock',
                                ),
                        )));
                }

                $products_num = new WP_Query($product_args);
                $product_num = $products_num->post_count;
                
                $category_id = $cat->term_id;
                $current_cat =$cat->slug;

                if($product_num<1){ continue; }

            ?>
                <li class="tab-link qc_theme_three qcld-con-tooltip" 
                        data-offset="<?php echo get_option('product_number'); ?>"
                        data-cat-id="<?php echo $cat->term_id; ?>" 
                        data-show-sale="<?php echo $show_sale; ?>"
                        data-feature-only="<?php echo $featured_only; ?>"
                        data-cat-attr="<?php echo $cat->term_id; ?>"
                        title-modal="<?php echo $link_title_to_modal; ?>"
                        data-tab="tab-<?php echo $cat->term_id; ?>"
                    <?php if($cat_image_on_bg == 'enable'){ ?>
                      style="background: url(<?php qcld_get_category_image_url($cat->term_id); ?>)center center no-repeat;background-size:cover;"
                    <?php } ?>

                        >
                        <?php 
                        if(!empty(get_option('qc_woo_tabbed_enable_category_image')) || ( $cat_image_on_top == 'enable' )){
                            qcld_get_category_image($cat->term_id); 
                        }
                        ?>
                        <?php echo substr($cat->name, 0, get_option('max_char_per_cat')); ?>
                    <?php if(!empty(get_option('qcld_category_top_tooltip_show'))): ?>
                        <?php if(!empty($cat->description)): ?>
                        <div class="qcld-tooltip">
                          <p><?php echo substr($cat->description, 0, 135); ?></p>
                        </div>
                        <?php endif; ?>
                    <?php endif; ?>
                    <?php 
                    if( !empty(get_option('qc_woo_tabbed_enable_dropdown_menu_tab'))  && empty( get_option('qc_woo_tabbed_enable_cat_sub_cat_filter') ) ):
                       qcld_get_sub_categories($category_id, $current_cat, $show_sale, $featured_only, $link_title_to_modal); 
                    endif;

                   ?>
                </li>
                <?php 

                    if( !empty( get_option('qc_woo_tabbed_enable_cat_sub_cat_filter') ) ):
                       qcld_get_all_sub_categories($category_id, $current_cat, $show_sale, $featured_only, $link_title_to_modal, $query_stop_cat ); 
                    endif;
                ?>
            <?php endforeach; ?>
        </ul>
        <div class="qc_tab_css_bg" style="background-color:<?php echo get_option('container_background_color') ?>">
             <?php  woo_tabbed_product_tag_menu($show_sale, $featured_only, $categories_all_pera, $link_title_to_modal, 'theme-three'); ?>

            <?php  if(( $category_filter_search_sort_top == '') || ( $category_filter_search_sort_top == 'disable') ){ ?>
            <div class="qc-wootabs-sorting-sections">
                <?php 
                    if(!empty(get_option('qcld_product_search_box_for_quick_search'))):
                       qcld_woo_tabbed_product_search_by_category('theme-three', $show_sale, $featured_only, $categories_all_pera,get_option('product_number'), $link_title_to_modal);
                    endif;
                ?> 
                <?php
                    $qc_quick_sorting_on_off = get_option('qc_quick_sorting_on_off');
                    if($qc_quick_sorting_on_off == 'on'){
                ?>
                <select class="qc-wootabs-sortings" id="catalog-sort-by-three" name="qc_wootabs_sortings" >
                    <option value="menu_order" data-cat-id="all" data-offset="<?php echo get_option('product_number'); ?>" data-feature-only="<?php echo $featured_only; ?>" data-show-sale="<?php echo $show_sale; ?>" data-cat-attr="<?php echo $categories_all_pera; ?>" title-modal="<?php echo $link_title_to_modal; ?>">
                        <?php esc_html_e( get_option('qcld_lan_default_sorting'), 'woo-tabbed-category' ); ?> </option>
                    <option value="popularity" data-feature-only="<?php echo $featured_only; ?>" data-show-sale="<?php echo $show_sale; ?>"  data-cat-id="all" data-offset="<?php echo get_option('product_number'); ?>" data-cat-attr="<?php echo $categories_all_pera; ?>" title-modal="<?php echo $link_title_to_modal; ?>">
                        <?php esc_html_e( get_option('qcld_lan_sort_by_popularity'), 'woo-tabbed-category' ); ?></option>
                    <option value="rating" data-feature-only="<?php echo $featured_only; ?>" data-show-sale="<?php echo $show_sale; ?>"  data-cat-id="all" data-offset="<?php echo get_option('product_number'); ?>" data-cat-attr="<?php echo $categories_all_pera; ?>" title-modal="<?php echo $link_title_to_modal; ?>">
                        <?php esc_html_e( get_option('qcld_lan_sort_by_average_rating'), 'woo-tabbed-category' ); ?> </option>
                    <option value="date" data-cat-id="all" data-show-sale="<?php echo $show_sale; ?>" data-feature-only="<?php echo $featured_only; ?>" data-offset="<?php echo get_option('product_number'); ?>" data-cat-attr="<?php echo $categories_all_pera; ?>" title-modal="<?php echo $link_title_to_modal; ?>">
                        <?php esc_html_e( get_option('qcld_lan_sort_by_newness'), 'woo-tabbed-category' ); ?> </option>
                    <option value="price" data-cat-id="all" data-show-sale="<?php echo $show_sale; ?>" data-feature-only="<?php echo $featured_only; ?>" data-offset="<?php echo get_option('product_number'); ?>" data-cat-attr="<?php echo $categories_all_pera; ?>" title-modal="<?php echo $link_title_to_modal; ?>">
                        <?php esc_html_e( get_option('qcld_lan_sort_by_price_low_to_high'), 'woo-tabbed-category' ); ?> </option>
                    <option value="price-desc" data-cat-id="all"  data-show-sale="<?php echo $show_sale; ?>" data-feature-only="<?php echo $featured_only; ?>" data-offset="<?php echo get_option('product_number'); ?>" data-cat-attr="<?php echo $categories_all_pera; ?>" title-modal="<?php echo $link_title_to_modal; ?>">
                        <?php esc_html_e( get_option('qcld_lan_sort_by_price_high_to_low'), 'woo-tabbed-category' ); ?> </option>
                </select>
                <?php } ?>
            </div>
            <?php } ?>  

            <?php if (get_option('show_all')): ?>
                <div id="tab-<?php echo get_option('show_all'); ?>" class="tab-content current">
                    <div class="tabs_main_section">
                        <?php


                        $tax_query_all = array(
                            array(
                                'taxonomy' => 'product_visibility',
                                'field' => 'name',
                                'terms' => 'featured',
                                'operator' => 'IN'
                            ),);


                        $show_sale_products_only_all = array('relation' => 'OR', array( // Simple products type
                            'key' => '_sale_price',
                            'value' => 0,
                            'compare' => '>',
                            'type' => 'numeric'
                        ),
                            array( // Variable products type
                                'key' => '_min_variation_sale_price',
                                'value' => 0,
                                'compare' => '>',
                                'type' => 'numeric'
                            ));


                        $args_all = array(
                            'post_type' => 'product',
                            'posts_per_page' => -1,
                        );

                        if ($show_sale == 1) {
                            $args_all = array_merge($args_all, array('meta_query' => $show_sale_products_only_all));
                        }


                        if ($featured_only == 1) {
                            $args_all = array_merge($args_all, array('tax_query' => $tax_query_all));
                        }


                        $tax_query = array(
                            array(
                                'taxonomy' => 'product_visibility',
                                'field' => 'name',
                                'terms' => 'featured',
                                'operator' => 'IN'
                            ),);


                        $show_sale_products_only = array('relation' => 'OR', array( // Simple products type
                            'key' => '_sale_price',
                            'value' => 0,
                            'compare' => '>',
                            'type' => 'numeric'
                        ),
                            array( // Variable products type
                                'key' => '_min_variation_sale_price',
                                'value' => 0,
                                'compare' => '>',
                                'type' => 'numeric'
                            ));


                        $categories_all = array();
                        foreach($product_categories as $termss){
                            array_push($categories_all,$termss->term_id);
                        }

                        $sorting = '';
                        $orderBy = get_option('qc_product_sort_type');
                        if(get_option('qc_product_sort_type') == 'meta_value_num'){
                            $sorting = '_price';
                        }
                        if( get_option('qc_product_sort_type') == 'total_sales' ){
                            $sorting = 'total_sales';
                            $orderBy = 'meta_value_num';
                        }

                        $args = array(
                            'post_type'         => 'product',
                            'posts_per_page'    => $product_number,
                            'meta_key'          => $sorting,
                            'orderby'           => $orderBy,
                            'order'             => get_option('qc_product_sort_order'),
                            'tax_query'         => array(
                                'relation' => 'OR',
                                array(
                                    'taxonomy'  => 'product_cat',
                                    'field'     => 'term_id',
                                    'terms'     => $categories_all,
                                    'operator'  => 'IN'
                                ),
                            )
                        );

                        if ($show_sale == 1) {
                            $args = array_merge($args, array('meta_query' => $show_sale_products_only));
                        }

                        if ($featured_only == 1) {

                                $show_featured_only = array('relation' => 'OR', array(
                                    array(
                                        'taxonomy' => 'product_cat',
                                        'field' => 'term_id',
                                        'terms' => $categories_all,
                                        'operator' => 'IN'
                                    ),
                                    array(
                                        'taxonomy' => 'product_visibility',
                                        'field' => 'name',
                                        'terms' => 'featured',
                                        'operator' => 'IN'
                                    )
                                ));
                            $args = array_merge($args, array('tax_query' => $show_featured_only));
                        }


                        if(get_option('qc_woo_tabbed_disable_product_out_of_stock') == 'enable'){

                            $args = array_merge($args, array( 'meta_query' => array(
                                        array(
                                            'key'       => '_stock_status',
                                            'value'     => 'instock',
                                        ),
                                )));
                        }


                        $product_query = new WP_Query($args);
                        $product_count = new WP_Query($args_all);

                        $product_num = $product_count->post_count;


                        $wc_pf = new WC_Product_Factory(); ?>
                        <ul class="wootabs ">
                            <?php while ($product_query->have_posts()) : $product_query->the_post(); ?>
                                <?php $product = wc_get_product(get_the_ID());
                                $product_stock_status = $product->get_stock_status();

                                ?>
                                <li class="<?php echo qcld_product_product_has_gallery( get_the_ID() ); ?>">
                                    <?php if ($product->is_on_sale()): ?>
                                        <label for="qc_on_sale"><img
                                                    src="<?php echo QC_WOO_TAB_IMAGE_URL; ?>/sale.png"></label>
                                    <?php endif; ?>
                                    <div class="wootabs_img"><?php echo $product->get_image('shop_catalog'); ?>  <?php echo qcld_product_second_product_thumbnail(get_the_ID()); ?></div>
                                    <?php if ($product_stock_status != 'outofstock') { ?>
                                        <div class="qc_pro_details">
                                            <ul>
                                                <?php if(isset($link_title_to_modal) && ($link_title_to_modal == '1' || $link_title_to_modal == '01')){  ?>
                                                    <li><a href="#" class="woo_tab_product_details" product-id="<?php echo get_the_ID(); ?>"><i class="fa fa-link" aria-hidden="true"></i></a></li>
                                                <?php }else{ ?>
                                                    <li><a href="<?php echo $product->get_permalink() ?>"><i class="fa fa-link" aria-hidden="true"></i></a></li>
                                                <?php } ?>
                                                <?php if (get_option('add_quantity_select') == 1): ?>
                                                <?php if ($product->get_type() != 'variable'): ?>
                                                <li><div class="qc_quantity qc_qat_style_three">
                                                <?php else: ?>
                                                <li><div class="qc_variable_quantity qc_quantity">
                                                <?php endif; ?>
                                                        <?php if ($product->get_type() != 'variable'): 

                                                    $qcld_woo_pro_minmax_enable_plugin = get_option( 'qcld_woo_pro_minmax_enable_plugin' );
                                                    if(function_exists('qcld_woo_pro_minmax_install') && isset($qcld_woo_pro_minmax_enable_plugin) && $qcld_woo_pro_minmax_enable_plugin  == 'yes'){
                                                        $response_min_max = qcld_woo_pro_minmax_tabbed_add_rules_text(get_the_ID(),0);

                                                        $min_qty  = $response_min_max['min'];
                                                        $max_qty  = $response_min_max['max'];
                                                        $step_qty = $response_min_max['step'];

                                                    ?>


                                                        <input class="qc_minus" type="button" value="-">
                                                        <input type="text" class="qc_product_quantity"
                                                               name="qcld_quantity" value="<?php echo ($min_qty ? $min_qty : 1); ?>" step="<?php echo ($step_qty ? $step_qty : ''); ?>" min="<?php echo ($min_qty ? $min_qty : ''); ?>" max="<?php echo ($max_qty ? $max_qty : ''); ?>">
                                                        <input class="qc_plus" type="button" value="+">
                                                    <?php }else{ ?>

                                                        <input class="qc_minus" type="button" value="-">
                                                        <input type="text" class="qc_product_quantity"
                                                               name="qcld_quantity" value="1">
                                                        <input class="qc_plus" type="button" value="+">
                                                    <?php } ?>
                                                        <?php endif; ?>
                                                </div></li>
                                                    <?php endif; ?>
                                                   


                                                    <?php if (get_option('add_cart_link') == 1): ?>
                                                    <li> 
                                                        <?php if ($product->get_type() != 'variable'):  

                                                            $qc_woo_tabbed_cart_summary = get_option('qc_woo_tabbed_cart_summary_position');
                                                            if(isset($qc_woo_tabbed_cart_summary) && $qc_woo_tabbed_cart_summary == 'wooinstantcart' ):

                                                                    $qcld_woo_pro_minmax_enable_plugin = get_option( 'qcld_woo_pro_minmax_enable_plugin' );
                                                        if(function_exists('qcld_woo_pro_minmax_install') && isset($qcld_woo_pro_minmax_enable_plugin) && $qcld_woo_pro_minmax_enable_plugin  == 'yes'){

                                                            $response_min_max = qcld_woo_pro_minmax_tabbed_add_rules_text(get_the_ID(),0);
                                                            $min_qty  = $response_min_max['min'];
                                                          }else{
                                                            $min_qty  = 1;

                                                          }
                                                            ?>
                                                        <a class="woo_tab_s_p_add_to_cart ajax_add_to_cart add_to_cart_button product_type_simple"
                                                           data-quantity="<?php echo ($min_qty ? $min_qty : 1); ?>" 
                                                           data-product_id="<?php echo $product->get_id(); ?>"
                                                           data-p-price="<?php echo $product->get_price(); ?>"
                                                           data-p-id="<?php echo $product->get_id(); ?>"
                                                           href="<?php echo $product->add_to_cart_url(); ?>"><i class="fa fa-cart-plus" aria-hidden="true"></i></a>
                                                        <?php else: ?>
                                                        <a class="woo_tab_s_p_add_to_cart"
                                                           data-p-price="<?php echo $product->get_price(); ?>"
                                                           data-p-id="<?php echo $product->get_id(); ?>"
                                                           href="<?php echo $product->add_to_cart_url(); ?>"><i class="fa fa-cart-plus" aria-hidden="true"></i></a>
                                                        <?php endif; ?>
                                                        <?php else: ?>
                                                        <a class="woo_tab_product_details"
                                                           href="#" product-id="<?php echo $product->get_id(); ?>"><i class="fa fa-cart-arrow-down" aria-hidden="true"></i></a>
                                                        <?php endif; ?>
                                                    </li>
                                                    <?php endif; ?>
                                                    
                                            </ul>
                                        </div>
                                    <?php } else { ?>
                                        <div class="qc_pro_details">
                                            <ul>
                                                <?php if(isset($link_title_to_modal) && ($link_title_to_modal == '1' || $link_title_to_modal == '01')){  ?>
                                                    <li><a href="#" class="woo_tab_product_details" product-id="<?php echo get_the_ID(); ?>"><i class="fa fa-link" aria-hidden="true"></i></a></li>
                                                <?php }else{ ?>
                                                    <li><a href="<?php echo $product->get_permalink() ?>"><i class="fa fa-link" aria-hidden="true"></i></a></li>
                                                <?php } ?>
                                                <li>
                                                    <div class="qc_out_of_stock_container qc_quantity qc_qat_style_three">
                                                        <a class="product_out_of_stock"
                                                           data-p-price="<?php echo $product->get_price(); ?>"
                                                           data-p-id="<?php echo $product->get_id(); ?>"
                                                           href="#"><i class="fa" aria-hidden="true"></i></a>
                                                    </div>
                                                </li>
                                            </ul>
                                        </div>
                                    <?php } ?>
                                    <?php if (get_option('product_title') == 1): ?>

                                        <?php
                                        if(isset($link_title_to_modal) && ($link_title_to_modal == '1' || $link_title_to_modal == '01')){ 
                                        ?>
                                            <h2>
                                                <a style="color: <?php if (get_option('product_title_text_color') != '') echo get_option('product_title_text_color') . ';'; ?>; font-size: <?php if (get_option('change_title_text_size') != '') echo get_option('change_title_text_size') . 'px;'; ?>"
                                                   href="#" class="woo_tab_product_details" product-id="<?php echo get_the_ID(); ?>"><?php echo $product->get_title(); ?></a>
                                            </h2>
                                        <?php }else{ ?>
                                            <h2>
                                                <a style="color: <?php if (get_option('product_title_text_color') != '') echo get_option('product_title_text_color') . ';'; ?>; font-size: <?php if (get_option('change_title_text_size') != '') echo get_option('change_title_text_size') . 'px;'; ?>"
                                                   href="<?php echo $product->get_permalink(); ?>"><?php echo $product->get_title(); ?></a>
                                            </h2>
                                        <?php } ?>

                                    <?php endif; ?>

                                            
                                            <?php 

                                            if(get_option('qc_woo_tabbed_display_product_tag') == 'enable'){
                                            woo_tabbed_product_tags_by_id(get_the_ID());
                                            } 
                                            ?>
                                    <?php $average = $product->get_average_rating(); ?>
                                    <?php if (get_option('display_rating') == 1): ?>
                                        <div class="qcld_woo_product_rating ss">
                                            <?php if ($average == 1) { ?>
                                                <img src="<?php echo QC_WOO_TAB_IMAGE_URL; ?>/1_star.png" alt="">
                                            <?php } else if ($average == 0) { ?>
                                                <img src="<?php echo QC_WOO_TAB_IMAGE_URL; ?>/no_star.png" alt="">
                                            <?php } else if ($average <= 2) { ?>
                                                <img src="<?php echo QC_WOO_TAB_IMAGE_URL; ?>/2_star.png" alt="">
                                            <?php } else if ($average <= 3) { ?>
                                                <img src="<?php echo QC_WOO_TAB_IMAGE_URL; ?>/3_star.png" alt="">
                                            <?php } else if ($average <= 4) { ?>
                                                <img src="<?php echo QC_WOO_TAB_IMAGE_URL; ?>/4_star.png" alt="">
                                            <?php } else if ($average <= 5) { ?>
                                                <img src="<?php echo QC_WOO_TAB_IMAGE_URL; ?>/5_star.png" alt="">
                                            <?php } ?>
                                        </div>
                                    <?php endif; ?>
                                    <div class="woo_price"
                                         style="font-size: <?php echo get_option('product_content_text_size'); ?>px; color: <?php echo get_option('product_content_text_color'); ?>;">
                                        <?php if (get_option('display_price') == 1): ?>
                                            <?php echo $product->get_price_html(); ?>

                                        <?php endif; ?>
                                        <?php  if(get_option('qc_quick_view_on_off') != 'off'): ?>
                                        <a href="#"  class="woo_tab_product_details" product-id="<?php echo $product->get_id(); ?>">
                                            <i class="fa fa-info-circle" aria-hidden="true"></i>
                                        </a>
                                        <?php endif; ?>
                                    </div>
                                            <?php
                                            $qcld_woo_pro_minmax_dynamic_pricing_setting = get_option('qcld_woo_pro_minmax_dynamic_pricing_setting');

                                            if(function_exists('qcld_woo_pro_minmax_install') && (isset($qcld_woo_pro_minmax_dynamic_pricing_setting['qcld_woo_pro_minmax_price_table_on_off']) && $qcld_woo_pro_minmax_dynamic_pricing_setting['qcld_woo_pro_minmax_price_table_on_off'] == 'enable') ){

                                              $result_show = qcld_woo_pro_minmax_tabbed_dynamic_discount_price_table_show(get_the_ID());
                                              echo $result_show;
                                            }
                                            ?>
                                </li>
                            <?php endwhile; wp_reset_query(); ?>
                        </ul>
                    </div>

                    <?php if ($product_num > get_option('product_number')): ?>
                        <div class="qcld-wootab-more-scroll-container" style="text-align:center">
                            <div class="loader_container"></div>
                            <button type="button"
                                    id="qcld-wootab-more-three-all"
                                    data-show-sale="<?php echo $show_sale; ?>"
                                    data-theme-name="theme-three"
                                    data-feature-only="<?php echo $featured_only; ?>"
                                    data-cat-attr="<?php echo $categories_all_pera; ?>"
                                    data-sort-order=""
                                    title-modal="<?php echo $link_title_to_modal; ?>"
                                    data-offset="<?php echo get_option('product_number'); ?>">
                                <?php $load_more = get_option('change_load_more_text');
                                    if (!empty($load_more)) {
                                        esc_html_e($load_more, 'woo-tabbed-category' );
                                    } else {
                                        esc_html_e('Load More', 'woo-tabbed-category');
                                    }  ?>
                            </button>
                        </div>
                    <?php endif; ?>
                </div>
            <?php endif; ?>
        </div>
        <div class="qc_tab_css_bg" style="background-color:<?php echo get_option('container_background_color') ?>">
            <?php 

            $query_stop = 0; 

            foreach ($product_categories as $cat): 
                $query_stop +=1;
               // if($query_stop > 1 ){ return; }

            ?>
                <div id="tab-<?php echo $cat->term_id; ?>" class="tab-content">
                    <div class="tabs_main_section">
                        <?php


                        $show_featured_only = array('relation' => 'OR', array(
                            array(
                                'taxonomy' => 'product_cat',
                                'field' => 'term_id',
                                'terms' => $cat->term_id,
                                'operator' => 'IN'
                            ),
                            array(
                                'taxonomy' => 'product_visibility',
                                'field' => 'name',
                                'terms' => 'featured',
                                'operator' => 'IN'
                            )
                        ));

                        $show_sale_products_only = array('relation' => 'OR', array( // Simple products type
                            'key' => '_sale_price',
                            'value' => 0,
                            'compare' => '>',
                            'type' => 'numeric'
                        ),
                            array( // Variable products type
                                'key' => '_min_variation_sale_price',
                                'value' => 0,
                                'compare' => '>',
                                'type' => 'numeric'
                            ));

                        $sorting = '';
                        $orderBy = get_option('qc_product_sort_type');
                        if(get_option('qc_product_sort_type') == 'meta_value_num'){
                            $sorting = '_price';
                        }
                        if( get_option('qc_product_sort_type') == 'total_sales' ){
                            $sorting = 'total_sales';
                            $orderBy = 'meta_value_num';
                        }


                        $args = array(
                            'post_type'         => 'product',
                            'posts_per_page'    => $product_number,
                            'meta_key'          => $sorting,
                            'orderby'           => $orderBy,
                            'order'             => get_option('qc_product_sort_order'),
                            'tax_query'         => array(
                                'relation' => 'OR',
                                array(
                                    'taxonomy'  => 'product_cat',
                                    'field'     => 'term_id',
                                    'terms'     => $cat->term_id,
                                    'operator'  => 'IN'
                                ),
                            )
                        );

                        if ($show_sale == 1) {
                            $args = array_merge($args, array('meta_query' => $show_sale_products_only));
                        }


                        if ($featured_only == 1) {
                            $args = array_merge($args, array('tax_query' => $show_featured_only));
                        }

                        $product_visibility = array('relation' => 'OR', array(
                            array(
                                'taxonomy' => 'product_cat',
                                'field' => 'term_id',
                                'terms' => $cat->term_id,
                                'operator' => 'IN'
                            ),
                             array(
                                'taxonomy' => 'product_visibility',
                                'field'    => 'name',
                                'terms'    => 'exclude-from-catalog',
                                'operator' => 'NOT IN',
                            ),
                        ));

                        $args = array_merge($args, array('tax_query' => $product_visibility));


                        if(get_option('qc_woo_tabbed_disable_product_out_of_stock') == 'enable'){

                            $args = array_merge($args, array( 'meta_query' => array(
                                        array(
                                            'key'       => '_stock_status',
                                            'value'     => 'instock',
                                        ),
                                )));
                        }

                       
                        $args_two = array(
                            'post_type'         => array('product', 'product_variation'),
                            'post_status'       => 'publish',
                            'posts_per_page'    => -1,
                            'meta_key'          => $sorting,
                            'orderby'           => $orderBy,
                            'order'             => get_option('qc_product_sort_order'),
                            'tax_query'         => array(
                                'relation' => 'OR',
                                array(
                                    'taxonomy'  => 'product_cat',
                                    'field'     => 'term_id',
                                    'terms'     => $cat->term_id,
                                    'operator'  => 'IN'
                                ),
                            )
                        );


                        $products_num = new WP_Query($args_two);
                        $product_num = $products_num->post_count;


                        $product_query = new WP_Query($args);
                        $wc_pf = new WC_Product_Factory(); 
                        ?>
                        <ul class="wootabs">
                            <?php while ($product_query->have_posts()) : $product_query->the_post(); ?>
                                <?php $product = wc_get_product(get_the_ID());
                                $product_stock_status = $product->get_stock_status();
                                ?>
                                <li class="<?php echo qcld_product_product_has_gallery( get_the_ID() ); ?>">
                                    <?php if ($product->is_on_sale()): ?>
                                        <label for="qc_on_sale"><img src="<?php echo QC_WOO_TAB_IMAGE_URL; ?>/sale.png"></label>
                                    <?php endif; ?>
                                    <div class="wootabs_img"><?php echo $product->get_image('shop_catalog'); ?> <?php echo qcld_product_second_product_thumbnail(get_the_ID()); ?></div>
                                    <?php if ($product_stock_status != 'outofstock') { ?>
                                        <div class="qc_pro_details">
                                            <ul>
                                                <?php if(isset($link_title_to_modal) && ($link_title_to_modal == '1' || $link_title_to_modal == '01')){  ?>
                                                    <li><a href="#" class="woo_tab_product_details" product-id="<?php echo get_the_ID(); ?>"><i class="fa fa-link" aria-hidden="true"></i></a></li>
                                                <?php }else{ ?>
                                                    <li><a href="<?php echo $product->get_permalink() ?>"><i class="fa fa-link" aria-hidden="true"></i></a></li>
                                                <?php } ?>
                                                
                                                <?php if (get_option('add_quantity_select') == 1): ?>
                                                <?php if ($product->get_type() != 'variable'): 

                                                    $qcld_woo_pro_minmax_enable_plugin = get_option( 'qcld_woo_pro_minmax_enable_plugin' );
                                                    if(function_exists('qcld_woo_pro_minmax_install') && isset($qcld_woo_pro_minmax_enable_plugin) && $qcld_woo_pro_minmax_enable_plugin  == 'yes'){
                                                        $response_min_max = qcld_woo_pro_minmax_tabbed_add_rules_text(get_the_ID(),0);

                                                        $min_qty  = $response_min_max['min'];
                                                        $max_qty  = $response_min_max['max'];
                                                        $step_qty = $response_min_max['step'];

                                                    ?>

                                                    <li><div class="qc_quantity qc_qat_style_three">
                                                        <input class="qc_minus" type="button" value="-">
                                                        <input type="text" class="qc_product_quantity"
                                                               name="qcld_quantity" value="<?php echo ($min_qty ? $min_qty : 1); ?>" step="<?php echo ($step_qty ? $step_qty : ''); ?>" min="<?php echo ($min_qty ? $min_qty : ''); ?>" max="<?php echo ($max_qty ? $max_qty : ''); ?>">
                                                        <input class="qc_plus" type="button" value="+">
                                                    </div></li>
                                                    <?php }else{ ?>
                                                <li><div class="qc_quantity qc_qat_style_three">
                                                    <input class="qc_minus" type="button" value="-">
                                                    <input type="text" class="qc_product_quantity"
                                                           name="qcld_quantity"
                                                           value="1">
                                                    <input class="qc_plus" type="button" value="+">
                                                </div></li>
                                                    <?php } ?>
                                                <?php endif; ?>
                                                <?php endif; ?>
                                                   


                                               <?php if (get_option('add_cart_link') == 1): ?>
                                                    <li> 
                                                        <?php if ($product->get_type() != 'variable'): 

                                                         $qc_woo_tabbed_cart_summary = get_option('qc_woo_tabbed_cart_summary_position');
                                                            if(isset($qc_woo_tabbed_cart_summary) && $qc_woo_tabbed_cart_summary == 'wooinstantcart' ):

                                                                    $qcld_woo_pro_minmax_enable_plugin = get_option( 'qcld_woo_pro_minmax_enable_plugin' );
                                                        if(function_exists('qcld_woo_pro_minmax_install') && isset($qcld_woo_pro_minmax_enable_plugin) && $qcld_woo_pro_minmax_enable_plugin  == 'yes'){

                                                            $response_min_max = qcld_woo_pro_minmax_tabbed_add_rules_text(get_the_ID(),0);
                                                            $min_qty  = $response_min_max['min'];
                                                          }else{
                                                            $min_qty  = 1;

                                                          }
                                                            ?>
                                                        <a class="woo_tab_s_p_add_to_cart ajax_add_to_cart add_to_cart_button product_type_simple"
                                                           data-quantity="<?php echo ($min_qty ? $min_qty : 1); ?>" 
                                                           data-product_id="<?php echo $product->get_id(); ?>"
                                                           data-p-price="<?php echo $product->get_price(); ?>"
                                                           data-p-id="<?php echo $product->get_id(); ?>"
                                                           href="<?php echo $product->add_to_cart_url(); ?>"><i class="fa fa-cart-plus" aria-hidden="true"></i></a>
                                                        <?php else: ?>
                                                        <a class="woo_tab_s_p_add_to_cart"
                                                           data-p-price="<?php echo $product->get_price(); ?>"
                                                           data-p-id="<?php echo $product->get_id(); ?>"
                                                           href="<?php echo $product->add_to_cart_url(); ?>"><i class="fa fa-cart-plus" aria-hidden="true"></i></a>
                                                        <?php endif; ?>


    
                                                        <?php else: ?>
                                                        <a class="woo_tab_product_details" href="#" product-id="<?php echo $product->get_id(); ?>"><i class="fa fa-cart-arrow-down" aria-hidden="true"></i></a>
                                                        <?php endif; ?>
                                                </li>
                                                <?php endif; ?>
                                            </ul>
                                        </div>
                                    <?php } else { ?>
                                        <div class="qc_pro_details">
                                            <ul>
                                                <?php if(isset($link_title_to_modal) && ($link_title_to_modal == '1' || $link_title_to_modal == '01')){  ?>
                                                    <li><a href="#" class="woo_tab_product_details" product-id="<?php echo get_the_ID(); ?>"><i class="fa fa-link" aria-hidden="true"></i></a></li>
                                                <?php }else{ ?>
                                                    <li><a href="<?php echo $product->get_permalink() ?>"><i class="fa fa-link" aria-hidden="true"></i></a></li>
                                                <?php } ?>
                                                <li><div class="qc_out_of_stock_container qc_quantity qc_qat_style_three">

                                                    <a class="product_out_of_stock"
                                                       data-p-price="<?php echo $product->get_price(); ?>"
                                                       data-p-id="<?php echo $product->get_id(); ?>"
                                                       href="#"><i class="fa  fa-cart-arrow-down" aria-hidden="true"></i></a>
                                                </div></li>
                                            </ul>
                                        </div>
                                    <?php } ?>
                                    <?php if (get_option('product_title') == 1): ?>
                                        <?php
                                        if(isset($link_title_to_modal) && ($link_title_to_modal == '1' || $link_title_to_modal == '01')){ 
                                        ?>
                                            <h2>
                                                <a style="color: <?php if (get_option('product_title_text_color') != '') echo get_option('product_title_text_color') . ';'; ?>; font-size: <?php if (get_option('change_title_text_size') != '') echo get_option('change_title_text_size') . 'px;'; ?>"
                                                   href="#" class="woo_tab_product_details" product-id="<?php echo get_the_ID(); ?>"><?php echo $product->get_title(); ?></a>
                                            </h2>
                                        <?php }else{ ?>
                                            <h2>
                                                <a style="color: <?php if (get_option('product_title_text_color') != '') echo get_option('product_title_text_color') . ';'; ?>; font-size: <?php if (get_option('change_title_text_size') != '') echo get_option('change_title_text_size') . 'px;'; ?>"
                                                   href="<?php echo $product->get_permalink(); ?>"><?php echo $product->get_title(); ?></a>
                                            </h2>
                                        <?php } ?>
                                    <?php endif; ?>
                                    
                                            
                                            <?php 

                                            if(get_option('qc_woo_tabbed_display_product_tag') == 'enable'){
                                            woo_tabbed_product_tags_by_id(get_the_ID());
                                            } 
                                            ?>
                                    <?php $average = $product->get_average_rating(); ?>
                                    <?php if (get_option('display_rating') == 1): ?>
                                        <div class="qcld_woo_product_rating ss">
                                            <?php if ($average == 1) { ?>
                                                <img src="<?php echo QC_WOO_TAB_IMAGE_URL; ?>/1_star.png" alt="">
                                            <?php } else if ($average == 0) { ?>
                                                <img src="<?php echo QC_WOO_TAB_IMAGE_URL; ?>/no_star.png" alt="">
                                            <?php } else if ($average <= 2) { ?>
                                                <img src="<?php echo QC_WOO_TAB_IMAGE_URL; ?>/2_star.png" alt="">
                                            <?php } else if ($average <= 3) { ?>
                                                <img src="<?php echo QC_WOO_TAB_IMAGE_URL; ?>/3_star.png" alt="">
                                            <?php } else if ($average <= 4) { ?>
                                                <img src="<?php echo QC_WOO_TAB_IMAGE_URL; ?>/4_star.png" alt="">
                                            <?php } else if ($average <= 5) { ?>
                                                <img src="<?php echo QC_WOO_TAB_IMAGE_URL; ?>/5_star.png" alt="">
                                            <?php } ?>
                                        </div>
                                    <?php endif; ?>
                                    <div class="woo_price"
                                         style="font-size: <?php echo get_option('product_content_text_size'); ?>px; color: <?php echo get_option('product_content_text_color'); ?>;">
                                        <?php if (get_option('display_price') == 1): ?>
                                            <?php echo $product->get_price_html(); ?>
                                        <?php endif; ?>
                                        <?php  if(get_option('qc_quick_view_on_off') != 'off'): ?>
                                        <a href="#"  class="woo_tab_product_details" product-id="<?php echo $product->get_id(); ?>">
                                            <i class="fa fa-info-circle" aria-hidden="true"></i>
                                        </a>
                                        <?php endif; ?>
                                    </div>
                                        <?php
                                            $qcld_woo_pro_minmax_dynamic_pricing_setting = get_option('qcld_woo_pro_minmax_dynamic_pricing_setting');

                                            if(function_exists('qcld_woo_pro_minmax_install') && (isset($qcld_woo_pro_minmax_dynamic_pricing_setting['qcld_woo_pro_minmax_price_table_on_off']) && $qcld_woo_pro_minmax_dynamic_pricing_setting['qcld_woo_pro_minmax_price_table_on_off'] == 'enable') ){

                                              $result_show = qcld_woo_pro_minmax_tabbed_dynamic_discount_price_table_show(get_the_ID());
                                              echo $result_show;
                                            }
                                            ?>
                                </li>
                            <?php endwhile; wp_reset_query(); ?>
                        </ul>
                    </div>

                    <div class="clear" style="clear:both;"></div>
                    <?php if ($product_num > get_option('product_number')): ?>

                        <!-- Load more -->
                        <div class="qcld-wootab-more-scroll-container" style="text-align:center">
                            <div class="loader_container"></div>
                            <button type="button"
                                    id="qcld-wootab-more-three"
                                    data-cat-id="<?php echo $cat->term_id; ?>"
                                    data-feature-only="<?php echo $featured_only; ?>"
                                    data-sort-order=""
                                    title-modal="<?php echo $link_title_to_modal; ?>"
                                    data-offset="<?php echo get_option('product_number'); ?>">

                                <?php $load_more = get_option('change_load_more_text');
                                    if (!empty($load_more)) {
                                        esc_html_e($load_more, 'woo-tabbed-category' );
                                    } else {
                                        esc_html_e('Load More', 'woo-tabbed-category');
                                    }  ?>
                            </button>
                        </div>
                    <?php endif; ?>
                </div>
            <?php break; endforeach; ?>
        </div>
    </div>
    <!-- container -->
</div>



<?php 

