(function($) {
    'use strict';

jQuery(document).ready(function ($) {


//$( '#mi-slider' ).catslider();

    $(document).on('click', '.qc_plus', function (e) {
        var $input = $(this).prev('input.qc_product_quantity');
        var val = parseInt($input.val());
        var step_val = parseInt($input.attr('step')) ? parseInt($input.attr('step')) : 1;
        $input.val(val + step_val).change();
    });

    $(document).on('click', '.qc_minus', function (e) {
        var $input = $(this).next('input.qc_product_quantity');
        var val = parseInt($input.val());
        var step_val = parseInt($input.attr('step')) ? parseInt($input.attr('step')) : 1;
        var min_val = parseInt($input.attr('min')) ? parseInt($input.attr('min')) : 0;
        if (val > min_val) {
            $input.val(val - step_val).change();
        }
    });


    //$('.qc-tabs-container .qc-tabs-contant:first').addClass('open');


    $('.qc-tabs-container .qc-tabs-contant:first').on('click', function () {
        $(this).addClass('open').siblings().removeClass('active');
    });

    $('.qc-tabs-contant:first').addClass('open-container');
    $('.wotabs_style2 li:first').addClass('current');
    $('ul.tab-links li:first').addClass('active');
    $('ul.qctabs_10 li:first').addClass('current');
    $('.tabs-widget-light li:first').addClass('current');
    //$('.container .qc_tab_css_bg .tab-content:eq(0)').addClass('current');
   // $('.qc_tab_css_bg .tab-content:first-child').addClass('current');
    //$('.qc_tab_css_bg .tab-content').addClass('current');
    $('.tab-content .tab:first').addClass('active');

    /**
     * Default Template
     */

    var fullwidth = window.innerWidth;
    var device_width = ($(window).width());
    /*if (device_width <= 479) {

        $(".qc_nav_style_1").addClass('slick-class');
        $('.slick-class').slick({
            slide: 'li',
            infinite: false,
            slidesToShow: 1,
            slidesToScroll: 1
        });
    } else {
        $('.slick-class').slick({
            slide: 'li',
            infinite: false,
            slidesToShow: 4,
            slidesToScroll: 1
        });
    }
*/

    jQuery("#wtcpl_pro_tabs a").click(function (event) {

        event.preventDefault();
        var my_id = jQuery(this).attr("id");
        jQuery("#wtcpl_pro_tabs a").removeClass("active");
        jQuery(this).addClass("active");


        jQuery("#wtcpl_pro_tabs_container .each_cat").fadeOut(0);
        jQuery("#wtcpl_pro_tabs_container .each_cat").removeClass("active");

        jQuery("#product-" + my_id).fadeIn();
        jQuery("#product-" + my_id).addClass("active");

    });


    /**
     * Template One
     */

    $(document).on('click', 'ul.tabs-one li, ul.tabs-one li a', function (e) {
       // alert('hello');
       e.preventDefault();

        var currentDom = $(this);

        var content_warppers = currentDom.closest('.woo_tab_container');

        if(display_category_url_based == 'enable'){

            var cat_id = $(this).attr('data-cat-id');
            var cat_param = "?cat_id="+cat_id;
            window.history.replaceState(null, null, cat_param);

        }
        if(product_search_each_category == 'enable'){
            var currentDom = $(this);
            var content_warppers = currentDom.closest('.woo_tab_container');
            var cat_parameter = currentDom.attr('data-cat-attr');
            var search_each_category = content_warppers.find('.qcld-search_products').find('.search-field');
            $(search_each_category).attr('data-cat-attr', cat_parameter );
        }


        // var content_warpperss = currentDom.parent().parent().parent();
        var content_warpperss = currentDom.closest('.woo_tab_container');
        //var content_theme = $(this).parent().parent().parent().find('.theme-one');
        if(currentDom.hasClass('slick-slide')){
        var content_theme = currentDom.parent().parent().parent().parent().parent();
        }else{
        var content_theme = currentDom.parent().parent().parent();
        }

        var current_menu = currentDom.parent().find('.qc_theme_one');
        var current_tab_content = currentDom.parent().parent().parent().find('.tab-content');

        $("#qcld-wootab-more-one-all").attr('data-offset', initial_product_number);
        $("#qcld-wootab-more-one").attr('data-offset', initial_product_number);
        $("#qcld-wootab-more-one-all, #qcld-wootab-more-one").css({
            'display': 'block',
            'margin': '0 auto'
        });

        // $('.theme-one').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: inline-block;">');
        content_warpperss.find('.theme-one').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: inline-block;">');
        if( $( '.theme-one .loader' ).length && qcld_woo_tabbed_change_loading_image == 1 ) {
         
            var css = '<style>.theme-one .loader::after,.loader::before{content: none !important;} </style>';
            document.head.insertAdjacentHTML( 'beforeEnd', css );
            content_warpperss.find(".theme-one").find(".loader").css({"background":" url("+qcld_woo_tabbed_board_bg_path+") no-repeat center center","background-size": "cover", "width": "200px", "height": "200px", "padding": "0px 0px 0px 0px"});

        }

        var cat_id = currentDom.attr('data-cat-id');
        var offset = currentDom.attr('data-offset');
        var show_sale = currentDom.attr('data-show-sale');
        var feature_only = currentDom.attr('data-feature-only');
        var cat_parameter = currentDom.attr('data-cat-attr');
        var link_title_to_modal = currentDom.attr('title-modal');
        var data = {
            'cat_id': cat_id,
            'offset': offset,
            'show_sale': show_sale,
            'feature_only': feature_only,
            'data_cat_parameter': cat_parameter,
            'link_title_to_modal' : link_title_to_modal,
            'action': 'get_products_by_cat_theme_two',
        };

        jQuery.post(ajaxurl, data, function (response) {

            if (response.html == '') {
                content_warpperss.find('.theme-one').html('<p style=" text-align:center; color: #F57E80; font-weight: bold; padding: 0 0 0 0; margin: 0 auto;">' + product_not_found_text +
                    '</p>');
            } else {
                content_warpperss.find('.theme-one').html(response.html);
            }

            content_warpperss.find("#qcld-wootab-scroll,#qcld-wootab-more-one-all, #qcld-wootab-more-one").attr('data-offset', response.offset);
            content_warpperss.find("#qcld-wootab-scroll,#qcld-wootab-more-one-all, #qcld-wootab-more-one").attr('data-tag', '');
            content_warpperss.find("#qcld-wootab-scroll,#qcld-wootab-more-one-all, #qcld-wootab-more-one").attr('data-cat-id', cat_id);
            content_warpperss.find("#qcld-wootab-scroll,#qcld-wootab-more-one-all, #qcld-wootab-more-one").attr('data-cat-attr', cat_parameter);

            if(cat_id != 'all'){
                content_warpperss.find("#qcld-wootab-more-one-all").attr("id","qcld-wootab-more-one");
            }else{
                content_warpperss.find("#qcld-wootab-more-one").attr("id","qcld-wootab-more-one-all");
            }

        });


        var tab_id = $(this).attr('data-tab');
        var sorting_cat_cange = content_warppers.find('.qc-wootabs-sortings').find('option');
        $(sorting_cat_cange).attr('data-cat-id',cat_id);
        $(sorting_cat_cange).attr('data-cat-attr',cat_parameter);
        content_warpperss.find('.qc-wootabs-sortings').find('option:first').prop('selected',true);
        content_warpperss.find('ul.tabs li').removeClass('current');
        current_menu.removeClass('current');
        
        //content_warpperss.find('.tab-content').removeClass('current');
        // qcld_category_sep_wrap
        $(this).addClass('current');
        
       /* var currentDoms = $(this);
        if( currentDoms.closest('.qcld_children_sep_wrap').length ) {
            var parent_div = currentDoms.closest('.qcld_children_sep_wrap').attr('data-tab');
            $('.qcld_children_sep_wrap ul li,.qcld_children_sep_wrap ul li a').removeClass('current');
            currentDoms.addClass('current');
            // console.log( parent_div );
            //currentDoms.closest('.qcld_category_sep_wrap').find("li").removeClass('current');
            currentDoms.closest('.qcld_category_sep_wrap').find("[data-tab='" + parent_div + "']").addClass('current'); 
        }
        if( ! currentDoms.closest('.qcld_children_sep_wrap').length ) {
            var tab_id = currentDoms.attr('data-tab');
            $('.qcld_children_sep_wrap').removeClass('qcld_current');
            $(".qcld_children_sep_wrap."+tab_id ).addClass('qcld_current');

            var qcld_height = $(".qcld_children_sep_wrap."+tab_id).height() + 75; 
            //console.log( height );
            $('.qcld_category_sep_wrap').css({'min-height': qcld_height +'px' });

             
        }*/
        //$("#" + tab_id).addClass('current');
        //content_warpperss.("#" + tab_id).addClass('current');
        //content_warpperss.find('.tab-content').addClass('current');
        //console.log(content_warpperss.find("#" + tab_id));

        // if(content_warpperss.find("#" + tab_id).length > 0){ 
        //     content_warpperss.find("#" + tab_id).addClass('current');
        // }else{
        //     content_warpperss.find('.tab-content:last').addClass('current');
        // }

        //console.log(cat_id);

        if( qc_scroll_category_clickable == 'enable' ){
            var currentDom = $(this);
            var content_warppers = currentDom.closest('.woo_tab_container');
            var scroll_each_wrap = content_warppers.find('.tab-content');

            $('html,body').animate( { scrollTop: $(scroll_each_wrap).offset().top}, 300 );

        }

        return false;

    });


    /**
     * Template Two
     */

    $(document).on('click', 'ul.tabs-two li, ul.tabs-two li a', function () {


        $("#qcld-wootab-more-two-all").attr('data-offset', initial_product_number);
        $("#qcld-wootab-more-two").attr('data-offset', initial_product_number);



        var currentDom = $(this);
        var content_warppers = currentDom.closest('.woo_tab_container');
        //var scroll_each_wrap = content_warppers.find('.tab-content');
        
        content_warppers.find('.theme-two').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: inline-block;">');
        if( $( '.theme-two .loader' ).length && qcld_woo_tabbed_change_loading_image == 1 ) {
         
            var css = '<style>.theme-two .loader::after,.loader::before{content: none !important;} </style>';
            document.head.insertAdjacentHTML( 'beforeEnd', css );
            content_warppers.find(".theme-two").find(".loader").css({"background":" url("+qcld_woo_tabbed_board_bg_path+") no-repeat center center","background-size": "cover", "width": "200px", "height": "200px", "padding": "0px 0px 0px 0px"});

        }

        // category based url loading when window on load
        if(display_category_url_based == 'enable'){

            var cat_id = $(this).attr('data-cat-id');
            var cat_param = "?cat_id="+cat_id;
            window.history.replaceState(null, null, cat_param);

        }
        if(product_search_each_category == 'enable'){
            var currentDom = $(this);
            var content_warppers = currentDom.closest('.woo_tab_container');
            var cat_parameter = currentDom.attr('data-cat-attr');
            var search_each_category = content_warppers.find('.qcld-search_products').find('.search-field');
            $(search_each_category).attr('data-cat-attr', cat_parameter );
        }

        var cat_id = $(this).attr('data-cat-id');
        var offset = $(this).attr('data-offset');
        var show_sale = $(this).attr('data-show-sale');
        var feature_only = $(this).attr('data-feature-only'); 
        var cat_parameter = $(this).attr('data-cat-attr');
        var link_title_to_modal = $(this).attr('title-modal');
        var data = {
            'cat_id': cat_id,
            'offset': offset,
            'show_sale': show_sale,
            'feature_only': feature_only,
            'data_cat_parameter': cat_parameter,
            'link_title_to_modal' : link_title_to_modal,
            'action': 'get_products_by_cat_theme_two',


        };


        jQuery.post(ajaxurl, data, function (response) {

            if (response.html == '') {
                content_warppers.find('.theme-two').html('<p style=" text-align:center; color: #F57E80; font-weight: bold; padding: 0 0 0 0; margin: 0 auto;">' + product_not_found_text +
                    '</p>');

            } else {
                content_warppers.find('.theme-two').html(response.html);
            }


            $("#qcld-wootab-scroll, #qcld-wootab-more-two").attr('data-offset', response.offset);
            $("#qcld-wootab-scroll,#qcld-wootab-more-two-all, #qcld-wootab-more-two").attr('data-tag', '');
            $("#qcld-wootab-scroll,#qcld-wootab-more-two-all, #qcld-wootab-more-two").attr('data-cat-id', cat_id);
            $("#qcld-wootab-scroll,#qcld-wootab-more-two-all, #qcld-wootab-more-two").attr('data-cat-attr', cat_parameter);

            if(cat_id != 'all'){
                $("#qcld-wootab-more-two-all").attr("id","qcld-wootab-more-two");
            }else{
                $("#qcld-wootab-more-two").attr("id","qcld-wootab-more-two-all");
            }

        });

        $("#qcld-wootab-more-two-all, #qcld-wootab-more-two").css({
            'display': 'block',
            'margin': '0 auto'
        });


        var tab_id = $(this).attr('data-tab');
        var sorting_cat_cange = $('.qc-wootabs-sortings').find('option');
        $(sorting_cat_cange).attr('data-cat-id',cat_id);
        $(sorting_cat_cange).attr('data-cat-attr',cat_parameter);
        $('.qc-wootabs-sortings').find('option:first').prop('selected',true);

        $('ul.tabs li').removeClass('current');
        //('.tab-content').removeClass('current');

        $(this).addClass('current');
       // $("#" + tab_id).addClass('current');
        //$('.tab-content:first').addClass('current');
        //content_warppers.find('.tab-content').addClass('current');


        if( qc_scroll_category_clickable == 'enable' ){

            var currentDom = $(this);
            var content_warppers = currentDom.closest('.woo_tab_container');
            var scroll_each_wrap = content_warppers.find('.tab-content');

            $('html,body').animate( { scrollTop: $(scroll_each_wrap).offset().top}, 300 );

        }


        return false;
    });


    /**
     * Template Three
     */

    $(document).on('click', 'ul.wotabs_style2 li, ul.wotabs_style2 li a', function () {

        var content_warppers = $(this).closest('div.woo_tab_container');

        // category based url loading when window on load
        if(display_category_url_based == 'enable'){

            var cat_id = $(this).attr('data-cat-id');
            var cat_param = "?cat_id="+cat_id;
            window.history.replaceState(null, null, cat_param);

        }
        if(product_search_each_category == 'enable'){
            var currentDom = $(this);
            var content_warppers = currentDom.closest('.woo_tab_container');
            var cat_parameter = currentDom.attr('data-cat-attr');
            var search_each_category = content_warppers.find('.qcld-search_products').find('.search-field');
            $(search_each_category).attr('data-cat-attr', cat_parameter );
        }

        $("#qcld-wootab-more-three-all,#qcld-wootab-more-three").css({
            'display': 'block',
            'margin': '0 auto'
        });

        // reset the data attribute

        $("#qcld-wootab-more-three-all").attr('data-offset', initial_product_number);
        $("#qcld-wootab-more-three").attr('data-offset', initial_product_number);

        //$('.wootabs').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: block;">');
        content_warppers.find('.wootabs').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: block;">');
        if( $( '.wootabs .loader' ).length && qcld_woo_tabbed_change_loading_image == 1 ) {
         
            var css = '<style>.wootabs .loader::after,.loader::before{content: none !important;} </style>';
            document.head.insertAdjacentHTML( 'beforeEnd', css );
            $(".wootabs .loader").css({"background":" url("+qcld_woo_tabbed_board_bg_path+") no-repeat center center","background-size": "cover", "width": "200px", "height": "200px", "padding": "0px 0px 0px 0px"});

        }
        
        var cat_id = $(this).attr('data-cat-id');
        var offset = $(this).attr('data-offset');
        var feature_only = $(this).attr('data-feature-only');
        var show_sale = $(this).attr('data-show-sale'); 
        var cat_parameter = $(this).attr('data-cat-attr');
        var link_title_to_modal = $(this).attr('title-modal');
        var data = {
            'cat_id': cat_id,
            'offset': offset,
            'show_sale': show_sale,
            'feature_only': feature_only,
            'data_cat_parameter': cat_parameter,
            'link_title_to_modal' : link_title_to_modal,
            'action': 'get_products_by_cat_theme_three',


        };

        jQuery.post(ajaxurl, data, function (response) {

            if (response.html == '') {
               // $('.wootabs').html('<p style=" text-align:center; color: #F57E80; font-weight: bold; padding: 0 0 0 0; margin: 0 auto;">' + product_not_found_text + '</p>');
                content_warppers.find('.wootabs').html('<p style=" text-align:center; color: #F57E80; font-weight: bold; padding: 0 0 0 0; margin: 0 auto;">' + product_not_found_text + '</p>');

            } else {
                //$('.wootabs').html(response.html);
                content_warppers.find('.wootabs').html(response.html);
            }


            $("#qcld-wootab-scroll,#qcld-wootab-more-three-all, #qcld-wootab-more-three").attr('data-offset', response.offset);
            $("#qcld-wootab-scroll,#qcld-wootab-more-three-all, #qcld-wootab-more-three").attr('data-tag', '');
            $("#qcld-wootab-scroll,#qcld-wootab-more-three-all, #qcld-wootab-more-three").attr('data-cat-id', cat_id);
            $("#qcld-wootab-scroll,#qcld-wootab-more-three-all, #qcld-wootab-more-three").attr('data-cat-attr', cat_parameter);

            if(cat_id != 'all'){
                $("#qcld-wootab-more-three-all").attr("id","qcld-wootab-more-three");
            }else{
                $("#qcld-wootab-more-three").attr("id","qcld-wootab-more-three-all");
            }

        });


        var tab_id = $(this).attr('data-tab');
        var sorting_cat_cange = $('.qc-wootabs-sortings').find('option');
        $(sorting_cat_cange).attr('data-cat-id',cat_id);
        $(sorting_cat_cange).attr('data-cat-attr',cat_parameter);
        $('.qc-wootabs-sortings').find('option:first').prop('selected',true);


        $('ul.wotabs_style2 li').removeClass('current');
       // $('.tab-content').removeClass('current');
        //content_warppers.find('.tab-content').removeClass('current');

        $(this).addClass('current');
       // $("#" + tab_id).addClass('current');
        //content_warppers.find('.tab-content').addClass('current');


        if( qc_scroll_category_clickable == 'enable' ){

            var currentDom = $(this);
            var content_warppers = currentDom.closest('.woo_tab_container');
            var scroll_each_wrap = content_warppers.find('.tab-content');

            $('html,body').animate( { scrollTop: $(scroll_each_wrap).offset().top}, 600 );

        }


        return false;
    });


    /**
     * Template Four
     *  qc-tabs-contant open-container
     */

    var animTime = 300,
        clickPolice = false;

    $(document).on('click', '.qc-tabs-btn', function () {

        if($(this).hasClass('qcld_theme_four_active')){
            var currIndex = $(this).index('.qc-tabs-style8 .qc-tabs-btn');
            $(".qc-tabs-btn .fa-minus").addClass("fa-plus").removeClass("fa-minus");
            $('.theme-four').html('');
            $("#qcld-wootab-more-four-all").css({'display': 'none'});
            $(this).removeClass('qcld_theme_four_active');
            $(this).parent('.qc-tabs-container').find('.qc-tabs-contant').css({'height': '-1'});

        }else{

        $("#qcld-wootab-more-four-all,#qcld-wootab-more-four").css({
            'display': 'block',
            'margin': '0 auto'
        });


        $("#qcld-wootab-more-four-all").attr('data-offset', initial_product_number);
        $("#qcld-wootab-more-four").attr('data-offset', initial_product_number);


        $(".qcld_theme_four_active").removeClass("qcld_theme_four_active");
        $(".qc-tabs-btn").removeClass("qcld_theme_four_active");
        $(this).addClass('qcld_theme_four_active');

        $(".qc-tabs-btn .fa-plus").addClass("fa-minus").removeClass("fa-plus");
        $(".qc-tabs-btn .fa-minus").addClass("fa-plus").removeClass("fa-minus");
        $(".qcld_theme_four_active .fa").addClass("fa-minus");




        var cat_id = $(this).attr('data-cat-id');
        var offset = $(this).attr('data-offset');
        var show_sale = $(this).attr('data-show-sale');
        var feature_only = $(this).attr('data-feature-only');
        var cat_parameter = $(this).attr('data-cat-attr');
        var link_title_to_modal = $(this).attr('title-modal');
        var data = {
            'cat_id': cat_id,
            'offset': offset,
            'show_sale': show_sale,
            'feature_only': feature_only,
            'data_cat_parameter': cat_parameter,
            'link_title_to_modal' : link_title_to_modal,
            'action': 'get_products_by_cat_theme_four',
        };


        var currIndex = $(this).index('.qc-tabs-style8 .qc-tabs-btn');
        // var targetHeight = $('.qc-tabs-style8 .qc-tabs-contant-inner .qc-product-box').eq(currIndex).outerHeight();


        setTimeout(function () {
            $('.theme-four').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: block;">');
            if( $( '.theme-four .loader' ).length && qcld_woo_tabbed_change_loading_image == 1 ) {
         
                var css = '<style>.theme-four .loader::after,.loader::before{content: none !important;} </style>';
                document.head.insertAdjacentHTML( 'beforeEnd', css );
                $(".theme-four .loader").css({"background":" url("+qcld_woo_tabbed_board_bg_path+") no-repeat center center","background-size": "cover", "width": "200px", "height": "200px", "padding": "0px 0px 0px 0px"});

            }
            $('.qc-tabs-style8 .qc-tabs-btn h1').removeClass('selected');
            $(this).find('h1').addClass('selected');

            var product_number;

            jQuery.post(ajaxurl, data, function (response) {

                if (response.html == '') {
                    $('.theme-four').html('<p style=" text-align:center; color: #F57E80; font-weight: bold; padding: 0 0 0 0; margin: 0 auto;">' + product_not_found_text +
                        '</p>');

                } else {
                    $('.theme-four').html(response.html);
                }


                $("#qcld-wootab-more-four").attr('data-offset', response.offset);
                $("#qcld-wootab-scroll,#qcld-wootab-more-four-all, #qcld-wootab-more-four").attr('data-tag', '');
                $("#qcld-wootab-scroll,#qcld-wootab-more-four-all, #qcld-wootab-more-four").attr('data-cat-id', cat_id);
                product_number = response.product_number;

            }).done(function () {
                var producthight = $(".qc-product-box ul li").outerHeight();

                var testHight;

                if (product_number % 2 == 0) {
                    testHight = producthight * (product_number / 2);
                } else {
                    testHight = producthight * (product_number / 2);
                }


                //console.log(testHight);
                $('.qc-tabs-contant').eq(currIndex).css({'height': testHight + 'px'});
                $('.qc-tabs-contant').eq(currIndex).css({'height': 'auto'});

                if( qc_scroll_category_clickable == 'enable' ){

                    $('html, body').animate({
                        scrollTop: $(".qcld_theme_four_active").offset().top - 110
                    }, 50);
                }

            });
            $('.qc-tabs-style8 .qc-tabs-contant').stop().animate({height: 0}, animTime);
            clickPolice = false;
            var targetHeight = $('.qc-tabs-style8 .qc-tabs-contant-inner .qc-product-box').eq(currIndex).outerHeight();
            $('.qc-tabs-style8 .qc-tabs-contant').eq(currIndex).stop().animate({height: targetHeight}, animTime);

        }, animTime);

    }
    });


    /**
     * Template Five
     */


    $(document).on('click', '.qc-tabs-style10 ul.tabs-five li, .qc-tabs-style10 ul.tabs-five li a', function () {

        // category based url loading when window on load
        if(display_category_url_based == 'enable'){

            var cat_id = $(this).attr('data-cat-id');
            var cat_param = "?cat_id="+cat_id;
            window.history.replaceState(null, null, cat_param);

        }
        if(product_search_each_category == 'enable'){
            var currentDom = $(this);
            var content_warppers = currentDom.closest('.woo_tab_container');
            var cat_parameter = currentDom.attr('data-cat-attr');
            var search_each_category = content_warppers.find('.qcld-search_products').find('.search-field');
            $(search_each_category).attr('data-cat-attr', cat_parameter );
        }

        var currentDom = $(this);
        var content_warppers = currentDom.closest('.woo_tab_container');

        $("#qcld-wootab-more-five-all,#qcld-wootab-more-five").css({
            'display': 'block',
            'margin': '0 auto'
        });


        content_warppers.find("#qcld-wootab-more-five-all").attr('data-offset', initial_product_number);
        content_warppers.find("#qcld-wootab-more-five").attr('data-offset', initial_product_number);


        //$('.theme-five').html('<img style="padding:200px;margin: 0 auto; display: block;" src="' + image_loader + '">');
        // $('.theme-five').html('<div class="loader" style="padding:200px;margin: 0 auto; display: block;">');
        content_warppers.find('.theme-five').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: block;">');
        if( $( '.theme-five .loader' ).length && qcld_woo_tabbed_change_loading_image == 1 ) {
     
            var css = '<style>.theme-five .loader::after,.loader::before{content: none !important;} </style>';
            document.head.insertAdjacentHTML( 'beforeEnd', css );
            content_warppers.find(".theme-five").find(".loader").css({"background":" url("+qcld_woo_tabbed_board_bg_path+") no-repeat center center","background-size": "cover", "width": "200px", "height": "200px", "padding": "0px 0px 0px 0px"});

        }
        var cat_id = $(this).attr('data-cat-id');
        var offset = $(this).attr('data-offset');
        var show_sale = $(this).attr('data-show-sale');
        var feature_only = $(this).attr('data-feature-only');
        var cat_parameter = $(this).attr('data-cat-attr');
        var link_title_to_modal = $(this).attr('title-modal');
        var data = {
            'cat_id': cat_id,
            'offset': offset,
            'show_sale': show_sale,
            'feature_only': feature_only,
            'data_cat_parameter': cat_parameter,
            'link_title_to_modal' : link_title_to_modal,
            'action': 'get_products_by_cat_theme_five',


        };

        jQuery.post(ajaxurl, data, function (response) {

            if (response.html == '') {
               content_warppers.find('.theme-five').html('<p style=" text-align:center; color: #F57E80; font-weight: bold; padding: 0 0 0 0; margin: 0 auto;">' + product_not_found_text +
                    '</p>');

            } else {
                content_warppers.find('.theme-five').html(response.html);
            }


            content_warppers.find("#qcld-wootab-more-five,#qcld-wootab-more-five-all").attr('data-offset', response.offset);
            content_warppers.find("#qcld-wootab-scroll,#qcld-wootab-more-five-all, #qcld-wootab-more-five").attr('data-tag', '');
            content_warppers.find("#qcld-wootab-scroll,#qcld-wootab-more-five-all, #qcld-wootab-more-five").attr('data-cat-id', cat_id);
            content_warppers.find("#qcld-wootab-scroll,#qcld-wootab-more-five-all, #qcld-wootab-more-five").attr('data-cat-attr', cat_parameter);

            if(cat_id != 'all'){
                content_warppers.find("#qcld-wootab-more-five-all").attr("id","qcld-wootab-more-five");
            }else{
                content_warppers.find("#qcld-wootab-more-five").attr("id","qcld-wootab-more-five-all");
            }

        });

        var tab_id = $(this).attr('data-tab');
        var sorting_cat_cange = $('.qc-wootabs-sortings').find('option');
        $(sorting_cat_cange).attr('data-cat-id',cat_id);
        $(sorting_cat_cange).attr('data-cat-attr',cat_parameter);
        content_warppers.find('.qc-wootabs-sortings').find('option:first').prop('selected',true);

        $('.qc-tabs-style10 ul.tabs-five li').removeClass('current');
        //content_warppers.find('.tab-content').removeClass('current');

        $(this).addClass('current');
        //$("#" + tab_id).addClass('current');
        //$('.tab-content:first').addClass('current');
        //content_warppers.find('.tab-content').addClass('current');


        if( qc_scroll_category_clickable == 'enable' ){

            var currentDom = $(this);
            var content_warppers = currentDom.closest('.woo_tab_container');
            var scroll_each_wrap = content_warppers.find('.tab-content');

            $('html,body').animate( { scrollTop: $(scroll_each_wrap).offset().top}, 300 );

        }


        return false;


    });


    /**
     * Template Six
     */
    $(document).on('click', '.qc-tabs-style9  .tab-links li, .qc-tabs-style9  .tab-links li a', function (e) {

        e.preventDefault();
        // category based url loading when window on load
        if(display_category_url_based == 'enable'){

            var cat_id = $(this).attr('data-cat-id');
            var cat_param = "?cat_id="+cat_id;
            window.history.replaceState(null, null, cat_param);

        }
        if(product_search_each_category == 'enable'){
            var currentDom = $(this);
            var content_warppers = currentDom.closest('.woo_tab_container');
            var cat_parameter = currentDom.attr('data-cat-attr');
            var search_each_category = content_warppers.find('.qcld-search_products').find('.search-field');
            $(search_each_category).attr('data-cat-attr', cat_parameter );
        }


        var currentDom = $(this);
        var content_warppers = currentDom.closest('.woo_tab_container');
        //var scroll_each_wrap = content_warppers.find('.tab-content');
      
        $("#qcld-wootab-more-six-all,#qcld-wootab-more-six").css({
            'display': 'block',
            'margin': '0 auto'
        });

        $("#qcld-wootab-more-six-all").attr('data-offset', initial_product_number);
        $("#qcld-wootab-more-six").attr('data-offset', initial_product_number);

        content_warppers.find('.theme-six').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: block;">');
        if( $( '.theme-six .loader' ).length && qcld_woo_tabbed_change_loading_image == 1 ) {
     
            var css = '<style>.theme-six .loader::after,.loader::before{content: none !important;} </style>';
            document.head.insertAdjacentHTML( 'beforeEnd', css );
            content_warppers.find(".theme-six").find(".loader").css({"background":" url("+qcld_woo_tabbed_board_bg_path+") no-repeat center center","background-size": "cover", "width": "200px", "height": "200px", "padding": "0px 0px 0px 0px"});

        }

        $('.qc-tabs-style9  .tab-links li').removeClass('current');
        $('.qc-tabs-style9  .tab-links li').removeClass('active');
        
        var cat_id = $(this).attr('data-cat-id');
        var offset = $(this).attr('data-offset');
        var show_sale = $(this).attr('data-show-sale');
        var feature_only = $(this).attr('data-feature-only');
        var cat_parameter = $(this).attr('data-cat-attr');
        var link_title_to_modal = $(this).attr('title-modal');
        var data = {
            'cat_id': cat_id,
            'offset': offset,
            'show_sale': show_sale,
            'feature_only': feature_only,
            'data_cat_parameter': cat_parameter,
            'link_title_to_modal' : link_title_to_modal,
            'action': 'get_products_by_cat_theme_six',


        };

        jQuery.post(ajaxurl, data, function (response) {

            if (response.html == '') {
                content_warppers.find('.theme-six').html('<p style=" text-align:center; color: #F57E80; font-weight: bold; padding: 0 0 0 0; margin: 0 auto;">' + product_not_found_text +
                    '</p>');

            } else {
                content_warppers.find('.theme-six').html(response.html);
            }


            $("#qcld-wootab-more-six").attr('data-offset', response.offset);
            $("#qcld-wootab-scroll,#qcld-wootab-more-six-all, #qcld-wootab-more-six").attr('data-tag', '');
            $("#qcld-wootab-scroll,#qcld-wootab-more-six-all, #qcld-wootab-more-six").attr('data-cat-id', cat_id);
            $("#qcld-wootab-scroll,#qcld-wootab-more-six-all, #qcld-wootab-more-six").attr('data-cat-attr', cat_parameter);

            if(cat_id != 'all'){
                $("#qcld-wootab-more-six-all").attr("id","qcld-wootab-more-six");
            }else{
                $("#qcld-wootab-more-six").attr("id","qcld-wootab-more-six-all");
            }

        });
        var currentAttrValue = $(this).attr('href');

        // Show/Hide Tabs
        $('.qc-tabs-style9 .tabs ' + currentAttrValue).slideDown(400).siblings().slideUp(400);

        // Change/remove current tab to active

        var sorting_cat_cange = $('.qc-wootabs-sortings').find('option');
        $(sorting_cat_cange).attr('data-cat-id',cat_id);
        $(sorting_cat_cange).attr('data-cat-attr',cat_parameter);
        $('.qc-wootabs-sortings').find('option:first').prop('selected',true);

        $(this).addClass('current');

       // $(this).parent('li').addClass('active').siblings().removeClass('active');
       // var div_id = $(this).parent('li').attr('href').substr(1);
        //$("#" + div_id).addClass('active').siblings().removeClass('active');

   
        //$('.tab-content').removeClass('current');

       //$(e.target).parent().addClass('active');
       //$(e.target).parent().addClass('current');


        if( qc_scroll_category_clickable == 'enable' ){
            var currentDom = $(this);
            var content_warppers = currentDom.closest('.woo_tab_container');
            var scroll_each_wrap = content_warppers.find('.tab-content');

            $('html,body').animate( { scrollTop: $(scroll_each_wrap).offset().top}, 300 );

        }
        

    });

    /**
     * Template Eight
     */


    $(document).on('click', 'ul.theme-eight-ul li, ul.theme-eight-ul li a', function () {
        
        // category based url loading when window on load
        if(display_category_url_based == 'enable'){

            var cat_id = $(this).attr('data-cat-id');
            var cat_param = "?cat_id="+cat_id;
            window.history.replaceState(null, null, cat_param);

        }
        if(product_search_each_category == 'enable'){
            var currentDom = $(this);
            var content_warppers = currentDom.closest('.woo_tab_container');
            var cat_parameter = currentDom.attr('data-cat-attr');
            var search_each_category = content_warppers.find('.qcld-search_products').find('.search-field');
            $(search_each_category).attr('data-cat-attr', cat_parameter );
        }

        $("#qcld-wootab-more-eight-all").css({
            'display': 'inline',
            'margin': '0 auto'
        });


        $("#qcld-wootab-more-eight-all").attr('data-offset', initial_product_number);
        $("#qcld-wootab-more-eight").attr('data-offset', initial_product_number);

        var currentAttrValue = $(this).attr('href');
        var tab_id = $(this).attr('data-tab');
        var show_sale = $(this).attr('data-show-sale');
        var feature_only = $(this).attr('data-feature-only');


        var currentDom = $(this);
        var content_warppers = currentDom.closest('.woo_tab_container');
        //var scroll_each_wrap = content_warppers.find('.tab-content');

        $('ul.theme-eight-ul li').removeClass('current');
       // content_warppers.find('.tab-content').removeClass('current');

        content_warppers.find('.theme-eight').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: block;">');
        if( $( '.theme-eight .loader' ).length && qcld_woo_tabbed_change_loading_image == 1 ) {
     
            var css = '<style>.theme-eight .loader::after,.loader::before{content: none !important;} </style>';
            document.head.insertAdjacentHTML( 'beforeEnd', css );
            content_warppers.find(".theme-eight").find(".loader").css({"background":" url("+qcld_woo_tabbed_board_bg_path+") no-repeat center center","background-size": "cover", "width": "200px", "height": "200px", "padding": "0px 0px 0px 0px"});

        }
        var cat_id = $(this).attr('data-cat-id');
        var offset = $(this).attr('data-offset');
        var cat_parameter = $(this).attr('data-cat-attr');
        var link_title_to_modal = $(this).attr('title-modal');
        var data = {
            'cat_id': cat_id,
            'offset': offset,
            'show_sale': show_sale,
            'feature_only': feature_only,
            'data_cat_parameter': cat_parameter,
            'link_title_to_modal' : link_title_to_modal,
            'action': 'get_products_by_cat_theme_eight',


        };

        jQuery.post(ajaxurl, data, function (response) {

            if (response.html == '') {
                content_warppers.find('.theme-eight').html('<p style=" text-align:center; color: #F57E80; font-weight: bold; padding: 0 0 0 0; margin: 0 auto;">' + product_not_found_text +
                    '</p>');

            } else {
                content_warppers.find('.theme-eight').html(response.html);
            }


            $("#qcld-wootab-more-eight").attr('data-offset', response.offset);
            $("#qcld-wootab-scroll,#qcld-wootab-more-eight-all, #qcld-wootab-more-eight").attr('data-tag', '');
            $("#qcld-wootab-scroll,#qcld-wootab-more-eight-all, #qcld-wootab-more-eight").attr('data-cat-id', cat_id);
            $("#qcld-wootab-scroll,#qcld-wootab-more-eight-all, #qcld-wootab-more-eight").attr('data-cat-attr', cat_parameter);

            if(cat_id != 'all'){
                $("#qcld-wootab-more-eight-all").attr("id","qcld-wootab-more-eight");
            }else{
                $("#qcld-wootab-more-eight").attr("id","qcld-wootab-more-eight-all");
            }

        });


        var sorting_cat_cange = $('.qc-wootabs-sortings').find('option');
        $(sorting_cat_cange).attr('data-cat-id',cat_id);
        $(sorting_cat_cange).attr('data-cat-attr',cat_parameter);
        $('.qc-wootabs-sortings').find('option:first').prop('selected',true);

        $(this).addClass('current');
        //$("#" + tab_id).addClass('current');
        //$('.tab-content:first').addClass('current');
       // content_warppers.find('.tab-content').addClass('current');


        if( qc_scroll_category_clickable == 'enable' ){
            var currentDom = $(this);
            var content_warppers = currentDom.closest('.woo_tab_container');
            var scroll_each_wrap = content_warppers.find('.tab-content');

            $('html,body').animate( { scrollTop: $(scroll_each_wrap).offset().top}, 300 );

        }

        return false;
    });


    /**
     * Template Seven
     */


   // $('.qc_tabs_12 ul.tabs12 li').click(function () {
    $(document).on('click', '.qc_tabs_12 ul.tabs12 li,.qc_tabs_12 ul.tabs12 li a', function (event) {

        // category based url loading when window on load
        if(display_category_url_based == 'enable'){

            var cat_id = $(this).attr('data-cat-id');
            var cat_param = "?cat_id="+cat_id;
            window.history.replaceState(null, null, cat_param);

        }
        if(product_search_each_category == 'enable'){
            var currentDom = $(this);
            var content_warppers = currentDom.closest('.woo_tab_container');
            var cat_parameter = currentDom.attr('data-cat-attr');
            var search_each_category = content_warppers.find('.qcld-search_products').find('.search-field');
            $(search_each_category).attr('data-cat-attr', cat_parameter );
        }


        var currentDom = $(this);
        var content_warppers = currentDom.closest('.woo_tab_container');
        //var scroll_each_wrap = content_warppers.find('.tab-content');

        $("#qcld-wootab-more-seven-all,#qcld-wootab-more-seven").css({
            'display': 'block',
            'margin': '0 auto'
        });

        $("#qcld-wootab-more-seven-all").attr('data-offset', initial_product_number);
        $("#qcld-wootab-more-seven").attr('data-offset', initial_product_number);

        //$('.theme-seven').html('<img style="padding:200px;margin: 0 auto; display: block;" src="' + image_loader + '">');
        // $('.theme-seven').html('<div class="loader" style="padding:200px;margin: 0 auto; display: block;">');

        content_warppers.find('.theme-seven').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: block;">');
        if( $( '.theme-seven .loader' ).length && qcld_woo_tabbed_change_loading_image == 1 ) {
     
            var css = '<style>.theme-seven .loader::after,.loader::before{content: none !important;} </style>';
            document.head.insertAdjacentHTML( 'beforeEnd', css );
            content_warppers.find(".theme-seven").find(".loader").css({"background":" url("+qcld_woo_tabbed_board_bg_path+") no-repeat center center","background-size": "cover", "width": "200px", "height": "200px", "padding": "0px 0px 0px 0px"});

        }

        var cat_id = $(this).attr('data-cat-id');
        var offset = $(this).attr('data-offset');
        var show_sale = $(this).attr('data-show-sale');
        var feature_only = $(this).attr('data-feature-only');
        var cat_parameter = $(this).attr('data-cat-attr');
        var link_title_to_modal = $(this).attr('title-modal');
        var data = {
            'cat_id': cat_id,
            'offset': offset,
            'show_sale': show_sale,
            'feature_only': feature_only,
            'data_cat_parameter': cat_parameter,
            'link_title_to_modal' : link_title_to_modal,
            'action': 'get_products_by_cat_theme_seven',


        };


        jQuery.post(ajaxurl, data, function (response) {

            if (response.html == '') {
                content_warppers.find('.theme-seven').html('<p style=" text-align:center; color: #F57E80; font-weight: bold; padding: 0 0 0 0; margin: 0 auto;">' + product_not_found_text +
                    '</p>');

            } else {
                content_warppers.find('.theme-seven').html(response.html);
            }


            $("#qcld-wootab-more-seven").attr('data-offset', response.offset);
            $("#qcld-wootab-scroll,#qcld-wootab-more-seven-all, #qcld-wootab-more-seven").attr('data-tag', '');
            $("#qcld-wootab-scroll,#qcld-wootab-more-seven-all, #qcld-wootab-more-seven").attr('data-cat-id', cat_id);
            $("#qcld-wootab-scroll,#qcld-wootab-more-seven-all, #qcld-wootab-more-seven").attr('data-cat-attr', cat_parameter);

            if(cat_id != 'all'){
                $("#qcld-wootab-more-seven-all").attr("id","qcld-wootab-more-seven");
            }else{
                $("#qcld-wootab-more-seven").attr("id","qcld-wootab-more-seven-all");
            }

        });

        var tab_id = $(this).attr('data-tab');

         var sorting_cat_cange = $('.qc-wootabs-sortings').find('option');
        $(sorting_cat_cange).attr('data-cat-id',cat_id);
        $(sorting_cat_cange).attr('data-cat-attr',cat_parameter);
        $('.qc-wootabs-sortings').find('option:first').prop('selected',true);

        $('.qc_tabs_12 ul.tabs12 li').removeClass('current');
        //$('.tab-content').removeClass('current');

        $(this).addClass('current');
        //$("#" + tab_id).addClass('current');
        //$('.tab-content:first').addClass('current');
        //content_warppers.find('.tab-content').addClass('current');


        if( qc_scroll_category_clickable == 'enable' ){

            var currentDom = $(this);
            var content_warppers = currentDom.closest('.woo_tab_container');
            var scroll_each_wrap = content_warppers.find('.tab-content');

            $('html,body').animate( { scrollTop: $(scroll_each_wrap).offset().top}, 300 );

        }


        return false;
    });


    /**
     * Template Three
     */


    $(document).on("click", "#qcld-wootab-more", function () {
        var currentDom = $(this);
        currentDom.html('<i class="fa fa-cog fa-spin fa-2x fa-fw"></i><span class="sr-only">Loading...</span>');
        var actionType = "more";
        qcld_wootab_load_more(currentDom, actionType);
    });


    /*************************************************
     *Ajax load more & infinite scroll products start for theme two*
     ************************************************/
    //Load More
    $(document).on("click", "#qcld-wootab-more-two", function () {
        var currentDom = $(this);
        currentDom.html('<i class="fa fa-cog fa-spin fa-2x fa-fw"></i><span class="sr-only">Loading...</span>');
        var actionType = "more";
        qcld_wootab_load_more_template_two(currentDom, actionType);
    });


    $(document).on("click", "#qcld-wootab-more-one", function () {
        var currentDom = $(this);
        currentDom.html('<i class="fa fa-cog fa-spin fa-2x fa-fw"></i><span class="sr-only">Loading...</span>');
        var actionType = "more";
        qcld_wootab_load_more_template_one(currentDom, actionType);
    });
    $(document).on("click", "#qcld-wootab-more-eleven", function () {
        var currentDom = $(this);
        //alert('working');
        currentDom.html('<i class="fa fa-cog fa-spin fa-2x fa-fw"></i><span class="sr-only">Loading...</span>');
        var actionType = "more";
        qcld_wootab_load_more_template_eleven(currentDom, actionType);

    });


    $(document).on("click", "#qcld-wootab-more-two-all", function () {
        var currentDom = $(this);
        currentDom.html('<i class="fa fa-cog fa-spin fa-2x fa-fw"></i><span class="sr-only">Loading...</span>');
        var actionType = "more";
        qcld_wootab_load_more_for_all(currentDom, actionType);

    });
    $(document).on("click", "#qcld-wootab-more-one-all", function () {
        var currentDom = $(this);
        var actionType = "more";
        currentDom.html('<i class="fa fa-cog fa-spin fa-2x fa-fw"></i><span class="sr-only">Loading...</span>');
        qcld_wootab_load_more_for_all(currentDom, actionType);

    });
    $(document).on("click", "#qcld-wootab-more-eleven-all", function () {

        var currentDom = $(this);
        var actionType = "more";
        currentDom.html('<i class="fa fa-cog fa-spin fa-2x fa-fw"></i><span class="sr-only">Loading...</span>');
        qcld_wootab_load_more_for_all(currentDom, actionType);

    });
    $(document).on("click", "#qcld-wootab-more-nine-all", function () {
        var currentDom = $(this);
        var actionType = "more";
        currentDom.html('<i class="fa fa-cog fa-spin fa-2x fa-fw"></i><span class="sr-only">Loading...</span>');
        qcld_wootab_load_more_for_all(currentDom, actionType);

    });
    $(document).on("click", "#qcld-wootab-more-three-all", function () {

        var currentDom = $(this);
        var actionType = "more";
        currentDom.html('<i class="fa fa-cog fa-spin fa-2x fa-fw"></i><span class="sr-only">Loading...</span>');
        qcld_wootab_load_more_for_all(currentDom, actionType);

    });
    $(document).on("click", "#qcld-wootab-more-three", function () {
         //alert('working');
        var currentDom = $(this);
        currentDom.html('<i class="fa fa-cog fa-spin fa-2x fa-fw"></i><span class="sr-only">Loading...</span>');
        var actionType = "more";
        //theme-three
        qcld_wootab_load_more_template_three(currentDom, actionType);
    });

    $(document).on("click", "#qcld-wootab-more-five-all", function () {
        var currentDom = $(this);
        var actionType = "more";
        currentDom.html('<i class="fa fa-cog fa-spin fa-2x fa-fw"></i><span class="sr-only">Loading...</span>');
        qcld_wootab_load_more_for_all(currentDom, actionType);

    });
    $(document).on("click", "#qcld-wootab-more-six-all", function () {
        var currentDom = $(this);
        var actionType = "more";
        currentDom.html('<i class="fa fa-cog fa-spin fa-2x fa-fw"></i><span class="sr-only">Loading...</span>');
        qcld_wootab_load_more_for_all(currentDom, actionType);

    });
    $(document).on("click", "#qcld-wootab-more-seven-all", function () {
        var currentDom = $(this);
        var actionType = "more";
        currentDom.html('<i class="fa fa-cog fa-spin fa-2x fa-fw"></i><span class="sr-only">Loading...</span>');
        qcld_wootab_load_more_for_all(currentDom, actionType);

    });
    $(document).on("click", "#qcld-wootab-more-eight-all", function () {
        var currentDom = $(this);
        var actionType = "more";
        currentDom.html('<i class="fa fa-cog fa-spin fa-2x fa-fw"></i><span class="sr-only">Loading...</span>');
        qcld_wootab_load_more_for_all(currentDom, actionType);

    });
    $(document).on("click", "#qcld-wootab-more-four-all", function () {
        $("#qcld-wootab-more-four-all").css({
            'display': 'block',
            'margin': '0 auto'
        });


        var currentDom = $(this);
        var actionType = "more";
        currentDom.html('<img src="' + image_loader + '"/>');
        qcld_wootab_load_more_for_all(currentDom, actionType);

    });


    function qcld_wootab_load_more_for_all(currentDom, actionType) {
        var existingConH = $('.theme-four').outerHeight();
        var theme_id = currentDom.attr('data-theme-name');
        var offset = currentDom.attr('data-offset');
        var show_sale = currentDom.attr('data-show-sale');
        var feature_only = currentDom.attr('data-feature-only');
        var cat_parameter = currentDom.attr('data-cat-attr');
        var sorting_val = currentDom.attr('data-sort-order');
        var link_title_to_modal = currentDom.attr('title-modal');
        var data_tag = currentDom.attr('data-tag');
        var content_warppers = currentDom.parent().parent();

        var data = {
            'action': 'woo_load_more_all_tab',
            'offset': offset,
            'theme_id': theme_id,
            'show_sale': show_sale,
            'data_cat_parameter': cat_parameter,
            'feature_only': feature_only,
            'link_title_to_modal' : link_title_to_modal,
            'data_tag' : data_tag,
            'sorting_val': sorting_val
        };

        setTimeout(function () {
            jQuery.post(ajaxurl, data, function (response) {
               // console.log(response);
                currentDom.html(change_load_more_text);
                if (theme_id == 'theme-nine') {
                    $('.theme-nine').append(response.html);
                    if (response.offset == -1) {
                        if (actionType == 'more') {
                            currentDom.css({'display': 'none'});
                        } else {
                            currentDom.css({'display': 'none'});
                            $(window).unbind('scroll');
                        }
                        // $(window).unbind('scroll');
                    } else {
                        if (actionType == 'more') {
                            currentDom.attr('data-offset', response.offset);
                        } else {
                            currentDom.attr('data-offset', response.offset);
                            // currentDom.css({'display': 'none'});
                        }
                    }
                } else if (theme_id == 'theme-one') {
                    content_warppers.find('.theme-one').append(response.html);
                    if (response.offset == -1) {
                        if (actionType == 'more') {
                            currentDom.css({'display': 'none'});
                        } else {
                            currentDom.css({'display': 'none'});
                            $(window).unbind('scroll');
                        }
                        // $(window).unbind('scroll');
                    } else {
                        if (actionType == 'more') {
                            currentDom.attr('data-offset', response.offset);
                        } else {
                            currentDom.attr('data-offset', response.offset);
                            // currentDom.css({'display': 'none'});
                        }
                    }
                } else if (theme_id == 'theme-eleven') {
                    $('.qc_theme_eleven').append(response.html);
                    if (response.offset == -1) {
                        if (actionType == 'more') {
                            currentDom.css({'display': 'none'});
                        } else {
                            currentDom.css({'display': 'none'});
                            $(window).unbind('scroll');
                        }
                        // $(window).unbind('scroll');
                    } else {
                        if (actionType == 'more') {
                            currentDom.attr('data-offset', response.offset);
                        } else {
                            currentDom.attr('data-offset', response.offset);
                            // currentDom.css({'display': 'none'});
                        }
                    }
                } else if (theme_id == 'theme-two') {
                    $('.theme-two').append(response.html);
                    if (response.offset == -1) {
                        if (actionType == 'more') {
                            currentDom.css({'display': 'none'});
                        } else {
                            currentDom.css({'display': 'none'});
                            $(window).unbind('scroll');
                        }
                        // $(window).unbind('scroll');
                    } else {
                        if (actionType == 'more') {
                            currentDom.attr('data-offset', response.offset);
                        } else {
                            currentDom.attr('data-offset', response.offset);
                            // currentDom.css({'display': 'none'});
                        }
                    }
                } else if (theme_id == 'theme-three') {
                    $('.wootabs').append(response.html);
                    if (response.offset == -1) {
                        if (actionType == 'more') {
                            currentDom.css({'display': 'none'});
                        } else {
                            currentDom.css({'display': 'none'});
                            $(window).unbind('scroll');
                        }
                        // $(window).unbind('scroll');
                    } else {
                        if (actionType == 'more') {
                            currentDom.attr('data-offset', response.offset);
                        } else {
                            currentDom.attr('data-offset', response.offset);
                            // currentDom.css({'display': 'none'});
                        }
                    }
                } else if (theme_id == 'theme-four') {
                    var producthight = $(".qc-product-box ul li").outerHeight();
                    //alert(existingConH)
                    var testHight = parseInt(producthight * (response.product_num / 2) + existingConH);


                    $(".qc-tabs-contant .open-container .open").css({
                        'height': 'auto'
                    });



                    $('.theme-four').append(response.html);
                    if (response.offset == -1) {
                        if (actionType == 'more') {
                            currentDom.css({'display': 'none'});
                        } else {
                            currentDom.css({'display': 'none'});
                            $(window).unbind('scroll');
                        }
                        // $(window).unbind('scroll');
                    } else {
                        if (actionType == 'more') {
                            currentDom.attr('data-offset', response.offset);
                        } else {
                            currentDom.attr('data-offset', response.offset);
                            // currentDom.css({'display': 'none'});
                        }
                    }
                } else if (theme_id == 'theme-five') {
                    $('.theme-five').append(response.html);
                    if (response.offset == -1) {
                        if (actionType == 'more') {
                            currentDom.css({'display': 'none'});
                        } else {
                            currentDom.css({'display': 'none'});
                            $(window).unbind('scroll');
                        }
                        // $(window).unbind('scroll');
                    } else {
                        if (actionType == 'more') {
                            currentDom.attr('data-offset', response.offset);
                        } else {
                            currentDom.attr('data-offset', response.offset);
                            // currentDom.css({'display': 'none'});
                        }
                    }
                } else if (theme_id == 'theme-six') {
                    $('.theme-six').append(response.html);
                    if (response.offset == -1) {
                        if (actionType == 'more') {
                            currentDom.css({'display': 'none'});
                        } else {
                            currentDom.css({'display': 'none'});
                            $(window).unbind('scroll');
                        }
                        // $(window).unbind('scroll');
                    } else {
                        if (actionType == 'more') {
                            currentDom.attr('data-offset', response.offset);
                        } else {
                            currentDom.attr('data-offset', response.offset);
                            // currentDom.css({'display': 'none'});
                        }
                    }
                } else if (theme_id == 'theme-seven') {
                    $('.theme-seven').append(response.html);
                    if (response.offset == -1) {
                        if (actionType == 'more') {
                            currentDom.css({'display': 'none'});
                        } else {
                            currentDom.css({'display': 'none'});
                            $(window).unbind('scroll');
                        }
                        // $(window).unbind('scroll');
                    } else {
                        if (actionType == 'more') {
                            currentDom.attr('data-offset', response.offset);
                        } else {
                            currentDom.attr('data-offset', response.offset);
                            // currentDom.css({'display': 'none'});
                        }
                    }
                } else if (theme_id == 'theme-eight') {
                    content_warppers.find('.theme-eight').append(response.html);
                    if (response.offset == -1) {
                        if (actionType == 'more') {
                            currentDom.css({'display': 'none'});
                        } else {
                            currentDom.css({'display': 'none'});
                            $(window).unbind('scroll');
                        }
                        // $(window).unbind('scroll');
                    } else {
                        if (actionType == 'more') {
                            currentDom.attr('data-offset', response.offset);
                        } else {
                            currentDom.attr('data-offset', response.offset);
                            // currentDom.css({'display': 'none'});
                        }
                    }
                } else if (theme_id == 'theme-nine') {
                    $('.theme-nine').append(response.html);
                    if (response.offset == -1) {
                        if (actionType == 'more') {
                            currentDom.css({'display': 'none'});
                        } else {
                            currentDom.css({'display': 'none'});
                            $(window).unbind('scroll');
                        }
                        // $(window).unbind('scroll');
                    } else {
                        if (actionType == 'more') {
                            currentDom.attr('data-offset', response.offset);
                        } else {
                            currentDom.attr('data-offset', response.offset);
                            // currentDom.css({'display': 'none'});
                        }
                    }
                }

            });
        }, 1000);

    }


    function qcld_wootab_load_more_template_three(currentDom, actionType) {


        // currentDom.html('<h3>Loading..</h3>');
        $('#load-more-pre-loader').html('<img src="' + image_loader + '"/>');

        var offset = currentDom.attr('data-offset');
        var product_category_id = currentDom.attr('data-cat-id');
        var sorting_val = currentDom.attr('data-sort-order');
        var show_sale = currentDom.attr('data-show-sale');
        var feature_only = currentDom.attr('data-feature-only');
        var link_title_to_modal = currentDom.attr('title-modal');
        var data_tag = currentDom.attr('data-tag');


        var data = {
            'action': 'woo_load_more_theme_three',
            'offset': offset,
            'sorting_val': sorting_val,
            'show_sale': show_sale,
            'feature_only': feature_only,
            'link_title_to_modal' : link_title_to_modal,
            'data_tag' : data_tag,
            'product_cat_id': product_category_id
        };


        setTimeout(function () {
            jQuery.post(ajaxurl, data, function (response) {

                //Showing more product by appending to the list.
               // console.log(response);
                $('.wootabs').append(response.html);
                if (response.offset == -1) {
                    if (actionType == 'more') {
                        currentDom.css({'display': 'none'});
                    } else {
                        currentDom.css({'display': 'none'});
                        $(window).unbind('scroll');
                    }
                    // $(window).unbind('scroll');
                } else {
                    if (actionType == 'more') {
                        currentDom.attr('data-offset', response.offset);
                    } else {
                        currentDom.attr('data-offset', response.offset);
                        // currentDom.css({'display': 'none'});
                    }
                }
                $("#qcld-wootab-more-three").html(change_load_more_text);
            });
        }, 1000);
    }

    function qcld_wootab_load_more_template_two(currentDom, actionType) {


        //currentDom.html('<h3>Loading..</h3>');
        $('#load-more-pre-loader').html('<img src="' + image_loader + '"/>');

        var offset = currentDom.attr('data-offset');
        var product_category_id = currentDom.attr('data-cat-id');
        var sorting_val = currentDom.attr('data-sort-order');
        var link_title_to_modal = currentDom.attr('title-modal');
        var data_tag = currentDom.attr('data-tag');

        var data = {
            'action': 'woo_load_more_theme_two',
            'offset': offset,
            'sorting_val': sorting_val,
            'link_title_to_modal' : link_title_to_modal,
            'data_tag' : data_tag,
            'product_cat_id': product_category_id
        };

        setTimeout(function () {
            jQuery.post(ajaxurl, data, function (response) {

                $('.theme-two').append(response.html);
                if (response.offset == -1) {
                    if (actionType == 'more') {
                        currentDom.css({'display': 'none'});
                    } else {
                        currentDom.css({'display': 'none'});
                        $(window).unbind('scroll');
                    }
                    // $(window).unbind('scroll');
                } else {
                    if (actionType == 'more') {
                        currentDom.attr('data-offset', response.offset);
                    } else {
                        currentDom.attr('data-offset', response.offset);
                    }
                }
                $("#qcld-wootab-more-two").html(change_load_more_text);

            });
        }, 1000);
    }


    function qcld_wootab_load_more_template_one(currentDom, actionType) {

        $('#load-more-pre-loader').html('<img src="' + image_loader + '"/>');

        var content_warppers = currentDom.parent().parent();

        var offset = currentDom.attr('data-offset');
        var product_category_id = currentDom.attr('data-cat-id');
        var sorting_val = currentDom.attr('data-sort-order');
        var link_title_to_modal = currentDom.attr('title-modal');
        var data_tag = currentDom.attr('data-tag');
        var data = {
            'action': 'woo_load_more_theme_one',
            'offset': offset,
            'product_cat_id': product_category_id,
            'link_title_to_modal' : link_title_to_modal,
            'data_tag' : data_tag,
            'sorting_val': sorting_val
        };


        setTimeout(function () {
            jQuery.post(ajaxurl, data, function (response) {
                //Showing more product by appending to the list.

                content_warppers.find('.theme-one').append(response.html);
                if (response.offset == -1) {
                    if (actionType == 'more') {
                        currentDom.css({'display': 'none'});
                    } else {
                        currentDom.css({'display': 'none'});
                        $(window).unbind('scroll');
                    }

                } else {
                    if (actionType == 'more') {
                        currentDom.attr('data-offset', response.offset);
                    } else {
                        currentDom.attr('data-offset', response.offset);
                    }
                }
                content_warppers.find("#qcld-wootab-more-one").html(change_load_more_text);
            });
        }, 1000);
    }


    function qcld_wootab_load_more_template_eleven(currentDom, actionType) {


        $('#load-more-pre-loader').html('<img src="' + image_loader + '"/>');

        var offset = currentDom.attr('data-offset');
        var product_category_id = currentDom.attr('data-cat-id');
        var cat_parameter = currentDom.attr('data-cat-attr');
        var sorting_val = currentDom.attr('data-sort-order');
        var link_title_to_modal = currentDom.attr('title-modal');
        var data_tag = currentDom.attr('data-tag');

        var data = {
            'action': 'woo_load_more_theme_eleven',
            'offset': offset,
            'sorting_val': sorting_val,
            'link_title_to_modal' : link_title_to_modal,
            'data_tag' : data_tag,
            'product_cat_id': product_category_id
        };

        setTimeout(function () {
            jQuery.post(ajaxurl, data, function (response) {

                //Showing more product by appending to the list.

                $('.qc_theme_eleven').append(response.html);
                if (response.offset == -1) {
                    if (actionType == 'more') {
                        currentDom.css({'display': 'none'});
                    } else {
                        currentDom.css({'display': 'none'});
                        $(window).unbind('scroll');
                    }

                } else {
                    if (actionType == 'more') {
                        currentDom.attr('data-offset', response.offset);
                    } else {
                        currentDom.attr('data-offset', response.offset);
                    }
                }
                currentDom.html(change_load_more_text);
            });
        }, 1000);
    }



    /*************************************************
     *Ajax load more & infinite scroll products start for theme four*
     ************************************************/
    //Load More
    $(document).on("click", "#qcld-wootab-more-four", function () {
        var currentDom = $(this);
        currentDom.html('<i class="fa fa-cog fa-spin fa-2x fa-fw"></i><span class="sr-only">Loading...</span>');
        var actionType = "more";
        qcld_wootab_load_more_template_four(currentDom, actionType);
    });


    function qcld_wootab_load_more_template_four(currentDom, actionType) {

        var offset = currentDom.attr('data-offset');
        var product_category_id = currentDom.attr('data-cat-id');
        var link_title_to_modal = currentDom.attr('title-modal');
        var data = {
            'action': 'woo_load_more_theme_four',
            'offset': offset,
            'link_title_to_modal' : link_title_to_modal,
            'product_cat_id': product_category_id
        };

        setTimeout(function () {
            jQuery.post(ajaxurl, data, function (response) {



                //Showing more product by appending to the list.

                $('.theme-four').append(response.html);
                if (response.offset == -1) {
                    if (actionType == 'more') {
                        currentDom.css({'display': 'none'});
                    } else {
                        currentDom.css({'display': 'none'});
                        $(window).unbind('scroll');
                    }

                } else {
                    if (actionType == 'more') {
                        currentDom.attr('data-offset', response.offset);
                    } else {
                        currentDom.attr('data-offset', response.offset);
                    }
                }
                $("#qcld-wootab-more-four").html(change_load_more_text);
            });
        }, 1000);
    }


    /*************************************************
     *Ajax load more & infinite scroll products start for theme five*
     ************************************************/
    //Load More
    $(document).on("click", "#qcld-wootab-more-five", function () {
        var currentDom = $(this);
        currentDom.html('<i class="fa fa-cog fa-spin fa-2x fa-fw"></i><span class="sr-only">Loading...</span>');
        var actionType = "more";
        qcld_wootab_load_more_template_five(currentDom, actionType);
    });


    function qcld_wootab_load_more_template_five(currentDom, actionType) {


        $('#load-more-pre-loader').html('<img src="' + image_loader + '"/>');

        var offset = currentDom.attr('data-offset');
        var product_category_id = currentDom.attr('data-cat-id');
        var sorting_val = currentDom.attr('data-sort-order');
        var link_title_to_modal = currentDom.attr('title-modal');
        var data_tag = currentDom.attr('data-tag');

        var data = {
            'action': 'woo_load_more_theme_five',
            'offset': offset,
            'sorting_val': sorting_val,
            'link_title_to_modal' : link_title_to_modal,
            'data_tag' : data_tag,
            'product_cat_id': product_category_id
        };

        setTimeout(function () {
            jQuery.post(ajaxurl, data, function (response) {

                //Showing more product by appending to the list.

                $('.theme-five').append(response.html);
                if (response.offset == -1) {
                    if (actionType == 'more') {
                        currentDom.css({'display': 'none'});
                    } else {
                        currentDom.css({'display': 'none'});
                        $(window).unbind('scroll');
                    }
                } else {
                    if (actionType == 'more') {
                        currentDom.attr('data-offset', response.offset);
                    } else {
                        currentDom.attr('data-offset', response.offset);
                    }
                }
                currentDom.html(change_load_more_text);
            });
        }, 1000);
    }


    function qcld_wootab_load_more(currentDom, actionType) {

        $('#load-more-pre-loader').html('<img src="' + image_loader + '"/>');
        var offset = currentDom.attr('data-offset');
        var product_category_id = currentDom.attr('data-cat-id');
        var data = {
            'action': 'woo_load_more_theme_three',
            'offset': offset,
            'product_cat_id': product_category_id
        };
        setTimeout(function () {
            jQuery.post(ajaxurl, data, function (response) {


                $('#wootabs').html('');
                //Showing more product by appending to the list.

                $('.wootabs').append(response.html);
                if (response.offset == -1) {
                    if (actionType == 'more') {
                        currentDom.css({'display': 'none'});
                    } else {
                        currentDom.css({'display': 'none'});
                        $(window).unbind('scroll');
                    }

                } else {
                    if (actionType == 'more') {
                        currentDom.attr('data-offset', response.offset);
                    } else {
                        currentDom.attr('data-offset', response.offset);
                    }
                }
                currentDom.html(change_load_more_text);
            });
        }, 1000);
    }


    /*************************************************
     *Ajax load more & infinite scroll products start for theme six*
     ************************************************/
    //Load More
    $(document).on("click", "#qcld-wootab-more-six", function () {

        var currentDom = $(this);
        currentDom.html('<i class="fa fa-cog fa-spin fa-2x fa-fw"></i><span class="sr-only">Loading...</span>');
        var actionType = "more";
        qcld_wootab_load_more_template_six(currentDom, actionType);
    });


    function qcld_wootab_load_more_template_six(currentDom, actionType) {

        $('#load-more-pre-loader').html('<img src="' + image_loader + '"/>');

        var offset = currentDom.attr('data-offset');
        var product_category_id = currentDom.attr('data-cat-id');
        var sorting_val = currentDom.attr('data-sort-order');
        var link_title_to_modal = currentDom.attr('title-modal');
        var data_tag = currentDom.attr('data-tag');

        var data = {
            'action': 'woo_load_more_theme_six',
            'offset': offset,
            'sorting_val': sorting_val,
            'link_title_to_modal' : link_title_to_modal,
            'data_tag' : data_tag,
            'product_cat_id': product_category_id
        };



        setTimeout(function () {
            jQuery.post(ajaxurl, data, function (response) {

                //Showing more product by appending to the list.

                $('.theme-six').append(response.html);
                if (response.offset == -1) {
                    if (actionType == 'more') {
                        currentDom.css({'display': 'none'});
                    } else {
                        currentDom.css({'display': 'none'});
                        $(window).unbind('scroll');
                    }
                } else {
                    if (actionType == 'more') {
                        currentDom.attr('data-offset', response.offset);
                    } else {
                        currentDom.attr('data-offset', response.offset);
                    }
                }
                currentDom.html(change_load_more_text);
            });
        }, 1000);
    }


    /*************************************************
     *Ajax load more & infinite scroll products start for theme six*
     ************************************************/
    //Load More
    $(document).on("click", "#qcld-wootab-more-eight", function () {
        var currentDom = $(this);
        currentDom.html('<i class="fa fa-cog fa-spin fa-2x fa-fw"></i><span class="sr-only">Loading...</span>');
        var actionType = "more";
        qcld_wootab_load_more_template_eight(currentDom, actionType);
    });


    function qcld_wootab_load_more_template_eight(currentDom, actionType) {

        $('#load-more-pre-loader').html('<img src="' + image_loader + '"/>');

        var offset = currentDom.attr('data-offset');
        var product_category_id = currentDom.attr('data-cat-id');
        var sorting_val = currentDom.attr('data-sort-order');
        var link_title_to_modal = currentDom.attr('title-modal');
        var data_tag = currentDom.attr('data-tag');

        var data = {
            'action': 'woo_load_more_theme_eight',
            'offset': offset,
            'sorting_val': sorting_val,
            'link_title_to_modal' : link_title_to_modal,
            'data_tag' : data_tag,
            'product_cat_id': product_category_id
        };

        setTimeout(function () {
            jQuery.post(ajaxurl, data, function (response) {



                //Showing more product by appending to the list.

                $('.theme-eight').append(response.html);
                if (response.offset == -1) {
                    if (actionType == 'more') {
                        currentDom.css({'display': 'none'});
                    } else {
                        currentDom.css({'display': 'none'});
                        $(window).unbind('scroll');
                    }
                } else {
                    if (actionType == 'more') {
                        currentDom.attr('data-offset', response.offset);
                    } else {
                        currentDom.attr('data-offset', response.offset);
                    }
                }
                currentDom.html(change_load_more_text);
            });
        }, 1000);
    }


    //Load More
    $(document).on("click", "#qcld-wootab-more-seven", function () {
        var currentDom = $(this);
        currentDom.html('<i class="fa fa-cog fa-spin fa-2x fa-fw"></i><span class="sr-only">Loading...</span>');
        var actionType = "more";
        qcld_wootab_load_more_template_seven(currentDom, actionType);
    });


    function qcld_wootab_load_more_template_seven(currentDom, actionType) {

        $('#load-more-pre-loader').html('<img src="' + image_loader + '"/>');

        var offset = currentDom.attr('data-offset');
        var product_category_id = currentDom.attr('data-cat-id');
        var sorting_val = currentDom.attr('data-sort-order');
        var link_title_to_modal = currentDom.attr('title-modal');
        var data_tag = currentDom.attr('data-tag');

        var data = {
            'action': 'woo_load_more_theme_seven',
            'offset': offset,
            'sorting_val': sorting_val,
            'link_title_to_modal' : link_title_to_modal,
            'data_tag' : data_tag,
            'product_cat_id': product_category_id
        };



        setTimeout(function () {
            jQuery.post(ajaxurl, data, function (response) {

                //Showing more product by appending to the list.

                $('.theme-seven').append(response.html);
                if (response.offset == -1) {
                    if (actionType == 'more') {
                        currentDom.css({'display': 'none'});
                    } else {
                        currentDom.css({'display': 'none'});
                        $(window).unbind('scroll');
                    }
                } else {
                    if (actionType == 'more') {
                        currentDom.attr('data-offset', response.offset);
                    } else {
                        currentDom.attr('data-offset', response.offset);
                    }
                }
                currentDom.html(change_load_more_text);
            });
        }, 1000);
    }


    /*************************************************
     * Ajax load more & infinite scroll products end *
     ************************************************/


    // Ajax Product Add To Cart

    $(document).delegate(".woo_tab_s_p_add_to_carts", "click", function (event) {

        event.preventDefault();
        //Change button text
        var currentDom = $(this);
        var pId = $(this).attr('data-p-id');
        var quantity = $(this).parent().find('input.qc_product_quantity').val();

        var pPrice = $(this).attr('data-p-price');
        var cart_page_link = cart_page_url + '/cart';

        var data = {
            'action': 'woo_sp_add_to_cart',
            'p_id': pId,
            'p_price': pPrice,
            'quantity': quantity
        };

        jQuery.post(ajaxurl, data, function (response) {
            //Change button text
            if (response == "simple") {

       
                $(document.body).trigger('added_to_cart');

                if (cart_option != 'ajax') {
                    window.location.href = qcld_get_cart_url;
                }


            } else {
                swal(
                    'Something went wrong!',
                    'Please contact the webmaster.',
                    'error'
                )
            }
        });
    });


    $(document).on("click", "#qcld-wootab-more-nine", function () {
        var currentDom = $(this);
        currentDom.html('<i class="fa fa-cog fa-spin fa-2x fa-fw"></i><span class="sr-only">Loading...</span>');
        var actionType = "more";
        qcld_wootab_load_more_template_nine(currentDom, actionType);
    });


    function qcld_wootab_load_more_template_nine(currentDom, actionType) {


        //currentDom.html('<h3>Loading..</h3>');
        $('#load-more-pre-loader').html('<img src="' + image_loader + '"/>');

        var offset = currentDom.attr('data-offset');
        var product_category_id = currentDom.attr('data-cat-id');
        var sorting_val = currentDom.attr('data-sort-order');
        var link_title_to_modal = currentDom.attr('title-modal');
        var data_tag = currentDom.attr('data-tag');

        var data = {
            'action': 'woo_load_more_theme_nine',
            'offset': offset,
            'sorting_val': sorting_val,
            'link_title_to_modal' : link_title_to_modal,
            'data_tag' : data_tag,
            'product_cat_id': product_category_id
        };

        setTimeout(function () {
            jQuery.post(ajaxurl, data, function (response) {

                //Showing more product by appending to the list.

                $('.theme-nine').append(response.html);
                if (response.offset == -1) {
                    if (actionType == 'more') {
                        currentDom.css({'display': 'none'});
                    } else {
                        currentDom.css({'display': 'none'});
                        $(window).unbind('scroll');
                    }
                } else {
                    if (actionType == 'more') {
                        currentDom.attr('data-offset', response.offset);
                    } else {
                        currentDom.attr('data-offset', response.offset);
                    }
                }
                currentDom.html(change_load_more_text);
            });
        }, 1000);
    }

    // Template Nine

 //   $('ul.qctabs_10 li').click(function () {
    $(document).on('click', 'ul.qctabs_10 li, ul.qctabs_10 li a', function (event) {
        event.preventDefault();

        // category based url loading when window on load
        if(display_category_url_based == 'enable'){

            var cat_id = $(this).attr('data-cat-id');
            var cat_param = "?cat_id="+cat_id;
            window.history.replaceState(null, null, cat_param);

        }
        if(product_search_each_category == 'enable'){
            var currentDom = $(this);
            var content_warppers = currentDom.closest('.woo_tab_container');
            var cat_parameter = currentDom.attr('data-cat-attr');
            var search_each_category = content_warppers.find('.qcld-search_products').find('.search-field');
            $(search_each_category).attr('data-cat-attr', cat_parameter );
        }

        var currentDom = $(this);
        var content_warppers = currentDom.closest('.woo_tab_container');
        //var scroll_each_wrap = content_warppers.find('.tab-content');

        $("#qcld-wootab-more-nine-all,#qcld-wootab-more-nine").css({
            'display': 'block',
            'margin': '0 auto'
        });


        $("#qcld-wootab-more-nine-all").attr('data-offset', initial_product_number);
        $("#qcld-wootab-more-nine").attr('data-offset', initial_product_number);

        content_warppers.find('.theme-nine').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: block;">');
        if( $( '.theme-nine .loader' ).length && qcld_woo_tabbed_change_loading_image == 1 ) {
     
            var css = '<style>.theme-nine .loader::after,.loader::before{content: none !important;} </style>';
            document.head.insertAdjacentHTML( 'beforeEnd', css );
            content_warppers.find(".theme-nine").find(".loader").css({"background":" url("+qcld_woo_tabbed_board_bg_path+") no-repeat center center","background-size": "cover", "width": "200px", "height": "200px", "padding": "0px 0px 0px 0px"});

        }

        var cat_id          = $(this).attr('data-cat-id');
        var offset          = $(this).attr('data-offset');
        var show_sale       = $(this).attr('data-show-sale');
        var feature_only    = $(this).attr('data-feature-only');
        var cat_parameter   = $(this).attr('data-cat-attr');
        var link_title_to_modal = $(this).attr('title-modal');
        var data = {
            'cat_id': cat_id,
            'offset': offset,
            'show_sale': show_sale,
            'feature_only': feature_only,
            'data_cat_parameter': cat_parameter,
            'link_title_to_modal' : link_title_to_modal,
            'action': 'get_products_by_cat_theme_nine',
        };


        jQuery.post(ajaxurl, data, function (response) {

            if (response.html == '') {
                content_warppers.find('.theme-nine').html('<p style=" text-align:center; color: #F57E80; font-weight: bold; padding: 0 0 0 0; margin: 0 auto;">' + product_not_found_text +
                    '</p>');

            } else {
                content_warppers.find('.theme-nine').html(response.html);
            }


            $("#qcld-wootab-more-nine").attr('data-offset', response.offset);
            $("#qcld-wootab-scroll,#qcld-wootab-more-nine-all, #qcld-wootab-more-nine").attr('data-tag', '');
            $("#qcld-wootab-scroll,#qcld-wootab-more-nine-all, #qcld-wootab-more-nine").attr('data-cat-id', cat_id);
            $("#qcld-wootab-scroll,#qcld-wootab-more-nine-all, #qcld-wootab-more-nine").attr('data-cat-attr', cat_parameter);

            if(cat_id != 'all'){
                $("#qcld-wootab-more-nine-all").attr("id","qcld-wootab-more-nine");
            }else{
                $("#qcld-wootab-more-nine").attr("id","qcld-wootab-more-nine-all");
            }

        });

        var tab_id = $(this).attr('data-tab');


        var sorting_cat_cange = $('.qc-wootabs-sortings').find('option');
        $(sorting_cat_cange).attr('data-cat-id',cat_id);
        $(sorting_cat_cange).attr('data-cat-attr',cat_parameter);
        $('.qc-wootabs-sortings').find('option:first').prop('selected',true);

        $('ul.qctabs_10 li').removeClass('current');
        //content_warppers.find('.tab-content').removeClass('current');

        $(this).addClass('current');
        //$("#" + tab_id).addClass('current');
       // $('.tab-content:first').addClass('current');
        //content_warppers.find('.tab-content').addClass('current');


        if( qc_scroll_category_clickable == 'enable' ){
            var currentDom = $(this);
            var content_warppers = currentDom.closest('.woo_tab_container');
            var scroll_each_wrap = content_warppers.find('.tab-content');

            $('html,body').animate( { scrollTop: $(scroll_each_wrap).offset().top}, 300 );

        }


        return false;
    });



    



    jQuery(document).ready(function( $ ) {
        $(document).on("click",".woocommerce-tabs .tabs .description_tab",function(){
            $(this).addClass('active');
            $('.woocommerce-Tabs-panel--reviews').css({'display':'none'});

            $('.woocommerce-Tabs-panel--description').css({'display':'block'});
            $('.woocommerce-Tabs-panel--additional_information').css({'display':'block'});
            $('woocommerce-tabs .tabs .description_tab').removeClass('active');
        });
        $(document).on("click",".woocommerce-tabs .tabs .reviews_tab",function(){
             $(this).addClass('active');
            $('.woocommerce-Tabs-panel--additional_information').css({'display':'none'});
            $('.woocommerce-Tabs-panel--description').css({'display':'none'});
            $('.woocommerce-Tabs-panel--reviews').css({'display':'block'});
            $('woocommerce-tabs .tabs .description_tab').removeClass('active');
        });
    });



    //Variable product add to cart by popup modal
    $(document).on('click','.qcld_express_woo_tab_v_p_pop_up',function(event) {
        event.preventDefault();

        var currentDom=$(this);
        currentDom.html('<i class="fa fa-spinner" aria-hidden="true"></i> ADD TO CART');

        var pId=$(this).attr('p-id');
        var quanity=$('#qcld_quantity_value').val();
        // alert(quanity);
        var variations_id=$(this).attr('variation_id');
        var attributes=new Array();
        $.each($(".qcld_wootab-product-details select"), function(){
            var attribute = $(this).attr('name')+'#'+ $(this).find('option:selected').text();
            attributes.push(attribute);
        });
        var data = {
            'action': 'woo_tab_vp_add_to_cart',
            'p_id': pId,
            'quantity': quanity,
            'variations_id':variations_id,
            'attributes':attributes
        };

        jQuery.post(ajaxurl, data, function (response) {
            //load the newly added product to the cart
            currentDom.html('ADD TO CART');
            $.magnificPopup.close();
          
        });
    });


     //Add to cart for simple product popup modal quick view.
    $(document).on("click",".qcld_express_woo_tab_s_p_pop",function(event) {
        event.preventDefault();
        //Change button text
        var currentDom=$(this);
        currentDom.html('<i class="fa fa-spinner" aria-hidden="true"></i> ADD TO CART');
        var pId=$(this).attr('p-id');
        var qnty=$('.qcld-express-quantity').find("input[name='qcld_quantity']").val();

        var pPrice=$(this).attr('p-price');
        var data = {
            'action': 'woo_tab_sp_add_to_cart',
            'p_id': pId,
            'quantity': qnty,
            'p_price': pPrice,
        };
         //Fly image to cart  start
        if(cart_mode_info=='float'){
            var itemImg = currentDom.parent().parent().parent().children('.qcld-express-thumb-cell').find('img');
        } 
        //Fly image to cart  end
        jQuery.post(ajaxurl, data, function (response) {
            //Change button text
            currentDom.html('ADD TO CART');
            $.magnificPopup.close();
            if(response=="simple"){
                
            } else{
                alert('Try again!');
            }
        });

    });



    // woo tab filtering for theme one ...
   $(document).on('change', '#catalog-sort-by-one', function () {
        var element         = $(this).find('option:selected'); 
        var cat_id          = element.attr('data-cat-id');
        var offset          = element.attr('data-offset');
        var feature_only    = element.attr('data-feature-only');
        var cat_parameter   = element.attr('data-cat-attr');
        var show_sale       = element.attr('data-show-sale');
        var link_title_to_modal = element.attr('title-modal');
        var sorting_val     = element.val();
       // var content_warppers = $(this).parent().parent().parent().parent();

        var currentDom = $(this);
        var content_warppers = currentDom.closest('.woo_tab_container');

        content_warppers.find("#qcld-wootab-more-one-all").attr('data-offset', initial_product_number);
        content_warppers.find("#qcld-wootab-more-one").attr('data-offset', initial_product_number);
        content_warppers.find("#qcld-wootab-more-one-all").attr('data-sort-order', sorting_val);
        content_warppers.find("#qcld-wootab-more-one").attr('data-sort-order', sorting_val);
        content_warppers.find("#qcld-wootab-more-one-all, #qcld-wootab-more-one").css({
            'display': 'block',
            'margin': '0 auto'
        });

       content_warppers.find('.theme-one').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: inline-block;">');
        if( $( '.theme-one .loader' ).length && qcld_woo_tabbed_change_loading_image == 1 ) {
            var css = '<style>.theme-one .loader::after,.loader::before{content: none !important;} </style>';
            document.head.insertAdjacentHTML( 'beforeEnd', css );
            content_warppers.find(".theme-one").find(".loader").css({"background":" url("+qcld_woo_tabbed_board_bg_path+") no-repeat center center","background-size": "cover", "width": "200px", "height": "200px", "padding": "0px 0px 0px 0px"});

        }

        var data = {
            'cat_id': cat_id,
            'offset': offset,
            'show_sale': show_sale,
            'feature_only': feature_only,
            'data_cat_parameter': cat_parameter,
            'link_title_to_modal' : link_title_to_modal,
            'sorting_val': sorting_val,
            'action': 'get_products_by_cat_short_theme_two',
        };

        jQuery.post(ajaxurl, data, function (response) {

            //console.log(response);
            if (response.html == '') {
                content_warppers.find('.theme-one').html('<p style=" text-align:center; color: #F57E80; font-weight: bold; padding: 0 0 0 0; margin: 0 auto;">' + product_not_found_text +
                    '</p>');
            } else {
                content_warppers.find('.theme-one').html(response.html);
            }


            content_warppers.find("#qcld-wootab-scroll,#qcld-wootab-more-one-all, #qcld-wootab-more-one").attr('data-offset', response.offset);

            content_warppers.find("#qcld-wootab-scroll,#qcld-wootab-more-one-all, #qcld-wootab-more-one").attr('data-tag', '');

        });


        var tab_id = $(this).attr('data-tab');


    });

    // woo tab filtering for theme two ...
   $(document).on('change', '#catalog-sort-by-two', function () {
        var element         = $(this).find('option:selected'); 
        var cat_id          = element.attr('data-cat-id');
        var offset          = element.attr('data-offset');
        var feature_only    = element.attr('data-feature-only');
        var cat_parameter   = element.attr('data-cat-attr');
        var show_sale       = element.attr('data-show-sale');
        var sorting_val     = element.val();
        var link_title_to_modal = element.attr('title-modal');

        var currentDom = $(this);
        var content_warppers = currentDom.closest('.woo_tab_container');


        $("#qcld-wootab-more-two-all").attr('data-offset', initial_product_number);
        $("#qcld-wootab-more-two").attr('data-offset', initial_product_number);
        $("#qcld-wootab-more-two-all").attr('data-sort-order', sorting_val);
        $("#qcld-wootab-more-two").attr('data-sort-order', sorting_val);
        $("#qcld-wootab-more-two-all, #qcld-wootab-more-two").css({
            'display': 'block',
            'margin': '0 auto'
        });

        content_warppers.find('.theme-two').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: inline-block;">');
        if( $( '.theme-two .loader' ).length && qcld_woo_tabbed_change_loading_image == 1 ) {
            var css = '<style>.theme-two .loader::after,.loader::before{content: none !important;} </style>';
            document.head.insertAdjacentHTML( 'beforeEnd', css );
            content_warppers.find(".theme-two").find(".loader").css({"background":" url("+qcld_woo_tabbed_board_bg_path+") no-repeat center center","background-size": "cover", "width": "200px", "height": "200px", "padding": "0px 0px 0px 0px"});

        }
        var data = {
            'cat_id': cat_id,
            'offset': offset,
            'show_sale': show_sale,
            'feature_only': feature_only,
            'data_cat_parameter': cat_parameter,
            'link_title_to_modal' : link_title_to_modal,
            'sorting_val': sorting_val,
            'action': 'get_products_by_cat_short_theme_two',
        };

        jQuery.post(ajaxurl, data, function (response) {

            if (response.html == '') {
                content_warppers.find('.theme-two').html('<p style=" text-align:center; color: #F57E80; font-weight: bold; padding: 0 0 0 0; margin: 0 auto;">' + product_not_found_text +
                    '</p>');
            } else {
                content_warppers.find('.theme-two').html(response.html);
            }

            $("#qcld-wootab-scroll,#qcld-wootab-more-two-all, #qcld-wootab-more-two").attr('data-offset', response.offset);

            $("#qcld-wootab-scroll,#qcld-wootab-more-two-all, #qcld-wootab-more-two").attr('data-tag', '');

        });

        var tab_id = $(this).attr('data-tab');

    });

    // woo tab filtering for theme Three ...
   $(document).on('change', '#catalog-sort-by-three', function () {
        var element         = $(this).find('option:selected'); 
        var cat_id          = element.attr('data-cat-id');
        var offset          = element.attr('data-offset');
        var feature_only    = element.attr('data-feature-only');
        var cat_parameter   = element.attr('data-cat-attr');
        var show_sale       = element.attr('data-show-sale');
        var link_title_to_modal = element.attr('title-modal');
        var sorting_val     = element.val();
        // alert(sorting_val);
        var currentDom = $(this);
        var content_warppers = currentDom.closest('.woo_tab_container');

        $("#qcld-wootab-more-three-all").attr('data-offset', initial_product_number);
        $("#qcld-wootab-more-three").attr('data-offset', initial_product_number);
        $("#qcld-wootab-more-three-all").attr('data-sort-order', sorting_val);
        $("#qcld-wootab-more-three").attr('data-sort-order', sorting_val);
        $("#qcld-wootab-more-three-all, #qcld-wootab-more-three").css({
            'display': 'block',
            'margin': '0 auto'
        });

        content_warppers.find('.wootabs').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: inline-block;">');
        if( $( '.wootabs .loader' ).length && qcld_woo_tabbed_change_loading_image == 1 ) {
            var css = '<style>.wootabs .loader::after,.loader::before{content: none !important;} </style>';
            document.head.insertAdjacentHTML( 'beforeEnd', css );
            content_warppers.find(".wootabs").find(".loader").css({"background":" url("+qcld_woo_tabbed_board_bg_path+") no-repeat center center","background-size": "cover", "width": "200px", "height": "200px", "padding": "0px 0px 0px 0px"});

        }
        var data = {
            'cat_id': cat_id,
            'offset': offset,
            'show_sale': show_sale,
            'feature_only': feature_only,
            'data_cat_parameter': cat_parameter,
            'link_title_to_modal' : link_title_to_modal,
            'sorting_val': sorting_val,
            'action': 'get_products_by_cat_short_theme_three',
        };

        jQuery.post(ajaxurl, data, function (response) {

            if (response.html == '') {
                content_warppers.find('.wootabs').html('<p style=" text-align:center; color: #F57E80; font-weight: bold; padding: 0 0 0 0; margin: 0 auto;">' + product_not_found_text +
                    '</p>');
            } else {
                content_warppers.find('.wootabs').html(response.html);
            }


            $("#qcld-wootab-scroll,#qcld-wootab-more-three-all, #qcld-wootab-more-three").attr('data-offset', response.offset);

            $("#qcld-wootab-scroll,#qcld-wootab-more-three-all, #qcld-wootab-more-three").attr('data-tag', '');

        });

        var tab_id = $(this).attr('data-tab');

    });

    // woo tab filtering for theme Five ...
   $(document).on('change', '#catalog-sort-by-five', function () {
        var element         = $(this).find('option:selected'); 
        var cat_id          = element.attr('data-cat-id');
        var offset          = element.attr('data-offset');
        var feature_only    = element.attr('data-feature-only');
        var cat_parameter   = element.attr('data-cat-attr');
        var show_sale       = element.attr('data-show-sale');
        var link_title_to_modal = element.attr('title-modal');
        var sorting_val     = element.val();

        var currentDom = $(this);
        var content_warppers = currentDom.closest('.woo_tab_container');

        $("#qcld-wootab-more-five-all").attr('data-offset', initial_product_number);
        $("#qcld-wootab-more-five").attr('data-offset', initial_product_number);
        $("#qcld-wootab-more-five-all").attr('data-sort-order', sorting_val);
        $("#qcld-wootab-more-five").attr('data-sort-order', sorting_val);
        

        content_warppers.find('.theme-five').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: inline-block;">');
        if( $( '.theme-five .loader' ).length && qcld_woo_tabbed_change_loading_image == 1 ) {
            var css = '<style>.theme-five .loader::after,.loader::before{content: none !important;} </style>';
            document.head.insertAdjacentHTML( 'beforeEnd', css );
            content_warppers.find(".theme-five").find(".loader").css({"background":" url("+qcld_woo_tabbed_board_bg_path+") no-repeat center center","background-size": "cover", "width": "200px", "height": "200px", "padding": "0px 0px 0px 0px"});

        }
        var data = {
            'cat_id': cat_id,
            'offset': offset,
            'show_sale': show_sale,
            'feature_only': feature_only,
            'data_cat_parameter': cat_parameter,
            'link_title_to_modal' : link_title_to_modal,
            'sorting_val': sorting_val,
            'action': 'get_products_by_cat_short_theme_five',
        };

        jQuery.post(ajaxurl, data, function (response) {

            if (response.html == '') {
                content_warppers.find('.theme-five').html('<p style=" text-align:center; color: #F57E80; font-weight: bold; padding: 0 0 0 0; margin: 0 auto;">' + product_not_found_text +
                    '</p>');
            } else {
                content_warppers.find('.theme-five').html(response.html);
            }


            $("#qcld-wootab-scroll,#qcld-wootab-more-five-all, #qcld-wootab-more-five").attr('data-offset', response.offset);

            $("#qcld-wootab-scroll,#qcld-wootab-more-five-all, #qcld-wootab-more-five").attr('data-tag', '');

        });

        $("#qcld-wootab-more-five-all, #qcld-wootab-more-five").css({
            'display': 'block', 'margin': '0 auto'
        });

        var tab_id = $(this).attr('data-tab');

    });



    // woo tab filtering for theme six ...
   $(document).on('change', '#catalog-sort-by-six', function () {
        var element         = $(this).find('option:selected'); 
        var cat_id          = element.attr('data-cat-id');
        var offset          = element.attr('data-offset');
        var feature_only    = element.attr('data-feature-only');
        var cat_parameter   = element.attr('data-cat-attr');
        var show_sale       = element.attr('data-show-sale');
        var link_title_to_modal = element.attr('title-modal');
        var sorting_val     = element.val();


        var currentDom = $(this);
        var content_warppers = currentDom.closest('.woo_tab_container');
        //var scroll_each_wrap = content_warppers.find('.tab-content');

        $("#qcld-wootab-more-six-all").attr('data-offset', initial_product_number);
        $("#qcld-wootab-more-six").attr('data-offset', initial_product_number);
        $("#qcld-wootab-more-six-all").attr('data-sort-order', sorting_val);
        $("#qcld-wootab-more-six").attr('data-sort-order', sorting_val);
        $("#qcld-wootab-more-six-all, #qcld-wootab-more-three").css({
            'display': 'block',
            'margin': '0 auto'
        });

        content_warppers.find('.theme-six').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: inline-block;">');
        if( $( '.theme-six .loader' ).length && qcld_woo_tabbed_change_loading_image == 1 ) {
            var css = '<style>.theme-six .loader::after,.loader::before{content: none !important;} </style>';
            document.head.insertAdjacentHTML( 'beforeEnd', css );
            content_warppers.find(".theme-six").find(".loader").css({"background":" url("+qcld_woo_tabbed_board_bg_path+") no-repeat center center","background-size": "cover", "width": "200px", "height": "200px", "padding": "0px 0px 0px 0px"});

        }
        var data = {
            'cat_id': cat_id,
            'offset': offset,
            'show_sale': show_sale,
            'feature_only': feature_only,
            'data_cat_parameter': cat_parameter,
            'link_title_to_modal' : link_title_to_modal,
            'sorting_val': sorting_val,
            'action': 'get_products_by_cat_short_theme_six',
        };

        jQuery.post(ajaxurl, data, function (response) {

            if (response.html == '') {
                content_warppers.find('.theme-six').html('<p style=" text-align:center; color: #F57E80; font-weight: bold; padding: 0 0 0 0; margin: 0 auto;">' + product_not_found_text +
                    '</p>');
            } else {
                content_warppers.find('.theme-six').html(response.html);
            }


            $("#qcld-wootab-scroll,#qcld-wootab-more-six-all, #qcld-wootab-more-six").attr('data-offset', response.offset);

            $("#qcld-wootab-scroll,#qcld-wootab-more-six-all, #qcld-wootab-more-six").attr('data-tag', '');

        });

        var tab_id = $(this).attr('data-tab');

    });


    // woo tab filtering for theme six ...
   $(document).on('change', '#catalog-sort-by-seven', function () {
        var element         = $(this).find('option:selected'); 
        var cat_id          = element.attr('data-cat-id');
        var offset          = element.attr('data-offset');
        var feature_only    = element.attr('data-feature-only');
        var cat_parameter   = element.attr('data-cat-attr');
        var show_sale       = element.attr('data-show-sale');
        var link_title_to_modal = element.attr('title-modal');
        var sorting_val     = element.val();

        $("#qcld-wootab-more-seven-all").attr('data-offset', initial_product_number);
        $("#qcld-wootab-more-seven").attr('data-offset', initial_product_number);
        $("#qcld-wootab-more-seven-all").attr('data-sort-order', sorting_val);
        $("#qcld-wootab-more-seven").attr('data-sort-order', sorting_val);
        $("#qcld-wootab-more-seven-all, #qcld-wootab-more-three").css({
            'display': 'block',
            'margin': '0 auto'
        });

        var currentDom = $(this);
        var content_warppers = currentDom.closest('.woo_tab_container');
        //var scroll_each_wrap = content_warppers.find('.tab-content');

        content_warppers.find('.theme-seven').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: inline-block;">');
        if( $( '.theme-seven .loader' ).length && qcld_woo_tabbed_change_loading_image == 1 ) {
            var css = '<style>.theme-seven .loader::after,.loader::before{content: none !important;} </style>';
            document.head.insertAdjacentHTML( 'beforeEnd', css );
            content_warppers.find(".theme-seven").find(".loader").css({"background":" url("+qcld_woo_tabbed_board_bg_path+") no-repeat center center","background-size": "cover", "width": "200px", "height": "200px", "padding": "0px 0px 0px 0px"});

        }
        var data = {
            'cat_id': cat_id,
            'offset': offset,
            'show_sale': show_sale,
            'feature_only': feature_only,
            'data_cat_parameter': cat_parameter,
            'link_title_to_modal' : link_title_to_modal,
            'sorting_val': sorting_val,
            'action': 'get_products_by_cat_short_theme_seven',
        };

        jQuery.post(ajaxurl, data, function (response) {

            if (response.html == '') {
                content_warppers.find('.theme-seven').html('<p style=" text-align:center; color: #F57E80; font-weight: bold; padding: 0 0 0 0; margin: 0 auto;">' + product_not_found_text +
                    '</p>');
            } else {
                content_warppers.find('.theme-seven').html(response.html);
            }


            $("#qcld-wootab-scroll,#qcld-wootab-more-seven-all, #qcld-wootab-more-seven").attr('data-offset', response.offset);

            $("#qcld-wootab-scroll,#qcld-wootab-more-seven-all, #qcld-wootab-more-seven").attr('data-tag', '');

        });

        var tab_id = $(this).attr('data-tab');

    });



    // woo tab filtering for theme six ...
    $(document).on('change', '#catalog-sort-by-eight', function () {
        var element         = $(this).find('option:selected'); 
        var cat_id          = element.attr('data-cat-id');
        var offset          = element.attr('data-offset');
        var feature_only    = element.attr('data-feature-only');
        var cat_parameter   = element.attr('data-cat-attr');
        var show_sale       = element.attr('data-show-sale');
        var link_title_to_modal = element.attr('title-modal');
        var sorting_val     = element.val();
        

        $("#qcld-wootab-more-eight-all").attr('data-offset', initial_product_number);
        $("#qcld-wootab-more-eight").attr('data-offset', initial_product_number);
        $("#qcld-wootab-more-eight-all").attr('data-sort-order', sorting_val);
        $("#qcld-wootab-more-eight").attr('data-sort-order', sorting_val);
        $("#qcld-wootab-more-eight-all, #qcld-wootab-more-eight").css({
            'display': 'block',
            'margin': '0 auto'
        });


        var currentDom = $(this);
        var content_warppers = currentDom.closest('.woo_tab_container');
        //var scroll_each_wrap = content_warppers.find('.tab-content');

        content_warppers.find('.theme-eight').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: inline-block;">');
        if( $( '.theme-eight .loader' ).length && qcld_woo_tabbed_change_loading_image == 1 ) {
            var css = '<style>.theme-eight .loader::after,.loader::before{content: none !important;} </style>';
            document.head.insertAdjacentHTML( 'beforeEnd', css );
            content_warppers.find(".theme-eight").find(".loader").css({"background":" url("+qcld_woo_tabbed_board_bg_path+") no-repeat center center","background-size": "cover", "width": "200px", "height": "200px", "padding": "0px 0px 0px 0px"});

        }
        var data = {
            'cat_id': cat_id,
            'offset': offset,
            'show_sale': show_sale,
            'feature_only': feature_only,
            'data_cat_parameter': cat_parameter,
            'link_title_to_modal' : link_title_to_modal,
            'sorting_val': sorting_val,
            'action': 'get_products_by_cat_short_theme_eight',
        };

        jQuery.post(ajaxurl, data, function (response) {

            if (response.html == '') {
                content_warppers.find('.theme-eight').html('<p style=" text-align:center; color: #F57E80; font-weight: bold; padding: 0 0 0 0; margin: 0 auto;">' + product_not_found_text +
                    '</p>');
            } else {
                content_warppers.find('.theme-eight').html(response.html);
            }


            $("#qcld-wootab-scroll,#qcld-wootab-more-eight-all, #qcld-wootab-more-eight").attr('data-offset', response.offset);

            $("#qcld-wootab-scroll,#qcld-wootab-more-eight-all, #qcld-wootab-more-eight").attr('data-tag', '');

        });

        var tab_id = $(this).attr('data-tab');

    });

    // woo tab filtering for theme six ...
    $(document).on('change', '#catalog-sort-by-nine', function () {
        var element         = $(this).find('option:selected'); 
        var cat_id          = element.attr('data-cat-id');
        var offset          = element.attr('data-offset');
        var feature_only    = element.attr('data-feature-only');
        var cat_parameter   = element.attr('data-cat-attr');
        var show_sale       = element.attr('data-show-sale');
        var link_title_to_modal = element.attr('title-modal');
        var sorting_val     = element.val();

        $("#qcld-wootab-more-nine-all").attr('data-offset', initial_product_number);
        $("#qcld-wootab-more-nine").attr('data-offset', initial_product_number);
        $("#qcld-wootab-more-nine-all").attr('data-sort-order', sorting_val);
        $("#qcld-wootab-more-nine").attr('data-sort-order', sorting_val);
        $("#qcld-wootab-more-nine-all, #qcld-wootab-more-nine").css({
            'display': 'block',
            'margin': '0 auto'
        });
        var currentDom = $(this);
        var content_warppers = currentDom.closest('.woo_tab_container');
        //var scroll_each_wrap = content_warppers.find('.tab-content');

        content_warppers.find('.theme-nine').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: inline-block;">');
        if( $( '.theme-nine .loader' ).length && qcld_woo_tabbed_change_loading_image == 1 ) {
            var css = '<style>.theme-nine .loader::after,.loader::before{content: none !important;} </style>';
            document.head.insertAdjacentHTML( 'beforeEnd', css );
            content_warppers.find(".theme-nine").find(".loader").css({"background":" url("+qcld_woo_tabbed_board_bg_path+") no-repeat center center","background-size": "cover", "width": "200px", "height": "200px", "padding": "0px 0px 0px 0px"});

        }
        var data = {
            'cat_id': cat_id,
            'offset': offset,
            'show_sale': show_sale,
            'feature_only': feature_only,
            'data_cat_parameter': cat_parameter,
            'link_title_to_modal' : link_title_to_modal,
            'sorting_val': sorting_val,
            'action': 'get_products_by_cat_short_theme_nine',
        };

        jQuery.post(ajaxurl, data, function (response) {

            if (response.html == '') {
                content_warppers.find('.theme-nine').html('<p style=" text-align:center; color: #F57E80; font-weight: bold; padding: 0 0 0 0; margin: 0 auto;">' + product_not_found_text +
                    '</p>');
            } else {
                content_warppers.find('.theme-nine').html(response.html);
            }


            $("#qcld-wootab-scroll, #qcld-wootab-more-nine-all, #qcld-wootab-more-nine").attr('data-offset', response.offset);

            $("#qcld-wootab-scroll,#qcld-wootab-more-nine-all, #qcld-wootab-more-nine").attr('data-tag', '');

        });

        var tab_id = $(this).attr('data-tab');

    });
    // woo tab filtering for theme eleven ...
    $(document).on('change', '#catalog-sort-by-eleven', function (event) {
        event.preventDefault();
        var element         = $(this).find('option:selected'); 
        var cat_id          = element.attr('data-cat-id');
        var offset          = element.attr('data-offset');
        var feature_only    = element.attr('data-feature-only');
        var cat_parameter   = element.attr('data-cat-attr');
        var show_sale       = element.attr('data-show-sale');
        var link_title_to_modal = element.attr('title-modal');
        var sorting_val     = element.val();

        $("#qcld-wootab-more-eleven-all").attr('data-offset', initial_product_number);
        $("#qcld-wootab-more-eleven").attr('data-offset', initial_product_number);
        $("#qcld-wootab-more-eleven-all").attr('data-sort-order', sorting_val);
        $("#qcld-wootab-more-eleven").attr('data-sort-order', sorting_val);
        $("#qcld-wootab-more-eleven-all, #qcld-wootab-more-eleven").css({
            'display': 'none',
            'margin': '0 auto'
        });

        var currentDom = $(this);
        var content_warppers = currentDom.closest('.woo_tab_container');
        //var scroll_each_wrap = content_warppers.find('.tab-content');

        content_warppers.find('.qc_theme_eleven').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: inline-block;">');
        if( $( '.qc_theme_eleven .loader' ).length && qcld_woo_tabbed_change_loading_image == 1 ) {
            var css = '<style>.qc_theme_eleven .loader::after,.loader::before{content: none !important;} </style>';
            document.head.insertAdjacentHTML( 'beforeEnd', css );
            content_warppers.find(".qc_theme_eleven").find(".loader").css({"background":" url("+qcld_woo_tabbed_board_bg_path+") no-repeat center center","background-size": "cover", "width": "200px", "height": "200px", "padding": "0px 0px 0px 0px"});

        }
        var data = {
            'cat_id': cat_id,
            'offset': offset,
            'show_sale': show_sale,
            'feature_only': feature_only,
            'data_cat_parameter': cat_parameter,
            'link_title_to_modal' : link_title_to_modal,
            'sorting_val': sorting_val,
            'action': 'get_products_by_cat_short_theme_eleven',
        };

        jQuery.post(ajaxurl, data, function (response) {

            if (response.html == '') {
                content_warppers.find('.qc_theme_eleven').html('<p style=" text-align:center; color: #F57E80; font-weight: bold; padding: 0 0 0 0; margin: 0 auto;">' + product_not_found_text +
                    '</p>');
            } else {
                content_warppers.find('.qc_theme_eleven').html(response.html);
            }

            if (response.offset == -1) {
                    $("#qcld-wootab-scroll,#qcld-wootab-more-eleven-all, #qcld-wootab-more-eleven").css({'display': 'none'});

            }else {
                    $("#qcld-wootab-scroll,#qcld-wootab-more-eleven-all, #qcld-wootab-more-eleven").css({'display': 'block','margin': '0 auto'});
            }


            $("#qcld-wootab-scroll,#qcld-wootab-more-eleven-all, #qcld-wootab-more-eleven").attr('data-offset', response.offset);

            $("#qcld-wootab-scroll,#qcld-wootab-more-eleven-all, #qcld-wootab-more-eleven").attr('data-tag', '');

        });

        var tab_id = $(this).attr('data-tab');

    });

    $(document).on('keyup','.qc_product_quantity',function(event) {
        var quantity = $(this).val();
        var change_value = $(this).parent().find('.ajax_add_to_cart');
        $(change_value).attr('data-quantity', quantity);
        
    });

    $(document).on('click','.qc_plus, .qc_minus',function(event) {
        $(this).parent().find('.qc_product_quantity').trigger('keyup');
    });



    // woo tab filtering for theme one ...
   $(document).on('click', '.catalog-sort-by-eight', function (event) {
        event.preventDefault();
        var element         = $(this); 
        var content_warppers = element.parent().parent();
        content_warppers.find('.catalog-sort-by-eight').removeClass('current');
        $(this).addClass('current');
        var cat_id          = element.attr('data-cat-id');
        var offset          = element.attr('data-offset');
        var feature_only    = element.attr('data-feature-only');
        var cat_parameter   = element.attr('data-cat-attr');
        var show_sale       = element.attr('data-show-sale');
        var link_title_to_modal = element.attr('title-modal');
        var sorting_val     = element.attr('data-value');

        content_warppers.find("#qcld-wootab-more-eight-all").attr('data-offset', initial_hot_deals_product_number);
        content_warppers.find("#qcld-wootab-more-eight").attr('data-offset', initial_hot_deals_product_number);
        content_warppers.find("#qcld-wootab-more-eight-all").attr('data-sort-order', sorting_val);
        content_warppers.find("#qcld-wootab-more-eight").attr('data-sort-order', sorting_val);
        content_warppers.find("#qcld-wootab-more-eight-all, #qcld-wootab-more-eight").css({
            'display': 'block',
            'margin': '0 auto'
        });

        content_warppers.find('.theme-eight').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: inline-block;">');
        if( $( '.theme-eight .loader' ).length && qcld_woo_tabbed_change_loading_image == 1 ) {
            var css = '<style>.theme-eight .loader::after,.loader::before{content: none !important;} </style>';
            document.head.insertAdjacentHTML( 'beforeEnd', css );
            $(".theme-eight .loader").css({"background":" url("+qcld_woo_tabbed_board_bg_path+") no-repeat center center","background-size": "cover", "width": "200px", "height": "200px", "padding": "0px 0px 0px 0px"});

        }
        var data = {
            'cat_id': cat_id,
            'offset': offset,
            'show_sale': show_sale,
            'feature_only': feature_only,
            'data_cat_parameter': cat_parameter,
            'link_title_to_modal' : link_title_to_modal,
            'sorting_val': sorting_val,
            'action': 'get_products_by_cat_short_theme_eight',
        };

        jQuery.post(ajaxurl, data, function (response) {

            if (response.html == '') {
                content_warppers.find('.theme-eight').html('<p style=" text-align:center; color: #F57E80; font-weight: bold; padding: 0 0 0 0; margin: 0 auto;">' + product_not_found_text +
                    '</p>');
            } else {
                content_warppers.find('.theme-eight').html(response.html);
            }


            content_warppers.find("#qcld-wootab-scroll,#qcld-wootab-more-eight-all, #qcld-wootab-more-eight").attr('data-offset', response.offset);

            content_warppers.find("#qcld-wootab-scroll,#qcld-wootab-more-eight-all, #qcld-wootab-more-eight").attr('data-tag', '');

        });

        var tab_id = $(this).attr('data-tab');


    });


    $(document).on('keyup', '.qcld-search_products input[type="text"]', function (e) {
        e.preventDefault();
        var currentDom = $(this);
        var actionType = "more";
        //var content_warppers = $(this).parent().parent().parent().parent().parent();
        var content_warppers = currentDom.closest('.woo_tab_container');

        var s = $(this).val();

        if (s.length < 2) {
            content_warppers.find('.qcld-search_products').removeClass('qcld-loading');
            return;
        }

        var existingConH = $('.theme-four').outerHeight();
        var theme_id = currentDom.attr('data-theme-name');
        var offset = currentDom.attr('data-offset');
        var show_sale = currentDom.attr('data-show-sale');
        var feature_only = currentDom.attr('data-feature-only');
        var cat_parameter = currentDom.attr('data-cat-attr');
        var sorting_val = currentDom.attr('data-sort-order');
        var link_title_to_modal = currentDom.attr('title-modal');

        var cat = '';

        $.ajax({
            url: ajaxurl,
            method: 'POST',
            data: {
                'action': 'qcld_woo_tabbed_products_ajax_search',
                's': s,
                'offset': offset,
                'theme_id': theme_id,
                'show_sale': show_sale,
                'data_cat_parameter': cat_parameter,
                'feature_only': feature_only,
                'link_title_to_modal' : link_title_to_modal,
                'sorting_val': sorting_val
            },
            dataType: 'json',
            beforeSend: function() {
                content_warppers.find('.qcld-search_products').addClass('qcld-loading');
                if (theme_id == 'theme-nine') {

                    content_warppers.find('.theme-nine').html('');
                    content_warppers.find('.theme-nine').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: inline-block;">');
                    content_warppers.find('#qcld-wootab-more-nine-all').hide();
                    content_warppers.find('#qcld-wootab-more-nine').hide();
                    content_warppers.find("#qcld-wootab-scroll,#qcld-wootab-more-nine-all, #qcld-wootab-more-nine").attr('data-tag', '');
                    
                } else if (theme_id == 'theme-one') {
                    content_warppers.find('.theme-one').html('');
                    content_warppers.find('.theme-one').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: inline-block;">');
                    content_warppers.find('#qcld-wootab-more-one-all').hide();
                    content_warppers.find('#qcld-wootab-more-one').hide();
                    content_warppers.find("#qcld-wootab-scroll,#qcld-wootab-more-one-all, #qcld-wootab-more-one").attr('data-tag', '');
                   
                } else if (theme_id == 'theme-eleven') {
                    content_warppers.find('.qc_theme_eleven').html('');
                    content_warppers.find('.qc_theme_eleven').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: inline-block;">');
                    content_warppers.find('#qcld-wootab-more-eleven-all').hide();
                    content_warppers.find('#qcld-wootab-more-eleven').hide();
                    $("#qcld-wootab-scroll,#qcld-wootab-more-eleven-all, #qcld-wootab-more-eleven").attr('data-tag', '');
                   
                } else if (theme_id == 'theme-two') {
                    content_warppers.find('.theme-two').html('');
                    content_warppers.find('.theme-two').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: inline-block;">');
                    content_warppers.find('#qcld-wootab-more-two-all').hide();
                    content_warppers.find('#qcld-wootab-more-two').hide();
                    $("#qcld-wootab-scroll,#qcld-wootab-more-two-all, #qcld-wootab-more-two").attr('data-tag', '');
                   
                } else if (theme_id == 'theme-three') {                    
                    content_warppers.find('.wootabs').html('');
                    content_warppers.find('.wootabs').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: inline-block;">');
                    content_warppers.find('#qcld-wootab-more-three-all').hide();
                    content_warppers.find('#qcld-wootab-more-three').hide();
                    $("#qcld-wootab-scroll,#qcld-wootab-more-three-all, #qcld-wootab-more-three").attr('data-tag', '');
                   
                } else if (theme_id == 'theme-five') {
                    content_warppers.find('.theme-five').html('');
                    content_warppers.find('.theme-five').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: inline-block;">');
                    content_warppers.find('#qcld-wootab-more-five-all').hide();
                    content_warppers.find('#qcld-wootab-more-five').hide();
                    $("#qcld-wootab-scroll,#qcld-wootab-more-five-all, #qcld-wootab-more-five").attr('data-tag', '');
                   
                } else if (theme_id == 'theme-six') {
                    $('.theme-six').html('');
                    $('.theme-six').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: inline-block;">');
                    $('#qcld-wootab-more-six-all').hide();
                    $('#qcld-wootab-more-six').hide();
                    $("#qcld-wootab-scroll,#qcld-wootab-more-six-all, #qcld-wootab-more-six").attr('data-tag', '');
                   
                } else if (theme_id == 'theme-seven') {
                    content_warppers.find('.theme-seven').html('');
                    content_warppers.find('.theme-seven').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: inline-block;">');
                    content_warppers.find('#qcld-wootab-more-seven-all').hide();
                    content_warppers.find('#qcld-wootab-more-seven').hide();
                    $("#qcld-wootab-scroll,#qcld-wootab-more-seven-all, #qcld-wootab-more-seven").attr('data-tag', '');
                   
                } else if (theme_id == 'theme-eight') {
                    content_warppers.find('.theme-eight').html('');
                    content_warppers.find('.theme-eight').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: inline-block;">');
                    content_warppers.find('#qcld-wootab-more-eight-all').hide();
                    content_warppers.find('#qcld-wootab-more-eight').hide();
                    $("#qcld-wootab-scroll,#qcld-wootab-more-eight-all, #qcld-wootab-more-eight").attr('data-tag', '');
                   
                } else if (theme_id == 'theme-nine') {
                    content_warppers.find('.theme-nine').html('');
                    content_warppers.find('.theme-nine').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: inline-block;">');
                    content_warppers.find('#qcld-wootab-more-nine-all').hide();
                    content_warppers.find('#qcld-wootab-more-nine').hide();
                    $("#qcld-wootab-scroll,#qcld-wootab-more-nine-all, #qcld-wootab-more-nine").attr('data-tag', '');
                } else if (theme_id == 'theme-default') {
                    var contents_warppers = currentDom.closest('.woo_tab_container');
                    contents_warppers.find('.theme-default').html('');
                    contents_warppers.find('.theme-default').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: inline-block;">');
                    contents_warppers.find('#qcld-wootab-more-default-all').hide();
                    contents_warppers.find('#qcld-wootab-more-default').hide();
                    contents_warppers.find("#qcld-wootab-scroll,#qcld-wootab-more-default-all, #qcld-wootab-more-default").attr('data-tag', '');
                }

                if( content_warppers.find( '.loader' ).length && qcld_woo_tabbed_change_loading_image == 1 ) {
                    var css = '<style>.loader::after,.loader::before{content: none !important;} </style>';
                    document.head.insertAdjacentHTML( 'beforeEnd', css );
                    content_warppers.find(".loader").css({"background":" url("+qcld_woo_tabbed_board_bg_path+") no-repeat center center","background-size": "cover", "width": "200px", "height": "200px", "padding": "0px 0px 0px 0px"});

                }


            },
            complete: function() {
                content_warppers.find('.qcld-search_products').removeClass('qcld-loading');
            },
            success: function(response) {

                //currentDom.html(change_load_more_text);
                if (theme_id == 'theme-nine') {
                    content_warppers.find('.theme-nine').html(response.html);
                    
                } else if (theme_id == 'theme-one') {
                    content_warppers.find('.theme-one').html(response.html);
                   
                } else if (theme_id == 'theme-eleven') {
                    content_warppers.find('.qc_theme_eleven').html(response.html);
                   
                } else if (theme_id == 'theme-two') {
                    content_warppers.find('.theme-two').html(response.html);
                   
                } else if (theme_id == 'theme-three') {
                    content_warppers.find('.wootabs').html(response.html);
                   
                } else if (theme_id == 'theme-five') {
                    content_warppers.find('.theme-five').html(response.html);
                   
                } else if (theme_id == 'theme-six') {
                    content_warppers.find('.theme-six').html(response.html);
                   
                } else if (theme_id == 'theme-seven') {
                    content_warppers.find('.theme-seven').html(response.html);
                   
                } else if (theme_id == 'theme-eight') {
                    content_warppers.find('.theme-eight').html(response.html);
                   
                } else if (theme_id == 'theme-nine') {
                    content_warppers.find('.theme-nine').html(response.html);
                } else if (theme_id == 'theme-default') {
                    var contents_warppers = currentDom.closest('.woo_tab_container');
                    contents_warppers.find('.theme-default').html(response.html);

                    setTimeout(function () {
                        var checkClass = $('.qcld-secondary-image-loop').closest('ul.products').find('li.product');
                        checkClass.addClass('qcld-product-has-gallery');
                    }, 500);

                }


            },
            error: function() {}
        });


        $('body').on('click', function(event) {
            if (!$(event.target).is('.qcld-search-form-wrapper') && $(event.target).closest('.qcld-search-form-wrapper').length) return;
            $('.qcld-live-search-results').hide();
        });

    });

  
    //woo instant redirect checkout page
    $('.qcld-woo-tabbeds-inner .wc-proceed-to-checkout a').removeClass('checkout-button');
    $('.qcld-woo-tabbeds-container .wc-proceed-to-checkout a').attr('href', qcld_get_checkout_url);


    jQuery(window).on('load', function() {
  
        $('.container-category-wrapper').masonry({
            columnWidth     : '.qcld-grid-sizer',
            gutter          : 1,
            itemSelector    : '.qcld-category-warpper',
            percentPosition : 'true',
            fitWidth        : true,
        });

    });


    $(document).on('click', '.qcld-express-qty-increase', function(e) {

        var $input  = $(this).prev('input.qty');
        var val     = parseInt($input.val());
        var step    = $input.attr('step');
            step    = 'undefined' !== typeof(step) ? parseInt(step) : 1;
        $input.val( val + step ).change();
        var quantity = $input.val();
        var change_value = $(this).parent().parent().find('.ajax_add_to_cart');
        $(change_value).attr('data-quantity', quantity);

    });


    $(document).on('click', '.qcld-express-qty-decrease', function(e) {

        var $input = $(this).next('input.qty');
        var val = parseInt($input.val());
        var step = $input.attr('step');
        step = 'undefined' !== typeof(step) ? parseInt(step) : 1;
        if (val > 0) {
            $input.val( val - step ).change();
                var quantity = $input.val();
                var change_value = $(this).parent().parent().find('.ajax_add_to_cart');
                $(change_value).attr('data-quantity', quantity);
        } 

    });

    $(document).on('keyup', '.qcld-express-simple-p-qnty', function(e) {

        var $input = $(this);
        var val = parseInt($input.val());

        if (val > 0) {
            $input.val( val ).change();
            var quantity = $input.val();
            var change_value = $(this).parent().parent().find('.ajax_add_to_cart');
            $(change_value).attr('data-quantity', quantity);
        } 

    });


    // Template Default

    $(document).on('click', 'ul.tabs-default li, ul.tabs-default li a', function (event) {
        event.preventDefault(); 
        // category based url loading when window on load
        if(display_category_url_based == 'enable'){

            var cat_id = $(this).attr('data-cat-id');
            var cat_param = "?cat_id="+cat_id;
            window.history.replaceState(null, null, cat_param);

        }

        var currentDom = $(this);
        if(product_search_each_category == 'enable'){
            
            var content_warppers = currentDom.closest('.woo_tab_container');
            var cat_parameter = currentDom.attr('data-cat-attr');
            var search_each_category = content_warppers.find('.qcld-search_products').find('.search-field');
            $(search_each_category).attr('data-cat-attr', cat_parameter );
        }

        var content_warpperss = currentDom.closest('.woo_tab_container');
        if(currentDom.hasClass('slick-slide')){
        var content_theme = currentDom.parent().parent().parent().parent().parent();
        }else{
        var content_theme = currentDom.parent().parent().parent();
        }

        var current_menu = currentDom.parent().find('.qc_theme_one');
        var current_tab_content = currentDom.closest('.woo_tab_container').find('.tab-content');

        $("#qcld-wootab-more-default-all").attr('data-offset', initial_product_number);
        $("#qcld-wootab-more-default").attr('data-offset', initial_product_number);

      
        content_warpperss.find('.theme-default').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: inline-block;">');
        if( $( '.theme-default .loader' ).length && qcld_woo_tabbed_change_loading_image == 1 ) {
         
            var css = '<style>.theme-default .loader::after,.loader::before{content: none !important;} </style>';
            document.head.insertAdjacentHTML( 'beforeEnd', css );
            content_warpperss.find(".theme-default").find(".loader").css({"background":" url("+qcld_woo_tabbed_board_bg_path+") no-repeat center center","background-size": "cover", "width": "200px", "height": "200px", "padding": "0px 0px 0px 0px"});

        }

        var cat_id = currentDom.attr('data-cat-id');
        var offset = currentDom.attr('data-offset');
        var show_sale = currentDom.attr('data-show-sale');
        var feature_only = currentDom.attr('data-feature-only');
        var cat_parameter = currentDom.attr('data-cat-attr');
        var link_title_to_modal = currentDom.attr('title-modal');

        var data = {
            'cat_id': cat_id,
            'offset': offset,
            'show_sale': show_sale,
            'feature_only': feature_only,
            'data_cat_parameter': cat_parameter,
            'link_title_to_modal' : link_title_to_modal,
            'action': 'get_products_by_cat_short_theme_default',
        };

        jQuery.post(ajaxurl, data, function (response) {

            //console.log(content_warpperss);

            if (response.html == '') {
                content_warpperss.find('.theme-default').html('<p style=" text-align:center; color: #F57E80; font-weight: bold; padding: 0 0 0 0; margin: 0 auto;">' + product_not_found_text +
                    '</p>');
            } else {
                content_warpperss.find('.theme-default').html(response.html);
            }


            $("#qcld-wootab-scroll,#qcld-wootab-more-default-all, #qcld-wootab-more-default").attr('data-offset', response.offset);
            $("#qcld-wootab-scroll,#qcld-wootab-more-default-all, #qcld-wootab-more-default").attr('data-tag', '');
            $("#qcld-wootab-scroll,#qcld-wootab-more-default-all, #qcld-wootab-more-default").attr('data-cat-id', cat_id);
            $("#qcld-wootab-scroll,#qcld-wootab-more-default-all, #qcld-wootab-more-default").attr('data-cat-attr', cat_parameter);

            if(cat_id != 'all'){
                $("#qcld-wootab-more-default-all").attr("id","qcld-wootab-more-default");
            }else{
                $("#qcld-wootab-more-default").attr("id","qcld-wootab-more-default-all");
            }

            if (response.offset == -1) {
                $("#qcld-wootab-more-default-all, #qcld-wootab-more-default").css({
                    'display': 'none',
                    'margin': '0 auto'
                });

            } else {
                $("#qcld-wootab-more-default-all, #qcld-wootab-more-default").css({
                    'display': 'block',
                    'margin': '0 auto'
                });
            }

            setTimeout(function () {
                var checkClass = $('.qcld-secondary-image-loop').closest('ul.products').find('li.product');
                checkClass.addClass('qcld-product-has-gallery');
            }, 500);

        });


        var tab_id = $(this).attr('data-tab');
        var sorting_cat_cange = content_warpperss.find('.qc-wootabs-sortings').find('option');
        $(sorting_cat_cange).attr('data-cat-id',cat_id);
        $(sorting_cat_cange).attr('data-cat-attr',cat_parameter);
        content_warpperss.find('.qc-wootabs-sortings').find('option:first').prop('selected',true);
        content_warpperss.find('ul.tabs li').removeClass('current');
        current_menu.removeClass('current');
        //content_warppers.find('.tab-content').removeClass('current');

        $(this).addClass('current');

        //content_warppers.find('.tab-content').addClass('current');

        if( qc_scroll_category_clickable == 'enable' ){
            var currentDom = $(this);
            var content_warppers = currentDom.closest('.woo_tab_container');
            var scroll_each_wrap = content_warppers.find('.tab-content');
            if (scroll_each_wrap.length) {
                $('html,body').animate( { scrollTop: $(scroll_each_wrap).offset().top}, 300 );
            }

        }
      

        return false;
    });



    // woo tab filtering for theme one ...
   $(document).on('change', '#catalog-sort-by-default', function () {

        //alert('hello');

        var element         = $(this).find('option:selected'); 
        var cat_id          = element.attr('data-cat-id');
        var offset          = element.attr('data-offset');
        var feature_only    = element.attr('data-feature-only');
        var cat_parameter   = element.attr('data-cat-attr');
        var show_sale       = element.attr('data-show-sale');
        var link_title_to_modal = element.attr('title-modal');
        var sorting_val     = element.val();
        var content_warppers = $(this).closest('.woo_tab_container');

        content_warppers.find("#qcld-wootab-more-default-all").attr('data-offset', initial_product_number);
        content_warppers.find("#qcld-wootab-more-default").attr('data-offset', initial_product_number);
        content_warppers.find("#qcld-wootab-more-default-all").attr('data-sort-order', sorting_val);
        content_warppers.find("#qcld-wootab-more-default").attr('data-sort-order', sorting_val);
   

        content_warppers.find('.theme-default').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: inline-block;">');
        if( $( '.theme-default .loader' ).length && qcld_woo_tabbed_change_loading_image == 1 ) {
            var css = '<style>.theme-default .loader::after,.loader::before{content: none !important;} </style>';
            document.head.insertAdjacentHTML( 'beforeEnd', css );
            $(".theme-default .loader").css({"background":" url("+qcld_woo_tabbed_board_bg_path+") no-repeat center center","background-size": "cover", "width": "200px", "height": "200px", "padding": "0px 0px 0px 0px"});

        }
        var data = {
            'cat_id': cat_id,
            'offset': offset,
            'show_sale': show_sale,
            'feature_only': feature_only,
            'data_cat_parameter': cat_parameter,
            'link_title_to_modal' : link_title_to_modal,
            'sorting_val': sorting_val,
            'action': 'products_by_catalog_short_theme_default',
        };

        jQuery.post(ajaxurl, data, function (response) {

           
            if (response.html == '') {
                content_warppers.find('.theme-default').html('<p style=" text-align:center; color: #F57E80; font-weight: bold; padding: 0 0 0 0; margin: 0 auto;">' + product_not_found_text +
                    '</p>');
            } else {
                content_warppers.find('.theme-default').html(response.html);
            }


            content_warppers.find("#qcld-wootab-scroll,#qcld-wootab-more-default-all, #qcld-wootab-more-default").attr('data-offset', response.offset);
            content_warppers.find("#qcld-wootab-scroll,#qcld-wootab-more-default-all, #qcld-wootab-more-default").attr('data-tag', '');
            content_warppers.find("#qcld-wootab-scroll,#qcld-wootab-more-default-all, #qcld-wootab-more-default").attr('data-cat-id', cat_id);
            content_warppers.find("#qcld-wootab-scroll,#qcld-wootab-more-default-all, #qcld-wootab-more-default").attr('data-cat-attr', cat_parameter);

              

                 if (response.offset == -1) {
                    content_warppers.find("#qcld-wootab-more-default-all, #qcld-wootab-more-default").css({
                        'display': 'none',
                        'margin': '0 auto'
                    });

                } else {
                    content_warppers.find("#qcld-wootab-more-default-all, #qcld-wootab-more-default").css({
                        'display': 'block',
                        'margin': '0 auto'
                    });
                }

                setTimeout(function () {
                    var checkClass = $('.qcld-secondary-image-loop').closest('ul.products').find('li.product');
                    checkClass.addClass('qcld-product-has-gallery');
                }, 500);

        });

        


        var tab_id = $(this).attr('data-tab');


    });


    $(document).on("click", "#qcld-wootab-more-default", function () {
        var currentDom = $(this);
        currentDom.html('<i class="fa fa-cog fa-spin fa-2x fa-fw"></i><span class="sr-only">Loading...</span>');
        var actionType = "more";
        qcld_wootab_load_more_template_default(currentDom, actionType);
    });

    $(document).on("click", "#qcld-wootab-more-default-all", function () {
        var currentDom = $(this);
        var actionType = "more";
        currentDom.html('<i class="fa fa-cog fa-spin fa-2x fa-fw"></i><span class="sr-only">Loading...</span>');
        qcld_wootab_load_more_template_default(currentDom, actionType);

    });



    function qcld_wootab_load_more_template_default(currentDom, actionType) {

        $('#load-more-pre-loader').html('<img src="' + image_loader + '"/>');

        var content_warppers = currentDom.parent().parent();

        var offset = currentDom.attr('data-offset');
        var product_category_id = currentDom.attr('data-cat-id');
        var sorting_val = currentDom.attr('data-sort-order');
        var link_title_to_modal = currentDom.attr('title-modal');
        var data_cat_parameter = currentDom.attr('data-cat-attr');
        var data = {
            'action': 'woo_load_more_theme_default',
            'offset': offset,
            'product_cat_id': product_category_id,
            'link_title_to_modal' : link_title_to_modal,
            'sorting_val': sorting_val,
            'data_cat_parameter': data_cat_parameter,
        };


        setTimeout(function () {
            jQuery.post(ajaxurl, data, function (response) {
                //Showing more product by appending to the list.

                content_warppers.find('.theme-default').html(response.html);
                if (response.offset == -1) {
                    if (actionType == 'more') {
                        currentDom.css({'display': 'none'});
                    } else {
                        currentDom.css({'display': 'none'});
                        $(window).unbind('scroll');
                    }

                } else {
                    if (actionType == 'more') {
                        currentDom.attr('data-offset', response.offset);
                    } else {
                        currentDom.attr('data-offset', response.offset);
                    }
                }
                // content_warppers.find("#qcld-wootab-more-default").html(change_load_more_text);
                // content_warppers.find("#qcld-wootab-more-default-all").html(change_load_more_text);
                // content_warppers.find("#qcld-wootab-scroll,#qcld-wootab-more-default-all, #qcld-wootab-more-default").attr('data-tag', '');

                currentDom.html(change_load_more_text);
                //content_warppers.find("#qcld-wootab-more-default-all").html(change_load_more_text);
                currentDom.attr('data-tag', '');
                content_warppers.find("#qcld-wootab-scroll,#qcld-wootab-more-default-all, #qcld-wootab-more-default").attr('data-tag', '');

                setTimeout(function () {
                    var checkClass = $('.qcld-secondary-image-loop').closest('ul.products').find('li.product');
                    checkClass.addClass('qcld-product-has-gallery');
                }, 500);

            });
        }, 1000);


    }


    // woo tab filtering for theme one ...
   $(document).on('click', '.qcld_product_tags li', function () {
    //alert('working');
        var element             = $(this);
        var data_tag            = element.attr('data-tag');
        var cat_id              = element.attr('data-cat-id');
        var offset              = element.attr('data-offset');
        var feature_only        = element.attr('data-feature-only');
        var cat_parameter       = element.attr('data-cat-attr');
        var show_sale           = element.attr('data-show-sale');
        var link_title_to_modal = element.attr('title-modal');
        var theme_name = element.attr('data-theme');

        if(data_tag == ''){
            return false;
        }
     
        var content_warppers    = $(this).parent().parent().parent().parent();


        var data = {
            'cat_id': cat_id,
            'offset': offset,
            'show_sale': show_sale,
            'feature_only': feature_only,
            'data_cat_parameter': cat_parameter,
            'link_title_to_modal' : link_title_to_modal,
            'data_tag': data_tag,
            'action': 'get_products_by_product_tag_theme_two',
        };


        if(theme_name == 'theme-default'){

            content_warppers.find("#qcld-wootab-more-one-all").attr('data-offset', initial_product_number);
            content_warppers.find("#qcld-wootab-more-one").attr('data-offset', initial_product_number);

            content_warppers.find('.theme-default').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: inline-block;">');

            var data = {
                'cat_id': cat_id,
                'offset': offset,
                'show_sale': show_sale,
                'feature_only': feature_only,
                'data_cat_parameter': cat_parameter,
                'link_title_to_modal' : link_title_to_modal,
                'data_tag': data_tag,
                'action': 'get_products_by_product_tag_theme_default',
            };

        }else if(theme_name == 'theme-one'){

            content_warppers.find("#qcld-wootab-more-one-all").attr('data-offset', initial_product_number);
            content_warppers.find("#qcld-wootab-more-one").attr('data-offset', initial_product_number);
           /* content_warppers.find("#qcld-wootab-more-one-all, #qcld-wootab-more-one").css({
                'display': 'block',
                'margin': '0 auto'
            });*/
            content_warppers.find('.theme-one').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: inline-block;">');

            var data = {
                'cat_id': cat_id,
                'offset': offset,
                'show_sale': show_sale,
                'feature_only': feature_only,
                'data_cat_parameter': cat_parameter,
                'link_title_to_modal' : link_title_to_modal,
                'data_tag': data_tag,
                'action': 'get_products_by_product_tag_theme_two',
            };

        }else if(theme_name == 'theme-two'){

            content_warppers.find("#qcld-wootab-more-two-all").attr('data-offset', initial_product_number);
            content_warppers.find("#qcld-wootab-more-two").attr('data-offset', initial_product_number);
 
            content_warppers.find('.theme-two').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: inline-block;">');

            var data = {
                'cat_id': cat_id,
                'offset': offset,
                'show_sale': show_sale,
                'feature_only': feature_only,
                'data_cat_parameter': cat_parameter,
                'link_title_to_modal' : link_title_to_modal,
                'data_tag': data_tag,
                'action': 'get_products_by_product_tag_theme_two',
            };

        }else if(theme_name == 'theme-three'){

            content_warppers.find("#qcld-wootab-more-three-all").attr('data-offset', initial_product_number);
            content_warppers.find("#qcld-wootab-more-three").attr('data-offset', initial_product_number);
      
            content_warppers.find('.wootabs').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: inline-block;">');
            //get_products_by_product_tag_theme_three

            var data = {
                'cat_id': cat_id,
                'offset': offset,
                'show_sale': show_sale,
                'feature_only': feature_only,
                'data_cat_parameter': cat_parameter,
                'link_title_to_modal' : link_title_to_modal,
                'data_tag': data_tag,
                'action': 'get_products_by_product_tag_theme_three',
            };

        }else if(theme_name == 'theme-five'){

            content_warppers.find("#qcld-wootab-more-five-all").attr('data-offset', initial_product_number);
            content_warppers.find("#qcld-wootab-more-five").attr('data-offset', initial_product_number);
    
            content_warppers.find('.theme-five').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: inline-block;">');

            var data = {
                'cat_id': cat_id,
                'offset': offset,
                'show_sale': show_sale,
                'feature_only': feature_only,
                'data_cat_parameter': cat_parameter,
                'link_title_to_modal' : link_title_to_modal,
                'data_tag': data_tag,
                'action': 'get_products_by_product_tag_theme_five',
            };

        }else if(theme_name == 'theme-six'){

            content_warppers.find("#qcld-wootab-more-six-all").attr('data-offset', initial_product_number);
            content_warppers.find("#qcld-wootab-more-six").attr('data-offset', initial_product_number);

            content_warppers.find('.theme-six').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: inline-block;">');

            var data = {
                'cat_id': cat_id,
                'offset': offset,
                'show_sale': show_sale,
                'feature_only': feature_only,
                'data_cat_parameter': cat_parameter,
                'link_title_to_modal' : link_title_to_modal,
                'data_tag': data_tag,
                'action': 'get_products_by_product_tag_theme_six',
            };

        }else if(theme_name == 'theme-seven'){

            content_warppers.find("#qcld-wootab-more-seven-all").attr('data-offset', initial_product_number);
            content_warppers.find("#qcld-wootab-more-seven").attr('data-offset', initial_product_number);

            content_warppers.find('.theme-seven').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: inline-block;">');

            var data = {
                'cat_id': cat_id,
                'offset': offset,
                'show_sale': show_sale,
                'feature_only': feature_only,
                'data_cat_parameter': cat_parameter,
                'link_title_to_modal' : link_title_to_modal,
                'data_tag': data_tag,
                'action': 'get_products_by_product_tag_theme_seven',
            };

        }else if(theme_name == 'theme-eight'){

            content_warppers.find("#qcld-wootab-more-eight-all").attr('data-offset', initial_product_number);
            content_warppers.find("#qcld-wootab-more-eight").attr('data-offset', initial_product_number);

            content_warppers.find('.theme-eight').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: inline-block;">');

            var data = {
                'cat_id': cat_id,
                'offset': offset,
                'show_sale': show_sale,
                'feature_only': feature_only,
                'data_cat_parameter': cat_parameter,
                'link_title_to_modal' : link_title_to_modal,
                'data_tag': data_tag,
                'action': 'get_products_by_product_tag_theme_eight',
            };

        }else if(theme_name == 'theme-nine'){

            content_warppers.find("#qcld-wootab-more-nine-all").attr('data-offset', initial_product_number);
            content_warppers.find("#qcld-wootab-more-nine").attr('data-offset', initial_product_number);

            content_warppers.find('.theme-nine').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: inline-block;">');

            var data = {
                'cat_id': cat_id,
                'offset': offset,
                'show_sale': show_sale,
                'feature_only': feature_only,
                'data_cat_parameter': cat_parameter,
                'link_title_to_modal' : link_title_to_modal,
                'data_tag': data_tag,
                'action': 'get_products_by_product_tag_theme_nine',
            };

        }else if(theme_name == 'theme-eleven'){

            $("#qcld-wootab-more-eleven-all").attr('data-offset', initial_product_number);
            $("#qcld-wootab-more-eleven").attr('data-offset', initial_product_number);
           /* $("#qcld-wootab-more-eleven-all, #qcld-wootab-more-eleven").css({
                'display': 'block',
                'margin': '0 auto'
            });*/

            $('.qc_theme_eleven').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display: inline-block;">');

            var data = {
                'cat_id': cat_id,
                'offset': offset,
                'show_sale': show_sale,
                'feature_only': feature_only,
                'data_cat_parameter': cat_parameter,
                'link_title_to_modal' : link_title_to_modal,
                'data_tag': data_tag,
                'action': 'get_products_by_product_tag_theme_eleven',
            };

        }

        if( $( '.loader' ).length && qcld_woo_tabbed_change_loading_image == 1 ) {
            var css = '<style>.loader::after,.loader::before{content: none !important;} </style>';
            document.head.insertAdjacentHTML( 'beforeEnd', css );
            $(".loader").css({"background":" url("+qcld_woo_tabbed_board_bg_path+") no-repeat center center","background-size": "cover", "width": "200px", "height": "200px", "padding": "0px 0px 0px 0px"});

        }



        jQuery.post(ajaxurl, data, function (response) {


            if(theme_name == 'theme-default'){
              
                if (response.html == '') {
                    content_warppers.find('.theme-default').html('<p style=" text-align:center; color: #F57E80; font-weight: bold; padding: 0 0 0 0; margin: 0 auto;">' + product_not_found_text +
                        '</p>');
                } else {
                    content_warppers.find('.theme-default').html(response.html);
                }

                content_warppers.find("#qcld-wootab-scroll, #qcld-wootab-more-default").attr('data-offset', response.offset);
                content_warppers.find("#qcld-wootab-scroll,#qcld-wootab-more-default-all, #qcld-wootab-more-default").attr('data-tag', data_tag);

                if (response.offset == -1) {
                    $("#qcld-wootab-scroll,#qcld-wootab-more-default-all, #qcld-wootab-more-default").css({'display': 'none'});

                }else {
                    $("#qcld-wootab-scroll,#qcld-wootab-more-default-all, #qcld-wootab-more-default").css({'display': 'block','margin': '0 auto'});
                }

            }else if(theme_name == 'theme-one'){
              
                if (response.html == '') {
                    content_warppers.find('.theme-one').html('<p style=" text-align:center; color: #F57E80; font-weight: bold; padding: 0 0 0 0; margin: 0 auto;">' + product_not_found_text +
                        '</p>');
                } else {
                    content_warppers.find('.theme-one').html(response.html);
                }

                content_warppers.find("#qcld-wootab-scroll, #qcld-wootab-more-one").attr('data-offset', response.offset);
                content_warppers.find("#qcld-wootab-scroll,#qcld-wootab-more-one-all, #qcld-wootab-more-one").attr('data-tag', data_tag);

                if (response.offset == -1) {
                    $("#qcld-wootab-scroll,#qcld-wootab-more-one-all, #qcld-wootab-more-one").css({'display': 'none'});

                }else {
                    $("#qcld-wootab-scroll,#qcld-wootab-more-one-all, #qcld-wootab-more-one").css({'display': 'block','margin': '0 auto'});
                }

            }else if(theme_name == 'theme-two'){
              
                if (response.html == '') {
                    content_warppers.find('.theme-two').html('<p style=" text-align:center; color: #F57E80; font-weight: bold; padding: 0 0 0 0; margin: 0 auto;">' + product_not_found_text +
                        '</p>');
                } else {
                    content_warppers.find('.theme-two').html(response.html);
                }

                content_warppers.find("#qcld-wootab-scroll,#qcld-wootab-more-two-all, #qcld-wootab-more-two").attr('data-offset', response.offset);
                content_warppers.find("#qcld-wootab-scroll,#qcld-wootab-more-two-all, #qcld-wootab-more-two").attr('data-tag', data_tag);

                if (response.offset == -1) {
                    $("#qcld-wootab-scroll,#qcld-wootab-more-two-all, #qcld-wootab-more-two").css({'display': 'none'});

                }else {
                    $("#qcld-wootab-scroll,#qcld-wootab-more-two-all, #qcld-wootab-more-two").css({'display': 'block','margin': '0 auto'});
                }

            }else if(theme_name == 'theme-three'){
              
                if (response.html == '') {
                    content_warppers.find('.wootabs').html('<p style=" text-align:center; color: #F57E80; font-weight: bold; padding: 0 0 0 0; margin: 0 auto;">' + product_not_found_text +
                        '</p>');
                } else {
                    content_warppers.find('.wootabs').html(response.html);
                }

                content_warppers.find("#qcld-wootab-scroll,#qcld-wootab-more-three-all, #qcld-wootab-more-three").attr('data-offset', response.offset);
                content_warppers.find("#qcld-wootab-scroll,#qcld-wootab-more-three-all, #qcld-wootab-more-three").attr('data-tag', data_tag);

                if (response.offset == -1) {
                    $("#qcld-wootab-scroll,#qcld-wootab-more-three-all, #qcld-wootab-more-three").css({'display': 'none'});

                }else {
                    $("#qcld-wootab-scroll,#qcld-wootab-more-three-all, #qcld-wootab-more-three").css({'display': 'block','margin': '0 auto'});
                }

            }else if(theme_name == 'theme-five'){
              
                if (response.html == '') {
                    content_warppers.find('.theme-five').html('<p style=" text-align:center; color: #F57E80; font-weight: bold; padding: 0 0 0 0; margin: 0 auto;">' + product_not_found_text +
                        '</p>');
                } else {
                    content_warppers.find('.theme-five').html(response.html);
                }

                content_warppers.find("#qcld-wootab-scroll,#qcld-wootab-more-five-all, #qcld-wootab-more-five").attr('data-offset', response.offset);
                content_warppers.find("#qcld-wootab-scroll,#qcld-wootab-more-five-all, #qcld-wootab-more-five").attr('data-tag', data_tag);

                if (response.offset == -1) {
                    $("#qcld-wootab-scroll,#qcld-wootab-more-five-all, #qcld-wootab-more-five").css({'display': 'none'});

                }else {
                    $("#qcld-wootab-scroll,#qcld-wootab-more-five-all, #qcld-wootab-more-five").css({'display': 'block','margin': '0 auto'});
                }

            }else if(theme_name == 'theme-six'){
              
                if (response.html == '') {
                    content_warppers.find('.theme-six').html('<p style=" text-align:center; color: #F57E80; font-weight: bold; padding: 0 0 0 0; margin: 0 auto;">' + product_not_found_text +
                        '</p>');
                } else {
                    content_warppers.find('.theme-six').html(response.html);
                }

                content_warppers.find("#qcld-wootab-scroll,#qcld-wootab-more-six-all, #qcld-wootab-more-six").attr('data-offset', response.offset);
                content_warppers.find("#qcld-wootab-scroll,#qcld-wootab-more-six-all, #qcld-wootab-more-six").attr('data-tag', data_tag);

                if (response.offset == -1) {
                    $("#qcld-wootab-scroll,#qcld-wootab-more-six-all, #qcld-wootab-more-six").css({'display': 'none'});

                }else {
                    $("#qcld-wootab-scroll,#qcld-wootab-more-six-all, #qcld-wootab-more-six").css({'display': 'block','margin': '0 auto'});
                }

            }else if(theme_name == 'theme-seven'){
              
                if (response.html == '') {
                    content_warppers.find('.theme-seven').html('<p style=" text-align:center; color: #F57E80; font-weight: bold; padding: 0 0 0 0; margin: 0 auto;">' + product_not_found_text +
                        '</p>');
                } else {
                    content_warppers.find('.theme-seven').html(response.html);
                }

                content_warppers.find("#qcld-wootab-scroll,#qcld-wootab-more-seven-all, #qcld-wootab-more-seven").attr('data-offset', response.offset);
                content_warppers.find("#qcld-wootab-scroll,#qcld-wootab-more-seven-all, #qcld-wootab-more-seven").attr('data-tag', data_tag);

                if (response.offset == -1) {
                    $("#qcld-wootab-scroll,#qcld-wootab-more-seven-all, #qcld-wootab-more-seven").css({'display': 'none'});

                }else {
                    $("#qcld-wootab-scroll,#qcld-wootab-more-seven-all, #qcld-wootab-more-seven").css({'display': 'block','margin': '0 auto'});
                }

            }else if(theme_name == 'theme-eight'){
              
                if (response.html == '') {
                    content_warppers.find('.theme-eight').html('<p style=" text-align:center; color: #F57E80; font-weight: bold; padding: 0 0 0 0; margin: 0 auto;">' + product_not_found_text +
                        '</p>');
                } else {
                    content_warppers.find('.theme-eight').html(response.html);
                }

                content_warppers.find("#qcld-wootab-scroll,#qcld-wootab-more-eight-all, #qcld-wootab-more-eight").attr('data-offset', response.offset);
                content_warppers.find("#qcld-wootab-scroll,#qcld-wootab-more-eight-all, #qcld-wootab-more-eight").attr('data-tag', data_tag);

                if (response.offset == -1) {
                    $("#qcld-wootab-scroll,#qcld-wootab-more-eight-all, #qcld-wootab-more-eight").css({'display': 'none'});

                }else {
                    $("#qcld-wootab-scroll,#qcld-wootab-more-eight-all, #qcld-wootab-more-eight").css({'display': 'block','margin': '0 auto'});
                }

            }else if(theme_name == 'theme-nine'){
              
                if (response.html == '') {
                    content_warppers.find('.theme-nine').html('<p style=" text-align:center; color: #F57E80; font-weight: bold; padding: 0 0 0 0; margin: 0 auto;">' + product_not_found_text +
                        '</p>');
                } else {
                    content_warppers.find('.theme-nine').html(response.html);
                }

                content_warppers.find("#qcld-wootab-scroll,#qcld-wootab-more-nine-all, #qcld-wootab-more-nine").attr('data-offset', response.offset);
                content_warppers.find("#qcld-wootab-scroll,#qcld-wootab-more-nine-all, #qcld-wootab-more-nine").attr('data-tag', data_tag);

                if (response.offset == -1) {
                    $("#qcld-wootab-scroll,#qcld-wootab-more-nine-all, #qcld-wootab-more-nine").css({'display': 'none'});

                }else {
                    $("#qcld-wootab-scroll,#qcld-wootab-more-nine-all, #qcld-wootab-more-nine").css({'display': 'block','margin': '0 auto'});
                }

            }else if(theme_name == 'theme-eleven'){
              
                if (response.html == '') {
                    $('.qc_theme_eleven').html('<p style=" text-align:center; color: #F57E80; font-weight: bold; padding: 0 0 0 0; margin: 0 auto;">' + product_not_found_text +
                        '</p>');
                } else {
                    $('.qc_theme_eleven').html(response.html);
                }

                $("#qcld-wootab-scroll,#qcld-wootab-more-eleven-all, #qcld-wootab-more-eleven").attr('data-offset', response.offset);
                $("#qcld-wootab-scroll,#qcld-wootab-more-eleven-all, #qcld-wootab-more-eleven").attr('data-tag', data_tag);

                if (response.offset == -1) {
                    $("#qcld-wootab-scroll,#qcld-wootab-more-eleven-all, #qcld-wootab-more-eleven").css({'display': 'none'});

                }else {
                    $("#qcld-wootab-scroll,#qcld-wootab-more-eleven-all, #qcld-wootab-more-eleven").css({'display': 'block','margin': '0 auto'});
                }

            }


        });


        var tab_id = $(this).attr('data-tab');


    });


    // Template twelve slider ajax ...

    //$(document).on('click', 'ul.tabs-slider li, ul.tabs-slider li a', function () {
    $(document).on('click', 'ul.tabs-slider li, ul.tabs-slider li a', function (e) {

        e.preventDefault();
        var currentDom = $(this);
  
        var content_warppers = currentDom.closest('.woo_tab_container');

        content_warppers.find('.theme-twelve').html('<div class="loader" style="width:50px; padding: 0 50px 0 0; margin: 0 auto; display:block;">');
        if( $( '.theme-twelve .loader' ).length && qcld_woo_tabbed_change_loading_image == 1 ) {
         
            var css = '<style>.theme-twelve .loader::after,.loader::before{content: none !important;} </style>';
            document.head.insertAdjacentHTML( 'beforeEnd', css );
            content_warppers.find(".theme-twelve .loader").css({"background":" url("+qcld_woo_tabbed_board_bg_path+") no-repeat center center","background-size": "cover", "width": "200px", "height": "200px", "padding": "0px 0px 0px 0px"});

        }

        var cat_id = currentDom.attr('data-cat-id');
        var offset = currentDom.attr('data-offset');
        var show_sale = currentDom.attr('data-show-sale');
        var feature_only = currentDom.attr('data-feature-only');
        var cat_parameter = currentDom.attr('data-cat-attr');
        var link_title_to_modal = currentDom.attr('title-modal');
        var data = {
            'cat_id': cat_id,
            'offset': offset,
            'show_sale': show_sale,
            'feature_only': feature_only,
            'data_cat_parameter': cat_parameter,
            'link_title_to_modal' : link_title_to_modal,
            'action': 'get_products_by_cat_short_theme_slider',
        };

        jQuery.post(ajaxurl, data, function (response) {

            if (response.html == '') {
                content_warppers.find('.theme-twelve').html('<p style=" text-align:center; color: #F57E80; font-weight: bold; padding: 0 0 0 0; margin: 0 auto;">' + product_not_found_text +
                    '</p>');
            } else {
                content_warppers.find('.theme-twelve').html(response.html);
            }

            content_warppers.find('ul.tabs li').removeClass('current');
            content_warppers.find('.tab-content').removeClass('current');
            currentDom.addClass('current');

            var slider_center_mode = (qcld_twelve_slick_slider_center_mode == "enable") ? true : false;
            var slider_infinity_mode = (qcld_twelve_slick_slider_center_mode == "enable") ? false : true;
            //var qc_slick_rtl_support = (qc_slick_rtl_support == "false") ? false : true;

            

                $('.qcld_template_slide_carousel').not('.slick-initialized').slick({
                    speed: 500,
                    slidesToShow: qcld_twelve_slick_slider_number,
                    slidesToScroll: 1,
                    autoplay: true,
                    autoplaySpeed: 2000,
                    dots:false,
                    centerMode: slider_center_mode,
                    rtl: (qc_slick_rtl_support == "true") ? true : false,
                    infinite: slider_infinity_mode,
                    responsive: [{
                      breakpoint: 1024,
                      settings: {
                        slidesToShow: 3,
                        slidesToScroll: 1,

                      }

                    }, {
                      breakpoint: 800,
                      settings: {
                        centerMode: false,
                        slidesToShow: 2,
                        slidesToScroll: 2,
                        dots: false,
                        infinite: true,

                      }
                    },  {
                      breakpoint: 481,
                      settings: {
                        centerMode: false,
                        slidesToShow: 1,
                        slidesToScroll: 1,
                        dots: false,
                        infinite: true,
                        autoplay: true,
                        autoplaySpeed: 2000,
                      }
                    }]
                  });


             

            });
        if( qc_scroll_category_clickable == 'enable' ){

            var currentDom = $(this);
            var content_warppers = currentDom.closest('.woo_tab_container');
            var scroll_each_wrap = content_warppers.find('.tab-content');

            if(scroll_each_wrap.length >0){
                $('html,body').animate( { scrollTop: $(scroll_each_wrap).offset().top}, 300 );
            }


        }

        return false;
    });



    $(document).ready(WootabbedcreateDropdownTab);
    $(window).resize(WootabbedcreateDropdownTab);

    $(document).on("click", ".qcld-woo-category-toggle-view .tabs li.qcld_all_tab", function (event) {
        event.preventDefault();
        if ($(this).hasClass("qcld-all-active")) {
            $(this).removeClass("qcld-all-active");
            $(".qcld-woo-category-toggle-view .tabs li").not(".qcld_all_tab").css({ display: "none" });
        } else {
            $(this).addClass("qcld-all-active");
            $(".qcld-woo-category-toggle-view .tabs li").css({ display: "inline-block" });
        }
    });

    $(document).on('click','.qcld-woo-category-toggle-view .tabs li:not(.qcld_all_tab), .qcld-woo-category-toggle-view .tabs li:not(.qcld_all_tab) a',function(event) {
        
        if(qcld_woo_tabbed_show_category_dropdown == 'on'){

            $('.qcld-woo-category-toggle-view .tabs li.qcld_all_tab').removeClass("qcld-all-active");
            $(".qcld-woo-category-toggle-view .tabs li").not(".qcld_all_tab").css({ display: "none" });
        
        }


    }); 

    /* Theme Three */  

    $(document).on("click", ".qcld-woo-category-toggle-view .wotabs_style2 li.qcld_all_tab", function (event) {
        event.preventDefault();
        if ($(this).hasClass("qcld-all-active")) {
            $(this).removeClass("qcld-all-active");
            $(".qcld-woo-category-toggle-view .wotabs_style2 li").not(".qcld_all_tab").css({ display: "none" });
        } else {
            $(this).addClass("qcld-all-active");
            $(".qcld-woo-category-toggle-view .wotabs_style2 li").css({ display: "inline-block" });
        }
    });

    $(document).on('click','.qcld-woo-category-toggle-view .wotabs_style2 li:not(.qcld_all_tab)',function(event) {
        
        if(qcld_woo_tabbed_show_category_dropdown == 'on'){

            $('.qcld-woo-category-toggle-view .wotabs_style2 li.qcld_all_tab').removeClass("qcld-all-active");
            $(".qcld-woo-category-toggle-view .wotabs_style2 li").not(".qcld_all_tab").css({ display: "none" });
        
        }


    });    

    /* Theme seven */  

    $(document).on("click", ".qcld-woo-category-toggle-view .tabs12 li.qcld_all_tab", function (event) {
        event.preventDefault();
        if ($(this).hasClass("qcld-all-active")) {
            $(this).removeClass("qcld-all-active");
            $(".qcld-woo-category-toggle-view .tabs12 li").not(".qcld_all_tab").css({ display: "none" });
        } else {
            $(this).addClass("qcld-all-active");
            $(".qcld-woo-category-toggle-view .tabs12 li").css({ display: "inline-block" });
        }
    });

    $(document).on('click','.qcld-woo-category-toggle-view .tabs12 li:not(.qcld_all_tab)',function(event) {
        
        if(qcld_woo_tabbed_show_category_dropdown == 'on'){

            $('.qcld-woo-category-toggle-view .tabs12 li.qcld_all_tab').removeClass("qcld-all-active");
            $(".qcld-woo-category-toggle-view .tabs12 li").not(".qcld_all_tab").css({ display: "none" });
        
        }


    });     

    /* Theme nine */  

    $(document).on("click", ".qcld-woo-category-toggle-view .qctabs_10 li.qcld_all_tab", function (event) {
        event.preventDefault();
        if ($(this).hasClass("qcld-all-active")) {
            $(this).removeClass("qcld-all-active");
            $(".qcld-woo-category-toggle-view .qctabs_10 li").not(".qcld_all_tab").css({ display: "none" });
        } else {
            $(this).addClass("qcld-all-active");
            $(".qcld-woo-category-toggle-view .qctabs_10 li").css({ display: "inline-block" });
        }
    });

    $(document).on('click','.qcld-woo-category-toggle-view .qctabs_10 li:not(.qcld_all_tab)',function(event) {
        
        if( qcld_woo_tabbed_show_category_dropdown == 'on' ){

            $('.qcld-woo-category-toggle-view .qctabs_10 li.qcld_all_tab').removeClass("qcld-all-active");
            $(".qcld-woo-category-toggle-view .qctabs_10 li").not(".qcld_all_tab").css({ display: "none" });
        
        }


    });    

    /* Theme eleven */  

    $(document).on("click", ".qcld-woo-category-toggle-view .qc-wootabs-nav li.qcld_all_tab", function (event) {
        event.preventDefault();
        if ($(this).hasClass("qcld-all-active")) {
            $(this).removeClass("qcld-all-active");
            $(".qcld-woo-category-toggle-view .qc-wootabs-nav li").not(".qcld_all_tab").css({ display: "none" });
        } else {
            $(this).addClass("qcld-all-active");
            $(".qcld-woo-category-toggle-view .qc-wootabs-nav li").css({ display: "inline-block" });
        }
    });

    $(document).on('click','.qcld-woo-category-toggle-view .qc-wootabs-nav li:not(.qcld_all_tab)',function(event) {
        
        if(qcld_woo_tabbed_show_category_dropdown == 'on'){

            $('.qcld-woo-category-toggle-view .qc-wootabs-nav li.qcld_all_tab').removeClass("qcld-all-active");
            $(".qcld-woo-category-toggle-view .qc-wootabs-nav li").not(".qcld_all_tab").css({ display: "none" });
        
        }


    });                                 
    
    
    function WootabbedcreateDropdownTab(){

        var ps = $(".woo_tab_container");

        if( ps.outerWidth() > 100 && ps.outerWidth() < 480 ){

            if(qcld_woo_tabbed_show_category_dropdown == 'on'){

                $('.woo_tab_container').filter('.slick-initialized').slick("unslick");
                $('.woo_tab_container').addClass("qcld-woo-category-toggle-view");
                $('.qcld-woo-category-toggle-view .tabs li.current').addClass("qcld_all_tab");
                $(".qcld-woo-category-toggle-view .tabs li").not(".current").css({ display: "none" });

                /* theme three */
                $('.qcld-woo-category-toggle-view .wotabs_style2 li.current').addClass("qcld_all_tab");
                $(".qcld-woo-category-toggle-view .wotabs_style2 li").not(".current").css({ display: "none" });
                
                /* theme six */
                $('.qcld-woo-category-toggle-view ul.qc_theme_six li').first().addClass("qcld_all_tab");
                $(".qcld-woo-category-toggle-view ul.qc_theme_six li").not(".active").css({ display: "none" });
                $('.qcld-woo-category-toggle-view ul.qc_theme_six li.qcld_all_tab').css({ display: "block" });
                
                /* theme seven */
                $('.qcld-woo-category-toggle-view ul.tabs12  li').first().addClass("qcld_all_tab");
                $(".qcld-woo-category-toggle-view ul.tabs12  li").not(".current").css({ display: "none" });
                $('.qcld-woo-category-toggle-view ul.tabs12  li.qcld_all_tab').css({ display: "block" });
                
                /* theme nine */
                $('.qcld-woo-category-toggle-view ul.qctabs_10 li').first().addClass("qcld_all_tab");
                $(".qcld-woo-category-toggle-view ul.qctabs_10 li").not(".current").css({ display: "none" });
                $('.qcld-woo-category-toggle-view ul.qctabs_10 li.qcld_all_tab').css({ display: "block" });
                
                /* theme eleven */
                $('.qcld-woo-category-toggle-view ul.qc-wootabs-nav li').first().addClass("qcld_all_tab");
                $(".qcld-woo-category-toggle-view ul.qc-wootabs-nav li").not(".current").css({ display: "none" });
                $('.qcld-woo-category-toggle-view ul.qc-wootabs-nav li.qcld_all_tab').css({ display: "block" });
            }

        }else{

            if(qcld_woo_tabbed_show_category_dropdown == 'on'){

                $('.woo_tab_container').removeClass("qcld-woo-category-toggle-view");
            }

        }
            

    }

    $(document).on('mouseover','.qcld-product-has-gallery',function(event) {
        event.preventDefault();
        var currentDom = $( this );
        currentDom.find( '.qcld-secondary-image' ).removeClass( 'fadeOut' ).addClass( 'animated fadeIn' );
        if( currentDom.find( '.qcld-secondary-image' ).length > 0 ){
            //currentDom.find( 'img:first' ).css({ "opacity" : '0'});
            currentDom.find('img').first().css({ "opacity" : '0'});
            currentDom.find( '.qc-tabs-style13-hover img:first' ).css({ "opacity" : '0'});
        }
        return false;
    });

    $(document).on('mouseout','.qcld-product-has-gallery',function(event) {
        event.preventDefault();
        var currentDom = $( this );
        currentDom.find( '.qcld-secondary-image' ).removeClass( 'fadeIn' ).addClass( 'fadeOut' );
        if( currentDom.find( '.qcld-secondary-image' ).length > 0 ){
            //currentDom.find( 'img:first' ).css({ "opacity" : '1'});
            currentDom.find('img').first().css({ "opacity" : '1'});
            currentDom.find( '.qc-tabs-style13-hover  img:first' ).css({ "opacity" : '1'});
        }
        return false;
        
    });




    var qcld_height = $(".qcld_children_sep_wrap.qcld_current").height() + 75; 
    var qcld_margin = $(".qcld_children_sep_wrap.qcld_current").height(); 
    $('.qcld_category_sep_wrap').css({'min-height': qcld_height +'px','margin-bottom': qcld_margin +'px' });
    $('.qcld_children_sep_wrap.qcld_current').css({'bottom': - qcld_margin +'px' });

    $(document).on('click', 'ul.qcld_category_sep_wrap li, ul.qcld_category_sep_wrap li a', function (e) {
       // alert('hello');
       e.preventDefault();

        var currentDoms = $(this);
        if( currentDoms.closest('.qcld_children_sep_wrap').length ) {
            var parent_div = currentDoms.closest('.qcld_children_sep_wrap').attr('data-tab');
            $('.qcld_children_sep_wrap ul li,.qcld_children_sep_wrap ul li a').removeClass('current');
            currentDoms.addClass('current');
            currentDoms.closest('.qcld_category_sep_wrap').find("[data-tab='" + parent_div + "']").addClass('current'); 
        }
        if( ! currentDoms.closest('.qcld_children_sep_wrap').length ) {
            var tab_id = currentDoms.attr('data-tab');
            $('.qcld_children_sep_wrap').removeClass('qcld_current');
            $(".qcld_children_sep_wrap."+tab_id ).addClass('qcld_current');

            var qcld_height = $(".qcld_children_sep_wrap."+tab_id).height() + 100; 
            var qcld_margin = $(".qcld_children_sep_wrap."+tab_id).height() ? $(".qcld_children_sep_wrap."+tab_id).height() : 15; 

            $('.qcld_category_sep_wrap').css({'min-height': qcld_height +'px','margin-bottom': qcld_margin +'px' });
            $('.qcld_children_sep_wrap.qcld_current').css({'bottom': - qcld_margin +'px' });

             
        }

    });




});


})(jQuery);
