<?php
define('woo_tabbed_LICENSING_PLUGIN_SLUG', 'woo-tabbed-category-pro/woo-tabbed-category-product-listing.php');
define('woo_tabbed_LICENSING_PLUGIN_NAME', 'woo-tabbed-category-pro');
define('woo_tabbed_LICENSING__DIR', plugin_dir_path(__DIR__));

define('woo_tabbed_LICENSING_REMOTE_PATH', 'https://www.ultrawebmedia.com/li/plugins/woo-tabbed-category-pro/update.php');
define('woo_tabbed_LICENSING_PRODUCT_DEV_URL', 'https://quantumcloud.com/products/');

//start new-update-for-codecanyon
define('woo_tabbed_ENVATO_PLUGIN_ID', 20568224);
//end new-update-for-codecanyon

function get_woo_tabbed_licensing_plugin_data(){
	include_once(ABSPATH.'wp-admin/includes/plugin.php');
	return get_plugin_data(woo_tabbed_LICENSING__DIR.'/woo-tabbed-category-product-listing.php', false);
}

//License Options
function get_woo_tabbed_licensing_key(){
	return get_option('qcld_woo_tabbed_enter_license_key');
}

function get_woo_tabbed_envato_key(){
	return get_option('qcld_woo_tabbed_enter_envato_key');
}

function get_woo_tabbed_licensing_buy_from(){
	return get_option('qcld_woo_tabbed_buy_from_where');
}


//Update Transients
function get_woo_tabbed_update_transient(){
	return get_transient('qcld_update_woo_tabbed');
}

function set_woo_tabbed_update_transient($plugin_object){
	return set_transient( 'qcld_update_woo_tabbed', serialize($plugin_object), 1 * DAY_IN_SECONDS  );
}

function delete_woo_tabbed_update_transient(){
	return delete_transient( 'qcld_update_woo_tabbed' );
}


//Renewal Transients
function get_woo_tabbed_renew_transient(){
	return get_transient('qcld_renew_woo_tabbed_subscription');
}

function set_woo_tabbed_renew_transient($plugin_object){
	return set_transient( 'qcld_renew_woo_tabbed_subscription', serialize($plugin_object), 1 * DAY_IN_SECONDS  );
}

function delete_woo_tabbed_renew_transient(){
	return delete_transient( 'qcld_renew_woo_tabbed_subscription' );
}


//Invalid License Options
function get_woo_tabbed_invalid_license(){
	return get_option('woo_tabbed_invalid_license');
}

function set_woo_tabbed_invalid_license(){
	return update_option('woo_tabbed_invalid_license', 1);
}

function delete_woo_tabbed_invalid_license(){
	return delete_option('woo_tabbed_invalid_license');
}
function woo_tabbed_get_licensing_url(){
	return admin_url('admin.php?page=woo-tab');
}

//Valid License
function get_woo_tabbed_valid_license(){
	return get_option('woo_tabbed_valid_license');
}
function set_woo_tabbed_valid_license(){
	return update_option('woo_tabbed_valid_license', 1);
}
function delete_woo_tabbed_valid_license(){
	return delete_option('woo_tabbed_valid_license');
}

//staging or live 
function get_woo_tabbed_site_type(){
	return get_option('qcld_woo_tabbed_site_type');
}



//start new-update-for-codecanyon
function get_woo_tabbed_license_purchase_code(){
	return get_option('qcld_woo_tabbed_enter_license_or_purchase_key');
}

function get_woo_tabbed_enter_license_notice_dismiss_transient(){
	return get_transient('get_woo_tabbed_enter_license_notice_dismiss_transient');
}

function set_woo_tabbed_enter_license_notice_dismiss_transient(){
	return set_transient('get_woo_tabbed_enter_license_notice_dismiss_transient', 1, DAY_IN_SECONDS);
}

function get_woo_tabbed_invalid_license_notice_dismiss_transient(){
	return get_transient('get_woo_tabbed_invalid_license_notice_dismiss_transient');
}

function set_woo_tabbed_invalid_license_notice_dismiss_transient(){
	return set_transient('get_woo_tabbed_invalid_license_notice_dismiss_transient', 1, DAY_IN_SECONDS);
}
//end new-update-for-codecanyon