<?php 

defined('ABSPATH') or die("No direct script access!");

// Product details
add_action('wp_ajax_qcld_wootab_product_details', 'qcld_wootab_product_details');
add_action('wp_ajax_nopriv_qcld_wootab_product_details', 'qcld_wootab_product_details');

function qcld_wootab_product_details(){
    // $product_id=$_POST['product_id'];
    $qcld_express_options   = get_option('qcld_express_options');

    $add_to_cart_text = get_option('change_add_to_cart_button_text');

    $qcld_express_lightbox_add_to_cart_button   = $qcld_express_options['qcld_express_lightbox_add_to_cart_button'];
   
    $p_id = trim($_POST['product_id']);
    $inStock = "<strong>InStock</strong>";
    //Woocommerce product factory
    $wc_pf = new WC_Product_Factory();
    $product = wc_get_product($p_id);
    //Getting product variation number based details

    $qcld_thumb = wp_get_attachment_image_src(get_post_thumbnail_id($p_id), 'shop_thumbnail');
    $qcld_large = wp_get_attachment_image_src( get_post_thumbnail_id( $p_id ), 'single-post-thumbnail' );

    if (!empty($qcld_thumb)) {
            $image = $qcld_thumb;
            $image_large =$qcld_large;
    } else {
        $image[0] = QC_WOO_TAB_IMAGE_URL . '/placeholder.png';
        $image_large[0]=QC_WOO_TAB_IMAGE_URL.'/placeholder.png';
    }
    

   // if($product->is_type( 'variation' ) ) {
    if($product->get_type()=='variable' ){

    //Attributes for vaiable product to display.
    $attributes = $product->get_attributes();
    $var_attrs = $product->get_variation_attributes();
    $varation_names=array();
       if(!empty($var_attrs)){
           foreach ($var_attrs as $key=>$value){
               array_push($varation_names,$key);
           }
       }
    $debug=$varation_names;
    }
   $attachment_ids = $product->get_gallery_image_ids();
    ob_start();
   ?>

            <div class="qcld_wootab-product-details">
            <div class="qcld-express-quick-left">
            <?php
            //$attachment_ids = $product->get_gallery_attachment_ids();
            ?>
            
                <div class="qcld-express-product-img"><div class="clearfix" style="max-width:100%">
                    <ul id="image-gallery" class="gallery  list-unstyled cS-hidden">
                        <li data-thumb="<?php echo $image_large[0]; ?>">
                            <img  src="<?php echo $image_large[0]; ?>" alt="<?php echo get_the_title($p_id); ?>" />
                        </li>
                        <?php
                            foreach( $attachment_ids as $attachment_id ) {
                                $image_link = wp_get_attachment_url( $attachment_id, 'shop_thumbnail' );
                        ?>
                        <li data-thumb="<?php echo $image_link; ?>">
                            <img src="<?php echo $image_link; ?>" alt="<?php echo get_the_title($p_id); ?>"/>
                        </li>
                        <?php } ?>
                    </ul>
                    </div></div>
             
                </div>
            <div class="qcld-express-quick-right">

                <h2 id='qcld_epress_product_title' ><?php echo $product->get_title(); ?></h2>
                <?php
                
                $rating_count = $product->get_rating_count();
  
                if ($average = $product->get_average_rating()) :
                    ?>
                <ul class="woocommerce"><li>
                    <div class="star-rating" title="<?php echo sprintf(__( 'Rated %s out of 5', 'woocommerce' ), $average); ?>"><span style="width:<?php echo ( ( $average / 5 ) * 100 ); ?>%"><strong itemprop="ratingValue" class="rating"><?php echo $average; ?></strong><?php echo __( 'out of 5', 'woocommerce' ); ?></span></div>
            </li></ul>
            <?php  endif; ?>
            <p class="qcld-express-popup-price" id="qcld_express_vp_price"><?php echo $product->get_price_html(); ?></p>
            <div class="woocommerce-product-details__short-description">
                <p><?php echo strip_tags(get_the_excerpt($p_id)); ?></p>
            </div>

                <p class="qcld-express-product-cat"> 
                    <?php  echo  wc_get_product_category_list( $product->get_id(), ', ', '<span class="posted_in">' . _n( 'Category:', 'Categories:', count( $product->get_category_ids() ), 'woocommerce' ) . ' ', '</span>' );

            $stock = get_post_meta( $p_id, '_stock', true );
            $stock_status = get_post_meta( $p_id, '_stock_status', true );

            if( ($stock > 0 || $stock == '')  && $stock_status == "instock" ){

        
                if($product->get_type()=='variable' ){

                    //natsort($values);
                    if($qcld_express_lightbox_add_to_cart_button != 'on'){


                    global $woocommerce;

                    $suffix      = defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ? '' : '.min';

                   

                    global $post;
                    if(intval($p_id)) {

                       wp('p=' . $p_id . '&post_type=product');
                       
                        while (have_posts()) : the_post();
                        ?>
                            <script>
                                var wc_add_to_cart_variation_params = {"ajax_url": "\/wp-admin\/admin-ajax.php"};
                                jQuery.getScript("<?php echo $woocommerce->plugin_url(); ?>/assets/js/frontend/add-to-cart-variation.min.js");

                            </script>
                            <div class="express-shop-product-variation-container">


                                 <div class="product">

                                    <div id="product-<?php the_ID(); ?>" <?php post_class('product'); ?>>
                                        <?php 
                                            do_action('qcld_express_product_variations'); 
                                        ?>



                                    </div>
                                </div>
                            </div>




                     <?php

                        endwhile;
                    }


                        }
               
        
            }else{

                $stock = get_post_meta( get_the_ID(), '_stock', true );
                $stock_status = get_post_meta( get_the_ID(), '_stock_status', true );

                if($qcld_express_lightbox_add_to_cart_button != 'on'){

                     $qc_woo_tabbed_cart_summary = get_option('qc_woo_tabbed_cart_summary_position');
                    if(isset($qc_woo_tabbed_cart_summary) && $qc_woo_tabbed_cart_summary == 'wooinstantcart' ){
                     global $woocommerce;

                    $suffix      = defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ? '' : '.min';

                    global $post;
                    if(intval($p_id)) {

                       wp('p=' . $p_id . '&post_type=product');
                       
                        while (have_posts()) : the_post();
                        ?>
                            <script>
                                var wc_add_to_cart_variation_params = {"ajax_url": "\/wp-admin\/admin-ajax.php"};
                                jQuery.getScript("<?php echo $woocommerce->plugin_url(); ?>/assets/js/frontend/add-to-cart-variation.min.js");

                            </script>
                            <div class="express-shop-product-variation-container">


                                 <div class="product">

                                    <div id="product-<?php the_ID(); ?>" <?php post_class('product'); ?>>
                                        <?php 
                                            do_action('qcld_express_product_variations'); 
                                        ?>

                                    </div>
                                </div>
                            </div>

                     <?php

                        endwhile;
                    }
               }else{ ?>
                <div class="qcld-express-carts-sec">
                    <div class="qcld-express-quantity qcld-woo-tabbed-quantity">
                        <button class="qcld-express-qty-decrease" type="button">-</button>
                        <input type="text" value="1" step="1" min="1" max="" id="qcld_quantity_value" name="qcld_quantity" class="qcld-express-simple-p-qnty qty " size="4">
                        <button class="qcld-express-qty-increase" type="button">+</button>
                    </div>
                    <a class="qcld_express_s_p_pop qcld_express_button"  p-id="<?php echo $p_id; ?>" p-price="<?php echo $product->get_price(); ?>" >
                        <?php  
                            if (!empty($add_to_cart_text)) {
                                $anchorText = $add_to_cart_text;
                            } else {
                                $anchorText = "Add To Cart";
                            }
                            esc_html_e( $anchorText, 'woo-tabbed-category' );
                            ?>
                    </a></div>
                <?php
                    }
                }

            }

        }else{
            ?>
                <p class="qcld-express-out-of-stock"><?php esc_html_e( 'Out of Stock', 'woo-tabbed-category' ); ?><p>
            <?php
        }

            if($product->get_sku() != ''){
                ?>
                <div class="product_meta">
                    <span class="posted_in"><p class="qcld-express-popup-sku"> SKU : <?php echo $product->get_sku(); ?></p></span>
                </div>

            <?php } ?>
            </div></div>
            <?php

    echo  ob_get_clean();
    exit();

}




//Single Product Add To Cart
add_action('wp_ajax_woo_sp_add_to_cart', 'qcld_wootab_sp_add_to_cart');
add_action('wp_ajax_nopriv_woo_sp_add_to_cart', 'qcld_wootab_sp_add_to_cart');


function qcld_wootab_sp_add_to_cart()
{
    // $product_id = $_POST['p_id'];
    $product_id = apply_filters( 'woocommerce_add_to_cart_product_id', absint( $_POST['p_id'] ) );

    $product_quantity = empty( $_POST['quantity'] ) ? 1 : apply_filters( 'woocommerce_stock_amount', $_POST['quantity'] );

    global $woocommerce;
    $result = $woocommerce->cart->add_to_cart($product_id, $product_quantity);
    if ($result != false) {
        echo wp_send_json('simple');
    } else {
        echo wp_send_json('error');
    }
    wp_die();
}


//Show item after removing from cart page.
add_action('wp_ajax_global_cart_item_remove', 'qcld_woo_tabbled_global_cart_item_remove');
add_action('wp_ajax_nopriv_global_cart_item_remove', 'qcld_woo_tabbled_express_global_cart_item_remove');
function qcld_woo_tabbled_global_cart_item_remove(){
    //getting cart items n
    global $woocommerce;
    $cart_item_key  = $_POST['cart_item'];
    $result         = $woocommerce->cart->remove_cart_item($cart_item_key);
    echo wp_send_json($result);
    wp_die();
}



//Show cart after adding product to cart.
add_action('wp_ajax_show_cart_info', 'qcld_woo_tabbled_show_cart_info');
add_action('wp_ajax_nopriv_show_cart_info', 'qcld_woo_tabbled_show_cart_info');
function qcld_woo_tabbled_show_cart_info(){
    $html = '';
    $qcld_express_options           = get_option('qcld_express_options');
    $qcld_express_lang_title        = $qcld_express_options['qcld_express_lang_title'];
    $qcld_express_lang_quantity     = $qcld_express_options['qcld_express_lang_quantity'];
    $qcld_express_lang_price        = $qcld_express_options['qcld_express_lang_price'];
    $qcld_express_lang_no_products  = $qcld_express_options['qcld_express_lang_no_products'];
    $qcld_express_lang_cart_total   = $qcld_express_options['qcld_express_lang_cart_total'];
    $qcld_express_lang_items        = $qcld_express_options['qcld_express_lang_items'];

    global $woocommerce;
    $items = $woocommerce->cart->get_cart();
    $itemCount = count($items);
    if ($itemCount >= 1) {
        $html .= '<div class ="qcld-woo-tabbed-table">';
        $html .= '<div class="qcld-woo-tabbed-row"><div class="qcld-woo-tabbed-cell">';
        if(isset($qcld_express_lang_title) && $qcld_express_lang_title != '' ){
            $html .= $qcld_express_lang_title;
        }else{
            $html .= 'Title';
        }
        $html .='</div><div class="qcld-woo-tabbed-cell">';
        if(isset($qcld_express_lang_quantity) && $qcld_express_lang_quantity != '' ){
            $html .= $qcld_express_lang_quantity;
        }else{
            $html .= 'Quantity';
        }
        $html .='</div><div class="qcld-woo-tabbed-cell">';
        if(isset($qcld_express_lang_price) && $qcld_express_lang_price != '' ){
            $html .= $qcld_express_lang_price;
        }else{
            $html .= 'Price';
        }
        $html .='</div></div>';
        foreach ($items as $item => $values) {
            $_product = apply_filters('woocommerce_cart_item_product', $values['data'], $values, $item);
            //product image
            $getProductDetail = wc_get_product($values['product_id']);
            $price = get_post_meta($values['product_id'], '_price', true);

            $html .= '<div class="qcld-woo-tabbed-row">
                        <div class="qcld-woo-tabbed-cell qcld-woo-tabbed-title-cell"> <h3 class="qcld-woo-tabbed-title">';
                            
                                               
                        $product_permalink = apply_filters( 'woocommerce_cart_item_permalink', $_product->is_visible() ? $_product->get_permalink( $values ) : '', $values, $item );
                        $product_name =  apply_filters( 'woocommerce_cart_item_name', sprintf( '<a href="%s">%s</a>', esc_url( $product_permalink ), $_product->get_title() ), $values, $item );

                        $html .= '<p>'.$product_name.'</p>';

                        $attributes = '';

                        //Variation
                        $attributes .= $_product->is_type('variable') || $_product->is_type('variation') ? wc_get_formatted_variation($_product) : '';
                       

                        if($attributes){
                           $html .= $attributes;
                        }
                        $html.='</h3></div>';
                        $html .= '<div class="qcld-woo-tabbed-cell qcld-woo-tabbed-quantity-cell">';
            $html .= '<input class="qcld-cart-item-qnty" data-cart-item="'.$item.'" type="number" min="1" value="'.$values['quantity'].'"></div>';
            $html .= '<div class="qcld-woo-tabbed-cell qcld-woo-tabbed-price-cell"><span>' . apply_filters('woocommerce_cart_item_price', WC()->cart->get_product_price($_product), $values, $item) . '</span> <span data-cart-item="'.$item.'" class="qcld-remove-cart-item"> <i class="fa fa-trash"></i> </span></div> </div>';
        }
        if(isset($qcld_express_lang_items) && $qcld_express_lang_items != ''){
            $qcld_cart_items = $qcld_express_lang_items; 
        }else{
            $qcld_cart_items = 'items';
        }
            
        $html.='<div class="qcld-woo-tabbed-row">
                            <div class="qcld-woo-tabbed-cell"><strong>';
                            if(isset($qcld_express_lang_cart_total) && $qcld_express_lang_cart_total != '' ){
                                $html .= $qcld_express_lang_cart_total;
                            }else{
                                $html .= 'Total';
                            }
                        $html .='</strong></div>
                            <div class="qcld-woo-tabbed-cell">'. $itemCount.' '. $qcld_cart_items.'</div>
                            <div class="qcld-woo-tabbed-cell"><strong>'.$woocommerce->cart->get_cart_total().'</strong></div>
                        </div>';
        $html .= ' </div>';
    } else {
        // qcld_express_lang_cart_total
        if(isset($qcld_express_lang_no_products) && $qcld_express_lang_no_products != '' ){
            $html .= '<div class="qcld_no_cartprods">'.$qcld_express_lang_no_products.'</div>';
        }else{
            $html .= '<div class="qcld_no_cartprods">No products in the cart</div>';
        }
    }
    $response=array('html'=>$html,'items'=>$itemCount);
    echo wp_send_json($response);
    wp_die();
}