<?php defined('ABSPATH') or die("No direct script access!"); ?>


<div id="qcld_wootab-product-modal" class="mfp-hide white-popup-block animated flipInX">
    <div id="qcld_wootab-product">
        <h1>Loading...</h1>
    </div>
</div>

<?php 
wp_enqueue_style( 'qcld-woo-tabbed-all-category', QC_WOO_TAB_PLUGIN_URL . "templates/all-category-show/template.css");
?>

<?php 
 $qcld_rtl_support = '';
 $qc_woo_tabbed_display_rtl_support = get_option('qc_woo_tabbed_display_rtl_support');

 if(!empty($qc_woo_tabbed_display_rtl_support)){

    $qcld_rtl_support = 'dir=rtl';
 }

?>

<div class="qc-tabs-style1 qc-tabs-style1_new" <?php echo esc_attr($qcld_rtl_support); ?>>
    <div class="container-category-wrapper woo_tab_container">
        <div class="qcld-grid-sizer"></div>
        <?php
        
        // ob_start();
        global $qc_shortcode_parameters;
        $qc_shortcode_parameters = $atts;

        if(empty($qc_shortcode_parameters)){
            $qc_shortcode_parameters = array();
        }

        $category_ids = '';
        $show_sale = '';
        $link_title_to_modal = '';

        $shortcode_params = ($qc_shortcode_parameters);

        if (array_key_exists('featured-only', $shortcode_params)) {
            $featured_only = $shortcode_params['featured-only'];
        } else {
            $featured_only = '';
        }

        if (array_key_exists('category-ids', $shortcode_params)) {
            $category_ids = $shortcode_params['category-ids'];

            // convert the string into php array
            $category_ids = explode(',', $category_ids);

        } else {
            $category_ids = '';
        }

        if (array_key_exists('sale-only', $shortcode_params)) {
            $show_sale = $shortcode_params['sale-only'];
        } else {
            $show_sale = '';
        }

        if (array_key_exists('link_title_to_modal', $shortcode_params)) {
            $link_title_to_modal = $shortcode_params['link_title_to_modal'];
        } else {
            $link_title_to_modal = '';
        }

        $product_categories = unserialize(get_option('selected_categories'));
        $product_number = get_option('product_number');

        $category_orders = get_option('category_order');

        if($category_orders == 'menu_order'){

                $args = array(
                    'hide_empty'    => 1,
                    'order'         => 'asc',
                    'orderby'       => 'term_order',
                    'exclude'       => $product_categories,
                    'include'       => $category_ids,
                    'hierarchical'  => 0,
                    'parent'        => 0
                    );

        }else{

                $args = array(
                    'hide_empty'    => 1,
                    'order'         => get_option('category_order'),
                    'orderby'       => 'title',
                    'exclude'       => $product_categories,
                    'include'       => $category_ids,
                    'hierarchical'  => 0,
                    'parent'        => 0
                    );


        }

        
        $product_categories = get_terms('product_cat', $args);

        $categories_parameter = array();
        foreach($product_categories as $termsss){
            array_push($categories_parameter,$termsss->term_id);
        }
        $categories_all_pera = implode(',', $categories_parameter);


        foreach ($product_categories as $cat): 


                $post_per_page = 30;
                $show_featured_only = array('relation' => 'OR', array(
                    array(
                        'taxonomy' => 'product_cat',
                        'field' => 'term_id',
                        'terms' => $cat->term_id,
                        'operator' => 'IN'
                    ),
                    array(
                        'taxonomy' => 'product_visibility',
                        'field' => 'name',
                        'terms' => 'featured',
                        'operator' => 'IN'
                    )
                ));

                $show_sale_products_only = array('relation' => 'OR', array( // Simple products type
                    'key' => '_sale_price',
                    'value' => 0,
                    'compare' => '>',
                    'type' => 'numeric'
                ),
                    array( // Variable products type
                        'key' => '_min_variation_sale_price',
                        'value' => 0,
                        'compare' => '>',
                        'type' => 'numeric'
                    ));


                $sorting = '';
                $orderBy = get_option('qc_product_sort_type');
                if(get_option('qc_product_sort_type') == 'meta_value_num'){
                    $sorting = '_price';
                }
                if( get_option('qc_product_sort_type') == 'total_sales' ){
                    $sorting = 'total_sales';
                    $orderBy = 'meta_value_num';
                }
  
                $product_args = array(
                    'post_type' => 'product',
                    'posts_per_page' => $product_number,
                    'meta_key' => $sorting,
                    'orderby' => $orderBy,
                    'order' => get_option('qc_product_sort_order'),
                    'tax_query' => array(
                        'relation' => 'OR',
                        array(
                            'taxonomy' => 'product_cat',
                            'field' => 'term_id',
                            'terms' => $cat->term_id,
                            'operator' => 'IN'
                        ),
                    )
                );




                if ($show_sale == 1) {
                    $product_args = array_merge($product_args, array('meta_query' => $show_sale_products_only));
                }


                if ($featured_only == 1) {
                    $product_args = array_merge($product_args, array('tax_query' => $show_featured_only));
                }


                $products_num = new WP_Query($product_args);
                $product_num = $products_num->post_count;

                $category_id = $cat->term_id;

                if($product_num<1){ continue; }

                $link = get_term_link( (int)$cat->term_id, 'product_cat' );
                ?>
                <div class="qcld-category-warpper">
                    <ul class="qcld-category">
                        <li> <a href="<?php echo esc_url($link); ?>"><?php echo substr($cat->name, 0, get_option('max_char_per_cat')); ?></a>
                           
                            <?php 
                           
                               qcld_get_all_sub_categories($category_id); 
                           

                           ?>
                        </li>
                    </ul>
                </div>
            <?php endforeach; ?>


        </div>

    </div>
<?php



function qcld_get_all_sub_categories($category_id){
          
    // $args = array(
    //     'taxonomy'      => 'product_cat',
    //     'child_of'      => 0,
    //     'parent'        => $category_id,
    //     'hide_empty'    => 1,
    //     'order'         => get_option('category_order'),
    //     'orderby'       => 'title',
    //     'hierarchical'  => 0,
    // );

    $category_orders = get_option('category_order');

        if($category_orders == 'menu_order'){

             $args = array(
                'taxonomy'      => 'product_cat',
                'child_of'      => 0,
                'parent'        => $category_id,
                'hide_empty'    => 1,
                'order'         => 'asc',
                'orderby'       => 'term_order',
                'hierarchical'  => 0,
            );


        }else{

             $args = array(
                'taxonomy'      => 'product_cat',
                'child_of'      => 0,
                'parent'        => $category_id,
                'hide_empty'    => 1,
                'order'         => get_option('category_order'),
                'orderby'       => 'title',
                'hierarchical'  => 0,
            );

        }


    $sub_cats = get_categories( $args );
    if( $sub_cats ) {
        echo '<ul class="qcld_children">';
        foreach($sub_cats as $sub_category) {
            $link = get_term_link( (int)$sub_category->term_id, 'product_cat' );
            echo '<li>';
            echo '<a href="'.esc_url($link).'">';
            echo  esc_html($sub_category->name);
            echo '</a>';
            qcld_get_all_sub_child_categoriesss($sub_category->term_id);
            echo '</li>';
        }
        echo '</ul>';

    }
}

function qcld_get_all_sub_child_categoriesss($category_id){
          
    // $args = array(
    //     'taxonomy'      => 'product_cat',
    //     'child_of'      => 1,
    //     'parent'        => $category_id,
    //     'hide_empty'    => 1,
    //     'order'         => get_option('category_order'),
    //     'orderby'       => 'title',
    //     'hierarchical'  => 0,
    // );

    $category_orders = get_option('category_order');

    if($category_orders == 'menu_order'){

        $args = array(
            'taxonomy'      => 'product_cat',
            'child_of'      => 1,
            'parent'        => $category_id,
            'hide_empty'    => 1,
            'orderby'       => 'term_order',
            'order'         => 'asc',
            'hierarchical'  => 0,
        );


    }else{

        $args = array(
            'taxonomy'      => 'product_cat',
            'child_of'      => 1,
            'parent'        => $category_id,
            'hide_empty'    => 1,
            'order'         => get_option('category_order'),
            'orderby'       => 'title',
            'hierarchical'  => 0,
        );

    }


    $sub_cats = get_categories( $args );
    if( $sub_cats ) {
        echo '<ul class="qcld_children-child">';
        foreach($sub_cats as $sub_category) {
            $link = get_term_link( (int)$sub_category->term_id, 'product_cat' );
            echo '<li>';
            echo '<a href="'.esc_url($link).'">';
            echo  esc_html($sub_category->name);
            echo '</a>';
            qcld_get_all_sub_child_child_categoriesss($sub_category->term_id);
            echo '</li>';
        }
        echo '</ul>';

    }
}

function qcld_get_all_sub_child_child_categoriesss($category_id){
          
    // $args = array(
    //     'taxonomy'      => 'product_cat',
    //     'child_of'      => 1,
    //     'parent'        => $category_id,
    //     'hide_empty'    => 1,
    //     'order'         => get_option('category_order'),
    //     'orderby'       => 'title',
    //     'hierarchical'  => 0,
    // );

    $category_orders = get_option('category_order');

    if($category_orders == 'menu_order'){

        $args = array(
            'taxonomy'      => 'product_cat',
            'child_of'      => 1,
            'parent'        => $category_id,
            'hide_empty'    => 1,
            'orderby'       => 'term_order',
            'order'         => 'asc',
            'hierarchical'  => 0,
        );


    }else{

        $args = array(
            'taxonomy'      => 'product_cat',
            'child_of'      => 1,
            'parent'        => $category_id,
            'hide_empty'    => 1,
            'order'         => get_option('category_order'),
            'orderby'       => 'title',
            'hierarchical'  => 0,
        );

    }


    $sub_cats = get_categories( $args );
    if( $sub_cats ) {
        echo '<ul class="qcld_children-child">';
        foreach($sub_cats as $sub_category) {
            $link = get_term_link( (int)$sub_category->term_id, 'product_cat' );
            echo '<li>';
            echo '<a href="'.esc_url($link).'">';
            echo  esc_html($sub_category->name);
            echo '</a></li>';
        }
        echo '</ul>';

    }
}

