<?php defined('ABSPATH') or die("No direct script access!"); ?>

<div id="qcld_wootab-product-modal" class="mfp-hide white-popup-block animated flipInX">
    <div id="qcld_wootab-product">
        <h1>Loading...</h1>
    </div>
</div>


<link rel="stylesheet" type="text/css" href="<?php echo QC_WOO_TAB_PLUGIN_URL . 'templates/template-' . $qc_shortcode_parameters['theme'] . "/template.css"; ?>"/>
<link rel="stylesheet" type="text/css" href="<?php echo QC_WOO_TAB_PLUGIN_URL . "css/qcld-woo-tabbed-search-tooltip.css"; ?>"/>

<style>
    .qc_theme_one {
        color: <?php echo get_option('product_category_text_font_color');?> !important;
        font-size: <?php echo get_option('product_category_text_font_size');?>px !important;
        background-color: <?php echo get_option('product_category_filter_button_color');?> !important;
    }

    .qc_theme_one:hover {
        background: <?php echo get_option('product_category_filter_button_color_hover');?>;

    }

    .qc-tabs-style1 ul.tabs li span {
        background-color: <?php echo get_option('product_category_filter_button_color');?> !important;
    }

    .qc-tabs-style1 ul.tabs li:hover span {
        background: <?php echo get_option('product_category_filter_button_color_hover');?> !important;
    }

    .qc-tabs-style1 ul.tabs li.current span {
        background: <?php echo get_option('product_category_filter_button_color_hover');?> !important;
    }

    .qc-tabs-style1 ul.qc_nav_style_1 li {
        border: 1px solid <?php echo get_option('category_filters_border_color');?> !important;
        background-color: <?php echo get_option('product_category_filter_button_color');?> !important;
    }

    .qc-tabs-style1 ul.qc_nav_style_1 li:hover {
        background: <?php echo get_option('product_category_filter_button_color_hover');?> !important;
    }

    .qc-tabs-style1 ul.qc_nav_style_1 li.current {
        background: <?php echo get_option('product_category_button_active_color');?> !important;
    }

    .qc-tabs-style1 ul.qc_nav_style_1 li::after {
        background: <?php echo get_option('product_category_filter_button_color_hover');?> !important;
    }

    .qc-tabs-style1 ul.qc_nav_style_1 li ul.qcld_children li a{
        <?php if(!empty(get_option('qcld_dropdown_menu_font_color'))){ ?>
        color:<?php echo get_option('qcld_dropdown_menu_font_color');?> !important;
        <?php }else{ ?>
        color: #000 !important;
        <?php } ?>
        <?php if(!empty(get_option('qcld_dropdown_menu_background_color'))){ ?>
        background: <?php echo get_option('qcld_dropdown_menu_background_color');?> !important;
        <?php }else{ ?>
        background: #fff !important;
        <?php } ?>
    }

 
    .qc-tabs-style1 ul.qc_nav_style_1 li .qcld_menu_status{
        box-shadow: 4px 0px <?php echo get_option('qcld_dropdown_active_menu_background_color')? get_option('qcld_dropdown_active_menu_background_color'): '#222';?> inset !important;
    }

    .qc-tabs-style1 ul.tabs li span {
        background-color: <?php echo get_option('product_category_filter_button_color');?> !important;
    }


    <?php if(!empty(get_option('product_ratting_color') )){ ?>

        .theme-default .star-rating span:before, .theme-default .star-rating:before {
            color: <?php echo get_option('product_ratting_color');?> !important;
        }
    <?php } ?>
    <?php if(!empty(get_option('product_title_text_color') )){ ?>

        .theme-default .product-title, .theme-default .product-title a {
            color: <?php echo get_option('product_title_text_color');?> !important;
        }
    <?php } ?>
    <?php if(get_option('product_title') == 0){ ?>
        .theme-default .product-title{
            display:none !important;
        }
    <?php } ?>
    
    <?php if(get_option('display_price') == 0){ ?>
        .theme-default .price, .theme-default .woocommerce-Price-amount{
            display:none !important;
        }
    <?php } ?>
    <?php if(get_option('display_rating') == 0){ ?>
        .theme-default .star-rating{
            display:none !important;
        }
    <?php } ?>
    .theme-default .product_type_simple, .theme-default .add_to_cart_button {
        background-color: <?php echo get_option('product_add_to_cart_button_color');?> !important;
    }

</style>

<?php 
 $qcld_rtl_support = '';
 $qc_woo_tabbed_display_rtl_support = get_option('qc_woo_tabbed_display_rtl_support');

 if(!empty($qc_woo_tabbed_display_rtl_support)){

    $qcld_rtl_support = 'dir=rtl';
 }

?>

<div class="qc-tabs-style1 qc-tabs-style1_new" <?php echo esc_attr($qcld_rtl_support); ?>>
    <div class="container-qc woo_tab_container">
        <?php

        $column_number = get_option('qcld_default_theme_column_number') ? get_option('qcld_default_theme_column_number'): 4;
        $category_ids = '';
        $show_sale = '';
        $link_title_to_modal = '';

        $shortcode_params = ($qc_shortcode_parameters);

        if (array_key_exists('featured-only', $shortcode_params)) {
            $featured_only = $shortcode_params['featured-only'];
        } else {
            $featured_only = '';
        }

        if (array_key_exists('category-ids', $shortcode_params)) {
            $category_ids = $shortcode_params['category-ids'];

            // convert the string into php array
            $category_ids = explode(',', $category_ids);

        } else {
            $category_ids = '';
        }

        if (array_key_exists('sale-only', $shortcode_params)) {
            $show_sale = $shortcode_params['sale-only'];
        } else {
            $show_sale = '';
        }

        if (array_key_exists('link_title_to_modal', $shortcode_params)) {
            $link_title_to_modal = $shortcode_params['link_title_to_modal'];
        } else {
            $link_title_to_modal = '';
        }

        if (array_key_exists('cat-image-on-top', $shortcode_params)) {
            $cat_image_on_top = $shortcode_params['cat-image-on-top'];
            if($cat_image_on_top == 'on'){
                $cat_image_on_top = 'enable';
            }
        } else {
            $cat_image_on_top = get_option('qc_woo_tabbed_display_category_image_top');
        }

        if (array_key_exists('cat-image-on-bg', $shortcode_params)) {
            $cat_image_on_bg = $shortcode_params['cat-image-on-bg'];
            if($cat_image_on_bg == 'on'){
                $cat_image_on_bg = 'enable';
            }
        } else {
            $cat_image_on_bg = get_option('qc_woo_tabbed_display_category_image_bg');
        }

        if (array_key_exists('slider-tabs', $shortcode_params)) {
            $category_style = $shortcode_params['slider-tabs'];
            if($category_style == 'on'){
                $category_style = '1';
            }
        } else {
            $category_style = get_option('category_style');
        }

        if (array_key_exists('filter-on-top', $shortcode_params)) {
            $category_filter_search_sort_top = $shortcode_params['filter-on-top'];
            if($category_filter_search_sort_top == 'on'){
                $category_filter_search_sort_top = 'enable';
            }
        } else {
            $category_filter_search_sort_top = get_option('qc_woo_tabbed_display_category_search_sort_top');
        }

        $product_categories = unserialize(get_option('selected_categories'));
        $product_number = get_option('product_number');

        $category_orders = get_option('category_order');

        $args = get_products_template_one_query_function_first($product_categories, $category_ids);

        
        $product_categories = get_terms('product_cat', $args);

        $categories_parameter = array();
        foreach($product_categories as $termsss){
            array_push($categories_parameter,$termsss->term_id);
        }
        $categories_all_pera = implode(',', $categories_parameter);


        if(get_option('qc_woo_tabbed_disable_product_out_of_stock') == 'enable'){

            add_filter( 'woocommerce_shortcode_products_query', function( $query_args, $atts, $loop_name ){
                
                    $query_args['meta_query'] = array( array(
                        'key'     => '_stock_status',
                        'value'   => 'outofstock',
                        'compare' => 'NOT LIKE',
                    ) );
                
                return $query_args;
            }, 10, 3);
        }


        ?>


        <?php  if($category_filter_search_sort_top == 'enable'){ ?>
            <div class="qc-wootabs-sorting-sections qc-wootabs-sorting-sections-top"> 
                <?php 
                    if(!empty(get_option('qcld_product_search_box_for_quick_search'))):
                       qcld_woo_tabbed_product_search_by_category('theme-default', $show_sale, $featured_only, $categories_all_pera,get_option('product_number'), $link_title_to_modal);
                    endif;
                ?>                 
                <?php
                    $qc_quick_sorting_on_off = get_option('qc_quick_sorting_on_off');
                    if($qc_quick_sorting_on_off == 'on'){
                ?>              
                <select class="qc-wootabs-sortings" id="catalog-sort-by-default" name="qc_wootabs_sortings" >
                    <option value="menu_order" data-cat-id="all" data-offset="<?php echo get_option('product_number'); ?>" data-feature-only="<?php echo $featured_only; ?>" data-show-sale="<?php echo $show_sale; ?>" data-cat-attr="<?php echo $categories_all_pera; ?>" title-modal="<?php echo $link_title_to_modal; ?>">
                        <?php esc_html_e( get_option('qcld_lan_default_sorting'), 'woo-tabbed-category' ); ?> </option>
                    <option value="popularity" data-feature-only="<?php echo $featured_only; ?>" data-show-sale="<?php echo $show_sale; ?>"  data-cat-id="all" data-offset="<?php echo get_option('product_number'); ?>" data-cat-attr="<?php echo $categories_all_pera; ?>" title-modal="<?php echo $link_title_to_modal; ?>">
                        <?php esc_html_e( get_option('qcld_lan_sort_by_popularity'), 'woo-tabbed-category' ); ?></option>
                    <option value="rating" data-feature-only="<?php echo $featured_only; ?>" data-show-sale="<?php echo $show_sale; ?>"  data-cat-id="all" data-offset="<?php echo get_option('product_number'); ?>" data-cat-attr="<?php echo $categories_all_pera; ?>" title-modal="<?php echo $link_title_to_modal; ?>">
                        <?php esc_html_e( get_option('qcld_lan_sort_by_average_rating'), 'woo-tabbed-category' ); ?> </option>
                    <option value="date" data-cat-id="all" data-show-sale="<?php echo $show_sale; ?>" data-feature-only="<?php echo $featured_only; ?>" data-offset="<?php echo get_option('product_number'); ?>" data-cat-attr="<?php echo $categories_all_pera; ?>" title-modal="<?php echo $link_title_to_modal; ?>">
                        <?php esc_html_e( get_option('qcld_lan_sort_by_newness'), 'woo-tabbed-category' ); ?> </option>
                    <option value="price" data-cat-id="all" data-show-sale="<?php echo $show_sale; ?>" data-feature-only="<?php echo $featured_only; ?>" data-offset="<?php echo get_option('product_number'); ?>" data-cat-attr="<?php echo $categories_all_pera; ?>" title-modal="<?php echo $link_title_to_modal; ?>">
                        <?php esc_html_e( get_option('qcld_lan_sort_by_price_low_to_high'), 'woo-tabbed-category' ); ?> </option>
                    <option value="price-desc" data-cat-id="all"  data-show-sale="<?php echo $show_sale; ?>" data-feature-only="<?php echo $featured_only; ?>" data-offset="<?php echo get_option('product_number'); ?>" data-cat-attr="<?php echo $categories_all_pera; ?>" title-modal="<?php echo $link_title_to_modal; ?>">
                        <?php esc_html_e( get_option('qcld_lan_sort_by_price_high_to_low'), 'woo-tabbed-category' ); ?> </option>
                </select>
                <?php  } ?>
            </div>

        <?php } ?>

        <ul class="tabs tabs-default tabs-widget-light qc_nav_style_1 is_cat_stickyed <?php if ($category_style == 1) echo " slick-class"; ?> <?php if ( !empty( get_option('qc_woo_tabbed_enable_cat_sub_cat_filter') ) ) echo " qcld_category_sep_wrap"; ?> <?php echo (( $cat_image_on_top == 'enable' ) ? 'qc_nav_style_1_top' : ''); ?>">
            <?php if ( get_option('show_all') && empty( get_option('qc_woo_tabbed_enable_cat_sub_cat_filter') ) ): ?>
                <li class="qc_theme_one" data-show-sale="<?php echo $show_sale; ?>"
                    data-offset="<?php echo get_option('product_number'); ?>" class="tab-link"
                    data-cat-id="all" title-modal="<?php echo $link_title_to_modal; ?>"
                    data-feature-only="<?php echo $featured_only; ?>" data-cat-attr="<?php echo $categories_all_pera; ?>" data-tab="tab-<?php echo get_option('show_all'); ?>">
                    <?php if($cat_image_on_top == 'enable'){ ?>
                    <img width="25" height="25" src="<?php echo QC_WOO_TAB_IMAGE_URL; ?>/product-image-png-1.png" class="qcld_category_image qcld_category_image_top" alt="All">
                    <?php } ?>

                    <?php $all_categories = get_option('change_all_category_button_text');
                                    if (!empty($all_categories)) {
                                        esc_html_e($all_categories, 'woo-tabbed-category' );
                                    } else {
                                        esc_html_e('All', 'woo-tabbed-category');
                                    } ?><span class=""></span></li>
            <?php endif; ?>
            <?php 
            $query_stop_cat =0;
            foreach ($product_categories as $cat): 
                $query_stop_cat +=1;

                $post_per_page = 30;
                $show_featured_only = array('relation' => 'OR', array(
                    array(
                        'taxonomy' => 'product_cat',
                        'field' => 'term_id',
                        'terms' => $cat->term_id,
                        'operator' => 'IN'
                    ),
                    array(
                        'taxonomy' => 'product_visibility',
                        'field' => 'name',
                        'terms' => 'featured',
                        'operator' => 'IN'
                    )
                ));

                $show_sale_products_only = array('relation' => 'OR', array( // Simple products type
                    'key' => '_sale_price',
                    'value' => 0,
                    'compare' => '>',
                    'type' => 'numeric'
                ),
                    array( // Variable products type
                        'key' => '_min_variation_sale_price',
                        'value' => 0,
                        'compare' => '>',
                        'type' => 'numeric'
                    ));
                
                $categories_all = explode(',', $categories_all_pera);


                $sorting = '';
                $orderBy = get_option('qc_product_sort_type');
                if( get_option('qc_product_sort_type') == 'meta_value_num' ){
                    $sorting = '_price';
                }
                if( get_option('qc_product_sort_type') == 'total_sales' ){
                    $sorting = 'total_sales';
                    $orderBy = 'meta_value_num';
                }

                $product_args = array(
                    'post_type'         => 'product',
                    'posts_per_page'    => -1,
                    'meta_key'          => $sorting,
                    'orderby'           => $orderBy,
                    'order'             => get_option('qc_product_sort_order'),
                    'tax_query'         => array(
                        'relation'      => 'OR',
                        array(
                            'taxonomy'  => 'product_cat',
                            'field'     => 'term_id',
                            'terms'     => $categories_all,
                            'operator'  => 'IN'
                        ),
                    )
                );




                if ($show_sale == 1) {
                    $product_args = array_merge($product_args, array('meta_query' => $show_sale_products_only));
                }


                if ($featured_only == 1) {
                    $product_args = array_merge($product_args, array('tax_query' => $show_featured_only));
                }


                $products_num = new WP_Query($product_args);
                $product_num = $products_num->post_count;

                $category_id = $cat->term_id;
                $current_cat =$cat->slug;

                if($product_num<1){ continue; }


                ?>
                <li class="qc_theme_one qcld-con-tooltip" data-show-sale="<?php echo $show_sale; ?>"
                    data-offset="<?php echo get_option('product_number'); ?>"
                    data-cat-id="<?php echo $cat->term_id; ?>"
                    data-feature-only="<?php echo $featured_only; ?>"
                    data-cat-attr="<?php echo $cat->term_id; ?>"
                    class="tab-link" title-modal="<?php echo $link_title_to_modal; ?>"
                    data-tab="tab-<?php echo $cat->term_id; ?>"
                    <?php if($cat_image_on_bg == 'enable'){ ?>
                      style="background: url(<?php qcld_get_category_image_url($cat->term_id); ?>)center center no-repeat;background-size:cover;"
                    <?php } ?>
                    >
                    <?php 
                    if(!empty(get_option('qc_woo_tabbed_enable_category_image')) || ( $cat_image_on_top == 'enable' ) ){
                        qcld_get_category_image($cat->term_id); 
                    }
                    ?>
                    <?php echo substr($cat->name, 0, get_option('max_char_per_cat')); ?>
                    <?php if(!empty(get_option('qcld_category_top_tooltip_show'))): ?>
                        <?php if(!empty($cat->description)): ?>
                        <div class="qcld-tooltip">
                          <p><?php echo substr($cat->description, 0, 135); ?></p>
                        </div>
                        <?php endif; ?>
                    <?php endif; ?>
                    <?php 
                    if( !empty(get_option('qc_woo_tabbed_enable_dropdown_menu_tab')) && empty( get_option('qc_woo_tabbed_enable_cat_sub_cat_filter') ) ):
                       qcld_get_sub_categories($category_id, $current_cat, $show_sale, $featured_only, $link_title_to_modal); 
                    endif;

                   ?>
                </li>
                <?php 
                    if( !empty( get_option('qc_woo_tabbed_enable_cat_sub_cat_filter') ) ):
                       qcld_get_all_sub_categories($category_id, $current_cat, $show_sale, $featured_only, $link_title_to_modal, $query_stop_cat ); 
                    endif;
                ?>
            <?php endforeach; wp_reset_query(); ?>
        </ul>

        <div class="qc_tab_css_bg" style="background-color:<?php echo get_option('container_background_color') ?>">

            <?php 
                woo_tabbed_product_tag_menu($show_sale, $featured_only, $categories_all_pera, $link_title_to_modal, 'theme-default');
            ?>

            <?php  if(($category_filter_search_sort_top == '') || ($category_filter_search_sort_top == 'disable') ){ ?>
             <div class="qc-wootabs-sorting-sections"> 
                
                <?php 
                    if(!empty(get_option('qcld_product_search_box_for_quick_search'))):
                       qcld_woo_tabbed_product_search_by_category('theme-default', $show_sale, $featured_only, $categories_all_pera,get_option('product_number'), $link_title_to_modal);
                    endif;
                ?>                 
                <?php
                    $qc_quick_sorting_on_off = get_option('qc_quick_sorting_on_off');
                    if($qc_quick_sorting_on_off == 'on'){
                ?>              
                <select class="qc-wootabs-sortings" id="catalog-sort-by-default" name="qc_wootabs_sortings" >
                    <option value="menu_order" data-cat-id="all" data-offset="<?php echo get_option('product_number'); ?>" data-feature-only="<?php echo $featured_only; ?>" data-show-sale="<?php echo $show_sale; ?>" data-cat-attr="<?php echo $categories_all_pera; ?>" title-modal="<?php echo $link_title_to_modal; ?>">
                        <?php esc_html_e( get_option('qcld_lan_default_sorting'), 'woo-tabbed-category' ); ?> </option>
                    <option value="popularity" data-feature-only="<?php echo $featured_only; ?>" data-show-sale="<?php echo $show_sale; ?>"  data-cat-id="all" data-offset="<?php echo get_option('product_number'); ?>" data-cat-attr="<?php echo $categories_all_pera; ?>" title-modal="<?php echo $link_title_to_modal; ?>">
                        <?php esc_html_e( get_option('qcld_lan_sort_by_popularity'), 'woo-tabbed-category' ); ?></option>
                    <option value="rating" data-feature-only="<?php echo $featured_only; ?>" data-show-sale="<?php echo $show_sale; ?>"  data-cat-id="all" data-offset="<?php echo get_option('product_number'); ?>" data-cat-attr="<?php echo $categories_all_pera; ?>" title-modal="<?php echo $link_title_to_modal; ?>">
                        <?php esc_html_e( get_option('qcld_lan_sort_by_average_rating'), 'woo-tabbed-category' ); ?> </option>
                    <option value="date" data-cat-id="all" data-show-sale="<?php echo $show_sale; ?>" data-feature-only="<?php echo $featured_only; ?>" data-offset="<?php echo get_option('product_number'); ?>" data-cat-attr="<?php echo $categories_all_pera; ?>" title-modal="<?php echo $link_title_to_modal; ?>">
                        <?php esc_html_e( get_option('qcld_lan_sort_by_newness'), 'woo-tabbed-category' ); ?> </option>
                    <option value="price" data-cat-id="all" data-show-sale="<?php echo $show_sale; ?>" data-feature-only="<?php echo $featured_only; ?>" data-offset="<?php echo get_option('product_number'); ?>" data-cat-attr="<?php echo $categories_all_pera; ?>" title-modal="<?php echo $link_title_to_modal; ?>">
                        <?php esc_html_e( get_option('qcld_lan_sort_by_price_low_to_high'), 'woo-tabbed-category' ); ?> </option>
                    <option value="price-desc" data-cat-id="all"  data-show-sale="<?php echo $show_sale; ?>" data-feature-only="<?php echo $featured_only; ?>" data-offset="<?php echo get_option('product_number'); ?>" data-cat-attr="<?php echo $categories_all_pera; ?>" title-modal="<?php echo $link_title_to_modal; ?>">
                        <?php esc_html_e( get_option('qcld_lan_sort_by_price_high_to_low'), 'woo-tabbed-category' ); ?> </option>
                </select>
                <?php  } ?>
            </div>
            <?php } ?>   
                      
           
        </div>
        <div class="qc_tab_css_bg" style="background-color:<?php echo get_option('container_background_color') ?>">

             <?php if(get_option('show_all')): ?>
                <div id="tab-<?php echo get_option('show_all'); ?>" class="tab-content current">
                    <ul class="theme-default">
                    <?php


                        $qcld_order_by = esc_attr(get_option('qc_product_sort_type'));
                        $qcld_order_type = esc_attr(get_option('qc_product_sort_order'));

                        if(get_option('qc_product_sort_type') == 'meta_value_num'){

                            $qcld_order_by = '_price';
                            $qcld_order_type = $qcld_order_type;

                            if(!function_exists('woocommerce_shortcode_products_orderby')){

                                add_filter( 'woocommerce_shortcode_products_query', 'woocommerce_shortcode_products_orderby' );

                                function woocommerce_shortcode_products_orderby( $args ) {

                                    if( isset( $args['orderby'] ) ) {
                                        $args['meta_key'] = '_price';
                                        $args['orderby'] = 'meta_value_num';
                                        $args['order'] = esc_attr(get_option('qc_product_sort_order')); 

                                    }

                                    return $args;

                                }
                            }

                        }
                      

                        echo do_shortcode('[products category="'.$categories_all_pera.'"  limit='.get_option('product_number').' columns='.$column_number.' orderby="'.esc_attr($qcld_order_by) . '" order="'.esc_attr(get_option('qc_product_sort_order')) . '"]');
                    ?>
                    </ul>

                          <?php 

                          if ($product_num > get_option('product_number')): ?>
                            <div class="qcld-wootab-more-scroll-container" style="text-align:center">
                                <div class="loader_container"></div>
                                <button type="button"
                                        id="qcld-wootab-more-default-all"
                                        data-theme-name="theme-default" data-show-sale="<?php echo $show_sale; ?>"
                                        data-feature-only="<?php echo $featured_only; ?>"
                                        data-cat-attr="<?php echo $categories_all_pera; ?>"
                                        data-offset="<?php echo get_option('product_number'); ?>" data-sort-order="" title-modal="<?php echo $link_title_to_modal; ?>">
                                    <?php $load_more = get_option('change_load_more_text');
                          
                                    if (!empty($load_more)) {
                                        esc_html_e($load_more, 'woo-tabbed-category' );
                                    } else {
                                        esc_html_e('Load More', 'woo-tabbed-category');
                                    } 

                                    ?>
                                </button>
                            </div>
                        <?php endif; ?>
                </div>

                 <?php endif; ?>
                <?php if(get_option('show_all') != 1): ?>
                    <?php 
                    //$query_stop=0; 
                    foreach($product_categories as $cat): 
                       // $query_stop +=1;
                       // if($query_stop > 1 ){ return; } 
                        ?>
                    <div id="tab-<?php echo $cat->term_id; ?>" class="tab-content current">
                    <ul class="theme-default">
                    <?php


                        $qcld_order_by = esc_attr(get_option('qc_product_sort_type'));
                        $qcld_order_type = esc_attr(get_option('qc_product_sort_order'));

                        if(get_option('qc_product_sort_type') == 'meta_value_num'){
                            $qcld_order_by = '_price';
                            $qcld_order_type = $qcld_order_type;

                            if(!function_exists('woocommerce_shortcode_products_orderby')){

                                add_filter( 'woocommerce_shortcode_products_query', 'woocommerce_shortcode_products_orderby' );

                                function woocommerce_shortcode_products_orderby( $args ) {

                                    if( isset( $args['orderby'] ) ) {
                                        $args['meta_key']   = '_price';
                                        $args['orderby']    = 'meta_value_num';
                                        $args['order']      = esc_attr(get_option('qc_product_sort_order')); 
                                    }

                                    return $args;

                                }
                            }

                        }

                        echo do_shortcode('[products category="'.$cat->term_id.'"  limit='.get_option('product_number').' columns='.$column_number.' orderby="'.esc_attr($qcld_order_by) . '" order="'.esc_attr(get_option('qc_product_sort_order')) . '"]');
                    ?>
                    </ul>

                          <?php 

                           $argsss = array(
                            'post_type'             => 'product',
                            'post_status'           => 'publish',
                            'tax_query'             => array(
                                                    'relation' => 'OR',
                                                    array(
                                                        'taxonomy' => 'product_cat',
                                                        'field' => 'term_id',
                                                        'terms' => $cat->term_id,
                                                        'operator' => 'IN'
                                            ),
                                        )
                                    );

                            if(get_option('qc_woo_tabbed_disable_product_out_of_stock') == 'enable'){

                                $argsss = array_merge($argsss, array( 'meta_query' => array(
                                            array(
                                                'key'       => '_stock_status',
                                                'value'     => 'instock',
                                            ),
                                    )));
                            }

                     
                        $product_queryss = new WP_Query($argsss);

                        $product_nums = $product_queryss->post_count;
                            
                        if( $product_nums > get_option('product_number') ){ 

                            ?>
                            <!-- Load more -->
                            <div class="qcld-wootab-more-scroll-container" style="text-align:center">
                                <div class="loader_container"></div>
                                <button type="button" id="qcld-wootab-more-default"
                                        data-theme-name="theme-default" data-show-sale="<?php echo $show_sale; ?>"
                                        data-feature-only="<?php echo $featured_only; ?>"
                                        data-cat-attr="<?php echo $cat->term_id; ?>"
                                        data-offset="<?php echo get_option('product_number'); ?>" data-sort-order="" title-modal="<?php echo $link_title_to_modal; ?>">
                                    <?php $load_more = get_option('change_load_more_text');
                      
                                    if (!empty($load_more)) {
                                        esc_html_e($load_more, 'woo-tabbed-category' );
                                    } else {
                                        esc_html_e('Load More', 'woo-tabbed-category');
                                    }  ?>
                                </button>
                            </div>
                        <?php } ?>
                </div>
                <?php 
                    break;
                    endforeach; 
                    wp_reset_query();
                ?>

            <?php endif; ?>
                </div>

          
        </div>
    </div>
    <!-- container -->
</div>


<?php 
