<?php defined('ABSPATH') or die("No direct script access!"); ?>

<div id="qcld_wootab-product-modal" class="mfp-hide white-popup-block animated flipInX">
    <div id="qcld_wootab-product">
        <h1>Loading...</h1>
    </div>
</div>


<link rel="stylesheet" type="text/css" href="<?php echo QC_WOO_TAB_PLUGIN_URL . 'templates/template-' . $qc_shortcode_parameters['theme'] . "/template.css"; ?>"/>
<link rel="stylesheet" type="text/css" href="<?php echo QC_WOO_TAB_PLUGIN_URL . "css/qcld-woo-tabbed-search-tooltip.css"; ?>"/>

<style>
    .qc_theme_one {
        color: <?php echo get_option('product_category_text_font_color');?> !important;
        font-size: <?php echo get_option('product_category_text_font_size');?>px !important;
        background-color: <?php echo get_option('product_category_filter_button_color');?> !important;
    }

    .qc_theme_one:hover {
        background: <?php echo get_option('product_category_filter_button_color_hover');?>;

    }

    .qc-tabs-style1 ul.tabs li span {
        background-color: <?php echo get_option('product_category_filter_button_color');?> !important;
    }

    .qc-tabs-style1 ul.tabs li:hover span {
        background: <?php echo get_option('product_category_filter_button_color_hover');?> !important;
    }

    .qc-tabs-style1 ul.tabs li.current span {
        background: <?php echo get_option('product_category_filter_button_color_hover');?> !important;
    }

    .qc-tabs-style1 ul.qc_nav_style_1 li {
        border: 1px solid <?php echo get_option('category_filters_border_color');?> !important;
        background-color: <?php echo get_option('product_category_filter_button_color');?> !important;
    }

    .qc-tabs-style1 ul.qc_nav_style_1 li:hover {
        background: <?php echo get_option('product_category_filter_button_color_hover');?> !important;
    }

    .qc-tabs-style1 ul.qc_nav_style_1 li.current {
        background: <?php echo get_option('product_category_button_active_color');?> !important;
    }

    .qc-tabs-style1 ul.qc_nav_style_1 li::after {
        background: <?php echo get_option('product_category_filter_button_color_hover');?> !important;
    }

    .qc-tabs-style1 ul.qc_nav_style_1 li ul.qcld_children > li,
    .qc-tabs-style1 ul.qc_nav_style_1 li ul.qcld_children li a{
        <?php if(!empty(get_option('qcld_dropdown_menu_font_color'))){ ?>
        color:<?php echo get_option('qcld_dropdown_menu_font_color');?> !important;
        <?php }else{ ?>
        color: #000 !important;
        <?php } ?>
        <?php if(!empty(get_option('qcld_dropdown_menu_background_color'))){ ?>
        background: <?php echo get_option('qcld_dropdown_menu_background_color');?> !important;
        <?php }else{ ?>
        background: #fff !important;
        <?php } ?>
    }


    .qc-tabs-style1 ul.qc_nav_style_1 li .qcld_menu_status{
        box-shadow: 4px 0px <?php echo get_option('qcld_dropdown_active_menu_background_color')?get_option('qcld_dropdown_active_menu_background_color'): '#222';?> inset !important;
    }

    .qc-tabs-style1 ul.tabs li span {
        background-color: <?php echo get_option('product_category_filter_button_color');?> !important;
    }

    <?php if( get_option('qcld_twelve_slick_slider_center_mode') == 'enable' ){  ?>


        .woo_tab_container .qcld_template_slide_wrapper .slick-slide .qcld_template_slide_card {
            transform: scale(0.79) !important;
        }
        .woo_tab_container .qcld_template_slide_wrapper div.slick-center .qcld_template_slide_card{

            transform: scale(1) !important;

        }

    <?php  } ?>


</style>

<?php 
 $qcld_rtl_support = '';
 $qc_woo_tabbed_display_rtl_support = get_option('qc_woo_tabbed_display_rtl_support');

 if(!empty($qc_woo_tabbed_display_rtl_support)){

    $qcld_rtl_support = 'dir=rtl';
 }

?>
<div class="qc-tabs-style1 qc-tabs-style1_new" <?php echo esc_attr($qcld_rtl_support); ?>>
    <div class="container-qc woo_tab_container">
        <?php

        $column_number = 4;
        $category_ids = '';
        $show_sale = '';
        $link_title_to_modal = '';

        $shortcode_params = ($qc_shortcode_parameters);

        if (array_key_exists('featured-only', $shortcode_params)) {
            $featured_only = $shortcode_params['featured-only'];
        } else {
            $featured_only = '';
        }

        if (array_key_exists('category-ids', $shortcode_params)) {
            $category_ids = $shortcode_params['category-ids'];

            // convert the string into php array
            $category_ids = explode(',', $category_ids);

        } else {
            $category_ids = '';
        }

        if (array_key_exists('sale-only', $shortcode_params)) {
            $show_sale = $shortcode_params['sale-only'];
        } else {
            $show_sale = '';
        }

        if (array_key_exists('link_title_to_modal', $shortcode_params)) {
            $link_title_to_modal = $shortcode_params['link_title_to_modal'];
        } else {
            $link_title_to_modal = '';
        }

        if (array_key_exists('cat-image-on-top', $shortcode_params)) {
            $cat_image_on_top = $shortcode_params['cat-image-on-top'];
            if($cat_image_on_top == 'on'){
                $cat_image_on_top = 'enable';
            }
        } else {
            $cat_image_on_top = get_option('qc_woo_tabbed_display_category_image_top');
        }

        

        if (array_key_exists('cat-image-on-bg', $shortcode_params)) {
            $cat_image_on_bg = $shortcode_params['cat-image-on-bg'];
            if($cat_image_on_bg == 'on'){
                $cat_image_on_bg = 'enable';
            }
        } else {
            $cat_image_on_bg = get_option('qc_woo_tabbed_display_category_image_bg');
        }

        if (array_key_exists('slider-tabs', $shortcode_params)) {
            $category_style = $shortcode_params['slider-tabs'];
            if($category_style == 'on'){
                $category_style = '1';
            }
        } else {
            $category_style = get_option('category_style');
        }

        $product_categories = unserialize(get_option('selected_categories'));
        $product_number = get_option('product_number');

        $category_orders = get_option('category_order');

        $args = get_products_template_one_query_function_first($product_categories, $category_ids);

        
        $product_categories = get_terms('product_cat', $args);

        $categories_parameter = array();
        foreach($product_categories as $termsss){
            array_push($categories_parameter, $termsss->term_id);
        }
        $categories_all_pera = implode(',', $categories_parameter);


        ?>


        <ul class="tabs tabs-slider tabs-widget-light qc_nav_style_1 is_cat_stickyed <?php if ($category_style == 1) echo " slick-class"; ?> <?php if ( !empty( get_option('qc_woo_tabbed_enable_cat_sub_cat_filter') ) ) echo " qcld_category_sep_wrap"; ?> <?php echo (( $cat_image_on_top == 'enable' ) ? 'qc_nav_style_1_top' : ''); ?>">
            <?php if ( get_option('show_all') && empty( get_option('qc_woo_tabbed_enable_cat_sub_cat_filter') ) ): ?>
                <li class="qc_theme_one" data-show-sale="<?php echo $show_sale; ?>"
                    data-offset="<?php echo get_option('product_number'); ?>" class="tab-link"
                    data-cat-id="all" title-modal="<?php echo $link_title_to_modal; ?>"
                    data-feature-only="<?php echo $featured_only; ?>" data-cat-attr="<?php echo $categories_all_pera; ?>" data-tab="tab-<?php echo get_option('show_all'); ?>">
                    <?php if($cat_image_on_top == 'enable'){ ?>
                    <img width="25" height="25" src="<?php echo QC_WOO_TAB_IMAGE_URL; ?>/product-image-png-1.png" class="qcld_category_image qcld_category_image_top" alt="All">
                    <?php } ?>

                    <?php $all_categories = get_option('change_all_category_button_text');
                                    if (!empty($all_categories)) {
                                        echo esc_html($all_categories, 'woo-tabbed-category' );
                                    } else {
                                        _e('All', 'woo-tabbed-category');
                                    } ?><span class=""></span></li>
            <?php endif; ?>
            <?php 

                $query_stop_cat =0;
                foreach ($product_categories as $cat): 
                $query_stop_cat +=1;

                $post_per_page = 30;
                $show_featured_only = array('relation' => 'OR', array(
                    array(
                        'taxonomy' => 'product_cat',
                        'field' => 'term_id',
                        'terms' => $cat->term_id,
                        'operator' => 'IN'
                    ),
                    array(
                        'taxonomy' => 'product_visibility',
                        'field' => 'name',
                        'terms' => 'featured',
                        'operator' => 'IN'
                    )
                ));

                $show_sale_products_only = array('relation' => 'OR', array( // Simple products type
                    'key' => '_sale_price',
                    'value' => 0,
                    'compare' => '>',
                    'type' => 'numeric'
                ),
                    array( // Variable products type
                        'key' => '_min_variation_sale_price',
                        'value' => 0,
                        'compare' => '>',
                        'type' => 'numeric'
                    ));
                
                $categories_all = explode(',', $categories_all_pera);


                $sorting = '';
                $orderBy = get_option('qc_product_sort_type');
                if( get_option('qc_product_sort_type') == 'meta_value_num' ){
                    $sorting = '_price';
                }
                if( get_option('qc_product_sort_type') == 'total_sales' ){
                    $sorting = 'total_sales';
                    $orderBy = 'meta_value_num';
                }

                $product_args = array(
                    'post_type'         => 'product',
                    'posts_per_page'    => -1,
                    'meta_key'          => $sorting,
                    'orderby'           => $orderBy,
                    'order'             => get_option('qc_product_sort_order'),
                    'tax_query'         => array(
                        'relation'      => 'OR',
                        array(
                            'taxonomy'  => 'product_cat',
                            'field'     => 'term_id',
                            'terms'     => $categories_all,
                            'operator'  => 'IN'
                        ),
                    )
                );




                if ($show_sale == 1) {
                    $product_args = array_merge($product_args, array('meta_query' => $show_sale_products_only));
                }


                if ($featured_only == 1) {
                    $product_args = array_merge($product_args, array('tax_query' => $show_featured_only));
                }


                $products_num = new WP_Query($product_args);
                $product_num = $products_num->post_count;

                $category_id = $cat->term_id;
                $current_cat =$cat->slug;

                if($product_num<1){ continue; }


                ?>
                <li class="qc_theme_one qcld-con-tooltip" data-show-sale="<?php echo $show_sale; ?>"
                    data-offset="<?php echo get_option('product_number'); ?>"
                    data-cat-id="<?php echo $cat->term_id; ?>"
                    data-feature-only="<?php echo $featured_only; ?>"
                    data-cat-attr="<?php echo $cat->term_id; ?>"
                    class="tab-link" title-modal="<?php echo $link_title_to_modal; ?>"
                    data-tab="tab-<?php echo $cat->term_id; ?>" 
                    <?php if($cat_image_on_bg == 'enable'){ ?>
                      style="background: url(<?php qcld_get_category_image_url($cat->term_id); ?>)center center no-repeat;background-size:cover;"
                    <?php } ?>
                    >
                    <?php 
                    if(!empty(get_option('qc_woo_tabbed_enable_category_image')) || ( $cat_image_on_top == 'enable' ) ){
                        qcld_get_category_image($cat->term_id); 
                    }
                    ?>
                    <?php echo substr($cat->name, 0, get_option('max_char_per_cat')); ?>
                    <?php if(!empty(get_option('qcld_category_top_tooltip_show'))): ?>
                        <?php if(!empty($cat->description)): ?>
                        <div class="qcld-tooltip">
                          <p><?php echo substr($cat->description, 0, 135); ?></p>
                        </div>
                        <?php endif; ?>
                    <?php endif; ?>
                    <?php 
                    if( !empty(get_option('qc_woo_tabbed_enable_dropdown_menu_tab')) && empty( get_option('qc_woo_tabbed_enable_cat_sub_cat_filter') ) ):
                       qcld_get_sub_categories($category_id, $current_cat, $show_sale, $featured_only, $link_title_to_modal); 
                    endif;

                   ?>
                </li> 
                <?php 
                    if( !empty( get_option('qc_woo_tabbed_enable_cat_sub_cat_filter') ) ):
                       qcld_get_all_sub_categories($category_id, $current_cat, $show_sale, $featured_only, $link_title_to_modal, $query_stop_cat ); 
                    endif;
                ?>
            <?php endforeach; wp_reset_query(); ?>
        </ul>
 
        <div class="qc_tab_css_bg theme-twelve" style="background-color:<?php echo get_option('container_background_color') ?>">



    <div class="qcld_template_slide_wrapper">
    <div class="qcld_template_slide_carousel">

       <?php

    if(get_option('show_all')){

        $tax_query_all = array(
            array(
                'taxonomy' => 'product_visibility',
                'field' => 'name',
                'terms' => 'featured',
                'operator' => 'IN'
            ),);


        $show_sale_products_only_all = array('relation' => 'OR', array( // Simple products type
            'key' => '_sale_price',
            'value' => 0,
            'compare' => '>',
            'type' => 'numeric'
        ),
            array( // Variable products type
                'key' => '_min_variation_sale_price',
                'value' => 0,
                'compare' => '>',
                'type' => 'numeric'
            ));


        $args_all = array(
            'post_type' => 'product',
            'posts_per_page' => -1,
        );

        if ($show_sale == 1) {
            $args_all = array_merge($args_all, array('meta_query' => $show_sale_products_only_all));
        }


        if ($featured_only == 1) {
            $args_all = array_merge($args_all, array('tax_query' => $tax_query_all));
        }


        $tax_query = array(
            array(
                'taxonomy' => 'product_visibility',
                'field' => 'name',
                'terms' => 'featured',
                'operator' => 'IN'
            ),);
   


        $show_sale_products_only = array('relation' => 'OR', array( // Simple products type
            'key' => '_sale_price',
            'value' => 0,
            'compare' => '>',
            'type' => 'numeric'
        ),
            array( // Variable products type
                'key' => '_min_variation_sale_price',
                'value' => 0,
                'compare' => '>',
                'type' => 'numeric'
            ));


        $categories_all = array();
        foreach($product_categories as $termss){
            array_push($categories_all,$termss->term_id);
        } 

        $sorting = '';
        $orderBy = get_option('qc_product_sort_type');
        if( get_option('qc_product_sort_type') == 'meta_value_num' ){
            $sorting = '_price';
        }
        if( get_option('qc_product_sort_type') == 'total_sales' ){
            $sorting = 'total_sales';
            $orderBy = 'meta_value_num';
        }

       $args =  array_merge($args, array( 'tax_query' => array(
                        array(
                            'taxonomy' => 'product_visibility',
                            'field'    => 'name',
                            'terms'    => 'exclude-from-catalog',
                            'operator' => 'NOT IN',
                        ),
                )));

        

        $args = array(
            'post_type'         => 'product',
            'posts_per_page'    => $product_number,
            'meta_key'          => $sorting,
            'orderby'           => $orderBy,
            'order'             => get_option('qc_product_sort_order'),
            'tax_query'         => array(
                'relation'      => 'OR',
                array(
                    'taxonomy'  => 'product_cat',
                    'field'     => 'term_id',
                    'terms'     => $categories_all,
                    'operator'  => 'IN'
                ),
            )
        );

        if ($show_sale == 1) {
            $args = array_merge($args, array('meta_query' => $show_sale_products_only));
        }


        if ($featured_only == 1) {

            $show_featured_only = array('relation' => 'OR', array(
                array(
                    'taxonomy' => 'product_cat',
                    'field' => 'term_id',
                    'terms' => $categories_all,
                    'operator' => 'IN'
                ),
                array(
                    'taxonomy' => 'product_visibility',
                    'field' => 'name',
                    'terms' => 'featured',
                    'operator' => 'IN'
                )
            ));


            $args = array_merge($args, array('tax_query' => $show_featured_only));
        }

        if(get_option('qc_woo_tabbed_disable_product_out_of_stock') == 'enable'){

            $args = array_merge($args, array( 'meta_query' => array(
                        array(
                            'key'       => '_stock_status',
                            'value'     => 'instock',
                        ),
                )));
        }


        $product_query = new WP_Query($args);
        $product_count = new WP_Query($args_all);

        $product_num = $product_count->post_count;

        $product_query = new WP_Query($args);
        $wc_pf = new WC_Product_Factory(); 

        while ($product_query->have_posts()) : $product_query->the_post(); ?>
                <?php $product = wc_get_product(get_the_ID());
                $product_stock_status = $product->get_stock_status();


        ?>

      <div>
        <div class="qcld_template_slide_card">
          <div class="qcld_template_slide_card-header <?php echo qcld_product_product_has_gallery( get_the_ID() ); ?>">
            <?php
            if(isset($link_title_to_modal) && ($link_title_to_modal == '1' || $link_title_to_modal == '01')){ 
            ?>

                <a href="#" class="woo_tab_product_details" product-id="<?php echo get_the_ID(); ?>">   
            <?php }else{ ?>
                <a href="<?php echo $product->get_permalink() ?>">
            <?php } ?>
            <?php echo $product->get_image('shop_catalog'); ?>
            <?php echo qcld_product_second_product_thumbnail(get_the_ID()); ?>
            </a>
          </div>
          <div class="qcld_template_slide_card-body">
            <div class="qcld_template_slide_card-content">
              <div class="qcld_template_slide_card-title">

                <?php if (get_option('product_title') == 1): ?>
                     <?php if(isset($link_title_to_modal) && ($link_title_to_modal == '1' || $link_title_to_modal == '01')){  ?>

                    <a style="color: <?php if (get_option('product_title_text_color') != '') echo get_option('product_title_text_color') . ';'; ?>; font-size: <?php if (get_option('change_title_text_size') != '') echo get_option('change_title_text_size') . 'px;'; ?>"
                       href="#" class="woo_tab_product_details" product-id="<?php echo get_the_ID(); ?>"><?php echo $product->get_title(); ?></a>  
                <?php }else{ ?>

                    <a style="color: <?php if (get_option('product_title_text_color') != '') echo get_option('product_title_text_color') . ';'; ?>; font-size: <?php if (get_option('change_title_text_size') != '') echo get_option('change_title_text_size') . 'px;'; ?>"
                       href="<?php echo $product->get_permalink() ?>"><?php echo $product->get_title(); ?></a>

                <?php } ?>
            <?php endif; ?>

              </div>
              <div class="qcld_template_slide_card-text">
                <div class="one-description"><?php echo strip_tags(substr(get_the_excerpt(get_the_ID()), 0, 150), '<br>'); ?></div>
                <?php if (get_option('display_price') == 1): ?>
                    <div class="qc-woprice" style="font-size: <?php echo get_option('product_content_text_size'); ?>px; color: <?php echo get_option('product_content_text_color'); ?>;"><?php echo $product->get_price_html(); ?> 
                    </div>
                <?php endif; ?>
                
                <?php if (get_option('add_cart_link') == 1): ?>
                        <?php if ($product_stock_status != 'outofstock') { ?>
                           

                            <?php if ($product->get_type() != 'variable'): 

                                $qc_woo_tabbed_cart_summary = get_option('qc_woo_tabbed_cart_summary_position');
                                if(isset($qc_woo_tabbed_cart_summary) && $qc_woo_tabbed_cart_summary == 'wooinstantcart' ):
                                    $qcld_woo_pro_minmax_enable_plugin = get_option( 'qcld_woo_pro_minmax_enable_plugin' );
                        if(function_exists('qcld_woo_pro_minmax_install') && isset($qcld_woo_pro_minmax_enable_plugin) && $qcld_woo_pro_minmax_enable_plugin  == 'yes'){

                            $response_min_max = qcld_woo_pro_minmax_tabbed_add_rules_text(get_the_ID(),0);
                            $min_qty  = $response_min_max['min'];
                          }else{
                            $min_qty  = 1;

                          }
                                ?>
                            <a class="ajax_add_to_cart add_to_cart_button product_type_simple woo_tab_s_p_add_to_cart"
                               data-quantity="<?php echo ($min_qty ? $min_qty : 1); ?>" 
                               data-product_id="<?php echo $product->get_id(); ?>"
                               data-p-price="<?php echo $product->get_price(); ?>"
                               data-p-id="<?php echo $product->get_id(); ?>"
                               href="#">

                               <?php 
                                
                                $add_to_cart_text = get_option('change_add_to_cart_button_text');
                                    if (!empty($add_to_cart_text)) {
                                        esc_html_e( $add_to_cart_text, 'woo-tabbed-category');
                                    } else {
                                        esc_html_e("Add To Cart", 'woo-tabbed-category');
                                    } 
                                ?>
                                   
                               </a>
                            <?php else: ?>
                            <a class="woo_tab_s_p_add_to_cart"
                               data-p-price="<?php echo $product->get_price(); ?>"
                               data-p-id="<?php echo $product->get_id(); ?>"
                               href="<?php echo $product->add_to_cart_url(); ?>"> 

                               <?php 
                                
                                $add_to_cart_text = get_option('change_add_to_cart_button_text');
                                    if (!empty($add_to_cart_text)) {
                                        esc_html_e( $add_to_cart_text, 'woo-tabbed-category');
                                    } else {
                                        esc_html_e("Add To Cart", 'woo-tabbed-category');
                                    } 
                                ?>
                                                
                                </a>
                            <?php endif; ?>
                            <?php else: ?>
                            <a class="woo_tab_product_details"
                               product-id="<?php echo get_the_ID(); ?>"><i class="fa fa-cart-arrow-down" aria-hidden="true"></i></a>
                            <?php endif; ?>

                        <?php } else { ?>
                            <a class="product_out_of_stock"
                               data-p-price="<?php echo $product->get_price(); ?>"
                               data-p-id="<?php echo $product->get_id(); ?>"
                               href="#"><i class="fa fa-cart-arrow-down" aria-hidden="true"></i></a>
                        <?php } ?>
                    <?php endif; ?>

              </div>
            </div>
          </div>
        </div>
      </div>  
    <?php 

        endwhile;
        wp_reset_query(); ?>

    
    </div>

    </div>

            
        </div>

        </div>
    </div>
    <!-- container -->
</div>


<script>


    jQuery(document).ready(function ($) {

        <?php 

            $qcld_twelve_slick_slider_number = get_option('qcld_twelve_slick_slider_number') ? get_option('qcld_twelve_slick_slider_number') : '4'; 
            $qcld_twelve_slick_slider_center_mode = (get_option('qcld_twelve_slick_slider_center_mode') == 'enable') ? 'true' : 'false';
            $slider_infinity_mode = (get_option('qcld_twelve_slick_slider_center_mode') == 'enable') ? 'false' : 'true';
            $qc_slick_rtl_support = ( get_option('qc_woo_tabbed_display_rtl_support') == 'enable' ) ? 'true' : 'false';

            //var_dump($qcld_twelve_slick_slider_center_mode);
            //wp_die();
        ?>

          $('.qcld_template_slide_carousel').not('.slick-initialized').slick({
            speed: 500,
            slidesToShow: <?php echo $qcld_twelve_slick_slider_number; ?>,
            slidesToScroll: 1,
            autoplay: true,
            autoplaySpeed: 2000,
            dots:false,
            centerMode: <?php echo $qcld_twelve_slick_slider_center_mode; ?>,
            rtl: <?php echo $qc_slick_rtl_support; ?>,
            infinite: <?php echo $slider_infinity_mode; ?>,
            responsive: [{
              breakpoint: 1024,
              settings: {
                slidesToShow: 3,
                slidesToScroll: 1,

              }

            }, {
              breakpoint: 800,
              settings: {
                centerMode: false,
                slidesToShow: 2,
                slidesToScroll: 2,
                dots: false,
                infinite: true,

              }
            },  {
              breakpoint: 481,
              settings: {
                centerMode: false,
                slidesToShow: 1,
                slidesToScroll: 1,
                dots: false,
                infinite: true,
                autoplay: true,
                autoplaySpeed: 2000,
              }
            }]
          });


    });

</script>

    <?php

    }else{ 



        $query_stop = 0; 

        foreach ($product_categories as $cat): 
            $query_stop +=1;
            //if($query_stop > 1 ){ return; }

        $tax_query_all = array(
            array(
                'taxonomy' => 'product_visibility',
                'field' => 'name',
                'terms' => 'featured',
                'operator' => 'IN'
            ),);


        $show_sale_products_only_all = array('relation' => 'OR', array( // Simple products type
            'key' => '_sale_price',
            'value' => 0,
            'compare' => '>',
            'type' => 'numeric'
        ),
            array( // Variable products type
                'key' => '_min_variation_sale_price',
                'value' => 0,
                'compare' => '>',
                'type' => 'numeric'
            ));


        $args_all = array(
            'post_type' => 'product',
            'posts_per_page' => -1,
        );

        if ($show_sale == 1) {
            $args_all = array_merge($args_all, array('meta_query' => $show_sale_products_only_all));
        }


        if ($featured_only == 1) {
            $args_all = array_merge($args_all, array('tax_query' => $tax_query_all));
        }


        $tax_query = array(
            array(
                'taxonomy' => 'product_visibility',
                'field' => 'name',
                'terms' => 'featured',
                'operator' => 'IN'
            ),);
   


        $show_sale_products_only = array('relation' => 'OR', array( // Simple products type
            'key' => '_sale_price',
            'value' => 0,
            'compare' => '>',
            'type' => 'numeric'
        ),
            array( // Variable products type
                'key' => '_min_variation_sale_price',
                'value' => 0,
                'compare' => '>',
                'type' => 'numeric'
            ));


        $sorting = '';
        $orderBy = get_option('qc_product_sort_type');
        if( get_option('qc_product_sort_type') == 'meta_value_num' ){
            $sorting = '_price';
        }
        if( get_option('qc_product_sort_type') == 'total_sales' ){
            $sorting = 'total_sales';
            $orderBy = 'meta_value_num';
        }

       $args =  array_merge($args, array( 'tax_query' => array(
                        array(
                            'taxonomy' => 'product_visibility',
                            'field'    => 'name',
                            'terms'    => 'exclude-from-catalog',
                            'operator' => 'NOT IN',
                        ),
                )));

        

        $args = array(
            'post_type'         => 'product',
            'posts_per_page'    => $product_number,
            'meta_key'          => $sorting,
            'orderby'           => $orderBy,
            'order'             => get_option('qc_product_sort_order'),
            'tax_query'         => array(
                'relation'      => 'OR',
                array(
                    'taxonomy'  => 'product_cat',
                    'field'     => 'term_id',
                    'terms'     => $cat->term_id,
                    'operator'  => 'IN'
                ),
            )
        );

        if ($show_sale == 1) {
            $args = array_merge($args, array('meta_query' => $show_sale_products_only));
        }


        if ($featured_only == 1) {

            $show_featured_only = array('relation' => 'OR', array(
                array(
                    'taxonomy' => 'product_cat',
                    'field' => 'term_id',
                    'terms' => $cat->term_id,
                    'operator' => 'IN'
                ),
                array(
                    'taxonomy' => 'product_visibility',
                    'field' => 'name',
                    'terms' => 'featured',
                    'operator' => 'IN'
                )
            ));


            $args = array_merge($args, array('tax_query' => $show_featured_only));
        }

        if(get_option('qc_woo_tabbed_disable_product_out_of_stock') == 'enable'){

            $args = array_merge($args, array( 'meta_query' => array(
                        array(
                            'key'       => '_stock_status',
                            'value'     => 'instock',
                        ),
                )));
        }


        $product_query = new WP_Query($args);
        $product_count = new WP_Query($args_all);

        $product_num = $product_count->post_count;

        $product_query = new WP_Query($args);
        $wc_pf = new WC_Product_Factory(); 

        while ($product_query->have_posts()) : $product_query->the_post(); ?>
                <?php $product = wc_get_product(get_the_ID());
                $product_stock_status = $product->get_stock_status();


        ?>

      <div>
        <div class="qcld_template_slide_card">
          <div class="qcld_template_slide_card-header <?php echo qcld_product_product_has_gallery( get_the_ID() ); ?>">
            <?php
            if(isset($link_title_to_modal) && ($link_title_to_modal == '1' || $link_title_to_modal == '01')){ 
            ?>

                <a href="#" class="woo_tab_product_details" product-id="<?php echo get_the_ID(); ?>">   
            <?php }else{ ?>
                <a href="<?php echo $product->get_permalink() ?>">
            <?php } ?>
            <?php echo $product->get_image('shop_catalog'); ?>
            <?php echo qcld_product_second_product_thumbnail(get_the_ID()); ?>
            </a>
          </div>
          <div class="qcld_template_slide_card-body">
            <div class="qcld_template_slide_card-content">
              <div class="qcld_template_slide_card-title">

                <?php if (get_option('product_title') == 1): ?>
                     <?php if(isset($link_title_to_modal) && ($link_title_to_modal == '1' || $link_title_to_modal == '01')){  ?>

                    <a style="color: <?php if (get_option('product_title_text_color') != '') echo get_option('product_title_text_color') . ';'; ?>; font-size: <?php if (get_option('change_title_text_size') != '') echo get_option('change_title_text_size') . 'px;'; ?>"
                       href="#" class="woo_tab_product_details" product-id="<?php echo get_the_ID(); ?>"><?php echo $product->get_title(); ?></a>  
                <?php }else{ ?>

                    <a style="color: <?php if (get_option('product_title_text_color') != '') echo get_option('product_title_text_color') . ';'; ?>; font-size: <?php if (get_option('change_title_text_size') != '') echo get_option('change_title_text_size') . 'px;'; ?>"
                       href="<?php echo $product->get_permalink() ?>"><?php echo $product->get_title(); ?></a>

                <?php } ?>
            <?php endif; ?>

              </div>
              <div class="qcld_template_slide_card-text">
                <?php if (get_option('display_price') == 1): ?>
                    <div class="qc-woprice" style="font-size: <?php echo get_option('product_content_text_size'); ?>px; color: <?php echo get_option('product_content_text_color'); ?>;"><?php echo $product->get_price_html(); ?> 
                    </div>
                <?php endif; ?>
                
                <?php if (get_option('add_cart_link') == 1): ?>
                        <?php if ($product_stock_status != 'outofstock') { ?>
                           

                            <?php if ($product->get_type() != 'variable'): 

                                $qc_woo_tabbed_cart_summary = get_option('qc_woo_tabbed_cart_summary_position');
                                if(isset($qc_woo_tabbed_cart_summary) && $qc_woo_tabbed_cart_summary == 'wooinstantcart' ):
                                    $qcld_woo_pro_minmax_enable_plugin = get_option( 'qcld_woo_pro_minmax_enable_plugin' );
                        if(function_exists('qcld_woo_pro_minmax_install') && isset($qcld_woo_pro_minmax_enable_plugin) && $qcld_woo_pro_minmax_enable_plugin  == 'yes'){

                            $response_min_max = qcld_woo_pro_minmax_tabbed_add_rules_text(get_the_ID(),0);
                            $min_qty  = $response_min_max['min'];
                          }else{
                            $min_qty  = 1;

                          }
                                ?>
                            <a class="ajax_add_to_cart add_to_cart_button product_type_simple woo_tab_s_p_add_to_cart"
                               data-quantity="<?php echo ($min_qty ? $min_qty : 1); ?>" 
                               data-product_id="<?php echo $product->get_id(); ?>"
                               data-p-price="<?php echo $product->get_price(); ?>"
                               data-p-id="<?php echo $product->get_id(); ?>"
                               href="#">

                               <?php 
                                
                                $add_to_cart_text = get_option('change_add_to_cart_button_text');
                                    if (!empty($add_to_cart_text)) {
                                        esc_html_e( $add_to_cart_text, 'woo-tabbed-category');
                                    } else {
                                        esc_html_e("Add To Cart");
                                    } 
                                ?>
                                   
                               </a>
                            <?php else: ?>
                            <a class="woo_tab_s_p_add_to_cart"
                               data-p-price="<?php echo $product->get_price(); ?>"
                               data-p-id="<?php echo $product->get_id(); ?>"
                               href="<?php echo $product->add_to_cart_url(); ?>"> 

                               <?php 
                                
                                $add_to_cart_text = get_option('change_add_to_cart_button_text');
                                    if (!empty($add_to_cart_text)) {
                                        esc_html_e( $add_to_cart_text, 'woo-tabbed-category');
                                    } else {
                                        esc_html_e("Add To Cart", 'woo-tabbed-category');
                                    } 
                                ?>
                                                
                                </a>
                            <?php endif; ?>
                            <?php else: ?>
                            <a class="woo_tab_product_details"
                               product-id="<?php echo get_the_ID(); ?>"><i class="fa fa-cart-arrow-down" aria-hidden="true"></i></a>
                            <?php endif; ?>

                        <?php } else { ?>
                            <a class="product_out_of_stock"
                               data-p-price="<?php echo $product->get_price(); ?>"
                               data-p-id="<?php echo $product->get_id(); ?>"
                               href="#"><i class="fa fa-cart-arrow-down" aria-hidden="true"></i></a>
                        <?php } ?>
                    <?php endif; ?>

              </div>
            </div>
          </div>
        </div>
      </div>  
        <?php endwhile; wp_reset_query(); ?>

            </div>

    </div>

            
        </div>

        </div>
    </div>
    <!-- container -->
</div>


<script>


    jQuery(document).ready(function ($) {

        <?php 
            $qcld_twelve_slick_slider_number = get_option('qcld_twelve_slick_slider_number') ? get_option('qcld_twelve_slick_slider_number') : '4'; 
            $qcld_twelve_slick_slider_center_mode = (get_option('qcld_twelve_slick_slider_center_mode') == 'enable') ? 'true' : 'false';
            $slider_infinity_mode = (get_option('qcld_twelve_slick_slider_center_mode') == 'enable') ? 'false' : 'true';
            $qc_slick_rtl_support = ( get_option('qc_woo_tabbed_display_rtl_support') == 'enable' ) ? 'true' : 'false';
        ?>

          $('.qcld_template_slide_carousel').not('.slick-initialized').slick({
            speed: 500,
            slidesToShow: <?php echo $qcld_twelve_slick_slider_number; ?>,
            slidesToScroll: 1,
            autoplay: true,
            autoplaySpeed: 2000,
            dots:false,
            centerMode: <?php echo $qcld_twelve_slick_slider_center_mode; ?>,
            rtl: <?php echo $qc_slick_rtl_support; ?>,
            infinite: <?php echo $slider_infinity_mode; ?>,
            responsive: [{
              breakpoint: 1024,
              settings: {
                slidesToShow: 3,
                slidesToScroll: 1,

              }

            }, {
              breakpoint: 800,
              settings: {
                centerMode: false,
                slidesToShow: 2,
                slidesToScroll: 2,
                dots: false,
                infinite: true,

              }
            },  {
              breakpoint: 481,
              settings: {
                centerMode: false,
                slidesToShow: 1,
                slidesToScroll: 1,
                dots: false,
                infinite: true,
                autoplay: true,
                autoplaySpeed: 2000,
              }
            }]
          });



    });

</script>

        <?php  break; endforeach; ?>
    <?php } ?>



<?php 
