<?php 

defined('ABSPATH') or die("No direct script access!");


if ( ! function_exists( 'qcld_get_sub_categories' ) ) {
	function qcld_get_sub_categories($category_id, $current_cat, $show_sale, $featured_only, $link_title_to_modal){
	          
	    // $args = array(
	    //     'taxonomy'      => 'product_cat',
	    //     'child_of'      => 0,
	    //     'parent'        => $category_id,
	    //     'hide_empty'    => 1,
	    //     'order'         => get_option('category_order'),
	    //     'orderby'       => 'title',
	    //     'hierarchical'  => 0,
	    // );

	    $category_orders = get_option('category_order');

	    if($category_orders == 'menu_order'){

	         $args = array(
	            'taxonomy'      => 'product_cat',
	            'child_of'      => 0,
	            'parent'        => $category_id,
	            'hide_empty'    => 1,
	            'order'         => 'asc',
	            'orderby'       => 'term_order',
	            'hierarchical'  => 0,
	        );


	    }else{

	         $args = array(
	            'taxonomy'      => 'product_cat',
	            'child_of'      => 0,
	            'parent'        => $category_id,
	            'hide_empty'    => 1,
	            'order'         => get_option('category_order'),
	            'orderby'       => 'title',
	            'hierarchical'  => 0,
	        );

	    }


	    $sub_cats = get_categories( $args );
	    if( $sub_cats ) {
	        echo '<div class="qcld_menu_status"></div>';
	        echo '<ul class="qcld_children">';
	        foreach($sub_cats as $sub_category) {
	            $current_class = ($current_cat == $sub_category->slug)?'current':'';
	            echo '<li><a class="qc_theme_one" data-show-sale="'.$show_sale.'"
	            data-offset="'.get_option('product_number').'"
	            data-cat-id="'.$sub_category->term_id.'"
	            data-feature-only="'.$featured_only.'"
	            data-cat-attr="'.$sub_category->term_id.'"
	            class="tab-link" title-modal="'.$link_title_to_modal.'"
	            data-tab="tab-'.$sub_category->term_id.'">';
	            qcld_get_category_image_sub($sub_category->term_id);
	            echo  esc_html($sub_category->name).'</a>';
	            qcld_get_sub_child_categories($sub_category->term_id, $sub_category->slug, $show_sale, $featured_only, $link_title_to_modal);
	            echo '</li>';
	        }
	        echo '</ul>';

	    }
	}
}

if ( ! function_exists( 'qcld_get_sub_child_categories' ) ) {
	function qcld_get_sub_child_categories($category_id, $current_cat, $show_sale, $featured_only, $link_title_to_modal){
	          
	 
    $category_orders = get_option('category_order');

    if($category_orders == 'menu_order'){

        $args = array(
            'taxonomy'      => 'product_cat',
            'child_of'      => 1,
            'parent'        => $category_id,
            'hide_empty'    => 1,
            'orderby'       => 'term_order',
            'order'         => 'asc',
            'hierarchical'  => 0,
        );


    }else{

        $args = array(
            'taxonomy'      => 'product_cat',
            'child_of'      => 1,
            'parent'        => $category_id,
            'hide_empty'    => 1,
            'order'         => get_option('category_order'),
            'orderby'       => 'title',
            'hierarchical'  => 0,
        );

    }


	    $sub_cats = get_categories( $args );
	    if( $sub_cats ) {
	        echo '<div class="qcld_menu_status"></div>';
	        echo '<ul class="qcld_children-child">';
	        foreach($sub_cats as $sub_category) {
	            $current_class = ($current_cat == $sub_category->slug)?'current':'';
	            echo '<li><a class="qc_theme_one" data-show-sale="'.$show_sale.'"
	            data-offset="'.get_option('product_number').'"
	            data-cat-id="'.$sub_category->term_id.'"
	            data-feature-only="'.$featured_only.'"
	            data-cat-attr="'.$sub_category->term_id.'"
	            class="tab-link" title-modal="'.$link_title_to_modal.'"
	            data-tab="tab-'.$sub_category->term_id.'">';
	            qcld_get_category_image_sub($sub_category->term_id);
	            echo  esc_html($sub_category->name).'</a>';
	            qcld_get_sub_child_child_categories($sub_category->term_id, $sub_category->slug, $show_sale, $featured_only, $link_title_to_modal);
	            echo '</li>';
	        }
	        echo '</ul>';

	    }
	}
}

if ( ! function_exists( 'qcld_get_sub_child_child_categories' ) ) {
	function qcld_get_sub_child_child_categories($category_id, $current_cat, $show_sale, $featured_only, $link_title_to_modal){
	          
	 
    $category_orders = get_option('category_order');

    if($category_orders == 'menu_order'){

        $args = array(
            'taxonomy'      => 'product_cat',
            'child_of'      => 1,
            'parent'        => $category_id,
            'hide_empty'    => 1,
            'orderby'       => 'term_order',
            'order'         => 'asc',
            'hierarchical'  => 0,
        );


    }else{

        $args = array(
            'taxonomy'      => 'product_cat',
            'child_of'      => 1,
            'parent'        => $category_id,
            'hide_empty'    => 1,
            'order'         => get_option('category_order'),
            'orderby'       => 'title',
            'hierarchical'  => 0,
        );

    }


	    $sub_cats = get_categories( $args );
	    if( $sub_cats ) {
	        echo '<div class="qcld_menu_status"></div>';
	        echo '<ul class="qcld_children-child">';
	        foreach($sub_cats as $sub_category) {
	            $current_class = ($current_cat == $sub_category->slug)?'current':'';
	            echo '<li><a class="qc_theme_one" data-show-sale="'.$show_sale.'"
	            data-offset="'.get_option('product_number').'"
	            data-cat-id="'.$sub_category->term_id.'"
	            data-feature-only="'.$featured_only.'"
	            data-cat-attr="'.$sub_category->term_id.'"
	            class="tab-link" title-modal="'.$link_title_to_modal.'"
	            data-tab="tab-'.$sub_category->term_id.'">';
	            qcld_get_category_image_sub($sub_category->term_id);
	            echo  esc_html($sub_category->name).'</a>';
	            qcld_get_sub_child_child_child_categories($sub_category->term_id, $sub_category->slug, $show_sale, $featured_only, $link_title_to_modal);
	            echo '</li>';
	        }
	        echo '</ul>';

	    }
	}
}

if ( ! function_exists( 'qcld_get_sub_child_child_child_categories' ) ) {
	function qcld_get_sub_child_child_child_categories($category_id, $current_cat, $show_sale, $featured_only, $link_title_to_modal){
	          
	 
    $category_orders = get_option('category_order');

    if($category_orders == 'menu_order'){

        $args = array(
            'taxonomy'      => 'product_cat',
            'child_of'      => 1,
            'parent'        => $category_id,
            'hide_empty'    => 1,
            'orderby'       => 'term_order',
            'order'         => 'asc',
            'hierarchical'  => 0,
        );


    }else{

        $args = array(
            'taxonomy'      => 'product_cat',
            'child_of'      => 1,
            'parent'        => $category_id,
            'hide_empty'    => 1,
            'order'         => get_option('category_order'),
            'orderby'       => 'title',
            'hierarchical'  => 0,
        );

    }


	    $sub_cats = get_categories( $args );
	    if( $sub_cats ) {
	        echo '<div class="qcld_menu_status"></div>';
	        echo '<ul class="qcld_children-child">';
	        foreach($sub_cats as $sub_category) {
	            $current_class = ($current_cat == $sub_category->slug)?'current':'';
	            echo '<li><a class="qc_theme_one" data-show-sale="'.$show_sale.'"
	            data-offset="'.get_option('product_number').'"
	            data-cat-id="'.$sub_category->term_id.'"
	            data-feature-only="'.$featured_only.'"
	            data-cat-attr="'.$sub_category->term_id.'"
	            class="tab-link" title-modal="'.$link_title_to_modal.'"
	            data-tab="tab-'.$sub_category->term_id.'">';
	            qcld_get_category_image_sub($sub_category->term_id);
	            echo  esc_html($sub_category->name).'</a>';
	            qcld_get_sub_child_child_child_child_categories($sub_category->term_id, $sub_category->slug, $show_sale, $featured_only, $link_title_to_modal);
	            echo '</li>';
	        }
	        echo '</ul>';

	    }
	}
}

if ( ! function_exists( 'qcld_get_sub_child_child_child_child_categories' ) ) {
	function qcld_get_sub_child_child_child_child_categories($category_id, $current_cat, $show_sale, $featured_only, $link_title_to_modal){
	          
	 
    $category_orders = get_option('category_order');

    if($category_orders == 'menu_order'){

        $args = array(
            'taxonomy'      => 'product_cat',
            'child_of'      => 1,
            'parent'        => $category_id,
            'hide_empty'    => 1,
            'orderby'       => 'term_order',
            'order'         => 'asc',
            'hierarchical'  => 0,
        );


    }else{

        $args = array(
            'taxonomy'      => 'product_cat',
            'child_of'      => 1,
            'parent'        => $category_id,
            'hide_empty'    => 1,
            'order'         => get_option('category_order'),
            'orderby'       => 'title',
            'hierarchical'  => 0,
        );

    }


	    $sub_cats = get_categories( $args );
	    if( $sub_cats ) {
	        echo '<div class="qcld_menu_status"></div>';
	        echo '<ul class="qcld_children-child">';
	        foreach($sub_cats as $sub_category) {
	            $current_class = ($current_cat == $sub_category->slug)?'current':'';
	            echo '<li><a class="qc_theme_one" data-show-sale="'.$show_sale.'"
	            data-offset="'.get_option('product_number').'"
	            data-cat-id="'.$sub_category->term_id.'"
	            data-feature-only="'.$featured_only.'"
	            data-cat-attr="'.$sub_category->term_id.'"
	            class="tab-link" title-modal="'.$link_title_to_modal.'"
	            data-tab="tab-'.$sub_category->term_id.'">';
	            qcld_get_category_image_sub($sub_category->term_id);
	            echo  esc_html($sub_category->name).'</a>';
	            qcld_get_sub_child_child_child_child_child_categories($sub_category->term_id, $sub_category->slug, $show_sale, $featured_only, $link_title_to_modal);
	            echo '</li>';
	        }
	        echo '</ul>';

	    }
	}
}

if ( ! function_exists( 'qcld_get_sub_child_child_child_child_child_categories' ) ) {
	function qcld_get_sub_child_child_child_child_child_categories($category_id, $current_cat, $show_sale, $featured_only, $link_title_to_modal){
	          
	 
    $category_orders = get_option('category_order');

    if($category_orders == 'menu_order'){

        $args = array(
            'taxonomy'      => 'product_cat',
            'child_of'      => 1,
            'parent'        => $category_id,
            'hide_empty'    => 1,
            'orderby'       => 'term_order',
            'order'         => 'asc',
            'hierarchical'  => 0,
        );


    }else{

        $args = array(
            'taxonomy'      => 'product_cat',
            'child_of'      => 1,
            'parent'        => $category_id,
            'hide_empty'    => 1,
            'order'         => get_option('category_order'),
            'orderby'       => 'title',
            'hierarchical'  => 0,
        );

    }


	    $sub_cats = get_categories( $args );
	    if( $sub_cats ) {
	        echo '<div class="qcld_menu_status"></div>';
	        echo '<ul class="qcld_children-child">';
	        foreach($sub_cats as $sub_category) {
	            $current_class = ($current_cat == $sub_category->slug)?'current':'';
	            echo '<li><a class="qc_theme_one" data-show-sale="'.$show_sale.'"
	            data-offset="'.get_option('product_number').'"
	            data-cat-id="'.$sub_category->term_id.'"
	            data-feature-only="'.$featured_only.'"
	            data-cat-attr="'.$sub_category->term_id.'"
	            class="tab-link" title-modal="'.$link_title_to_modal.'"
	            data-tab="tab-'.$sub_category->term_id.'">';
	            qcld_get_category_image_sub($sub_category->term_id);
	            echo  esc_html($sub_category->name).'</a>';
	            qcld_get_sub_child_child_child_child_child_child_categories($sub_category->term_id, $sub_category->slug, $show_sale, $featured_only, $link_title_to_modal);
	            echo '</li>';
	        }
	        echo '</ul>';

	    }
	}
}

if ( ! function_exists( 'qcld_get_sub_child_child_child_child_child_child_categories' ) ) {
	function qcld_get_sub_child_child_child_child_child_child_categories($category_id, $current_cat, $show_sale, $featured_only, $link_title_to_modal){
	          
	 
    $category_orders = get_option('category_order');

    if($category_orders == 'menu_order'){

        $args = array(
            'taxonomy'      => 'product_cat',
            'child_of'      => 1,
            'parent'        => $category_id,
            'hide_empty'    => 1,
            'orderby'       => 'term_order',
            'order'         => 'asc',
            'hierarchical'  => 0,
        );


    }else{

        $args = array(
            'taxonomy'      => 'product_cat',
            'child_of'      => 1,
            'parent'        => $category_id,
            'hide_empty'    => 1,
            'order'         => get_option('category_order'),
            'orderby'       => 'title',
            'hierarchical'  => 0,
        );

    }


	    $sub_cats = get_categories( $args );
	    if( $sub_cats ) {
	        echo '<div class="qcld_menu_status"></div>';
	        echo '<ul class="qcld_children-child">';
	        foreach($sub_cats as $sub_category) {
	            $current_class = ($current_cat == $sub_category->slug)?'current':'';
	            echo '<li><a class="qc_theme_one" data-show-sale="'.$show_sale.'"
	            data-offset="'.get_option('product_number').'"
	            data-cat-id="'.$sub_category->term_id.'"
	            data-feature-only="'.$featured_only.'"
	            data-cat-attr="'.$sub_category->term_id.'"
	            class="tab-link" title-modal="'.$link_title_to_modal.'"
	            data-tab="tab-'.$sub_category->term_id.'">';
	            qcld_get_category_image_sub($sub_category->term_id);
	            echo  esc_html($sub_category->name).'</a>';
	            qcld_get_sub_child_child_child_child_child_child_child_categories($sub_category->term_id, $sub_category->slug, $show_sale, $featured_only, $link_title_to_modal);
	            echo '</li>';
	        }
	        echo '</ul>';

	    }
	}
}

if ( ! function_exists( 'qcld_get_sub_child_child_child_child_child_child_child_categories' ) ) {
	function qcld_get_sub_child_child_child_child_child_child_child_categories($category_id, $current_cat, $show_sale, $featured_only, $link_title_to_modal){
	          
	 
    $category_orders = get_option('category_order');

    if($category_orders == 'menu_order'){

        $args = array(
            'taxonomy'      => 'product_cat',
            'child_of'      => 1,
            'parent'        => $category_id,
            'hide_empty'    => 1,
            'orderby'       => 'term_order',
            'order'         => 'asc',
            'hierarchical'  => 0,
        );


    }else{

        $args = array(
            'taxonomy'      => 'product_cat',
            'child_of'      => 1,
            'parent'        => $category_id,
            'hide_empty'    => 1,
            'order'         => get_option('category_order'),
            'orderby'       => 'title',
            'hierarchical'  => 0,
        );

    }


	    $sub_cats = get_categories( $args );
	    if( $sub_cats ) {
	        echo '<div class="qcld_menu_status"></div>';
	        echo '<ul class="qcld_children-child">';
	        foreach($sub_cats as $sub_category) {
	            $current_class = ($current_cat == $sub_category->slug)?'current':'';
	            echo '<li><a class="qc_theme_one" data-show-sale="'.$show_sale.'"
	            data-offset="'.get_option('product_number').'"
	            data-cat-id="'.$sub_category->term_id.'"
	            data-feature-only="'.$featured_only.'"
	            data-cat-attr="'.$sub_category->term_id.'"
	            class="tab-link" title-modal="'.$link_title_to_modal.'"
	            data-tab="tab-'.$sub_category->term_id.'">';
	            qcld_get_category_image_sub($sub_category->term_id);
	            echo  esc_html($sub_category->name).'</a>';
	            qcld_get_sub_child_child_child_child_child_child_child_child_categories($sub_category->term_id, $sub_category->slug, $show_sale, $featured_only, $link_title_to_modal);
	            echo '</li>';
	        }
	        echo '</ul>';

	    }
	}
}

if ( ! function_exists( 'qcld_get_sub_child_child_child_child_child_child_child_child_categories' ) ) {
	function qcld_get_sub_child_child_child_child_child_child_child_child_categories($category_id, $current_cat, $show_sale, $featured_only, $link_title_to_modal){
	          
	 
    $category_orders = get_option('category_order');

    if($category_orders == 'menu_order'){

        $args = array(
            'taxonomy'      => 'product_cat',
            'child_of'      => 1,
            'parent'        => $category_id,
            'hide_empty'    => 1,
            'orderby'       => 'term_order',
            'order'         => 'asc',
            'hierarchical'  => 0,
        );


    }else{

        $args = array(
            'taxonomy'      => 'product_cat',
            'child_of'      => 1,
            'parent'        => $category_id,
            'hide_empty'    => 1,
            'order'         => get_option('category_order'),
            'orderby'       => 'title',
            'hierarchical'  => 0,
        );

    }


	    $sub_cats = get_categories( $args );
	    if( $sub_cats ) {
	        echo '<div class="qcld_menu_status"></div>';
	        echo '<ul class="qcld_children-child">';
	        foreach($sub_cats as $sub_category) {
	            $current_class = ($current_cat == $sub_category->slug)?'current':'';
	            echo '<li><a class="qc_theme_one" data-show-sale="'.$show_sale.'"
	            data-offset="'.get_option('product_number').'"
	            data-cat-id="'.$sub_category->term_id.'"
	            data-feature-only="'.$featured_only.'"
	            data-cat-attr="'.$sub_category->term_id.'"
	            class="tab-link" title-modal="'.$link_title_to_modal.'"
	            data-tab="tab-'.$sub_category->term_id.'">';
	            qcld_get_category_image_sub($sub_category->term_id);
	            echo  esc_html($sub_category->name).'</a>';
	            qcld_get_sub_child_child_last_categories($sub_category->term_id, $sub_category->slug, $show_sale, $featured_only, $link_title_to_modal);
	            echo '</li>';
	        }
	        echo '</ul>';

	    }
	}
}

if ( ! function_exists( 'qcld_get_sub_child_child_last_categories' ) ) {

	function qcld_get_sub_child_child_last_categories($category_id, $current_cat, $show_sale, $featured_only, $link_title_to_modal){
	          
	    // $args = array(
	    //     'taxonomy'      => 'product_cat',
	    //     'child_of'      => 1,
	    //     'parent'        => $category_id,
	    //     'hide_empty'    => 1,
	    //     'order'         => get_option('category_order'),
	    //     'orderby'       => 'title',
	    //     'hierarchical'  => 0,
	    // );
    $category_orders = get_option('category_order');

    if($category_orders == 'menu_order'){

        $args = array(
            'taxonomy'      => 'product_cat',
            'child_of'      => 1,
            'parent'        => $category_id,
            'hide_empty'    => 1,
            'orderby'       => 'term_order',
            'order'         => 'asc',
            'hierarchical'  => 0,
        );


    }else{

        $args = array(
            'taxonomy'      => 'product_cat',
            'child_of'      => 1,
            'parent'        => $category_id,
            'hide_empty'    => 1,
            'order'         => get_option('category_order'),
            'orderby'       => 'title',
            'hierarchical'  => 0,
        );

    }


	    $sub_cats = get_categories( $args );
	    if( $sub_cats ) {
	        echo '<div class="qcld_menu_status"></div>';
	        echo '<ul class="qcld_children-child">';
	        foreach($sub_cats as $sub_category) {
	            $current_class = ($current_cat == $sub_category->slug)?'current':'';
	            echo '<li><a class="qc_theme_one" data-show-sale="'.$show_sale.'"
	            data-offset="'.get_option('product_number').'"
	            data-cat-id="'.$sub_category->term_id.'"
	            data-feature-only="'.$featured_only.'"
	            data-cat-attr="'.$sub_category->term_id.'"
	            class="tab-link" title-modal="'.$link_title_to_modal.'"
	            data-tab="tab-'.$sub_category->term_id.'">';
	            qcld_get_category_image_sub($sub_category->term_id);
	            echo  esc_html($sub_category->name);
	            echo '</a></li>';
	        }
	        echo '</ul>';

	    }
	}
}


// category image url
if ( ! function_exists( 'qcld_get_category_image_url' ) ) {

	function qcld_get_category_image_url($cat_id){

		$thumbnail_id = get_term_meta($cat_id, 'thumbnail_id', true); 

    	// get the image URL
    	$image = wp_get_attachment_url( $thumbnail_id ); 

	    if ($image) {
	        echo $image;
	    }

	}
}


// category image 
if ( ! function_exists( 'qcld_get_category_image' ) ) {

	function qcld_get_category_image($cat_id){

		$thumbnail_id = get_term_meta($cat_id, 'thumbnail_id', true);
		if(get_option('qc_woo_tabbed_display_category_image_top') == 'enable'){

	    $image = wp_get_attachment_image($thumbnail_id, array(80, 80), "", array("class" => "qcld_category_image_top"));
		}else{

	    $image = wp_get_attachment_image($thumbnail_id, array(25, 25), "", array("class" => "qcld_category_image qcld_category_image_top"));
		}

	    if ($image) {
	        echo $image;
	    }

	}
}
// category image 
if ( ! function_exists( 'qcld_get_category_image_thirteen' ) ) {

	function qcld_get_category_image_thirteen($cat_id){

		$thumbnail_id = get_term_meta($cat_id, 'thumbnail_id', true);
		if(get_option('qc_woo_tabbed_display_category_image_top') == 'enable'){

	    	$image = wp_get_attachment_image($thumbnail_id, array(80, 80), "", array("class" => ""));
		}else{

	    	$image = wp_get_attachment_image($thumbnail_id, array(25, 25), "", array("class" => ""));
		}

	    if ($image) {
	        echo $image;
	    }

	}
}

// category image sub
if ( ! function_exists( 'qcld_get_category_image_sub' ) ) {

	function qcld_get_category_image_sub($cat_id){

		if(!empty(get_option('qc_woo_tabbed_enable_category_image'))){

			$thumbnail_id = get_term_meta($cat_id, 'thumbnail_id', true);
		    $image = wp_get_attachment_image($thumbnail_id, array(25, 25), "", array("class" => "qcld_category_image_sub"));

		    if ($image) {
		        echo $image;
		    }
	    
	    }

	}
}



if ( ! function_exists( 'qcld_get_all_sub_categories' ) ) {
	function qcld_get_all_sub_categories($category_id, $current_cat, $show_sale, $featured_only, $link_title_to_modal, $query_stop_cat ){

	    $category_orders = get_option('category_order');

		$check_categories = get_term_children( $category_id, 'product_cat' ); 

		// var_dump( $check_categories );
		// wp_die();

		if($category_orders == 'menu_order'){
			$child_categories = get_terms( array(
			    'taxonomy' 		=> 'product_cat',
			    'include' 		=> $check_categories,
			    'hide_empty' 	=> false,
	            'order'         => 'asc',
	            'orderby'       => 'term_order',
			) );

		}else{

			$child_categories = get_terms( array(
			    'taxonomy' 		=> 'product_cat',
			    'include' 		=> $check_categories,
			    'hide_empty' 	=> false,
	            'order'         => get_option('category_order'),
	            'orderby'       => 'title',
			) );
		}

		if( isset( $check_categories ) && empty( $check_categories ) ){
			$child_categories = array();
		}


		$current_div = ( isset( $query_stop_cat ) && $query_stop_cat == 1 ) ? ' qcld_current' : '';

	    //$child_categories = get_categories( $args );
	    if( $child_categories ) {
	        echo '<div class="qcld_children_sep_wrap '.$current_div.' tab-'.$category_id.'" data-tab="tab-'.$category_id.'">';
	        echo '<h2>'.esc_html( $current_cat ).'</h2>';
	        echo '<ul class="qcld_children">';
	        foreach($child_categories as $sub_category) {
	            $current_class = ($current_cat == $sub_category->slug)?'current':'';
	            echo '<li><a class="qc_theme_one" data-show-sale="'.$show_sale.'"
	            data-offset="'.get_option('product_number').'"
	            data-cat-id="'.$sub_category->term_id.'"
	            data-feature-only="'.$featured_only.'"
	            data-cat-attr="'.$sub_category->term_id.'"
	            class="tab-link" title-modal="'.$link_title_to_modal.'"
	            data-tab="tab-'.$sub_category->term_id.'">';
	            qcld_get_category_image_sub($sub_category->term_id);
	            echo  esc_html($sub_category->name).'</a>';
	            echo '</li>';
	        }
	        echo '</ul>';
	        echo '</div>';

	    }
	}
}